Copyright: Copyright 1996 - 2003. Corel Corporation. All rights reserved.
Citation: Copyright 1996 - 2003. Corel Corporation. All rights reserved.


?ActivateHypertext
boolean:=?ActivateHypertext

Syntax

()

Description

Return True if Activate hyperlinks on open is selected in Environment Settings, False if not.

 Related topics


?AddressBookSelection
numeric:=?AddressBookSelection

Syntax

()

Description

Return the number of entries most recently selected in the Address Book.

 Related topics


?Align
numeric:=?Align

Syntax

()

Description

Return the current character justification.

Return Value

0	Left, Full, or All

64	Center

128	Right

 Related topics


?AutoUpdate
boolean:=?AutoUpdate

Syntax

()

Description

Return the state of the Update on retrieve option for spreadsheet/database links.

Return Value

0	Off

1	On

 Related topics


?AutoWordSelect
boolean:=?AutoWordSelect

Syntax

()

Description

Return the state of the Automatically select words option in Environment Preferences.

Return Value

0	Off

1	On

 Related topics


?BaselineMode
boolean:=?BaselineMode

Syntax

()

Description

Return the state of the Baseline placement for typesetting option.

Return Value

0	Off

1	On

 Related topics


?BetweenTableCodes
boolean:=?BetweenTableCodes

Syntax

()

Description

Return True if the insertion point is in a table, False if not.

 Related topics


?Binding
numeric:=?Binding

Syntax

()

Description

Return the binding edge for the current page. Return the current document settings only, regardless of the print-time settings.

Return Value

0	Left edge

1	Right edge

2	Top edge

3	Bottom edge

 Related topics


?BlockActive
boolean:=?BlockActive

Syntax

()

Description

Return the current select mode, or 0 if select is not active.

Return Value

0	Select not active

1	Character mode

2	Word mode

4	Sentence mode

8	Paragraph mode

16	Page mode

32	Rectangle mode

64	Tabular Column mode

128	Document mode

256	Character no cell mode

 Related topics


?BookmarkList
string:=?BookmarkList

Syntax

()

Description

Return the name of the earliest-created bookmark that still exists in the current document. Return 0 if no bookmarks exist in the current document.

 Related topics


?Border
any:=?Border

Syntax

()

Description

Return the current paragraph, column, or page border style. Precede with TextBorderEdit or TextBorderCreate and follow with TextBorderEnd.

Return Value

Returns a value representing the current border style. If the current border style is not in the list below, the current border name is returned.

0	Spacing only

1	Single border

2	Double border

3	Dashed border

4	Dotted border

5	Thick border

6	Extra thick border

7	Thin thick border

8	Thick thin border

9	Thick top bottom border

10	Button border

11	Column border between

12	Column border all

127	No border

 Related topics


?BorderBottomLine
any:=?BorderBottomLine

Syntax

()

Description

Return the bottom line style of a border. Precede with TextBorderCreate or TextBorderEdit and follow with TextBorderEnd.

Return Value

A string specifies a user-defined line style.

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?BorderColorBlue
numeric:=?BorderColorBlue

Syntax

()

Description

Return the blue value of a border color style. Precede with BorderStyleCreate or BorderStyleEdit and follow with BorderStyleEnd.

Return Value

Value: 0-255.

 Related topics


?BorderColorGreen
numeric:=?BorderColorGreen

Syntax

()

Description

Return the green value of a border color. Precede with BorderStyleCreate or BorderStyleEdit and follow with BorderStyleEnd.

Return Value

Value: 0-255.

 Related topics


?BorderColorRed
numeric:=?BorderColorRed

Syntax

()

Description

Return the red value of a border color. Precede with BorderStyleCreate or BorderStyleEdit and follow with BorderStyleEnd.

Return Value

Value: 0-255.

 Related topics


?BorderColorShading
numeric:=?BorderColorShading

Syntax

()

Description

Return the color shading percent of a border. Precede with a command that identifies a specific border, such as BorderStyleCreate, BorderStyleEdit, or TextBorderEdit; follow with a corresponding command like BorderStyleEnd or TextBorderEnd.

Return Value

Percent: 0-100.

 Related topics


?BorderCornerRadius
numeric:=?BorderCornerRadius

Syntax

()

Description

Return the corner radius of a border.

 Related topics


?BorderInsideSpacingBottom
any:=?BorderInsideSpacingBottom

Syntax

()

Description

Return the bottom spacing inside a border.

 Related topics


?BorderInsideSpacingTop
any:=?BorderInsideSpacingTop

Syntax

()

Description

Return the top spacing inside a border.

 Related topics


?BorderLeftLine
any:=?BorderLeftLine

Syntax

()

Description

Return the left line style of a border.

Return Value

A string specifies a user-defined line style.

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?BorderRightLine
any:=?BorderRightLine

Syntax

()

Description

Return the right line style of a border.

Return Value

A string specifies a user-defined line style.

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?BorderSeparatorLine
any:=?BorderSeparatorLine

Syntax

()

Description

Return the separator line style of a border.

Return Value

A string specifies a user-defined line style.

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?BorderSetSpacing
any:=?BorderSetSpacing

Syntax

()

Description

Return whether auto spacing or set spacing is active in the current border. Precede with a command that specifies a specific border, such as TextBorderEdit, TextBorderCreate, BorderStyleEdit, or BorderStyleCreate; follow with a corresponding command such as TextBorderEnd or BorderStyleEnd.

Return Value

0	Auto spacing on

1	Set spacing is on

 Related topics


?BorderTopLine
any:=?BorderTopLine

Syntax

()

Description

Return the top line style of a border.

Return Value

A string specifies a user-defined line style.

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?BorderUseBorderColor
any:=?BorderUseBorderColor

Sytnax

()

Description

Return whether the line style color or the border color is used for the current border. Precede with a command that specifies a specific border, such as TextBorderEdit, TextBorderCreate, BorderStyleEdit, or BorderStyleCreate; follow with a corresponding command such as TextBorderEnd or BorderStyleEnd.

Return Value

0	Use the line style color

1	Use the border color

 Related topics


?BoxAttachTo
any:=?BoxAttachTo

Sytnax

()

Description

Return the structure a graphics box is attached to. Precede with BoxCreate or BoxEdit and follow with BoxEnd to specify a box to return the information on. This command will also return information on the currently selected box.

Return Value

2	Page

3	Paragraph

64	Character

 Related topics


?BoxCaptionDefaultInitialStyle
any:=?BoxCaptionDefaultInitialStyle

Sytnax

()

Description

Return the initial style of the current caption.

Return Value

0	Normal

16	Footnote number in document

17	Endnote number in document

18	Figure number

19	Table-box number

20	Text-box number

21	User-box number

22	Equation number

23	Hypertext

24	ToC 1

25	ToC 2

26	ToC 3

27	ToC 4

28	ToC 5

29	Index 1

30	Index 2

31	List

32	ToA

33	Doc

34	Box text

35	Caption

36	Footnote

37	Endnote

38	Comment

39	Header A

40	Header B

41	Footer A

42	Footer B

43	Watermark A

44	Watermark B

45	Paragraph outline

46	Outline

47	Legal outline

48	Bullets outline

49	Headings outline

50	Legal 2 outline

51	Numbers outline

52	Level 1

53	Level 2

54	Level 3

55	Level 4

56	Level 5

57	Level 6

58	Level 7

59	Level 8

60	Legal 1

61	Legal 2

62	Legal 3

63	Legal 4

64	Legal 5

65	Legal 6

66	Legal 7

67	Legal 8

68	Heading 1

69	Heading 2

70	Heading 3

71	Heading 4

72	Heading 5

73	Heading 6

74	Heading 7

75	Heading 8

 Related topics


?BoxCaptionDefaultNumberStyle
any:=?BoxCaptionDefaultNumberStyle

Syntax

()

Description

Return the current caption number style.

Return Value

0	Normal

16	Footnote number in document

17	Endnote number in document

18	Figure number

19	Table-box number

20	Text-box number

21	User-box number

22	Equation number

23	Hypertext

24	ToC 1

25	ToC 2

26	ToC 3

27	ToC 4

28	ToC 5

29	Index 1

30	Index 2

31	List

32	ToA

33	Doc

34	Box text

35	Caption

36	Footnote

37	Endnote

38	Comment

39	Header A

40	Header B

41	Footer A

42	Footer B

43	Watermark A

44	Watermark B

45	Paragraph outline

46	Outline

47	Legal outline

48	Bullets outline

49	Headings outline

50	Legal 2 outline

51	Numbers outline

52	Level 1

53	Level 2

54	Level 3

55	Level 4

56	Level 5

57	Level 6

58	Level 7

59	Level 8

60	Legal 1

61	Legal 2

62	Legal 3

63	Legal 4

64	Legal 5

65	Legal 6

66	Legal 7

67	Legal 8

68	Heading 1

69	Heading 2

70	Heading 3

71	Heading 4

72	Heading 5

73	Heading 6

74	Heading 7

75	Heading 8

 Related topics


?BoxCaptionFormatting
any:=?BoxCaptionFormatting

Syntax

()

Description

Return the caption width. If the width is Auto, the value is 2. Otherwise, the value is a measurement or a percent of the box width or height.

 Related topics


?BoxCaptionPositionAlignment
any:=?BoxCaptionPositionAlignment

Syntax

()

Description

Return the caption alignment.

Return Value

0	Left

1	Top

2	Center

3	Right

4	Bottom

 Related topics


?BoxCaptionPositionBorder
any:=?BoxCaptionPositionBorder

Syntax

()

Description

Return the caption position relative to the border.

Return Value

0	Outside border

1	Inside border

2	On border

 Related topics


?BoxCaptionPositionOffset
any:=?BoxCaptionPositionOffset

Syntax

()

Description

Return the caption offset or a percent of the box width or height.

 Related topics


?BoxCaptionPositionSide
any:=?BoxCaptionPositionSide

Syntax

()

Description

Return the side of a box where a caption is located.

Return Value

0	Left

1	Top

3	Right

4	Bottom

 Related topics


?BoxCaptionRotation
any:=?BoxCaptionRotation

Syntax

()

Description

Return the degree of caption rotation.

Return Value

0	None

1	90 degrees

2	180 degrees

3	270 degrees

 Related topics


?BoxChangeLineHeight
any:=?BoxChangeLineHeight

Syntax

()

Description

Return whether a box attached to a character automatically adjusts to fit the text-line height.

Return Value

0	No change

1	Change

 Related topics


?BoxContentFilename
any:=?BoxContentFilename

Syntax

()

Description

Return the name of a text or image file in the current box.

 Related topics


?BoxContentHorizontalPosition
any:=?BoxContentHorizontalPosition

Syntax

()

Description

Return the horizontal position of the current box contents.

Return Value

0	Left

2	Center

3	Right

 Related topics


?BoxContentInternal
any:=?BoxContentInternal

Syntax

()

Description

Return the location of an image used in a graphics box.

Return Value

0	In document

1	On disk

 Related topics


?BoxContentPreserveAspectRatio
any:=?BoxContentPreserveAspectRatio

Syntax

()

Description

Return whether the width/height ratio of an image is preserved when the box size changes.

Return Value

0	Not preserved

1	Preserved

 Related topics


?BoxContentType
any:=?BoxContentType

Syntax

()

Description

Return the current box content type.

Return Value

1	Text

2	Linked text

3	Image

4	Equation

5	Presentation

6	Video

7	Macro

8	External

127	Empty

 Related topics


?BoxContentVerticalPosition
any:=?BoxContentVerticalPosition

Syntax

()

Description

Return the vertical position of box contents.

Return Value

1	Top

2	Center

4	Bottom

 Related topics


?BoxCount
any:=?BoxCount

Syntax

()

Description

Return the number of boxes in the current document.


?BoxCounter
any:=?BoxCounter

Syntax

()

Description

Return the current counter type.

Return Value

0	None

1	Image box counter

2	Table box counter

3	Text box counter

4	User box counter

5	Equation counter

 Related topics


?BoxEquationColorBlue
any:=?BoxEquationColorBlue

Syntax

()

Description

Return the blue value of the current equation color.

Return Value

Value: 0-255.

 Related topics


?BoxEquationColorGreen
any:=?BoxEquationColorGreen

Syntax

()

Description

Return the green value of the current equation color.

Return Value

Value: 0-255.

 Related topics


?BoxEquationColorRed
any:=?BoxEquationColorRed

Syntax

()

Description

Return the red value of the current equation color.

Return Value

Value: 0-255.

 Related topics


?BoxEquationColorShading
any:=?BoxEquationColorShading

Syntax

()

Description

Return the shade of the current equation color.

Return Value

Percent: 0-100.

 Related topics


?BoxEquationFont
any:=?BoxEquationFont

Syntax

()

Description

Return the name of the font used in the current equation box.

 Related topics


?BoxEquationFontSize
any:=?BoxEquationFontSize

Syntax

()

Description

Return the font size used in the current equation box.

 Related topics


?BoxHeight
any:=?BoxHeight

Syntax

()

Description

Return the box height. If the height is Auto, the value is 2. Otherwise, the value is expressed in WordPerfect units (1200ths of an inch).

 Related topics


?BoxHorizontalAlignment
any:=?BoxHorizontalAlignment

Syntax

()

Description

Return the horizontal position of a box attached to a page or a paragraph.

Return Value

0	Left

2	Center

3	Right

7	Full align

 Related topics


?BoxHorizontalAlignTo
any:=?BoxHorizontalAlignTo

Syntax

()

Description

Return whether a box attached to a page is aligned to the margins or to a column or columns.

Return Value

1	Align margins

2	Align columns

 Related topics


?BoxHorizontalOffset
any:=?BoxHorizontalOffset

Syntax

()

Description

Return the right or left position of a box relative to an alignment point in WordPerfect units (1200ths of an inch).

 Related topics


?BoxImageBlackWhiteThreshold
any:=?BoxImageBlackWhiteThreshold

Syntax

()

Description

Return the threshold where image colors and/or grays convert to black or white. Colors or grays below the threshold convert to black; those above convert to white.

Return Value

Value: 1-255. Default: 127.

 Related topics


?BoxImageBrightness
any:=?BoxImageBrightness

Syntax

()

Description

Return the brightness of an image color.

Return Value

Value: -1.0 (black) to 1.0 (white).

 Related topics


?BoxImageContrast
any:=?BoxImageContrast

Syntax

()

Description

Return the image contrast value.

Return Value

Value: -1.0 (slight) to 1.0 (substantial).

 Related topics


?BoxImageDitherMethod
any:=?BoxImageDitherMethod

Syntax

()

Description

Return the dither method.

Return Value

1	Halftoning

2	Ordered dither

3	Error diffusion dither

6	Default

 Related topics


?BoxImageDitherSource
any:=?BoxImageDitherSource

Syntax

()

Description

Return the dither source.

Return Value

0	WordPerfect

1	Printer

6	Default

8	External

 Related topics


?BoxImageFill
any:=?BoxImageFill

Syntax

()

Description

Return the image fill type.

Return Value

0	Normal

1	Transparent

2	White

 Related topics


?BoxImageFlipX
any:=?BoxImageFlipX

Syntax

()

Description

Return whether an image is reversed on its horizontal axis.

Return Value

0	Not reversed

1	Reversed

 Related topics


?BoxImageFlipY
any:=?BoxImageFlipY

Syntax

()

Description

Return whether an image is flipped on its vertical axis.

Return Value

0	Not reversed

1	Reversed

 Related topics


?BoxImageHalftoneAngle0
any:=?BoxImageHalftoneAngle0

Syntax

()

Description

Return the image halftone angle. The default is generally 45, but it depends upon the selected printer.

 Related topics


?BoxImageHalftoneAngle1
any:=?BoxImageHalftoneAngle1

Syntax

()

Description

Return the image halftone angle 1.

 Related topics


?BoxImageHalftoneAngle2
any:=?BoxImageHalftoneAngle2

Syntax

()

Description

Return the image halftone angle 2.

 Related topics


?BoxImageHalftoneAngle3
any:=?BoxImageHalftoneAngle3

Syntax

()

Description

Return the image halftone angle 3.

 Related topics


?BoxImageHalftoneScreenLPI
any:=?BoxImageHalftoneScreenLPI

Syntax

()

Description

Return the halftone lines per inch (LPI).

Return Value

Default: 60.

 Related topics


?BoxImageInvertColors
any:=?BoxImageInvertColors

Syntax

()

Description

Return whether image colors have been inverted to their respective complementary colors.

Return Value

0	Not inverted

1	Inverted

 Related topics


?BoxImageMonochrome
any:=?BoxImageMonochrome

Syntax

()

Description

Return whether a color image converts to black and white.

Return Value

0	Not monochrome

1	Monochrome

 Related topics


?BoxImagePageBackground
any:=?BoxImagePageBackground

Syntax

()

Description

Return whether any background colors or gradients saved with an image are visible.

Return Value

0	Background not visible

1	Background visible


?BoxImageRotation
any:=?BoxImageRotation

Syntax

()

Description

Return the degree of rotation for a graphics box.

Return Value

Value: 0.0 to 359.0.

 Related topics


?BoxImageScalingX
any:=?BoxImageScalingX

Syntax

()

Description

Return the scaling width.

Return Value

Value: 0.01 to 9.99.

 Related topics


?BoxImageScalingY
any:=?BoxImageScalingY

Syntax

()

Description

Return the scaling height.

Return Value

Value: 0.01 to 9.99.

 Related topics


?BoxImageTranslationX
any:=?BoxImageTranslationX

Syntax

()

Description

Return the horizontal position of an image within a box.

Return Value

Value: -5.0 to 5.0. Default: 0.0.

 Related topics


?BoxImageTranslationY
any:=?BoxImageTranslationY

Syntax

()

Description

Return the vertical position of an image within a box.

Return Value

Value: -5.0 to 5.0. Default: 0.0.

 Related topics


?BoxLeftColumn
any:=?BoxLeftColumn

Syntax

()

Description

Return the number of the left column to which a graphics box aligns.

 Related topics


?BoxNumber
any:=?BoxNumber

Syntax

()

Description

Return the number of the box after the insertion point.


?BoxOverlap
any:=?BoxOverlap

Syntax

()

Description

Return whether a graphics box may overlap other boxes.

Return Value

0	No overlap

1	Overlap

 Related topics


?BoxRightColumn
any:=?BoxRightColumn

Syntax

()

Description

Return number of the right column to which a graphics box aligns.

 Related topics


?BoxSizeIsNotLimited
boolean:=?BoxSizeIsNotLimited

Syntax

()

Description

Return whether the box is limited by table boundaries.

Return Value

0	The box is limited by table boundaries.

1	The box is not limited by table boundaries.

 Note

•	New command

 Related topics


?BoxStaysOnPage
boolean:=?BoxStaysOnPage

Syntax

()

Description

Return whether the current box will stay on a specific page or move with the surrounding text. This command must be preceded by BoxCreate, BoxEdit, BoxEditByCounter, BoxEditNext, or BoxEditPrevious, and it must be followed by BoxEnd.

Return Value

0	Moves with text.

1	Stays on a specific page.

 Related topics


?BoxStyleName
any:=?BoxStyleName

Syntax

()

Description

Return the name of a box style.

Return Value

A string specifies a user-created style.

0	Figure box

1	Table box

2	Text box

3	User box

4	Equation box

5	Button box

6	Watermark image box

7	Inline equation box

127	No box

 Related topics


?BoxSuppressed
boolean:=?BoxSuppressed

Syntax

()

Description

Return whether the box is suppressed.

Return Value

0	The box is not suppressed.

1	The box is suppressed.

 Note

•	New command

 Related topics


?BoxTextAngle
any:=?BoxTextAngle

Syntax

()

Description

Return the degree of rotation for text in a box.

Return Value

0	None

1	90 degrees

2	180 degrees

3	270 degrees

 Related topics


?BoxTextDefaultStyle
any:=?BoxTextDefaultStyle

Syntax

()

Description

Return the default style of box text.

Return Value

0	Normal style

16	Footnote number in document style

17	Endnote number in document style

18	Figure number style

19	Table-box number style

20	Text-box number style

21	User-box number style

22	Equation number style

23	Hypertext style

24	TOC 1 style

25	TOC 2 style

26	TOC 3 style

27	TOC 4 style

28	TOC 5 style

29	Index 1 style

30	Index 2 style

31	List style

32	TOA style

33	Doc style

34	Box text style

35	Caption style

36	Footnote style

37	Endnote style

38	Comment style

39	Header A style

40	Header B style

41	Footer A style

42	Footer B style

43	Watermark A style

44	Watermark B style

45	Paragraph outline style

46	Outline style

47	Legal outline style

48	Bullets outline style

49	Headings outline style

50	Legal 2 outline style

51	Numbers outline style

52	Level 1 style

53	Level 2 style

54	Level 3 style

55	Level 4 style

56	Level 5 style

57	Level 6 style

58	Level 7 style

59	Level 8 style

60	Legal 1 style

61	Legal 2 style

62	Legal 3 style

63	Legal 4 style

64	Legal 5 style

65	Legal 6 style

66	Legal 7 style

67	Legal 8 style

68	Heading 1 style

69	Heading 2 style

70	Heading 3 style

71	Heading 4 style

72	Heading 5 style

73	Heading 6 style

74	Heading 7 style

75	Heading 8 style

 Related topics


?BoxVerticalAlignment
any:=?BoxVerticalAlignment

Syntax

()

Description

Return the vertical alignment of a box attached to a page or character.

Return Value

1	Top

2	Center

4	Bottom

6	Baseline

7	Full

 Related topics


?BoxVerticalAlignTo
any:=?BoxVerticalAlignTo

Syntax

()

Description

Return the alignment of a box to the margins.

Return Value

1	Aligned to margins

2	Fixed position

 Related topics


?BoxVerticalOffset
any:=?BoxVerticalOffset

Syntax

()

Description

Return the vertical position of a box relative to an alignment point in WordPerfect units (1200ths of an inch).

 Related topics


?BoxWidth
any:=?BoxWidth

Syntax

()

Description

Return the width of a graphics box.

Return Value

If the width is Auto, the value is 2. Otherwise, the value is in WordPerfect units.

 Related topics


?BoxWrapping
any:=?BoxWrapping

Syntax

()

Description

Return the direction of text wrapping around a box.

Return Value

0	Largest side

1	Left side

2	Right side

3	Neither side

8	Both sides

9	Columnar

15	No wrapping

 Related topics


?BoxWrappingType
any:=?BoxWrappingType

Syntax

()

Description

Return whether the text outside a box wraps around an image.

Return Value

4	Not contoured

5	Contoured

 Related topics


?ButtonBarActive
boolean:=?ButtonBarActive

Syntax

()

Description

Return True if the toolbar is active, False if not.

 Related topics


?CapBeginSentence
boolean:=?CapBeginSentence

Syntax

()

Description

Return True if the QuickCorrect Capitalize first letter option is on, False if not.

 Related topics


?Cell
string:=?Cell

Syntax

()

Description

Return the current table cell number. For example, if the insertion point is in the first cell of a table, this variable contains the value A1.

 Related topics


?CellAlignment
numeric:=?CellAlignment

Syntax

()

Description

Return the vertical alignment of the current cell.

Return Value

1	Top

2	Center

4	Bottom

 Related topics


?CellBold
boolean:=?CellBold

Syntax

()

Description

Return True if the cell font attribute is Bold, False if not.

 Related topics


?CellDoubleUnderline
boolean:=?CellDoubleUnderline

Syntax

()

Description

Return True if the cell font attribute is Double Underline, False if not.

 Related topics


?CellExtraLarge
boolean:=?CellExtraLarge

Syntax

()

Description

Return True if the cell font size is Extra Large, False if not.

 Related topics


?CellFill
any:=?CellFill

Syntax

()

Description

Return the fill style of the current cell.

Return Value

0	Fill 10

1	Fill 20

2	Fill 30

3	Fill 40

4	Fill 50

5	Fill 60

6	Fill 70

7	Fill 80

8	Fill 90

9	Fill 100

10	Fill button

127	No fill

 Related topics


?CellFine
boolean:=?CellFine

Syntax

()

Description

Return True if the cell font size is Fine, False if not.

 Related topics


?CellFormula
boolean:=?CellFormula

Syntax

()

Description

Return True if the cell contains a formula, False if not.

 Related topics


?CellIgnoreWhenCalculating
boolean:=?CellIgnoreWhenCalculating

Syntax

()

Description

Return True if the option to ignore the current cell or selected cells when calculating formulas is on, False if not.

 Related topics


?CellItalics
boolean:=?CellItalics

Syntax

()

Description

Return True if the cell font attribute is Italics, False if not.

 Related topics


?CellJustification
numeric:=?CellJustification

Syntax

()

Description

Return the justification of the current cell. Return 0 if the insertion point is not in a table cell.

Return Value

0	Left

1	Full

2	Center

3	Right

4	Full all

5	Decimal

 Related topics


?CellLarge
boolean:=?CellLarge

Syntax

()

Description

Return True if the cell font size is Large, False if not.

 Related topics


?CellLocked
boolean:=?CellLocked

Syntax

()

Description

Return True if the current cell is locked, False if not.

 Related topics


?CellNormal
boolean:=?CellNormal

Syntax

()

Description

Return True if the cell font size is Normal (meaning there are no specified attributes), False if not.

 Related topics


?CellOutline
boolean:=?CellOutline

Syntax

()

Description

Return True if the cell font attribute is Outline, False if not.

 Related topics


?CellRedline
boolean:=?CellRedline

Syntax

()

Description

Return True if the cell font attribute is Redline, False if not.

 Related topics


?CellShadow
boolean:=?CellShadow

Syntax

()

Description

Return True if the cell font attribute is Shadow, False if not.

 Related topics


?CellSmall
boolean:=?CellSmall

Syntax

()

Description

Return True if the cell font attribute is Small, False if not.

 Related topics


?CellSmallCaps
boolean:=?CellSmallCaps

Syntax

()

Description

Return True if the cell font attribute is Small Caps, False if not.

 Related topics


?CellSpecificAttribute
numeric:=?CellSpecificAttribute

Syntax

()

Description

Return whether the current cell contains cell-specific attributes.

Return Value

0	Does not contain cell-specific attributes

1	Contains cell-specific attributes

 Related topics


?CellSpecificJustification
numeric:=?CellSpecificJustification

Syntax

()

Description

Return the state of cell justification in the current cell.

Return Value

0	No cell justification

1	Cell justification

 Related topics


?CellStrikeout
boolean:=?CellStrikeout

Syntax

()

Description

Return True if the cell font attribute is Strikeout, False if not.

 Related topics


?CellSubscript
boolean:=?CellSubscript

Syntax

()

Description

Return True if the cell font attribute is Subscript, False if not.

 Related topics


?CellSuperscript
boolean:=?CellSuperscript

Syntax

()

Description

Return True if the cell font attribute is Superscript, False if not.

 Related topics


?CellUnderline
boolean:=?CellUnderline

Syntax

()

Description

Return True if the cell font attribute is Underline, False if not.

 Related topics


?CellVeryLarge
boolean:=?CellVeryLarge

Syntax

()

Description

Return True if the cell font attribute is Very Large, False if not.

 Related topics


?CellWidth
measurement:=?CellWidth

Syntax

()

Description

Return the width of the current table cell in WordPerfect units (1200ths of an inch).


?CenterCurrentPage
boolean:=?CenterCurrentPage

Syntax

()

Description

Return True if the contents of the current page only are centered vertically, False if not.

 Related topics


?CenterPages
boolean:=?CenterPages

Syntax

()

Description

Return True if the contents of the current page are centered vertically by means of the Current and subsequent pages setting in the Center Page(s) dialog box, False if not.

 Related topics


?ChapterNumber
numeric:=?ChapterNumber

Syntax

()

Description

Return the current chapter number.

 Related topics


?ChapterNumberMethod
numeric:=?ChapterNumberMethod

Syntax

()

Description

Return current chapter numbering method.

Return Value

0	Numbers

1	Lower letters

2	Upper letters

3	Lower roman

4	Upper roman

 Related topics


?CharSpaceWidth
numeric:=?CharSpaceWidth

Syntax

()

Description

Return the distance between letters.

Return Value

Percent of WordPerfect optimal. Normal: 0, optimal: 100.


?CleanUpSpaces
boolean:=?CleanUpSpaces

Syntax

()

Description

Return True if Cut and Paste Cleanup is on, False if not.

 Related topics


?Column
numeric:=?Column

Syntax

()

Description

Return the number of the current text column or table column.


?ColumnBorder
any:=?ColumnBorder

Syntax

()

Description

Return whether the current column setting includes a border.

Return Value

0	No border

1	Border

 Related topics


?ColumnDefine
any:=?ColumnDefine

Syntax

()

Description

Return the current column type.

Return Value

0	Newspaper

1	Newspaper balanced

2	Parallel

3	Parallel block protect

 Related topics


?ColumnWidth
any:=?ColumnWidth

Syntax

()

Description

Return the width of the current column in WordPerfect units (1200ths of an inch).

 Related topics


?ConfirmCodesDelete
boolean:=?ConfirmCodesDelete

Syntax

()

Description

Return True if Confirm deletion of codes, Stop insertion point at hidden codes is on in Environment Preferences, False if not.

 Related topics


?ConfirmFormulaDelete
boolean:=?ConfirmFormulaDelete

Syntax

()

Description

Return True if Confirm deletion of table formulas is selected in Environment Preferences, False if not.

 Related topics


?CurrentKeyboard
string:=?CurrentKeyboard

Syntax

()

Description

Return the name of the active keyboard.

 Related topics


?CurrentLabel
string:=?CurrentLabel

Syntax

()

Description

Return the name of the current label definition.

 Related topics


?CurrentMenu
string:=?CurrentMenu

Syntax

()

Description

Return the name of the active menu bar.

 Related topics


?CurrentPaperName
string:=?CurrentPaperName

Syntax

()

Description

Return the name of the current page definition.

 Related topics


?CurrentParagraphLevel
numeric:=?CurrentParagraphLevel

Syntax

()

Description

Return the level of the active outline paragraph.

 Related topics


?CurrentPrinterPort
string:=?CurrentPrinterPort

Syntax

()

Description

Return the name of the active printer port.

 Related topics


?CurrentStyle
string:=?CurrentStyle

Syntax

()

Description

Return the name of the active style.

 Related topics


?CurrentSubdoc
numeric:=?CurrentSubdoc

Syntax

()

Description

Return the active substructure.

Return Value

0	None

1	Footnote

2	Endnote

3	Header A

4	Header B

5	Footer A

6	Footer B

7	Watermark A

8	Watermark B

9	ToA Full Form

10	Window Caption

11	Text Box

12	Equation Editor

13	Comment

14	Endnote (for placement)

15	Envelope

16	Style

17	Equation Display

18	Delay Codes

19	Summary Abstract

 Related topics


?CurrentTableName
string:=?CurrentTableName

Syntax

()

Description

Return the active table name, or the previous table name if the insertion point is not in a table. Returns 0 if the insertion point is not in a table and there is no previous table.

 Related topics


?CurrentTemplate
string:=?CurrentTemplate

Syntax

()

Description

Return the path and filename of the active template.

 Related topics


?CurrentWord
string:=?CurrentWord

Syntax

()

Description

Return the word in which the insertion point is located.


?DateDay
numeric:=?DateDay

Syntax

()

Description

Return the current day of the month.

 Related topics


?DateMonth
numeric:=?DateMonth

Syntax

()

Description

Return the current month.

 Related topics


?DateWeekday
numeric:=?DateWeekday

Syntax

()

Description

Return the current day of the week.

 Related topics


?DateYear
numeric:=?DateYear

Syntax

()

Description

Return the current year.

 Related topics


?DecimalAlignmentCharacter
string:=?DecimalAlignmentCharacter

Syntax

()

Description

Return the current decimal alignment character.

 Related topics


?DefaultDocumentExtension
string:=?DefaultDocumentExtension

Syntax

()

Description

Return the default extension for document filenames.

 Related topics


?DefaultTemplateExtension
string:=?DefaultTemplateExtension

Syntax

()

Description

Return the default extension for template filenames.

 Related topics


?DefaultView
numeric:=?DefaultView

Syntax

()

Description

Return the default view.

Return Value

0	Draft

1	Page

2	Two page


?DisplayMode
numeric:=?DisplayMode

Syntax

()

Description

Return the current display mode.

Return Value

2	Draft View

3	Page View

4	Two Page View

 Related topics


?DocBlank
boolean:=?DocBlank

Syntax

()

Description

Return True if the current document is blank, False if not.


?DocChanged
boolean:=?DocChanged

Syntax

()

Description

Return True if the current document has been modified since the last time it was saved, False if not.

 Related topics


DocMapDlg

Syntax

()

Description

Displays the document map dialog box.


DocMapRefresh

Syntax

()

Description

Refreshes the document map.


?DocModified
boolean:=?DocModified

Syntax

()

Description

Return True if the active document has been modified since the last time it was saved, False if not.

 Related topics


?DocNeedsGenerating
boolean:=?DocNeedsGenerating

Syntax

()

Description

Return True if you have made any changes to the active document and it may need to be generated, False if not.

 Related topics


?DocNumber
numeric:=?DocNumber

Syntax

()

Description

Return the active document number (1-9), or returns 0 if the insertion point is in a document substructure such as a comment, header, or watermark.

Return Value

Value: 0-9.


?DocReadOnly
boolean:=?DocReadOnly

Syntax

()

Description

Return True if the current document is read only, False if not.

 Related topics


?DocumentFont
string:=?DocumentFont

Syntax

()

Description

Return the document initial font name.

 Related topics


?DocumentInformation
numeric:=?DocumentInformation

Syntax

()

Description

Return the number of characters in the active document.

 Related topics


?DOSName
string:=?DOSName

Syntax

()

Description

Return the active DOS filename.

 Related topics


?DOSPath
string:=?DOSPath

Syntax

()

Description

Return the active DOS file path, not including the filename.

 Related topics


?DotLeader
string:=?DotLeader

Syntax

()

Description

Return the active dot-leader character.

 Related topics


?DoubleSmartQuote
boolean:=?DoubleSmartQuote

Syntax

()

Description

Return True if QuickCorrect changes double quotes to double smart quotes, False if not.

 Related topics


?DropCapBorderStyle
any:=?DropCapBorderStyle

Syntax

()

Description

Return the active drop-cap border style. Precede with DropCapBegin and end with DropCapEnd.

Return Value

A string specifies a user-defined style.

0	Spacing only

1	Single border

2	Double border

3	Dashed border

4	Dotted border

5	Thick border

6	Extra-thick border

7	Thin-thick border

8	Thick-thin border

9	Thick top-bottom border

10	Button border

11	Column border between

12	Column border all

127	No border

 Related topics


?DropCapCharacters
numeric:=?DropCapCharacters

Syntax

()

Description

Return the number of characters in a drop cap.

Example

You have to use DropCapBegin and DropCapEnd in conjunction with this command. Refer to the following code snippet.

 DropCapBegin ()

 vAdj = ?DropCapCharacters

 MessageBox (Status:vW; ;"This drop cap has " + (vAdj) + "characters.")

DropCapEnd (State: Cancel!)

 Related topics


?DropCapCharacterSize
numeric:=?DropCapCharacterSize

Syntax

()

Description

Return the active drop cap character size relative to a line of text.

 Related topics


?DropCapContourWrap
boolean:=?DropCapContourWrap

Syntax

()

Description

Return the state of Wrap Text around Drop Cap.

Return Value

0	Off

1	On

 Related topics


?DropCapFillStyle
any:=?DropCapFillStyle

Syntax

()

Description

Return the active drop cap fill style.

Return Value

A string indicates a user-defined style.

0	Fill 10

1	Fill 20

2	Fill 30

3	Fill 40

4	Fill 50

5	Fill 60

6	Fill 70

7	Fill 80

8	Fill 90

9	Fill 100

10	Fill button

127	No fill

 Related topics


?DropCapHorizontalAdjustment
numeric:=?DropCapHorizontalAdjustment

Syntax

()

Description

Return the percent a drop cap extends into the left margin.

Example

You must use DropCapBegin and DropCapEnd in conjunction with this command. Refer to the following code snippet.

DropCapBegin ()

 vAdj = ?DropCapHorizontalAdjustment

 MessageBox (Status:vW; ;"This drop cap is " + (vAdj*100) + "% horizontally adjusted.")

DropCapEnd (State: Cancel!)

 Related topics


?DropCapIncludeDescender
boolean:=?DropCapIncludeDescender

Syntax

()

Description

Return the state of Allow for Descender.

Return Value

0	Off

1	On

 Related topics


?DropCapIncludeDiacritic
boolean:=?DropCapIncludeDiacritic

Syntax

()

Description

Return the selection of Allow for Diacritic.

Return Value

0	Do not allow for diacritic

1	Allow for diacritic

 Related topics


?DropCapInParagraph
boolean:=?DropCapInParagraph

Syntax

()

Description

Return True if the current paragraph contains [Dropcap Definition], False if not.

Return Value

0	Does not contain code

1	Contains code

 Related topics


?DropCapKerning
measurement:=?DropCapKerning

Syntax

()

Description

Return the kerning distance between a drop cap and the text to the right. The default kerning is 0, and the measurement is expressed in WordPerfect units (1200ths of an inch). A negative value reduces the distance; a positive value increases it.

 Related topics


?DropCapNoWrap
boolean:=?DropCapNoWrap

Syntax

()

Description

Return the state of Wrap Text around Drop Cap.

Return Value

0	On

1	Off

 Related topics


?DropCapState
boolean:=?DropCapState

Syntax

()

Description

Return the state of the Drop Cap feature bar.

Return Value

0	Off

1	On

 Related topics


?DropCapUseColor
boolean:=?DropCapUseColor

Syntax

()

Description

Return information about whether the text color or a different color is used in a drop-cap character.

Return Value

0	Uses regular text color

1	Uses different color

 Related topics


?DropCapVerticalAdjustment
numeric:=?DropCapVerticalAdjustment

Syntax

()

Description

Return the number of lines to extend a drop cap.

Example

You must use DropCapBegin and DropCapEnd in conjunction with this command. Refer to the following code snippet.

DropCapBegin ()

 vAdj = ?DropCapHorizontalAdjustment

 MessageBox (Status:vW; ;"This drop cap is " + (vAdj*100) + "% horizontally adjusted.")

DropCapEnd (State: Cancel!)

 Related topics


?EditScreen
boolean:=?EditScreen

Syntax

()

Description

Return True if the current screen is an editing screen, False if not.


?Endnote
numeric:=?Endnote

Syntax

()

Description

Return the number of the endnote to the left of the insertion point.

 Related topics


?EndOfSentenceSpacing
numeric:=?EndOfSentenceSpacing

Syntax

()

Description

Return a value indicating the currently selected end-of-sentence spacing option.

Return Value

0	None

1	Single space to two spaces

2	Two spaces to single space

 Related topics


?FeatureBar
numeric:=?FeatureBar

Syntax

()

Description

Return the active feature bar.

Return Value

0	No feature bar displayed

35	Comment

91	Footnote/Endnote

92	Header/Footer

94	Hypertext

109	Graphics Box

124	Mark List

125	Mark Table of Contents

127	Keyboard Merge

137	Mark Table of Authorities

138	Mark Index

143	Outline

167	Mark Cross Reference

243	Watermark

265	Merge Form

270	Merge Table

271	Merge Text

275	Figure Edit

280	Transcribe

290	Table Formula

309	ToA Full Form

327	Delay Codes

337	Template

340	Box Caption Edit

341	Box Text Edit

342	Macro


?Fill
any:=?Fill

Syntax

()

Description

Return the active fill style. Precede with a command which specifies a fill style, such as FillStyleEdit, and follow with a closing command such as FillStyleEnd.

Return Value

0	Fill 10

1	Fill 20

2	Fill 30

3	Fill 40

4	Fill 50

5	Fill 60

6	Fill 70

7	Fill 80

8	Fill 90

9	Fill 100

10	Fill button

127	No fill

 Related topics


?FillGradientSteps
any:=?FillGradientSteps

Syntax

()

Description

Return the calculation of steps in a gradient.

Return Value

0	Not calculated automatically

1	Calculated automatically

 Related topics


?FillGradientType
any:=?FillGradientType

Syntax

()

Description

Return the active gradient fill type. The fill type can be linear, radial, or rectangular.

Return Value

0	Linear gradient

1	Radial gradient

2	Rectangular gradient

 Related topics


?FillType
any:=?FillType

Syntax

()

Description

Return the active fill-style type. The type can be either a pattern or a gradient.

Return Value

0	Pattern

1	Gradient

 Related topics


?FillWPG2Pattern
any:=?FillWPG2Pattern

Syntax

()

Description

Return the WordPerfect fill pattern. Precede with FillStyleCreate or FillStyleEdit and follow with FillStyleEnd, or precede with BoxCreate or BoxEdit and follow with BoxEnd.

Return Value

0	WPG2 Solid

1	WPG2 50 Gray

2	WPG2 25 Gray

3	WPG2 12 Gray

4	WPG2 Crosshatch 1

5	WPG2 Crosshatch 2

6	WPG2 Crosshatch 3

7	WPG2 Crosshatch 4

8	WPG2 Lines 1

9	WPG2 Lines 2

10	WPG2 Lines 3

11	WPG2 Lines 4

12	WPG2 Lines 5

13	WPG2 Lines 6

14	WPG2 Lines 7

15	WPG2 Lines 8

16	WPG2 Checkboard 1

17	WPG2 Checkboard 2

18	WPG2 Bricks 1

19	WPG2 Bricks 2

20	WPG2 Fishscale

21	WPG2 Honeycomb

22	WPG2 Patio

23	WPG2 Chainlink

24	WPG2 Weave

25	WPG2 Plaid

26	WPG2 Balls

27	WPG2 Mesh

28	WPG2 Crosses

29	WPG2 Triangles

30	WPG2 Waves

31	WPG2 Arch

 Related topics


?FirstLineIndent
measurement:=?FirstLineIndent

Syntax

()

Description

Return the indentation of the first line of a new paragraph.

 Related topics


?FirstPrintLineNum
numeric:=?FirstPrintLineNum

Syntax

()

Description

Return the first line number to print.

 Related topics


?Font
string:=?Font

Syntax

()

Description

Return the active font name, or the original font name when a font has been substituted.

 Related topics


?FontBold
boolean:=?FontBold

Syntax

()

Description

Return True if the active font attribute is Bold, False if not.

 Related topics


?FontDoubleUnderline
boolean:=?FontDoubleUnderline

Syntax

()

Description

Return True if the active font attribute is Double Underline, False if not.

 Related topics


?FontExtraLarge
boolean:=?FontExtraLarge

Syntax

()

Description

Return True if the active font attribute is Extra Large, False if not.

 Related topics


?FontFine
boolean:=?FontFine

Syntax

()

Description

Return True if the active font attribute is Fine, False if not.

 Related topics


?FontItalics
boolean:=?FontItalics

Syntax

()

Description

Return True if the active font attribute is Italics, False if not.

 Related topics


?FontLarge
boolean:=?FontLarge

Syntax

()

Description

Return True if the active font attribute is Large, False if not.

 Related topics


?FontOutline
boolean:=?FontOutline

Syntax

()

Description

Return True if the active font attribute is Outline, False if not.

 Related topics


?FontRedline
boolean:=?FontRedline

Syntax

()

Description

Return True if the active font attribute is Redline, False if not.

 Related topics


?FontShadow
boolean:=?FontShadow

Syntax

()

Description

Return True if the active font attribute is Shadow, False if not.

 Related topics


?FontSize
measurement:=?FontSize

Syntax

()

Description

Return the active font size in WordPerfect units (1200ths of an inch).

 Related topics


?FontSmall
boolean:=?FontSmall

Syntax

()

Description

Return True if the active font size is small, False if not.

 Related topics


?FontSmallCaps
boolean:=?FontSmallCaps

Syntax

()

Description

Return True if the active font attribute is small caps, False if not.

 Related topics


?FontStrikeout
boolean:=?FontStrikeout

Syntax

()

Description

Return True if the active font attribute is strikeout, False if not.

 Related topics


?FontSubscript
boolean:=?FontSubscript

Syntax

()

Description

Return True if the active font attribute is subscript, False if not.

 Related topics


?FontSuperscript
boolean:=?FontSuperscript

Syntax

()

Description

Return True if the active font attribute is superscript, False if not.

 Related topics


?FontUnderline
boolean:=?FontUnderline

Syntax

()

Description

Return True if the active font attribute is underline, False if not.

 Related topics


?FontVeryLarge
boolean:=?FontVeryLarge

Syntax

()

Description

Return True if the active font size is very large, False if not.

 Related topics


?FooterAInParagraph
boolean:=?FooterAInParagraph

Syntax

()

Description

Return whether a Footer A code is in the active paragraph.

Return Value

0	Not in paragraph

1	In paragraph

 Related topics


?FooterAOccur
numeric:=?FooterAOccur

Syntax

()

Description

Return the pages on which Footer A appears. It can be printed on odd-numbered pages, even-numbered pages, or all pages.

Return Value

0	No pages

1	Odd pages

2	Even pages

3	All pages

 Related topics


?FooterBInParagraph
boolean:=?FooterBInParagraph

Syntax

()

Description

Return whether a Footer B code is in the active paragraph.

Return Value

0	Not in paragraph

1	In paragraph

 Related topics


?FooterBOccur
numeric:=?FooterBOccur

Syntax

()

Description

Return the pages on which Footer B appears. It can be printed on odd-numbered pages, even-numbered pages, or all pages.

Return Value

0	No pages

1	Odd pages

2	Even pages

3	All pages

 Related topics


?FooterSeparator
any:=?FooterSeparator

Syntax

()

Description

Return the distance between text and a footer.

 Related topics


?Footnote
numeric:=?Footnote

Syntax

()

Description

Return the footnote number that is to the left of the insertion point.

 Related topics


?FootnoteContinued
boolean:=?FootnoteContinued

Syntax

()

Description

Return whether the current setting inserts a (continued . . .) message in footnotes that continue to the next page.

Return Value

0	No message

1	Insert message

 Related topics


?FootnoteMinimum
measurement:=?FootnoteMinimum

Syntax

()

Description

Return the minimum amount of footnote text to be kept together.

 Related topics


?FootnotePosition
numeric:=?FootnotePosition

Syntax

()

Description

Return whether footnotes print at the bottom of the page or just below the last line of text.

Return Value

0	Bottom of page

1	After text

 Related topics


?FootnoteRestartsPage
boolean:=?FootnoteRestartsPage

Syntax

()

Description

Return whether footnote numbering restarts on every page.

Return Value

0	Does not restart

1	Restarts

 Related topics


?FootnoteSpace
measurement:=?FootnoteSpace

Syntax

()

Description

Return the distance between footnotes.

 Related topics


?FormatForDefaultPrinter
boolean:=?FormatForDefaultPrinter

Syntax

()

Description

Return True if Reformat documents for the WordPerfect default printer on open is selected in Environment Settings, False if not.

 Related topics


?GetSelEndEx
numeric:=?GetSelEndEx

Syntax

()

Description

Returns a value indicating the end position of the selection.

 Note

•	New command


?GetSelSizeEx
numeric:=?GetSelSizeEx

Syntax

()

Description

Returns the size of the selection in bytes.

 Note

•	New command


?GetSelStartEx
numeric:=?GetSelStartEx

Syntax

()

Description

Returns a value indicating the start position of the selection.

 Note

•	New command


?GetSelTextEx
string:=?GetSelTextEx

Syntax

()

Description

Returns the data contained within a selection.

 Note

•	New command


?GetSelTextAllEx
string:=?GetSelTextAllEx

Syntax

()

Description

Returns the data contained within the entire document.

 Note

•	New command


?GraphicSelected
boolean:=?GraphicSelected

Syntax

()

Description

Return True if a box is selected, False if not.


?GraphicsLineBottomSpacing
measurement:=?GraphicsLineBottomSpacing

Syntax

()

Description

Return the amount of space below a graphics line in the active unit of measure.

 Related topics


?GraphicsLineColorBlue
numeric:=?GraphicsLineColorBlue

Syntax

()

Description

Return the blue value of a graphics line color.

Return Value

Value: 0-255.

 Related topics


?GraphicsLineColorGreen
numeric:=?GraphicsLineColorGreen

Syntax

()

Description

Return the green value of a graphics line color.

Return Value

Value: 0-255.

 Related topics


?GraphicsLineColorRed
numeric:=?GraphicsLineColorRed

Syntax

()

Description

Return the red value of a graphics line color.

Return Value

Value: 0-255.

 Related topics


?GraphicsLineColorShading
numeric:=?GraphicsLineColorShading

Syntax

()

Description

Return the shade of a graphics line color.

Return Value

Value: 0-100.

 Related topics


?GraphicsLineCount
numeric:=?GraphicsLineCount

Syntax

()

Description

Return the number of graphics lines in the active document.


?GraphicsLineHorizontalAlign
numeric:=?GraphicsLineHorizontalAlign

Syntax

()

Description

Return the horizontal alignment of a graphics line.

Return Value

0	Left

2	Center

3	Right

7	Full

8	Set

9	Between columns

 Related topics


?GraphicsLineHorizontalColumn
measurement:=?GraphicsLineHorizontalColumn

Syntax

()

Description

Return the column number. When the horizontal position of a graphics line is Between Columns, the value is the number of the column to the left of the line.

 Related topics


?GraphicsLineHorizontalPosition
measurement:=?GraphicsLineHorizontalPosition

Syntax

()

Description

Return the horizontal position of a graphics line in WordPerfect units (1200ths of an inch) (1200ths of an inch).

 Related topics


?GraphicsLineLength
measurement:=?GraphicsLineLength

Syntax

()

Description

Return the length of a graphics line in the current unit of measure.

 Related topics


?GraphicsLineNum
numeric:=?GraphicsLineNum

Syntax

()

Description

Return the current graphics line number.


?GraphicsLineStyle
any:=?GraphicsLineStyle

Syntax

()

Description

Return the graphics line style.

Return Value

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?GraphicsLineThickness
any:=?GraphicsLineThickness

Syntax

()

Description

Return the thickness of a graphics line.

 Related topics


?GraphicsLineTopSpacing
measurement:=?GraphicsLineTopSpacing

Syntax

()

Description

Return the spacing above a graphics line.

 Related topics


?GraphicsLineType
numeric:=?GraphicsLineType

Syntax

()

Description

Return the type of graphics line that is active. The line can be horizontal or vertical.

Return Value

0	Horizontal line

1	Vertical line

 Related topics


?GraphicsLineUseColor
boolean:=?GraphicsLineUseColor

Syntax

()

Description

Return whether a current line style color or a different color is used.

Return Value

0	Use line style color

1	Choose a color

 Related topics


?GraphicsLineVerticalAlign
numeric:=?GraphicsLineVerticalAlign

Syntax

()

Description

Return the vertical alignment of a graphics line.

Return Value

1	Top

2	Center

4	Bottom

6	Baseline

7	Full

8	Set

 Related topics


?GraphicsLineVerticalPosition
measurement:=?GraphicsLineVerticalPosition

Syntax

()

Description

Return the vertical position of a graphics line.

 Related topics


?HeaderAInParagraph
boolean:=?HeaderAInParagraph

Syntax

()

Description

Return whether a Header A code is in the active paragraph.

Return Value

0	Not in paragraph

1	In paragraph

 Related topics


?HeaderAOccur
numeric:=?HeaderAOccur

Syntax

()

Description

Return the pages on which Header A appears. It can be printed on odd-numbered pages, even-numbered pages, or all pages.

Return Value

0	No pages

1	Odd pages

2	Even pages

3	All pages

 Related topics


?HeaderBInParagraph
boolean:=?HeaderBInParagraph

Syntax

()

Description

Return whether a Header B code is in the active paragraph.

Return Value

0	Not in paragraph

1	In paragraph

 Related topics


?HeaderBOccur
numeric:=?HeaderBOccur

Syntax

()

Description

Return the pages on which Header B appears. It can be printed on odd-numbered pages, even-numbered pages, or all pages.

Return Value

0	No pages

1	Odd pages

2	Even pages

3	All pages

 Related topics


?HeaderSeparator
any:=?HeaderSeparator

Syntax

()

Description

Return the spacing above a header in WordPerfect units.

 Related topics


?HiddenTextActive
boolean:=?HiddenTextActive

Syntax

()

Description

Return True if hidden text is active (hidden text is hidden), False if not (hidden text is displayed).

 Related topics


?HypertextLast
string:=?HypertextLast

Syntax

()

Description

Return the filename of a hypertext link source.

 Related topics


?HypertextType
numeric:=?HypertextType

Syntax

()

Description

Return whether a hypertext link jumps to a bookmark or plays a macro.

Return Value

2	Bookmark

4	Macro

 Related topics


?Indent
numeric:=?Indent

Syntax

()

Description

Return the indentation of the active paragraph. Note: A Hanging Indent is simply an Indent followed by a Back Tab (margin release). Therefore, ?Indent returns 1 for paragraphs with hanging indentation.

Return Value

0	Not indented

1	Indented

2	Double indented

 Related topics


?IndexDefinition
string:=?IndexDefinition

Syntax

()

Description

Return the current index heading style.

Return Value

0	Normal style

16	Footnote number in document style

17	Endnote number in document style

18	Figure number style

19	Table box number style

20	Text box number style

21	User box number style

22	Equation number style

23	Hypertext style

24	TOC 1 style

25	TOC 2 style

26	TOC 3 style

27	TOC 4 style

28	TOC 5 style

29	Index 1 style

30	Index 2 style

31	List style

32	TOA style

33	Doc style

34	Box text style

35	Caption style

36	Footnote style

37	Endnote style

38	Comment style

39	Header A style

40	Header B style

41	Footer A style

42	Footer B style

43	Watermark A style

44	Watermark B style

45	Paragraph outline style

46	Outline style

47	Legal outline style

48	Bullets outline style

49	Headings outline style

50	Legal 2 outline style

51	Numbers outline style

52	Level 1 style

53	Level 2 style

54	Level 3 style

55	Level 4 style

56	Level 5 style

57	Level 6 style

58	Level 7 style

59	Level 8 style

60	Legal 1 style

61	Legal 2 style

62	Legal 3 style

63	Legal 4 style

64	Legal 5 style

65	Legal 6 style

66	Legal 7 style

67	Legal 8 style

68	Heading 1 style

69	Heading 2 style

70	Heading 3 style

71	Heading 4 style

72	Heading 5 style

73	Heading 6 style

74	Heading 7 style

75	Heading 8 style

 Related topics


?Initials
string:=?Initials

Syntax

()

Description

Return the initials of the current user. This command is valid only if WordPerfect is running on a network.


?InOutline
boolean:=?InOutline

Syntax

()

Description

Return True if the insertion point is in an outline, False if not.


?InTable
boolean:=?InTable

Syntax

()

Description

Return True if the insertion point is in a table, False if not.


?InterimVersion
numeric:=?InterimVersion

Syntax

()

Description

Return the interim release number of the current version of WordPerfect. For example, the value assigned to the initial release is 0, and the first interim is 1.


?IrregularCap
boolean:=?IrregularCap

Syntax

()

Description

Return True if QuickCorrect checks for irregular capitalization, False if not.

 Related topics


?Justification
numeric:=?Justification

Syntax

()

Description

Return the current text justification.

Return Value

0	Left

1	Full

2	Center

3	Right

4	Full all

5	Decimal

 Related topics


?Kerning
boolean:=?Kerning

Syntax

()

Description

Return the state of Automatic Kerning.

Return Value

0	Off

1	On

 Related topics


?KeyCapsLock
boolean:=?KeyCapsLock

Syntax

()

Description

Return True if Caps Lock is on, False if not.


?LabelsToDisplay
numeric:=?LabelsToDisplay

Syntax

()

Description

Return whether label definitions are listed for laser or tractor-feed printers, or both types.

Return Value

0	Laser

1	Tractor

2	Both

 Related topics


?Language
string:=?Language

Syntax

()

Description

Return the WordPerfect code for the active language. For example, U.S. English is US.

 Related topics


?LeftChar
string:=?LeftChar

Syntax

()

Description

Return the character immediately to the left of the insertion point.

 Related topics


?LeftCode
numeric:=?LeftCode

Syntax

()

Description

Return the code to the left of the insertion point.

 Related topics


?LeftHyphZone
numeric:=?LeftHyphZone

Syntax

()

Description

Return the lower limit of a hyphenation zone as a percent of a word.

 Related topics


?Line
measurement:=?Line

Syntax

()

Description

Return the vertical position of the insertion point relative to the top of the page.


?LineHeight
numeric:=?LineHeight

Syntax

()

Description

Return fixed or automatic line height.

Return Value

0	Fixed

1	Automatic

 Related topics


?LineNumber
numeric:=?LineNumber

Syntax

()

Description

Return the first-line number of the active document.

 Related topics


?LineNumbering
boolean:=?LineNumbering

Syntax

()

Description

Return True if line numbering is on, False if not.

 Related topics


?LineNumberingInterval
numeric:=?LineNumberingInterval

Syntax

()

Description

Return the interval between numbered lines.

 Related topics


?LineNumberMethod
numeric:=?LineNumberMethod

Syntax

()

Description

Return the line numbering method.

Return Value

0	Numbers

1	Lower letters

2	Upper letters

3	Lower roman

4	Upper roman

 Related topics


?LineNumCountBlankLines
boolean:=?LineNumCountBlankLines

Syntax

()

Description

Return True if line numbering counts blank lines, False if not.

 Related topics


?LineNumNewspaperCols
boolean:=?LineNumNewspaperCols

Syntax

()

Description

Return True if line numbering numbers newspaper columns, False if not.

 Related topics


?LineNumPosition
measurement:=?LineNumPosition

Syntax

()

Description

Return the line-numbering position.

 Related topics


?LineSegmentBlue
numeric:=?LineSegmentBlue

Syntax

()

Description

Return the blue value of a table line-segment color.

Return Value

Value: 0-255.

 Related topics


?LineSegmentCount
numeric:=?LineSegmentCount

Syntax

()

Description

Return the number of line segments in a line style.

 Related topics


?LineSegmentGreen
numeric:=?LineSegmentGreen

Syntax

()

Description

Return the green value of a line-segment color.

Return Value

Value: 0-255.

 Related topics


?LineSegmentRed
numeric:=?LineSegmentRed

Syntax

()

Description

Return the red value of a line-segment color.

Return Value

Value: 0-255.

 Related topics


?LineSegmentSetUserData
any:=?LineSegmentSetUserData

Syntax

()

Description

Return the dash length of the active graphics line pattern.

 Related topics


?LineSegmentShading
any:=?LineSegmentShading

Syntax

()

Description

Return the shade of a line-segment color.

Return Value

Value: 0-100.

 Related topics


?LineSegmentSpacing
any:=?LineSegmentSpacing

Syntax

()

Description

Return the distance between stacked line segments.

 Related topics


?LineSegmentWavy
any:=?LineSegmentWavy

Syntax

()

Description

Returns whether the line segment is wavy.

 Note

•	New command


?LineSegmentWavyWidth
any:=?LineSegmentWavyWidth

Syntax

()

Description

Returns the thickness of a wavy line segment.

 Note

•	New command


?LineSegmentWidth
any:=?LineSegmentWidth

Syntax

()

Description

Return the line-segment thickness of the current graphics line pattern.

 Related topics


?LineSegmentWPG2Pattern
any:=?LineSegmentWPG2Pattern

Syntax

()

Description

Return the WordPerfect line-segment pattern.

Return Value

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra-thick line

6	Thin-thick line

7	Thick-thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?LineSpacing
numeric:=?LineSpacing

Syntax

()

Description

Return a value representing the distance between lines of text at the insertion point.

 Related topics


?ListDefinition
string:=?ListDefinition

Syntax

()

Description

Return the name of the last list created.

 Related topics


?MacroExecute
boolean:=?MacroExecute

Syntax

()

Description

Return True if a macro is playing, False if not.

 Related topics


?MacroPlaying
boolean:=?MacroPlaying

Syntax

()

Description

Return True if a macro is playing, False if not.

 Related topics


?MacroRecord
boolean:=?MacroRecord

Syntax

()

Description

Return True if a macro is recording, False if not.


?MajorVersion
numeric:=?MajorVersion

Syntax

()

Description

Return the major version number of the WordPerfect program you are using.

 Related topics


?MergeDone
boolean:=?MergeDone

Syntax

()

Description

Return True If you are in a merge and False if you are not.


?MinorVersion
numeric:=?MinorVersion

Syntax

()

Description

Return the minor version number of the WordPerfect program you are using.

 Related topics


?Name
string:=?Name

Syntax

()

Description

Return the active filename.


?Network
boolean:=?Network

Syntax

()

Description

Return True if WordPerfect is running on a network, False if not.


?NotFound
boolean:=?NotFound

Syntax

()

Description

Return True if the object of the last search was not found, False if not.


?NumberOpenDocuments
numeric:=?NumberOpenDocuments

Syntax

()

Description

Return the number of open documents.


?ODMAName
string:=?ODMAName

Syntax

()

Description

Return the active ODMA filename.

 Related topics


?ODMAPath
string:=?ODMAPath

Syntax

()

Description

Return the active ODMA document ID (not including the filename).

 Related topics


?Overstrike
string:=?Overstrike

Syntax

()

Description

Return the active overstrike characters.

 Related topics


?Page
numeric:=?Page

Syntax

()

Description

Return the active page number.

 Related topics


?PageBorder
any:=?PageBorder

Syntax

()

Description

Return whether the active page has a page border. This command does not detect Fancy page borders.

Return Value

0	No page border

1	Page border exists

 Related topics


?PageNumberFormat
string:=?PageNumberFormat

Syntax

()

Description

Return the text of the active page-numbering format.

 Related topics


?PageNumberingOn
boolean:=?PageNumberingOn

Syntax

()

Description

Return the state of page numbering.

Return Value

0	No page numbering

1	Page numbering on

 Related topics


?PageNumberingValue
any:=?PageNumberingValue

Syntax

()

Description

Return the new page number specified in Page Settings in the Numbering Value dialog box.

 Related topics


?PageNumberMethod
numeric:=?PageNumberMethod

Syntax

()

Description

Return the active page-numbering method.

Return Value

0	Numbers

1	Lower letters

2	Upper letters

3	Lower roman

4	Upper roman

 Related topics


?PageNumberPosition
numeric:=?PageNumberPosition

Syntax

()

Description

Return the active page-number position.

Return Value

0	None

1	Top left

2	Top center

3	Top right

4	Top alternating

5	Bottom left

6	Bottom center

7	Bottom right

8	Bottom alternating

 Related topics


?PageSuppress
numeric:=?PageSuppress

Syntax

()

Description

Return the items suppressed on the current page. If two or more items are suppressed, the value returned is the sum of the items' values.

Return Value

0	None

1	Page numbering

2	Print page number at bottom center on current page

4	Header A

8	Header B

16	Footer A

32	Footer B

64	Watermark A

128	Watermark B

253	All

 Related topics


?PaperLength
measurement:=?PaperLength

Syntax

()

Description

Return the current paper length in WordPerfect units (1200ths of an inch) of measure.

 Related topics


?PaperSizeType
numeric:=?PaperSizeType

Syntax

()

Description

Return the paper type selected in the Paper Size dialog box.

Return Value

0	All others

1	Standard

2	Bond

3	Letterhead

4	Labels

5	Envelope

6	Transparency

7	Cardstock

8	Glossy

9	Clay based

255	Other

 Related topics


?PaperWidth
measurement:=?PaperWidth

Syntax

()

Description

Return the current paper width in WordPerfect units (1200ths of an inch) of measure.

 Related topics


?ParagraphBorder
any:=?ParagraphBorder

Syntax

()

Description

Return whether the current paragraph has a paragraph border.

Return Value

0	No paragraph border

1	Paragraph border exists

 Related topics


?ParagraphNumber
any:=?ParagraphNumber

Syntax

()

Description

Return the level number of the current outline style. If the program is not in outline mode, the value is 0.

 Related topics


?ParagraphNumberMethod
any:=?ParagraphNumberMethod

Syntax

()

Description

Return the paragraph numbering method in the current outline style.

Return Value

0	Numbers

1	Lower letters

2	Upper letters

3	Lower roman

4	Upper roman

 Related topics


?Path
string:=?Path

Syntax

()

Description

Return the current file path without the filename.


?PathBackup
string:=?PathBackup

Syntax

()

Description

Return the backup directory as specified in Files Settings.

 Related topics


?PathCurrent
string:=?PathCurrent

Syntax

()

Description

Return the current directory.


?PathDatabase
string:=?PathDatabase

Syntax

()

Description

Return the database directory as specified in Files Settings.

 Related topics


?PathDatabaseSupplemental
string:=?PathDatabaseSupplemental

Syntax

()

Description

Return the supplemental database directory as specified in Files Settings.

 Related topics


?PathDocument
string:=?PathDocument

Syntax

()

Description

Return the documents directory as specified in Files Settings.

 Related topics


?PathGraphics
string:=?PathGraphics

Syntax

()

Description

Return the graphics directory as specified in Files Settings.

 Related topics


?PathGraphicsSupplemental
string:=?PathGraphicsSupplemental

Syntax

()

Description

Return the supplemental graphics directory as specified in Files Settings.

 Related topics


?PathLabels
string:=?PathLabels

Syntax

()

Description

Return the labels directory and filename as specified in Files Settings.

 Related topics


?PathMacros
string:=?PathMacros

Syntax

()

Description

Return the macros directory as specified in Files Settings.

 Related topics


?PathMacrosSupplemental
string:=?PathMacrosSupplemental

Syntax

()

Description

Return the supplemental macros directory as specified in Files Settings.

 Related topics


?PathPrinters
string:=?PathPrinters

Syntax

()

Description

Return the folder specified for label files in the Files Settings dialog box. Formerly, WordPerfect printer driver files were also stored in this folder.

 Related topics


?PathProgram
string:=?PathProgram

Syntax

()

Description

Return the WordPerfect program directory, where WPWIN10.EXE is located.

 Related topics


?PathShared
string:=?PathShared

Syntax

()

Description

Return the WordPerfect PerfectFit directory.

 Related topics


?PathSpreadsheet
string:=?PathSpreadsheet

Syntax

()

Description

Return the spreadsheet directory as specified in Files Settings.

 Related topics


?PathSpreadsheetSupplemental
string:=?PathSpreadsheetSupplemental

Syntax

()

Description

Return the supplemental spreadsheet directory as specified in Files Settings.

 Related topics


?PathTemplate
string:=?PathTemplate

Syntax

()

Description

Return the template directory as specified in Files Settings.

 Related topics


?PathTemplateSupplemental
string:=?PathTemplateSupplemental

Syntax

()

Description

Return the supplemental template directory as specified in Files Settings.

 Related topics


?PauseKey
string:=?PauseKey

Syntax

()

Description

Return the keystroke specified to resume a paused macro.

 Related topics


?Position
measurement:=?Position

Syntax

()

Description

Return the horizontal position of the insertion point in WordPerfect units (1200ths of an inch).

 Related topics


?PowerBarActive
boolean:=?PowerBarActive

Syntax

()

Description

Return True if the Power Bar is active, False if not.

 Related topics


?QuickCorrect
boolean:=?QuickCorrect

Syntax

()

Description

Return True if QuickCorrect will replace words as you type, False if not.

 Related topics


?Random
numeric:=?Random

Syntax

()

Description

Return a random number between 0 and 32767.

 Related topics


?RedlineCharacter
numeric:=?RedlineCharacter

Syntax

()

Description

Return the ASCII numeric equivalent of the redline character.

 Related topics


?RedlineMethod
numeric:=?RedlineMethod

Syntax

()

Description

Return the redline method of the current document.

Return Value

0	Printer dependent

1	Left margin

2	Alternating

3	Right margin

 Related topics


?RevealCodesActive
boolean:=?RevealCodesActive

Syntax

()

Description

Return True if Reveal Codes is on, False if not.

 Related topics


?RightChar
string:=?RightChar

Syntax

()

Description

Return the character at the insertion point.

 Related topics


?RightCode
numeric:=?RightCode

Syntax

()

Description

Return the numeric equivalent of the code at the insertion point.

 Related topics


?RightHyphZone
numeric:=?RightHyphZone

Syntax

()

Description

Return the upper limit of a hyphenation zone as a percent of a word.

 Related topics


?Row
numeric:=?Row

Syntax

()

Description

Return the current row number in a table.

 Related topics


?RowHeader
numeric:=?RowHeader

Syntax

()

Description

Return whether the current table row is a header row.

Return Value

0	Not a header

1	Header

 Related topics


?RowHeight
measurement:=?RowHeight

Syntax

()

Description

Return the current table-row height in WordPerfect units (1200ths of an inch).

 Related topics


?RulerBarActive
boolean:=?RulerBarActive

Syntax

()

Description

Return True if the Ruler is active, False if not.

 Related topics


?SaveDocumentSummaryOnExit
boolean:=?SaveDocumentSummaryOnExit

Syntax

()

Description

Return True if Create Summary on Save/Exit is active, False if not.

 Related topics


?SaveWorkspace
numeric:=?SaveWorkspace

Syntax

()

Description

Return the Save Workspace environment preference setting.

Return Value

0	Always

1	Never

2	Prompt on Exit

 Related topics


?SecondaryPageNumber
numeric:=?SecondaryPageNumber

Syntax

()

Description

Return the current secondary page number.

 Related topics


?SecondaryPageNumberMethod
numeric:=?SecondaryPageNumberMethod

Syntax

()

Description

Return the secondary page-numbering method.

Return Value

0	Numbers

1	Lower letters

2	Upper letters

3	Lower roman

4	Upper roman

 Related topics


?SelectedText
string:=?SelectedText

Syntax

()

Syntax

Return the selected text. Returns an empty string if no text is selected. This command does not type the text, but it can be used to evaluate the text or to assign it to another variable.

 Related topics


?SelectedTextSize
numeric:=?SelectedTextSize

Syntax

()

Description

Return the number of bytes in the currently selected text.

 Related topics


?SetQuickmarkOnSave
boolean:=?SetQuickmarkOnSave

Syntax

()

Description

Return True if Set QuickMark on Save is selected, False if not.

 Related topics


?SGMLActive
boolean:=?SGMLActive

Syntax

()

Description

Return True if the current document is an SGML document, False if not.


?SGMLAttributePrompt
numeric:=?SGMLAttributePrompt

Syntax

()

Description

Return a value representing how prompting for attributes is set in the Elements dialog box. This command is valid only if the WordPerfect SGML program component is installed.

Return Value

0	Never prompt for attributes

1	Always prompt for attributes

2	Prompt for attributes only if one is required


?SGMLChaining
boolean:=?SGMLChaining

Syntax

()

Description

Return True if chaining is turned on in the Elements dialog box, False if not. This command is valid only if the WordPerfect SGML program component is installed.


?SGMLCurrentLGC
string:=?SGMLCurrentLGC

Syntax

()

Description

Return the path and filename of the current logic filename (.LGC), 0 if none is selected. This command is valid only if the WordPerfect SGML program component is installed.


?SGMLCurrentLSI
string:=?SGMLCurrentLSI

Syntax

()

Description

Return the filename of the current layout file (.LSI), 0 if none is selected. This command is valid only if the WordPerfect SGML program component is installed.


?SGMLCurrentRootElement
string:=?SGMLCurrentRootElement

Syntax

()

Description

Return the name of the current root element, 0 if none is selected. This command is valid only if the WordPerfect SGML program component is installed.


?SGMLDataTypeAllowed
numeric:=?SGMLDataTypeAllowed

Syntax

()

Description

Return a value showing the type of data allowed at the insertion point. This command is valid only if the WordPerfect SGML program component is installed.

Return Value

0	Data not allowed at cursor position

1	PCDATA allowed at cursor position

2	RCDATA allowed at cursor position

3	CDATA allowed at cursor position


?SGMLDisplayCodes
numeric:=?SGMLDisplayCodes

Syntax

()

Description

Return a value representing how the display of codes is set in the SGML Preferences dialog box. This command is valid only if the WordPerfect SGML program component is installed.

Return Value

0	SGML codes are hidden

1	SGML codes are shown as text

2	SGML codes are shown as a single character


?SGMLDisplayInclusions
boolean:=?SGMLDisplayInclusions

Syntax

()

Description

Return True if inclusions are shown in a valid element list, False if not (determined by the setting in the Elements dialog box). This command is valid only if the WordPerfect SGML program component is installed.


?SGMLLGCPath
string:=?SGMLLGCPath

Syntax

()

Description

Return the path for the default logic files (.LGC), not including the filename. This command is valid only if the WordPerfect SGML program component is installed.


?ShowBoxes
boolean:=?ShowBoxes

Syntax

()

Description

Return hidden or displayed box contents.

Return Value

0	Hide graphics

1	Show graphics

 Related topics


?SingleSmartQuote
boolean:=?SingleSmartQuote

Syntax

()

Description

Return True if QuickCorrect changes single quotes to single smart quotes, False if not.

 Related topics


?SingleSpaceInSentence
boolean:=?SingleSpaceInSentence

Syntax

()

Description

Return True if QuickCorrect changes multiple spaces within sentences to single spaces, False if not.

 Related topics


?SortGetAction
any:=?SortGetAction

Syntax

()

Description

Return the state of Select Without Sorting.

Return Value

0	Off

1	On

 Related topics


?SortGetCase
any:=?SortGetCase

Syntax

()

Description

Return the state of Uppercase First sorting.

Return Value

0	Off

1	On

 Related topics


?SortGetUndo
any:=?SortGetUndo

Syntax

()

Description

Return the state of Allow Undo sorting.

Return Value

0	Do not allow undo

1	Allow undo

 Related topics


?SpaceExpansion
numeric:=?SpaceExpansion

Syntax

()

Description

Return the compression limit for word spacing justification.

Return Value

Percent.

 Related topics


?SpacingBelowPar
numeric:=?SpacingBelowPar

Syntax

()

Description

Return the distance between paragraphs. Default: 1.0 (font point size plus 2 points).

 Related topics


?StartingLineNumber
numeric:=?StartingLineNumber

Syntax

()

Description

Return the first number to use when numbering lines of text.

 Related topics


?StatusBarActive
boolean:=?StatusBarActive

Syntax

()

Description

Return True if the status bar is active, False if not.

 Related topics


?Substructure
boolean:=?Substructure

Syntax

()

Description

Return True if a substructure is active, False if not.

 Related topics


?TableAlternateFill
numeric:=?TableAlternateFill

Syntax

()

Description

Return the state of Alternating Fill in the current table.

Return Value

0	Off

2	Rows

3	Columns

 Related topics


?TableDefaultLine
any:=?TableDefaultLine

Syntax

()

Description

Return the default line style of the current table.

Return Value

0	Single line

1	Double line

2	Dashed line

3	Dotted line

4	Thick line

5	Extra thick line

6	Thin thick line

7	Thick thin line

8	Button top-left line

9	Button bottom-right line

126	Table default line

127	No line

 Related topics


?TableGuides
boolean:=?TableGuides

Syntax

()

Description

Return the state of Table Cell Guides display.

Return Value

0	Off

1	On

 Related topics


?TableInTable
boolean:=?TableInTable

Syntax

()

Description

Return whether the insertion point is in a table.

Return Value

0	Not in a table

1	In a table

 Related topics


?TableLastCell
boolean:=?TableLastCell

Syntax

()

Description

Return whether the current cell is the last cell of a table.

Return Value

0	Not last cell

1	Last cell


?TableSecondFillStyle
any:=?TableSecondFillStyle

Syntax

()

Description

Return the alternating fill style of a table.

Return Value

0	Fill 10

1	Fill 20

2	Fill 30

3	Fill 40

4	Fill 50

5	Fill 60

6	Fill 70

7	Fill 80

8	Fill 90

9	Fill 100

10	Fill Button

11	Fill 5

127	No fill

 Related topics


?TableSkewedColumn
any:=?TableSkewedColumn

Syntax

()

Description

Returns whether or not the first or last column is skewed.

 Note

•	New command


?TableSkewedColumnAngle
any:=?TableSkewedColumnAngle

Syntax

()

Description

Returns the skew angle of the table.

 Note

•	New command


?TableSkewedColumnText
boolean:=?TableSkewedColumnText

Syntax

()

Description

Returns whether the column text is skewed.

Return Value

0	The column text is not skewed.

1	The column text is skewed.

 Note

•	New command


?TableSkewedJoinedCorners
boolean:=?TableSkewedJoinedCorners

Syntax

()

Description

Returns whether or not the skewed table has joined corners.

Return Value

0	The skewed table does not have joined corners.

1	The skewed table has joined corners.

 Note

•	New command


?TableSkewedRowAngle
any:=?TableSkewedRowAngle

Syntax

()

Description

Returns the skew angle of the table.

 Note

•	New command


?TableSkewedRowText
boolean:=?TableSkewedRowText

Syntax

()

Description

Returns whether or not the row text is skewed.

Return Value

0	The row text is not skewed.

1	The row text is skewed.

 Note

•	New command


?TableSkewedSquareRow
any=?TableSkewedSquareRow

Syntax

()

Description

Returns whether the first row is square.

Return Value

0	The first row is not square.

1	The first row is square.

 Note

•	New command


?TableStyle
any:=?TableStyle

Syntax

()

Description

Return the current table style.

Return Value

0	Table style 1

1	Table style 2

2	Table style 3

3	Table style 4

4	Table style 5

5	Table style 6

6	Table style 7

7	Table style 8

8	Table style 9

9	Table style 10

10	Table style 11

11	Table style 12

12	Table style 13

13	Table style 14

14	Table style 15

15	Table style 16

16	Table style 17

17	Table style 18

18	Table style 19

19	Table style 20

20	Table style 21

21	Table style 22

22	Table style 23

23	Table style 24

24	Table style 25

25	Table style 26

26	Table style 27

27	Table style 28

28	Table style 29

29	Table style 30

30	Table style 31

31	Table style 32

32	Table style 33

33	Table style 34

34	Table style 35

35	Table style 36

36	Table style 37

37	Table style 38

38	Table style 39

39	Table style 40

127	No table style

 Related topics


?TabSettings
numeric:=?TabSettings

Syntax

()

Description

Return whether tabs are set from the left edge of the paper or relative to the left margin.

Return Value

0	Left edge of paper

1	Left margin

 Related topics


?TemplateFile
string:=?TemplateFile

Syntax

()

Description

Return the path and filename of the default template.

 Related topics


?TemplateFileSupplemental
string:=?TemplateFileSupplemental

Syntax

()

Description

Return the path and filename of the Additional Objects Template.

 Related topics


?TemplateFillCanceled
boolean:=?TemplateFillCanceled

Syntax

()

Description

Return True if the last Template Fill was canceled, False if not.

 Related topics


?TextColorBlue
numeric:=?TextColorBlue

Syntax

()

Description

Return the blue value of the current text color.

Return Value

Value: 0-255.

 Related topics


?TextColorGreen
numeric:=?TextColorGreen

Syntax

()

Description

Return the green value of the current text color.

Return Value

Value: 0-255.

 Related topics


?TextColorRed
numeric:=?TextColorRed

Syntax

()

Description

Return the red value of the current text color.

Return Value

Value: 0-255.

 Related topics


?TextColumnNumber
numeric:=?TextColumnNumber

Syntax

()

Description

Return the number of the current column.

 Related topics


?TextColumns
numeric:=?TextColumns

Syntax

()

Description

Return the number of columns in the current document.

 Related topics


?TextShade
numeric:=?TextShade

Syntax

()

Description

Return the percent of shading for the text.

 Related topics


?TimeHour
numeric:=?TimeHour

Syntax

()

Description

Return the current hour on a 24-hour clock.

 Related topics


?TimeHundredth
numeric:=?TimeHundredth

Syntax

()

Description

Return the current hundredth of a second.

 Related topics


?TimeMinute
numeric:=?TimeMinute

Syntax

()

Description

Return the current minute.

 Related topics


?TimeSecond
numeric:=?TimeSecond

Syntax

()

Description

Return the current second.

 Related topics


?TOADefinition
string:=?TOADefinition

Syntax

()

Description

Return the name of the last Table of Authorities section created.

 Related topics


?TOAShortFormMarks
string:=?TOAShortFormMarks

Syntax

()

Description

Return the name of the first short form used.

 Related topics


?TOAShortForms
string:=?TOAShortForms

Syntax

()

Description

Return the name of the last short form used.

 Related topics


?TOCDefinition
numeric:=?TOCDefinition

Syntax

()

Description

Return the number of levels defined for the table of contents.

 Related topics


?TypeoverActive
boolean:=?TypeoverActive

Syntax

()

Description

Return True if Typeover is on, False if not.

 Related topics


?UndeleteBuffers
numeric:=?UndeleteBuffers

Syntax

()

Description

Return the number of buffers that contain information available to be undeleted.

Return Value

The range of possible values is 0-3.

 Related topics


?UnderlineColorBlue
numeric:=?UnderlineColorBlue

Syntax

()

Description

Returns the amount of blue in the current underline color.

 Note

•	New command


?UnderlineColorGreen
numeric:=?UnderlineColorGreen

Syntax

()

Description

Returns the amount of green in the current underline color.

 Note

•	New command


?UnderlineColorRed
numeric:=?UnderlineColorRed

Syntax

()

Description

Returns the amount of red in the current underline color.

 Note

•	New command


?UnderlineColorShading
numeric:=?UnderlineColorShading

Syntax

()

Description

Returns the amount of shading in the current underline color.

 Note

•	New command


?UnderlineSpaces
boolean:=?UnderlineSpaces

Syntax

()

Description

Return whether blank spaces will be underlined in the active document.

Return Value

0	Do not underline spaces

1	Underline spaces

 Related topics


?UnderlineStyle
numeric:=?UnderlineStyle

Syntax

()

Description

Returns the style of the underline.

 Note

•	New command


?UnderlineTabs
boolean:=?UnderlineTabs

Syntax

()

Description

Return whether tabs will be underlined in the active document.

Return Value

0	Do not underline tabs

1	Underline tabs

 Related topics


?UnprintableBottomMargin
measurement:=?UnprintableBottomMargin

Syntax

()

Description

Return the size of the unprintable bottom margin in WordPerfect units (1200ths of an inch).

 Related topics


?UnprintableLeftMargin
measurement:=?UnprintableLeftMargin

Syntax

()

Description

Return the size of the unprintable left margin in WordPerfect units (1200ths of an inch).

 Related topics


?UnprintableRightMargin
measurement:=?UnprintableRightMargin

Syntax

()

Description

Return the size of the unprintable right margin in WordPerfect units (1200ths of an inch).

 Related topics


?UnprintableTopMargin
measurement:=?UnprintableTopMargin

Syntax

()

Description

Return the size of the unprintable top margin in WordPerfect units (1200ths of an inch).

 Related topics


?UpdateQuickList
boolean:=?UpdateQuickList

Syntax

()

Description

Return True if Update Favorites with Changes is selected, False if not.


?UseDefaultDocExt
boolean:=?UseDefaultDocExt

Syntax

()

Description

Return True if Use Default Extension on Open and Save is selected in Files Settings, False if not.


?UserColorBlue
numeric:=?UserColorBlue

Syntax

()

Description

Return the blue value of the current user-defined color.

Return Value

Value: 0-255.

 Related topics


?UserColorGreen
numeric:=?UserColorGreen

Syntax

()

Description

Return the green value of the current user-defined color.

Return Value

Value: 0-255.

 Related topics


?UserColorRed
numeric:=?UserColorRed

Syntax

()

Description

Return the red value of the current user-defined color.

Return Value

Value: 0-255.

 Related topics


?UserInitials
string:=?UserInitials

Syntax

()

Description

Return the user initials specified in Environment Preferences.

 Related topics


?UserName
string:=?UserName

Syntax

()

Description

Return the user name specified in Environment Preferences.

 Related topics


?VolumeNumber
numeric:=?VolumeNumber

Syntax

()

Description

Return the current volume number.

 Related topics


?VolumeNumberMethod
numeric:=?VolumeNumberMethod

Syntax

()

Description

Return the current volume numbering method.

Return Value

0	Numbers

1	Lower letters

2	Upper letters

3	Lower roman

4	Upper roman

 Related topics


?WP9Selection
boolean:=?WP9Selection

Syntax

()

Description

Return the state of the Use WordPerfect 9 Text Selection checkbox.

Return Value

0	Off

1	On


?WatermarkAInParagraph
boolean:=?WatermarkAInParagraph

Syntax

()

Description

Return whether a Watermark A code is in the active paragraph.

Return Value

0	Not in paragraph

1	In paragraph

 Related topics


?WatermarkAOccur
numeric:=?WatermarkAOccur

Syntax

()

Description

Return the pages on which Watermark A appears. It can be printed on odd-numbered pages, even-numbered pages, or all pages.

Return Value

0	No pages

1	Odd pages

2	Even pages

3	All pages

 Related topics


?WatermarkBInParagraph
boolean:=?WatermarkBInParagraph

Syntax

()

Description

Return whether a Watermark B code is in the active paragraph.

Return Value

0	Not in paragraph

1	In paragraph

 Related topics


?WatermarkBOccur
numeric:=?WatermarkBOccur

Syntax

()

Description

Return the pages on which Watermark B appears. It can be printed on odd-numbered pages, even-numbered pages, or all pages.

Return Value

0	No pages

1	Odd pages

2	Even pages

3	All pages

 Related topics


?WatermarkGraphicShade
numeric:=?WatermarkGraphicShade

Syntax

()

Description

Return the shading value of the active watermark.

Return Value

Percent.

 Related topics


?WebBackgroundImage
string:=?WebBackgroundImage

Syntax

()

Description

Return the filename (including the path) of the background image of the current Web document. Returns 0 if the current document does not have a background image specified.

 Related topics


?WebBaseURL
string:=?WebBaseURL

Syntax

()

Description

Return the base URL specified for the current Web document. Returns 0 if no base URL is specified.

 Related topics


?WebBoxHTMLProperties
string:=?WebBoxHTMLProperties

Syntax

()

Description

Return a value representing the HTML properties of the current box. Returns 0 if no box is selected.

 Related topics


?WebMetaTags
string:=?WebMetaTags

Syntax

()

Description

Return the meta information specified for the current Web document. Returns 0 if the current Web document has no meta information specified, or if the current document is not a Web document.

 Related topics


?WebTitle
any:=?WebTitle

Syntax

()

Description

Return the title specified for the current Web document. Returns 0 if the title of the current Web document is set to the first heading or if the current document is not a Web document.

 Related topics


?WidowOrphan
boolean:=?WidowOrphan

Syntax

()

Description

Return True if Widow/Orphan is on, False if not.

 Related topics


?WritingToolsDisabledState
boolean:=?WritingToolsDisabledState

Syntax

()

Description

Return the state of Disable Writing Tools.

Return Value

0	Off

1	On

 Related topics


?Zoom
numeric:=?Zoom

Syntax

()

Description

Return the Zoom percent for the current window.

Return Value

Percent.


AbbreviationCreate

Syntax

(AbbreviationName: string; Template: enumeration; Text: string)

Description

Create an abbreviation.

Parameters

AbbreviationName: string	Template: enumeration(optional) CurrentDoc! PersonalLibrary! QuickWords! SharedLibrary!
Text: string(optional)
 Related topics


AbbreviationDelete

Syntax

(AbbreviationName: string; Template: enumeration)

Description

Delete an abbreviation.

Parameters

AbbreviationName: string	Template: enumeration(optional) CurrentDoc! PersonalLibrary! QuickWords! SharedLibrary!
 Related topics


AbbreviationDlg

Syntax

()

Description

Display the Abbreviations dialog box.

 Related topics


AbbreviationExpand

Syntax

(AbbreviationName: string; Template: enumeration)

Description

Expand an abbreviation.

Parameters

AbbreviationName: string(optional)	Template: enumeration(optional) CurrentDoc! PersonalLibrary! QuickWords! SharedLibrary!
 Related topics


AbbreviationsShippingMacro

Syntax

()

Description

Play the shipping macro ABBREV.WCM to display the Abbreviations dialog box in a modeless state. ABBREV.WCM must be installed.


AboutDlg

Syntax

()

Description

Display the About WordPerfect dialog box, which displays product and license information.


AddressBookDlg
boolean:=AddressBookDlg

Syntax

(SelectionType: enumeration; CurrentSelections: enumeration; AddressBook: string; DialogTitle: string; OKButtonText: string)

Description

Display the Address Book dialog box. You can also pre-select certain options using the parameters. If OK is clicked to dismiss the dialog, the Address Book will remember the currently selected addresses.

Return Value

Returns True if the OK button was clicked to dismiss the dialog, False if not.

Parameters

SelectionType: enumeration (optional)	Default = SingleSelection! MultipleSelection! SingleSelection!
CurrentSelections: enumeration (optional)	Default = Ignore! Ignore! Reselect!
AddressBook: string (optional)	The name of the address book to view.
DialogTitle: string (optional)	Change the text of the title bar.
OKButtonText: string (optional)	Change the text of the OK button. Default = OK.
 Related topics


AddressBookFormatAdd

Syntax

(Name: string; Format: string)

Description

Create a custom address format and add it to the list of address formats.

Parameters

Name: string	The name of the new custom format.
Format: string	The address format string. Data fields are designated by enclosing the field code number in square brackets ([ ]). Use the Codes button on the Macro Bar to insert hard return or tab codes. Although the codes look like bracketed text, they are codes in the text string. For example: AddressBookFormatAdd (Name: "Test"; Format: "[12289][HRt][14889][HRt][14887], [14888] [14890]") Use AddressBookGetFieldCount, AddressBookGetFieldNumber, and AddressBookGetFieldName to get the names and code numbers of the address book fields.
 Related topics


AddressBookFormatDelete

Syntax

(Name: string)

Description

Delete a custom address format from the list of address formats. System (predefined) address formats cannot be deleted from the address format list.

Parameters

Name: string	The name of the custom format to delete.
 Related topics


AddressBookFormatGetCount
numeric:=AddressBookFormatGetCount

Syntax

()

Description

Return the number of available address formats.

Address formats can be referenced by index number to return information about the format. See AddressBookFormatGetNameand AddressBookFormatGetFormat. Some address formats are provided with the program (predefined) and cannot be deleted. These formats are indexed from one through the number of formats provided. User-defined address format indexes begin following the predefined formats and are indexed in order of creation. For example, if there are five predefined address formats and four user-defined address formats, the predefined formats would have index numbers ranging from one to five; and the user-defined formats would have index numbers ranging from six to nine in the order which they were created. If a user-defined address format is deleted, the index number of each succeeding format is reduced by one.

Therefore, the address-format index numbers will always be sequential. Also, the index number of a user-defined address format may change if a previously created address format is deleted.

 Related topics


AddressBookFormatGetCurrent
string:=AddressBookFormatGetCurrent

Syntax

(Item: enumeration)

Description

Return the format name or specification of the current address format.

Parameters

Item: enumeration	Specify the item to return. Format! Name!
 Related topics


AddressBookFormatGetFormat
string:=AddressBookFormatGetFormat

Syntax

(Index: numeric)

Description

Return the specification of the address format specified in Index.

Parameters

Index: numeric	Use AddressBookFormatGetCount to determine the value of this parameter.
 Related topics


AddressBookFormatGetName
string:=AddressBookFormatGetName

Syntax

(Index: numeric)

Description

Return the name of the specified address format.

Parameters

Index: numeric	Use AddressBookFormatGetCount to determine the value of this parameter.
 Related topics


AddressBookGetCount
numeric:=AddressBookGetCount

Syntax

()

Description

Return the number of available address books.

 Related topics


AddressBookGetFieldCount
numeric:=AddressBookGetFieldCount

Syntax

(AddressBook: string)

Description

Return the number of available fields in the specified address book.

Parameters

AddressBook: string	The name of the address book to get the field count from.
 Related topics


AddressBookGetFieldName
string:=AddressBookGetFieldName

Syntax

(AddressBook: string; Index: numeric)

Description

Return the name of a specific field in the specified address book.

Parameters

AddressBook: string	The name of the address book containing the desired field.
Index: numeric	The index number of the desired field.
 Related topics


AddressBookGetFieldNumber
numeric:=AddressBookGetFieldNumber

Syntax

(AddressBook: string; Index: numeric)

Description

Return the code number of a specific field in the address book specified. The field code number is not the same as the field index number. Field code numbers always remain the same even if other fields are deleted. The table below lists the default system (predefined) data fields and their code numbers. Custom Fields are numbered sequentially in the order they are created beginning at 32768.

Code # Field Name

12289 Name

12290 E-Mail Type

12291 E-Mail Address

12292 Comments

14854 First Name

14856 Business Phone Number

14857 Home Phone Number

14865 Last Name

14870 Organization

14871 Title

14872 Department

14873 Mailstop

14874 Phone Number

14876 Cellular Phone Number

14883 Fax Number

14886 Country

14887 City

14888 State

14889 Address

14890 ZIP Code

24587 Greeting

Parameters

AddressBook: string	The name of the address book containing the desired field.
Index: numeric	The index number of the desired field.
 Related topics


AddressBookGetName
string:=AddressBookGetName

Syntax

(Index: numeric)

Description

Return the name of the specified address book.

Parameters

Index: numeric	The index number of the desired address book.
 Related topics


AddressBookInsertAddr

Syntax

()

Description

Display the Corel Address Book dialog box so you can insert an address.

 Related topics


AddressBookRecordAddField

Syntax

(Field: any; Value: string)

Description

Define a field value in a new address-book record. Repeat for each field value defined. Precede with AddressBookRecordCreate and follow with AddressBookRecordEnd.

Parameters

Field: any	The field name or code number.
Value: string	The field value.
 Related topics


AddressBookRecordCreate

Syntax

(AddressBook: string)

Description

Create a record in the specified address book. Follow with AddressBookRecordAddField and AddressBookRecordEnd.

Parameters

AddressBook: string	The name of the address book where the new record will be added.
 Related topics


AddressBookRecordEnd

Syntax

(State: enumeration; RecordType: enumeration)

Description

End the record creation process and save the new record. Precede with AddressBookRecordCreate and AddressBookRecordAddField.

Parameters

State: enumeration	Save the new record to the specified address book or cancel without saving. Cancel! Save!
RecordType: enumeration (optional)	Specify the type of the new record. Default: Person! Organization! Person!
 Related topics


AddressBookSelectionFormatAddr
string:=AddressBookSelectionFormatAddr

Syntax

(Format: string; Index: numeric)

Description

Return the address that was last selected in the address book and formats it using the specified address format.

Parameters

Format: string	The format specification used to format the specified address. You can use AddressBookFormatGetFormat or AddressBookFormatGetCurrent to retrieve an address format specification.
Index: numeric (optional)	The index number of the desired address record relative to the current selection. For example, if six address records were selected and you wanted the second record in the list, you would put 2 in this parameter. If this parameter is not included, the first record in the list will be formatted.
 Related topics


AddressBookSelectionGetField
string:=AddressBookSelectionGetField

Syntax

(Field: any; Index: numeric)

Description

Return the value of a field from the last address book record that was selected. Use the Index parameter if the last selection was a multiple-record selection.

Return Value

Returns the value of the specified field.

Parameters

Field: any	Specify the field to retrieve. If this parameter is a number, the command will try to locate the field with that code number. If this parameter is a string, the command will try to locate the field with that name.
Index: numeric (optional)	Specify the record to retrieve the field information from. Use this parameter when the last address book selection was a multiple-record selection. For example, to return information from the fifth record of a multiple-record selection, set this parameter to 5. If the last selection was a multiple-record selection and this parameter is left blank, the command will return information from the first record in the selection.
 Related topics


AddressMergeShippingMacro

Syntax

()

Description

Play the shipping macro ADRS2MRG.WCM to copy the address book into a merge data file. ADRS2MRG.WCM must be installed.


Advance

Syntax

(Where: enumeration; Amount: measurement)

Description

Move the insertion point a specified distance from the top or left of the page, or from the insertion point.

Parameters

Where: enumeration	AdvanceDown! AdvanceFromLeftEdge! AdvanceFromTop! AdvanceLeft! AdvanceRight! AdvanceUp! Down! Left! Right! ToLine! ToPosition! Up!
Amount: measurement
 Related topics


AdvanceDlg

Syntax

()

Description

Display the Advance dialog box.

 Related topics


AllFontsShippingMacro

Syntax

()

Description

Play the shipping macro ALLFONTS.WCM to create a list of available fonts for the current printer. ALLFONTS.WCM must be installed.


Append

Syntax

()

Description

Add a copy of the selected text or graphics to the end of the Clipboard contents. If the Clipboard is empty, the macro ends.

 Related topics


AppendToFile

Syntax

(Filename: string)

Description

Add the selected text, or the current document if no text is selected, to the end of another file.

Parameters

Filename: string (optional)	The file to append to.
 Related topics


ApplicationBarShow

Syntax

(State: enumeration)

Description

Display (On!) or hide (Off!) the Application Bar. If no parameter is specified, this command toggles the Application Bar display.

Parameters

State: enumeration (optional)	Off! On!


AppyHeading1
ApplyHeading1

Syntax

()

Description

Apply the Heading 1 format.

 Related topics


AppyHeading2
ApplyHeading2

Syntax

()

Description

Apply the Heading 2 format.

 Related topics


AppyHeading3
ApplyHeading3

Syntax

()

Description

Apply the Heading 3 format.

 Related topics


AppyHeading4
ApplyHeading4

Syntax

()

Description

Apply the Heading 4 format.

 Related topics


AppyHeading5
ApplyHeading5

Syntax

()

Description

Apply the Heading 5 format.

 Related topics


AppMaximize

Syntax

()

Description

Maximize the application window. If the window is already maximized, the macro ends.

 Related topics


AppMinimize

Syntax

()

Description

Minimize the application window to an icon. If the window is already minimized, the macro ends.

 Related topics


AppMove

Syntax

()

Description

Reposition an application window that has been reduced in size. If WordPerfect is maximized, the macro ends or goes to the ONERROR label.

 Related topics


AppRestore

Syntax

()

Description

Restore the application window to its previous size. If WordPerfect is already restored, the macro ends or goes to the ONERROR label.

 Related topics


AppSize

Syntax

()

Description

Resize the current application window. If the window is maximized, the macro ends or goes to the ONERROR label.

 Related topics


AppTaskList

Syntax

()

Description

Activate the Taskbar and display the Start menu.


AssociateDlg

Syntax

()

Description

Display the Associate dialog box, which allows you to assign menus, toolbars, and keyboards to selected features.

 Related topics


AttributeAppearanceOff

Syntax

({Attrib: enumeration})

Description

Turn off the specified attributes at the insertion point. One or more attribute parameters is required.

Parameters

Attrib: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


AttributeAppearanceOn

Syntax

({Attrib: enumeration})

Description

Turn on the specified attributes at the insertion point. One or more parameters is required.

Parameters

Attrib: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


AttributeAppearanceToggle

Syntax

({Attrib: enumeration})

Description

Toggle attributes, usually of the selected text. One or more attribute parameters is required.

Parameters

Attrib: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


AttributeNormal

Syntax

()

Description

Turn off the current font attributes except color. To record, first add an Attribute Normal button to a toolbar or the Power Bar in Preferences.

 Related topics


AttributePosition

Syntax

(Position: enumeration)

Description

Specify subscript or superscript font attributes.

Parameters

Position: enumeration	NormalPosition! Subscript! Superscript!
 Related topics


AttributePositionToggle

Syntax

(Position: enumeration)

Description

Toggle subscript, normal, and superscript font attributes.

Parameters

Position: enumeration	NormalPosition! Subscript! Superscript!
 Related topics


AttributeRelativeSize

Syntax

(Size: enumeration)

Description

Specify a relative font size for selected or subsequent text.

Parameters

Size: enumeration	ExtraLarge! Fine! Large! NormalSize! Small! VeryLarge!
 Related topics


AttributeRelativeSizeToggle

Syntax

(Size: enumeration)

Description

Toggle relative font sizes.

Parameters

Size: enumeration	ExtraLarge! Fine! Large! NormalSize! Small! VeryLarge!
 Related topics


AttributeSizeRatios

Syntax

(Attrib: enumeration; Percentage: numeric)

Description

Specify relative font size ratios.

Parameters

Attrib: enumeration	ExtraLarge! Fine! Large! Small! SuperSubscript! VeryLarge!
Percentage: numeric
 Related topics


AutoCodePlacement

Syntax

(State: enumeration)

Description

Turn automatic code placement on or off. Default: Some codes are automatically placed at the beginning of a page or paragraph. When off, all codes are inserted at the insertion point. Not recordable.

Parameters

State: enumeration	Off! On!


AutoScrollOn

Syntax

()

Description

Turns the Autoscroll feature on.

 Note

•	New command


AutoWordSelect

Syntax

(State: enumeration)

Description

Turn Automatically Select Words on or off. Changes the current WordPerfect session only.

Parameters

State: enumeration	No! Yes!
 Related topics


BackTab

Syntax

()

Description

Insert a [Hd Back Tab] code at the insertion point. This code will move the current line of text left one tab from the insertion point.

 Related topics


Backup
boolean:=Backup

Syntax

(State: enumeration)

Description

Turn Timed Document Backup on or off and return the current state.

Return Value

Returns True if Timed Document Backup is on, False if not. If the State parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


BackupMinutes

Syntax

(Minutes: numeric)

Description

Specify the number of minutes between timed backups.

Parameters

Minutes: numeric	Number of minutes between timed backups.
 Related topics


BackupOriginalDoc

Syntax

(State: enumeration)

Description

Turn Original Document Backup on or off.

Parameters

State: enumeration	Off! On!
 Related topics


BarcodeDlg

Syntax

()

Description

Display the POSTNET Barcode dialog box.

 Related topics


BarcodePOSTNET

Syntax

(Zip: string; State: enumeration)

Description

Specify a ZIP Code or merge field containing a ZIP Code.

Parameters

Zip: string	A five, nine, or eleven-digit ZIP Code. If the ZIP Code is in a merge field, the parameter can be a string that specifies the field.
State: enumeration (optional)	Enable a merge field to provide a ZIP Code. Required only when a merge field is specified in the ZIP parameter. MergeFieldAllowed!
 Related topics


BaselinePlacement

Syntax

(State: enumeration)

Description

Turn the Baseline placement for typesetting option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


Binding

Syntax

(Edge: enumeration; Offset: measurement)

Description

Specify a binding offset for a specified paper edge. Use this command to specify two-sided document settings. This command inserts a [Binding Width] code at the beginning of the current page.

Parameters

Edge: enumeration	BottomEdge! LeftEdge! RightEdge! TopEdge!
Offset: measurement	Amount of binding offset.
 Related topics


BindingOptionsDlg

Syntax

()

Description

Display the Print dialog box with the Two-Sided Printing tab active.

 Related topics


BlockProtect

Syntax

(State: enumeration)

Description

Turn Block Protect on or off.

Parameters

State: enumeration	Off! On!
 Related topics


BlockProtectToggle

Syntax

()

Description

Toggle Block Protect on or off. You must select objects or text in order to block protect them.

 Related topics


BoldKey

Syntax

()

Description

Toggle Bold on or off at the insertion point.

 Related topics


BookmarkBlock

Syntax

(Name: string)

Description

Find and select a specified bookmark. If the type of the specified bookmark is not selected, the insertion point is moved to the bookmark and select mode is activated, but nothing is selected.

Parameters

Name: string (optional)
 Related topics


BookmarkCreate

Syntax

(Name: string; Selected: enumeration)

Description

Create a bookmark.

Parameters

Name: string
Selected: enumeration (optional)	No! Yes!
 Related topics


BookmarkDelete

Syntax

(Name: string)

Description

Delete a specified bookmark.

Parameters

Name: string (optional)
 Related topics


BookmarkDlg

Syntax

()

Description

Display the Bookmark dialog box.

 Related topics


BookmarkFind

Syntax

(Name: string)

Description

Find a specified bookmark.

Parameters

Name: string (optional)
 Related topics


BookmarkMove

Syntax

(Name: string)

Description

Move a bookmark to the insertion point.

Parameters

Name: string (optional)
 Related topics


BookmarkRename

Syntax

(OldName: string; NewName: string)

Description

Rename a bookmark.

Parameters

OldName: string
NewName: string
 Related topics


BorderBottomLine

Syntax

(Style: any)

Description

Specify the style of a bottom border line. Precede with BorderStyleCreate or BorderStyleEdit, and end with BorderStyleEnd.

Parameters

Style: any	Use a string for user-defined style names. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


BorderColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Specify the color of a graphics box, paragraph, page, or column border. Empty parameters use current program settings. Precede with BorderStyleCreate or BorderStyleEdit and BorderUseBorderColor, and end with BorderStyleEnd. The values of a selected color are displayed in the Define Color Printing Palette dialog box.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 10, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


BorderCornerRadius

Syntax

(Radius: measurement)

Description

Specify the curve of border corners.

Parameters

Radius: measurement	Higher measurements produce more rounded corners.
 Related topics


BorderDropShadow

Syntax

(Location: enumeration; Size: measurement; ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric; VerticalSize: Numeric)

Description

Specify the location, size, and color of a border shadow. The values of a selected color are displayed in the Define Color Printing Palette dialog box.

Parameters

Location: enumeration (optional)	NoShadow! UpperLeft! LowerLeft! LowerRight! UpperRight!
Size: measurement (optional)	Default: .125"
ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 10, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
VerticalSize: numeric (optional)	The vertical size
 Related topics


BorderInsideSpacing

Syntax

(Bottom: measurement; Left: measurement; Right: measurement; Top: measurement)

Description

Specify the inside border spacing. Not available for page borders. Precede with BorderStyleCreate or BorderStyleEdit and follow with BorderStyleEnd.

Parameters

Bottom: measurement (optional)	Specify spacing between the bottom of the text and border.
Left: measurement (optional)	Specify spacing between the left side of the text and the border.
Right: measurement (optional)	Specify spacing between the right side of the text and the border.
Top: measurement (optional)	Specify the spacing between the top of the text and the border.
 Related topics


BorderLeftLine

Syntax

(Style: any)

Description

Specify the left line style of a border.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


BorderOutsideSpacing

Syntax

(Left: measurement; Right: measurement; Top: measurement; Bottom: measurement)

Description

Specify the outside border spacing.

Parameters

Left: measurement	Specify the amount of space to the left of the border.
Right: measurement	Specify the amount of space to the right of the border.
Top: measurement	Specify the amount of space above the top of the border.
Bottom: measurement	Specify the amount of space below the bottom of the border.
 Related topics


BorderRightLine

Syntax

(Style: any)

Description

Specify a right line border style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


BorderSeparatorLine

Syntax

(Style: any)

Description

Specify a separator line style in a paragraph or column border. Precede with BorderStyleCreate or BorderStyleEdit and end with BorderStyleEnd.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


BorderSetSpacing

Syntax

(State: enumeration)

Description

Turn Auto spacing on or off in the current border style. Precede with BorderStyleCreate or BorderStyleEdit and follow with BorderStyleEnd.

Parameters

State: enumeration	Yes! = Set border spacing on No! = Auto border spacing on
 Related topics


BorderStyleCopy

Syntax

(Style: any; FromLibrary: enumeration; ToLibrary: enumeration; DestName: string)

Description

Copy a border style.

Parameters

Style: any	Enclose user-defined styles in quotation marks. ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
FromLibrary: enumeration (optional)	CurrentDocument! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration (optional)	CurrentDocument! PersonalLibrary! SharedLibrary!
DestName: string (optional)	The new name for a style.
 Related topics


BorderStyleCreate

Syntax

(Style: string; Library: enumeration)

Description

Create a new border style.

Parameters

Style: string
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderStyleDelete

Syntax

(Style: any; Library: enumeration)

Description

Delete a border style.

Parameters

Style: any	Enclose user-defined styles in quotation marks. ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderStyleEdit

Syntax

(Style: any; Library: enumeration)

Description

Specify a border style to edit.

Parameters

Style: any	Enclose user-defined styles in quotation marks. ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderStyleEnd

Syntax

(State: enumeration)

Description

Exit border style create or edit mode with or without saving changes. Precede this command with BorderStyleCreate or BorderStyleEdit.

Parameters

State: enumeration	Cancel! Save!
 Related topics


BorderStyleName

Syntax

(Style: string)

Description

Rename a user-defined border style. Precede with BorderStyleEdit.

Parameters

Style: string
 Related topics


BorderStyleRetrieve

Syntax

(Filename: string; FromLibrary: enumeration)

Description

Retrieve all border graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
FromLibrary: enumeration	The destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences and SharedLibrary! is used here, the command does nothing. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderStyleSave

Syntax

(Filename: string; Library: enumeration)

Description

Save border styles to a specified library.

Parameters

Filename: string	The full path required.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderTopLine

Syntax

(Style: any)

Description

Specify the top-line style of a border. Precede with BorderStyleCreate or BorderStyleEdit and end with BorderStyleEnd.

Parameters

Style: any	Enclose user-defined styles in quotation marks. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


BorderUseBorderColor

Syntax

(State: enumeration)

Description

Specify whether the current border uses the line-style color or the border color. Precede with BorderStyleCreate or BorderStyleEdit, follow with BorderColor, and end with BorderStyleEnd.

Parameters

State: enumeration	No! = Use line style color Yes! = Use border color
 Related topics


BoxAddText

Syntax

BoxAddText()

Description

Lets you add a text box to a shape.


BoxAttachTo

Syntax

(Anchor: enumeration)

Description

Anchor a graphics box to a page, paragraph, or character. Precede with BoxCreate or BoxEdit and end with BoxEnd.

Parameters

Anchor: enumeration	Character! Page! Paragraph!
 Related topics


BoxBackwardOne

Syntax

()

Description

Move the selected object(s) back one layer. Precede with BoxCreate or BoxEdit.

 Related topics


BoxBorder

Syntax

(Style: any)

Description

Specify a box border style. Precede with BoxCreate or BoxEdit and end with BoxEnd.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
 Related topics


BoxBorderDlg

Syntax

()

Description

Display the Box Border/Fill Styles dialog box.

 Related topics


BoxCaptionEdit

Syntax

()

Description

Begin the caption editing commands. Follow with commands such as Type that furnish caption text.

 Related topics


BoxCaptionEditEnd

Syntax

()

Description

End the caption editing commands. Precede with BoxCaptionEdit and commands such as Type that modify caption text.

 Related topics


BoxCaptionFormatting

Syntax

(SizeAuto: any)

Description

Specify the caption width.

Parameters

SizeAuto: any	To base the width on the current unit of measure, use a measurement expression. To base the width on a percent of the box width, use a number. To set the width automatically, use AutoWidth!.
 Related topics


BoxCaptionInitialStyle

Syntax

(Style: any)

Description

Specify an initial caption style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


BoxCaptionNumberStyle

Syntax

(Style: any)

Description

Specify a caption numbering style. Precede with BoxCreate or BoxEdit and end with BoxEnd.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


BoxCaptionPosition

Syntax

(Side: enumeration; Border: enumeration; Alignment: enumeration; AlignmentOffset: any)

Description

Specify the caption position.

Parameters

Side: enumeration	Specify the side of the box on which the caption appears. Bottom! Left! Right! Top!
Border: enumeration	Specify where the caption is in relation to the border. InsideBorder! OnBorder! OutsideBorder!
Alignment: enumeration (optional)	Specify the caption position. Bottom! Center! Left! Right! Top!
AlignmentOffset: any (optional)	Specify the alignment for the caption text.
 Related topics


BoxAlignDistrDlgProc

Syntax

()

Description

Align objects in the document.


BoxCaptionRotation

Syntax

(Rotation: enumeration)

Description

Rotate the captions. Precede with a command such as BoxCreate and BoxUpdateDisplay, and end with BoxEnd.

Parameters

Rotation: enumeration	Degrees180! Degrees270! Degrees90! None!
 Related topics


BoxChangeLineHeight

Syntax

(State: enumeration)

Description

Specify whether line height changes when a box is attached to a character. Default: Yes!

Parameters

State: enumeration	No! Yes!
 Related topics


BoxChangeStyle

Syntax

(BoxType: any)

Description

Specify a box style.

Parameters

BoxType: any	Enclose user-defined styles in quotation marks. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
 Related topics


BoxContentEdit

Syntax

()

Description

Create and edit graphics box contents. Follow with commands that furnish box contents.

 Related topics


BoxContentPosition

Syntax

(Horizontal: enumeration; Vertical: enumeration)

Description

Position box contents inside the box.

Parameters

Horizontal: enumeration	Center! Left! Right!
Vertical: enumeration	Bottom! Center! Top!
 Related topics


BoxContentPreserveAspectRatio

Syntax

(State: enumeration)

Description

Preserve the image width/height ratio when the box changes.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxContentType

Syntax

(Content: enumeration)

Description

Specify the graphics box content type.

Parameters

Content: enumeration	Empty! Equation! External! Image! LinkedText! Macro! Presentation! Text! Video!
 Related topics


BoxCounter

Syntax

(CounterName: any)

Description

Assign a new counter to the current box or box style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
 Related topics


BoxCreate

Syntax

(BoxType: any)

Description

Create a graphics box. Follow with box-editing commands and BoxEnd.

Parameters

BoxType: any	ButtonBox! EquationBox! FigureBox! InLineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
 Related topics


BoxDelete

Syntax

(BoxType: enumeration; BoxNumber: numeric)

Description

Delete a graphics box.

Parameters

BoxType: enumeration	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
BoxNumber: numeric
 Related topics


BoxEdit

Syntax

(BoxNumber: numeric)

Description

Specify the number of a graphics box to edit.

Parameters

BoxNumber: numeric
 Related topics


BoxEditByCounter

Syntax

(CounterName: any; {CounterLevelNumber: numeric})

Description

Specify the counter name and number of a graphics box to edit.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
CounterLevelNumber: numeric (optional)	Repeat for each counter level.
 Related topics


BoxEditNext

Syntax

(BoxType: enumeration)

Description

Begin the editing commands for the next box or a specified box type. Follow with box-editing commands and BoxEnd.

Parameters

BoxType: enumeration (optional)	Default: box after the insertion point, regardless of type. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
 Related topics


BoxEditPrevious

Syntax

(BoxType: enumeration)

Description

Begin the editing commands for the previous box or a specified box type.

Parameters

BoxType: enumeration (optional)	Default: box immediately before the insertion point, regardless of type. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
 Related topics


BoxEnd

Syntax

(State: enumeration; BoxOptionsBar: enumeration)

Description

Save the editing changes to a graphics box and display or hide the Graphics Box Property Bar.

Parameters

State: enumeration (optional)	Cancel! Save!
BoxOptionsBar: enumeration (optional)	Display or hide the Graphics Property Bar. DontHide! Hide!
 Related topics


BoxEquationColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Specify a box equation color and shading value. Precede with BoxCreate or BoxEdit and end with BoxEnd.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 10, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


BoxEquationDefaultFont

Syntax

(FontSize: any)

Description

Specify a default font and size.

Parameters

FontSize: any	DefaultSize!
 Related topics


BoxEquationFilename

Syntax

(Filename: string)

Description

Specify the name of an equation file and designate the box contents as an equation. To retrieve an equation file, use FileOpen.

Parameters

Filename: string	The name of the equation file.
 Related topics


BoxEquationFont

Syntax

(FontName: string; FontSize: measurement; Family: enumeration; Attributes: enumeration; Weight: enumeration; Width: enumeration; Source: enumeration; Type: enumeration; CharacterSet: enumeration)

Description

Specify an equation font. Use with BoxEquationFontSize.

Parameters

FontName: string	The name of the font.
FontSize: measurement (optional)	The point size of the font.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenquiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration(optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


BoxEquationFontSize

Syntax

(Size: measurement)

Description

Specify an equation font size.

Parameters

Size: measurement	The point size of the font.
 Related topics


BoxEquationRedisplay

Syntax

(Zoom: numeric)

Description

Enlarge or reduce an equation display.

Parameters

Zoom: numeric (optional)	Amount to reduce or enlarge equation display.
 Related topics


BoxEquationSaveAsGraphic

Syntax

(Filename: string; Format: enumeration)

Description

Save an equation box as a graphics file.

Parameters

Filename: string	Name for the graphics file.
Format: enumeration (optional)	Default: current graphics format. Presentations_20! WordPerfectGraphic_10! WordPerfectGraphic_20!
 Related topics


BoxFill

Syntax

(FillStyleName: any)

Description

Select a box fill style.

Parameters

FillStyleName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
 Related topics


BoxForwardOne

Syntax

()

Description

Move the selected object(s) forward one layer.

 Related topics


BoxHeight

Syntax

(Height: any)

Description

Specify the box height according to the height of box contents or a fixed measurement.

Parameters

Height: any	Lets you specify whether the height of the box is determined by the height of the box contents or by a minimum box height. AutoHeight! MinHeight!
 Related topics


BoxHorizontalAlignment

Syntax

(Alignment: enumeration; Position: enumeration; Offset: measurement; LeftColumn: numeric; RightColumn: numeric)

Description

Specify the alignment of a box attached to a page or paragraph.

Parameters

Alignment: enumeration	AlignColumns! AlignMargins!
Position: enumeration	The horizontal position after alignment to margins or columns. Center! FullAlign! Left! Right!
Offset: measurement (optional)	The image position relative to the alignment point. Left is a negative number, right is positive
LeftColumn: numeric (optional)	Use when a box aligns to columns.
RightColumn: numeric (optional)	Use when a box aligns to columns.
 Related topics


BoxHorizontalPosition

Syntax

(Position: measurement)

Description

Specify the horizontal position of a box relative to the left edge of the page.

Parameters

Position: measurement	Specify how far the box should be from the left edge of the page.
 Related topics


BoxImageBlackWhiteThreshold

Syntax

(Threshold: numeric)

Description

Specify the point at which colors and/or grays in the current image convert to black and white.

Parameters

Threshold: numeric	Value: 1-255. Values below the threshold convert to black, those above convert to white. Default: 127.
 Related topics


BoxImageBrightness

Syntax

(Amount: numeric)

Description

Adjust the brightness (saturation) of a color or black and white image.

Parameters

Amount: numeric	Value: -1.0 to 1.0. Black: -1.0. White: 1.0.
 Related topics


BoxImageContrast

Syntax

(Contrast: numeric)

Description

Specify the contrast between light and dark areas of an image.

Parameters

Contrast: numeric	Value: -1.0 to 1.0. Slight: -1.0. Strong: 1.0.
 Related topics


BoxImageDitherMethod

Syntax

(Method: enumeration; Source: enumeration)

Description

Specify a dither method and source.

Parameters

Method: enumeration	Default! ErrorDiffusionDither! Halftoning! OrderedDither!
Source: enumeration	Default! External! Printer! WordPerfect!


BoxImageFill

Syntax

(ImageFillType: enumeration)

Description

Specify an image fill type. Images can have normal fill, no fill, or white fill.

Parameters

ImageFillType: enumeration	Normal! Transparent! White!
 Related topics


BoxImageFlipX

Syntax

(State: enumeration)

Description

Flip an image box on its X (horizontal) axis, turning the image upside down.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageFlipY

Syntax

(State: enumeration)

Description

Reverse an image box on its Y (vertical) axis, turning the image from side to side.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageHalfToneOptions

Syntax

(HalfTone: enumeration; LPI: numeric; Plane0: numeric; Plane1: numeric; Plane2: numeric; Plane3: numeric)

Description

Specify the default or user-defined halftone values for the current printer.

Parameters

HalfTone: enumeration	DefaultValues! SetValues!
LPI: numeric (optional)	The number of lines per inch for user-defined values.
Plane0: numeric (optional)	The first halftone angle for user-defined values.
Plane1: numeric (optional)	The second halftone angle for user-defined values.
Plane2: numeric (optional)	The third halftone angle for user-defined values.
Plane3: numeric (optional)	The fourth halftone angle for user-defined values.


BoxImageInvertColors

Syntax

(State: enumeration)

Description

Convert the image colors to their complements.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageMonochrome

Syntax

(State: enumeration)

Description

Convert a color image to black and white, and specify the threshold for blackness.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageMove

Syntax

(XPosition: numeric; YPosition: numeric)

Description

Move an image within a box.

Parameters

XPosition: numeric	The horizontal position. Value: -5.0 to 5.0. Default: 0 (centered).
YPosition: numeric	The vertical position. Value: -5.0 to 5.0. Default: 0 (centered).
 Related topics


BoxImageRetrieve

Syntax

(Action: enumeration; Filename: string; FileFormat: enumeration)

Description

Retrieve an image.

Parameters

Action: enumeration	LeaveExternal! MakeInternal! UseInternal!
Filename: string	Specify the filename of the image you want to insert into the box.
FileFormat: enumeration (optional)	AdobePhotoShop! AutoCAD_DXF! BIFFCharts! Bitmap! CALSBitmap! CGM! CompuserveGIF! CompuserveGIF24! CorelPhotoPaint! CorelVentura! CorelWavelen! EncapsulatedPostScript! EnhancedWindowsMetaFile! FAX_TIFF! GEMIMG! HewlettPackardGraphicPlotter! JPEG! KodakPhotoCD! LotusPIC! Macintosh_PICT! MacPaint! Micrografx! MicrografxPicturePublisher4! PCPaintbrushX! Presentations_20! ScitexCT! TaggedImageFileFormat! TarGA! WindowsMetaFile! WordPerfectGraphic_10! WordPerfectGraphic_20! WPChartingData_10! WPChartingData_10E! WPChartingData_20! WPChartingStyle_10! WPChartingStyle_10E! WPChartingStyle_20! WPWorksPaint_20!
 Related topics


BoxImageRotate

Syntax

(Rotation: numeric)

Description

Rotate an image within a box.

Parameters

Rotation: numeric	Value: 0.0 to 359.0.
 Related topics


BoxImageSave

Syntax

(Filename: string; Format: enumeration)

Description

Save an image, and optionally rename it and specify a graphics format.

Parameters

Filename: string	Specify a filename for the newly saved graphic.
Format: enumeration	Presentations_20! WordPerfectGraphic_10! WordPerfectGraphic_20!
 Related topics


BoxImageScaling

Syntax

(XScale: numeric; YScale: numeric)

Description

Scale an image within a box.

Parameters

XScale: numeric	The image width. Value: 0.01 to 9.99. Default: 1.0.
YScale: numeric	The image height. Value: 0.01 to 9.99. Default: 1.0.
 Related topics


BoxImageShowBackground

Syntax

(State: enumeration)

Description

Display the background colors or gradient saved with an image.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxInitialStyleDlg

Syntax

()

Description

Display the Text Box Initial Style dialog box. Specify a box before this command.


BoxOLEEditObject

Syntax

()

Description

Edit the graphics box contents with the OLE server.


BoxOverlap

Syntax

(State: enumeration)

Description

Allow a box to overlap other boxes. Precede with BoxCreate or BoxEdit and follow with BoxEnd. This command takes effect only for boxes that are attached to a page or a paragraph.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxPosDlg

Syntax

()

Description

Display the Box Position dialog box.


BoxResetBorder

Syntax

()

Description

Reset the border values for the current box to the values of the corresponding box style. For example, border changes made to a specific figure box reset to the default border values assigned to the Figure Box style. Precede with BoxCreate or BoxEdit and end with BoxEnd.

 Related topics


BoxResetCaption

Syntax

()

Description

Reset the caption values for the current box to the caption values of the corresponding box style. For example, caption changes made to a specific text box are reset to the default caption values assigned to the Text Box style. Precede with BoxEdit and end with BoxEnd.

 Related topics


BoxResetContent

Syntax

()

Description

Reset the content values for the current box to the content values of the corresponding box style. For example, content changes made to a specific user box are reset to the values assigned to the User Box style. Precede with BoxEdit and end with BoxEnd.

 Related topics


BoxResetContentRender

Syntax

()

Description

Reset the content render values for the current box to the values of the corresponding box style. For example, content render changes made to a specific equation box are reset to the default content render values assigned to the Equation Box style.

 Related topics


BoxResetCounter

Syntax

()

Description

Reset the counter values for the current box to the values of the corresponding box style. For example, counter changes made to an equation box are reset to the default counter values of the Equation Box style.

 Related topics


BoxResetFill

Syntax

()

Description

Reset the fill values for the current box to the values of the corresponding box style. For example, fill style changes made to a figure box are reset to the fill values of the Figure Box style.

 Related topics


BoxResetPosition

Syntax

()

Description

Reset the position values for the current box to the position values for the corresponding box style. For example, position changes made to a figure box are reset to default position values of the Figure Box style.

 Related topics


BoxResetTextFlow

Syntax

()

Description

Reset the text-wrapping values for the current box to the values of the corresponding box style. For example, text-wrapping changes made to a user box are reset to the text-flow values of the User Box style.

 Related topics


BoxSaveLookAsStyle

Syntax

(Style: string; Library: enumeration)

Description

Save the settings for the current box as a style. This command must be preceded by BoxCreate, BoxEdit, BoxEditByCounter, BoxEditNext, or BoxEditPrevious, and followed by BoxEnd.

Parameters

Style: string	Specify the name of the box style.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxSizeNotLimited

Syntax

(State: Enumeration)

Description

Specify if the box is limited by table cell boundaries.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxStaysOnPage

Syntax

(State: enumeration)

Description

Specify whether a graphics box is allowed to move with the surrounding text. Although you may use BoxStaysOnPage to set this option for boxes that are attached to a paragraph or character, it takes effect only for boxes that are attached to a page. This command must be preceded by BoxCreate, BoxEdit, BoxEditByCounter, BoxEditNext, or BoxEditPrevious, and followed by BoxEnd.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxStyleCopy

Syntax

(Style: any; FromLibrary: enumeration; ToLibrary: enumeration; DestName: string)

Description

Copy a box style from one library to another and/or rename the style.

Parameters

Style: any	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
FromLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
DestName: string (optional)	Specify a new name for the style.
 Related topics


BoxStyleCreate

Syntax

(Style: any; Library: enumeration)

Description

Create a box style and specify the library where it resides.

Parameters

Style: any	Specify a name for the new box style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStyleDelete

Syntax

(Style: any; Library: enumeration)

Description

Delete a user-defined box style.

Parameters

Style: any	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStyleEdit

Syntax

(Style: any; Library: enumeration)

Description

Begin box style editing.

Parameters

Style: any	Enclose user-defined styles in quotation marks. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStyleEnd

Syntax

(State: enumeration)

Description

Exit the graphics style create or edit mode with or without saving changes. Precede this command with BoxStyleCreate or BoxStyleEdit.

Parameters

State: enumeration	Cancel! Save!
 Related topics


BoxStyleName

Syntax

(StyleName: string)

Description

Specify a box style name. Precede with BoxStyleCreate.

Parameters

StyleName: string	Type in a name for the new box style.
 Related topics


BoxStyleRetrieve

Syntax

(Filename: string; Library: enumeration)

Description

Retrieve all box graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
Library: enumeration	Destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences, and SharedLibrary! is used here, the command does nothing. CurrentDoc! PersonalLibrary! SharedLibrary! Not used.
 Related topics


BoxStyleSave

Syntax

(Filename: string; Library: enumeration)

Description

Save all styles in the current document or a specified style library to another style library, replacing all styles already in it.

Parameters

Filename: string	The style library to save to.
Library: enumeration	The current style location. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxSuppress

Syntax

(State: Enumeration)

Description

Specify if the box is suppressed.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxTextAngle

Syntax

(Angle: enumeration)

Description

Rotate the text in a text box.

Parameters

Angle: enumeration	Degrees180! Degrees270! Degrees90! None!
 Related topics


BoxTextDefaultStyle

Syntax

(Style: any)

Description

Specify the default text box style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


BoxTextEdit

Syntax

()

Description

Begin the text box-editing commands. Follow with commands that modify box contents such as Type, and end with BoxTextEditEnd.

 Related topics


BoxTextEditEnd

Syntax

()

Description

End the text box-editing commands. Precede with BoxTextEdit and commands such as Type, which modify box text.

 Related topics


BoxTextFilename

Syntax

(Filename: string)

Description

Specify a file to insert into a text box.

Parameters

Filename: string	Name of the file to insert into the text box.


BoxTextFlow

Syntax

(Wrap: enumeration)

Description

Specify the side(s) of a box to wrap text around.

Parameters

Wrap: enumeration	BothSides! Columnar! LargestSide! LeftSide! NeitherSide! NoWrapping! RightSide!
 Related topics


BoxTextFlowContour

Syntax

()

Description

Contour the text outside a box to the shape of an image inside the box.

 Related topics


BoxTextFlowSquare

Syntax

()

Description

Contour the text outside a box evenly around all sides of the box. Precede with BoxTextFlowContour.

 Related topics


BoxToBack

Syntax

()

Description

Move the selected object(s) to the back.


BoxToFront

Syntax

()

Description

Move the selected object(s) to the front.


BoxUpdateDisplay

Syntax

()

Description

Update the appearance of a box after editing changes. This command must be preceded by BoxCreate, BoxEdit, BoxEditByCounter, BoxEditNext, or BoxEditPrevious, and followed by BoxEnd.


BoxVerticalAlignment

Syntax

(Alignment: enumeration; Offset: any)

Description

Align a box with the page or character it is attached to. This command is not valid with paragraph-attached boxes. Precede with BoxCreate or BoxEdit and follow with BoxEnd.

Parameters

Alignment: enumeration	Top! Center! Bottom! Baseline! FullAlign! BaseOffset! ForceLeftMargin! ForceRightMargin! CenteredOnBaseline! BottomOnBottom!
Offset: any (optional)	Lets you specify how much to move the box in relation to the text to which it is attached.
 Related topics


BoxVerticalPosition

Syntax

(Alignment: any)

Description

Specify the vertical position of a box attached to a page or paragraph. For example, the distance from the top of the page (or top margin) to the top of the box. Not valid for boxes attached to characters.

Parameters

Alignment: any	Specify how much space should be between the box and the top of the page or margin.
 Related topics


BoxWidth

Syntax

(Width: any)

Description

Base the box width on the width of box contents, or specify a fixed measurement.

Parameters

Width: any	Use a number to specify a fixed width. AutoWidth!
 Related topics


BoxWrapDlg

Syntax

()

Description

Display the Wrap Text dialog box.


BrowsePrevious

Syntax

()

Description

Browse to the previous object.

 Related topics


BrowseNext

Syntax

()

Description

Browse to the next object.

 Related topics


BulletDlg

Syntax

()

Description

Display the Bullets & Numbers dialog box.


BulletSetCounter

Syntax

(CounterName: string; Value: numeric)

Description

Specify a bullet-style name and counter value.

Parameters

CounterName: string	Specify the name of the counter.
Value: numeric	Specify the value you want the counter to use.


ButtonBarAddItem

Syntax

(ButtonBarName: string; Template: enumeration; ItemName: string; Offset: numeric; Type: enumeration; MacroName: string; ItemText: string; Prompt: string; HelpFile: string; HelpId: string; Script: string)

Description

Add items such as macros, buttons, and separators to a toolbar. Use any combination of parameters to identify an item.

Parameters

ButtonBarName: string	The toolbar to edit.
Template: enumeration (optional)	The toolbar location. CurrentDoc! PersonalLibrary! SharedLibrary!
ItemName: string	For predefined items, use a macro command name.
Offset: numeric (optional)	The position of an added item. First position: 0. Default: last.
Type: enumeration	Feature! Launch! Macro! Script! Separator!
MacroName: string (optional)	The name of the macro file.
ItemText: string (optional)	The text to display on a user-defined item.
Prompt: string (optional)	The text to display for the new item on the Application Bar.
HelpFile: string (optional)	The Help file to use if Help is the added item. Not used in the current version of the application.
HelpId: string (optional)	The ID number of the Help file specified in the HelpFile parameter. Not used in the current version of the application.
Script: string (optional)	The keyboard script.


ButtonBarCreateDlg

Syntax

()

Description

Display the Create Toolbar dialog box.


ButtonBarDeleteItem

Syntax

(ButtonBarName: string; Template: enumeration; ItemName: string; Offset: numeric)

Description

Remove an item from a toolbar. Default: Last item on the current toolbar. Use any combination of parameters to identify an item.

Parameters

ButtonBarName: string	The toolbar name.
Template: enumeration (optional)	The toolbar location. CurrentDoc! PersonalLibrary! SharedLibrary!
ItemName: string (optional)	For predefined items, use a macro command name.
Offset: numeric (optional)	The position of the item to remove. First position: 0.


ButtonBarEditDlg

Syntax

()

Description

Display the Toolbar Editor dialog box.


ButtonBarOptionsDlg

Syntax

()

Description

Display the Toolbar Options dialog box.


ButtonBarScrollbarToggle

Syntax

(State: enumeration; ButtonBarName: string; LoadedFromDefaultTemplate: enumeration)

Description

Turn the toolbar scroll bar on or off.

Parameters

State: enumeration (optional)	Default = On! Off! On!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!


ButtonBarSelect

Syntax

(ButtonBarName: string; LoadedFromDefaultTemplate: enumeration)

Description

Select a toolbar.

Parameters

ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!


ButtonBarSetFont

Syntax

(Font: string; Size: numeric)

Description

Specify a toolbar font face and size.

Parameters

Font: string	The font face for toolbar text.
Size: numeric	The point size of the toolbar text font.
 Related topics


ButtonBarSetLocation

Syntax

(Location: enumeration; ButtonBarName: string; LoadedFromDefaultTemplate: enumeration)

Description

Specify a toolbar position.

Parameters

Location: enumeration	Bottom! Left! Palette! Right! Top!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarSetRows

Syntax

(Rows: numeric; ButtonBarName: string; LoadedFromDefaultTemplate: enumeration)

Description

Specify the number of rows on a toolbar.

Parameters

Rows: numeric	The number of rows displayed.
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarSetStyle

Syntax

(Style: enumeration; ButtonBarName: string; LoadedFromDefaultTemplate: enumeration)

Description

Specify a toolbar style.

Parameters

Style: enumeration	Picture! PictureAndText! Text!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarShow

Syntax

(State: enumeration; ButtonBarName: string; LoadedFromDefaultTemplate: enumeration)

Description

Display or hide the toolbar. Recordable substitute: ButtonBarShowToggle.

Parameters

State: enumeration	Off! On!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarShowToggle

Syntax

()

Description

Display or hide the toolbar.

 Related topics


CapBeginSentence

Syntax

(State: enumeration)

Description

Automatically capitalize the first letter of each sentence as it is typed.

Parameters

State: enumeration	Off! On!


CaseToggle

Syntax

()

Description

Change the selected text to uppercase or lowercase.


Center

Syntax

()

Description

Insert a [Hd Center on Marg] code at the insertion point, centering the current line of text from the insertion point to the next justification code or [HRt] code.

 Related topics


CenterCurrentPage

Syntax

(State: enumeration)

Description

Center the current page vertically.

Parameters

State: enumeration	Off! On!
 Related topics


CenterPageDlg

Syntax

()

Description

Display the Center Page(s) dialog box.

 Related topics


CenterPages

Syntax

(State: enumeration)

Description

Center the current and subsequent pages vertically.

Parameters

State: enumeration	Off! On!
 Related topics


ChangeWatermarkGraphicShade

Syntax

(Amount: numeric)

Description

Change the shading of a watermark image.

Parameters

Amount: numeric	How much to lighten or darken the shade of a watermark image.
 Related topics


ChangeWatermarkTextShade

Syntax

(Amount: numeric)

Description

Change the shading of watermark text.

Parameters

Amount: numeric	How much to lighten or darken the shade of text in a watermark.
 Related topics


ChapterNumber

Syntax

(Chapter: numeric)

Description

Specify a chapter number.

Parameters

Chapter: numeric	The number for the current chapter.
 Related topics


ChapterNumberDecrement

Syntax

()

Description

Decrease the chapter number by one.

 Related topics


ChapterNumberDisplay

Syntax

()

Description

Insert the chapter number at the insertion point.

 Related topics


ChapterNumberIncrement

Syntax

()

Description

Increase the chapter number by one.

 Related topics


ChapterNumberMethod

Syntax

(Method: enumeration)

Description

Specify a chapter numbering method.

Parameters

Method: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


Char

Syntax

(Character: variable; Prompt: string)

Description

Prompt the user for a keystroke, then assign the ASCII numeric equivalent of the keystroke to the variable specified in the Character parameter. Only one keystroke is accepted. If more than one character is entered, only the first is accepted. Not recordable.

Parameters

Character: variable	The first character typed.
Prompt: string(optional)	The message prompting the user to type a character.


CharMappingDlg

Syntax

()

Description

Display the Document Character Map dialog box.


CheckBoxShippingMacro

Syntax

()

Description

Play the shipping macro CHECKBOX.WCM to create check boxes in a document that can be changed by clicking on them. CHECKBOX.WCM must be installed.


CleanUpSpaces

Syntax

(State: enumeration)

Description

Turn Cut and Paste Cleanup on or off.

Parameters

State: enumeration	Off! On!
 Related topics


ClearDoc

Syntax

()

Description

Close the current document without saving and leave the current window open.


ClearUndoLevels

Syntax

()

Description

Delete all Undos associated with the current document.


ClipboardAppendTo

Syntax

()

Description

Append the currently selected text to the contents of the Clipboard.

 Related topics


ClipboardRetrieve

Syntax

()

Description

Insert the Clipboard contents at the insertion point.

 Related topics


ClipboardSaveTo

Syntax

()

Description

Save the selected text or graphics to the Clipboard, replacing existing Clipboard contents. If text or graphics are not selected before this command, macro ends or goes to the ONERROR label.

 Related topics


ClipboardShippingMacro

Syntax

()

Description

Play the shipping macro CLIPBRD.WCM to open the Clipboard Viewer. CLIPBRD.WCM must be installed.


Close

Syntax

(Save: enumeration)

Description

Close the current window or text editor.

Parameters

Save: enumeration (optional)	Default: prompt user to save. No! Yes!
 Related topics


CloseAllShippingMacro

Syntax

()

Description

Play the shipping macro CLOSEALL.WCM to display the Close All Documents dialog box, which presents a list of all open documents with modified documents marked for saving. CLOSEALL.WCM must be installed.


CloseNoSave

Syntax

(Verify: enumeration)

Description

Close the current document without saving it.

Parameters

Verify: enumeration (optional)	Prompt the user to verify close without saving. Default: no prompt. No! Yes!
 Related topics


CodePage

Syntax

(Dos: numeric; Windows: numeric; InputFile: numeric; OutputFile: numeric)

Description

Specify code page preferences.

Parameters

Dos: numeric (optional)	The DOS code page setting. 333 Europa 437 US IBM Default 710 Arabic 850 PC Multilingual 852 Eastern Europe 853 Turkish 860 Portugal 861 Icelandic 862 Hebrew 863 Canada/French 865 Norway 866 Cyrillic 895 Czech-Kamenicky 897 Hungarian 8510 Alternate Greek 8600 Alternate Portugal 8601 Alternate Portugal 8660 Alternate Cyrillic
Windows: numeric (optional)	The Windows code page setting. 1004 Windows US 1250 Windows Latin-2 1251 Windows Cyrillic 1252 Windows US Standard 1253 Windows Greek 1254 Windows Turkish ISO 8859-1 Latin #1 ISO 8859-2 Latin #2 ISO 8859-6 Latin/Arabic ISO 8859-7 Latin/Greek ISO 8859-8 Latin/Hebrew
InputFile: numeric (optional)	Any code number listed for the DOS or Windows parameter.
OutputFile: numeric (optional)	Any code number listed for the DOS or Windows parameter.


CodePageDlg

Syntax

()

Description

Display the Code Page Preferences dialog box.


ColorAdd

Syntax

(PaletteName: string; PositionIndex: numeric; Red: numeric; Green: numeric; Blue: numeric; ColorName: string)

Description

Add a color to a palette.

Parameters

PaletteName: string	The name of the color palette.
PositionIndex: numeric	The color position on the palette.
Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
ColorName: string	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
 Related topics


ColorDelete

Syntax

(PaletteName: string; ColorName: string)

Description

Remove a color from a color palette.

Parameters

PaletteName: string	The name of the color palette.
ColorName: string	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
 Related topics


ColorModify

Syntax

(PaletteName: string; OldColorName: string; Red: numeric; Green: numeric; Blue: numeric; NewColorName: string)

Description

Modify and rename a color.

Parameters

PaletteName: string	The name of the color palette.
OldColorName: string	The name of the original color.
Red: numeric	Value: 0-255
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
NewColorName: string	The name of the new color.
 Related topics


ColorPaletteCreate

Syntax

(PaletteName: string)

Description

Name a new palette. Use with other commands such as ColorAdd.

Parameters

PaletteName: string	The name of the color palette.
 Related topics


ColorPaletteDelete

Syntax

(PaletteName: string)

Description

Delete a palette.

Parameters

PaletteName: string	The name of the color palette.
 Related topics


ColorPaletteDlg

Syntax

()

Description

Display the Define Color Printing Palette dialog box.


ColorPaletteRename

Syntax

(OldPaletteName: string; NewPaletteName: string)

Description

Rename a palette.

Parameters

OldPaletteName: string	The original name of the palette.
NewPaletteName: string	The new name of the palette.
 Related topics


ColorPaletteSelect

Syntax

(PaletteName: string)

Description

Select a color palette.

Parameters

PaletteName: string	The name of the palette.
 Related topics


ColumnBorderDlg

Syntax

()

Description

Display the Column Border/Fill dialog box.


ColumnDefineDlg

Syntax

()

Description

Display the Columns dialog box.

 Related topics


ColumnsDefinition

Syntax

(ColumnsType: enumeration; VerticalSpacing: numeric; {Spacing: measurement; SpacingDef: enumeration})

Description

Define columns.

Parameters

ColumnsType: enumeration	Newspaper! NewspaperBalanced! Parallel! ParallelBlockProtect!
VerticalSpacing: numeric	The spacing between sections of text in parallel columns.
Spacing: measurement (optional)	Alternate between specifying column width and the desired space between the columns. Always paired with the SpacingDef parameter. Enclose Spacing and SpacingDef parameters in braces ({}) separated by semicolons. For multiple columns, alternate Spacing and SpacingDef parameters.
SpacingDef: enumeration (optional)	The definition of column width and spacing between columns. Fixed! NotFixed!
 Related topics


ColumnsOff

Syntax

()

Description

Turn off Columns.

 Related topics


ColumnsOn

Syntax

()

Description

Turn on Columns.

 Related topics


CommentConvert

Syntax

()

Description

Convert a comment to text.

 Related topics


CommentCreate

Syntax

()

Description

Open a new comment window in order to create a new comment.

 Related topics


CommentEdit

Syntax

()

Description

Open the comment editing screen in order to edit a comment.

 Related topics


CommentInformation

Syntax

()

Description

Display the Comment Information dialog box.


CommentInsertTime

Syntax

()

Description

Insert the current time into a comment.

 Related topics


CommentInsertUserInitials

Syntax

()

Description

Insert the user initials specified in Environment Preferences into a comment.

 Related topics


CommentInsertUserName

Syntax

()

Description

Insert the user name specified in the Environment Preferences dialog box into a comment.

 Related topics


CommentNext

Syntax

()

Description

Go to the next comment.


CommentPrevious

Syntax

()

Description

Go to the previous comment.


CommentsDisplaySetup

Syntax

(OnOff: enumeration)

Description

Turn comment display on or off in the current document for the current session. This command does not change display preferences for comments.

Parameters

OnOff: enumeration (optional)	Off! On!
 Related topics


ConditionalEndOfPage

Syntax

(LinesTogether: numeric)

Description

Keep a specified number of lines together at a page break. If a page break falls between the lines, the lines move to the next page.

Parameters

LinesTogether: numeric
 Related topics


ConvertCaseInitialCaps

Syntax

()

Description

Convert the selected text to lowercase, and capitalize the first letter of each word.

 Related topics


ConvertCaseLowercase

Syntax

()

Description

Convert the selected text to lowercase, except the first word of each sentence and "I" and its forms, such as "I'm" and "I've."

 Related topics


ConvertCaseUppercase

Syntax

()

Description

Convert the selected text to uppercase.

 Related topics


Copy

Syntax

()

Description

Copy the selected text. Use Paste to retrieve the copied text. Recordable substitute: EditCopy.

 Related topics


CopyAndPaste

Syntax

()

Description

Copy the selected text to the Clipboard. Use EditPaste or MoveModeEnd to paste the copied text into the current document. Included for DOS compatibility. Recordable substitutes: EditCopy and EditPaste.


CorelVersionArchiveCurrentDlg

Syntax

()

Description

Save a version of the current document.


CorelVersionRetrieveCurrentDlg

Syntax

()

Description

Retrieve any saved version of the current document.


CorelVersionRetrieveDocumentDlg

Syntax

()

Description

Retrieve any version already saved for any document.


CounterCreate

Syntax

(CounterName: any; {Method: enumeration})

Description

Specify a box reference number.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
Method: enumeration (optional)	The numbering method. To specify different numbering methods for each level, repeat the method parameter. Enclose repeating parameters in braces ({}) separated by a semicolon. LowLetter! LowRoman! Numbers! UpLetter! UpRoman!
 Related topics


CounterDecrement

Syntax

(CounterName: any; Level: numeric)

Description

Decrease a counter level by one.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
Level: numeric	The level of the counter.
 Related topics


CounterDelete

Syntax

(CounterName: any)

Description

Delete a user-defined counter or reset a program-defined counter.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
 Related topics


CounterDisplay

Syntax

(CounterName: any; Level: numeric)

Description

Display the counter value of a box or user-defined counter.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
Level: numeric


CounterDlg

Syntax

()

Description

Display the Counter Numbering dialog box.


CounterEditLevel

Syntax

(CounterName: any; NewNumLvls: numeric)

Description

Specify the number of levels a counter contains.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
NewNumLvls: numeric	The counter level.
 Related topics


CounterEditLevelMethod

Syntax

(CounterName: any; LevelNum: numeric; NewMethod: enumeration)

Description

Change the numbering method for a multi-level counter.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
LevelNum: numeric	The number the counter displays.
NewMethod: enumeration	LowLetter! LowRoman! Numbers! UpLetter! UpRoman!
 Related topics


CounterEditLevelName

Syntax

(OldCounterName: any; OldLevelName: string; NewLevelName: string)

Description

Rename the specified level of a multi-level counter.

Parameters

OldCounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
OldLevelName: string	The original name of the level.
NewLevelName: string	The new name of the level.
 Related topics


CounterEditMethod

Syntax

(CounterName: any; NewMethod: enumeration)

Description

Change a counter numbering method.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
NewMethod: enumeration	LowLetter! LowRoman! Numbers! UpLetter! UpRoman!
 Related topics


CounterEditName

Syntax

(OldName: string; NewName: string)

Description

Rename a user-defined counter.

Parameters

OldName: string	The old name of the counter.
NewName: string	The new name of the counter.
 Related topics


CounterIncrement

Syntax

(CounterName: any; Level: numeric)

Description

Increase a counter level by one.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
Level: numeric	The level displayed on the counter.
 Related topics


CounterSetMethod

Syntax

(CounterName: any; CounterLevel: numeric; Method: enumeration)

Description

Specify a counter numbering method.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
CounterLevel: numeric	The level displayed on the counter.
Method: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!


CounterSetValue

Syntax

(CounterName: any; {CounterLevel: numeric})

Description

Set a counter value.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!
CounterLevel: numeric (optional)	To change counter levels, repeat the CounterLevel parameter.


CreateBoxToggle

Syntax

(State: enumeration)

Description

Enable or disable Drag to Create, which allows you to create and size boxes by clicking and dragging.

Parameters

State: enumeration (optional)	Off! On!


CreateMapFile

Syntax

(FileName: string)

Description

Create a .MAP file containing the current document's character mapping and save it with the specified filename and path.

Parameters

FileName: string (optional)	The filename for the character map file.


CreateRegionLink

Syntax

(Region: enumeration)

Description

Indicate that a portion of the current document has been copied to the Clipboard, and specify the type of link that has been established.

Parameters

Region: enumeration	OBEXRegion! OLERegion!


CrossRefMarkReference

Syntax

(TargetName: string; RefType: enumeration; CounterName: any)

Description

Create a cross-reference.

Parameters

TargetName: string	The reference name.
RefType: enumeration	What is referenced. RefBox! RefChapter! RefCounter! RefEndnote! RefFootnote! RefPage! RefParagraph! RefSecondaryPage! RefVolume!
CounterName: any (optional)	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!


CrossRefMarkTarget

Syntax

(TagName: string)

Description

Create a cross-reference target.

Parameters

TagName: string (optional)	The name for the target tag.


CtrlBreak

Syntax

()

Description

Cancel the current action in WordPerfect.


CustomBoxDlg

Syntax

()

Description

Display the Custom Box dialog box.


Cut

Syntax

()

Description

Remove the selected text and copy it to the Clipboard, replacing previous Clipboard contents. Included for DOS compatibility. Recordable substitute: EditCut.


CutAndPaste

Syntax

()

Description

Remove the selected text and copy to the Clipboard. Use EditPaste or MoveModeEnd to paste the selection in the current document. Included for DOS compatibility. Recordable substitutes: EditCut and EditPaste.


DateCode

Syntax

()

Description

Insert a code to display the current date at the insertion point. The date code updates to the system date when the document is retrieved or reformatted.

 Related topics


DateFormat

Syntax

(DateFormatString: string)

Description

Specify a date format, and insert the Date Fmt code at the insertion point.

Parameters

DateFormatString: string	A combination of text characters, date, and/or time codes. Select date and time codes from the Macro Codes dialog. Click Codes on the Macro Bar to display the Macro Codes dialog.
 Related topics


DateFormatDlg

Syntax

()

Description

Display the Document Date/Time Format dialog box.

 Related topics


DateText

Syntax

()

Description

Insert the system date as text at the insertion point.

 Related topics


DDEChangeUpdateMode

Syntax

(LinkName: string; UpdateMode: enumeration)

Description

Specify a manual or automatic DDE link update method.

Parameters

LinkName: string	The name of the link to update.
UpdateMode: enumeration (optional)	Automatic! Manual!


DDECreateLink

Syntax

(LinkName: string; Source: string; UpdateMode: enumeration; Format: enumeration)

Description

Establish a link between a WordPerfect document and a file in another application. Data changes in the source file are automatically made in the WordPerfect document.

Parameters

LinkName: string	The name of the link you want to create.
Source: string	The application, file, and optionally, an item within the file that is linked to a WordPerfect document. Separate the application and filename with a vertical bar (|). If an item (a section of a file) is specified, separate the item from the file name with a second vertical bar.
UpdateMode: enumeration (optional)	Manual! Automatic!
Format: enumeration (optional)	WP6DOC! WPDOC! WP6TEXT! WPG2! RTF! TEXT! OEMTEXT! METAFILE! WB1! WP7DOC! WP7TEXT! WP8DOC! WP8TEXT! WP9DOC! WP9TEXT!  WP10DOC! WP10TEXT!


DDECreateLinkDlg

Syntax

()

Description

Display the Links dialog box.


DDEDeleteLink

Syntax

({LinkName: string})

Description

Remove a DDE link.

Parameters

LinkName: string(optional)


DDEDeleteLinkDlg

Syntax

()

Description

Display the Links dialog box.


DDEEditLink

Syntax

(LinkName: string; NewName: string; NewSource: string)

Description

Change the properties of a DDE link.

Parameters

LinkName: string	The original name of the link.
NewName: string (optional)	The new name for the link.
NewSource: string (optional)	The new source application for the link.


DDEEditLinkDlg

Syntax

()

Description

Display the Change Links dialog box.


DDEPasteLink

Syntax

(Format: enumeration)

Description

Establish a link between a WordPerfect document and a file in another application. Data changes in the source file are automatically made in the WordPerfect document. After copying a selection in another application to the Clipboard, use DDEPasteLink to link it to a WordPerfect document.

Parameters

Format: enumeration (optional)	WP6DOC! WPDOC! WP6TEXT! WPG2! RTF! TEXT! OEMTEXT! METAFILE! WB1! WP7DOC! WP7TEXT! WP8DOC! WP8TEXT! WP9DOC! WP9TEXT!  WP10DOC! WP10TEXT!


DDEUpdateLink

Syntax

({LinkName: string})

Description

Update a specified DDE link. If the optional LinkName parameter is left off, all links in the current document are updated.

Parameters

LinkName: string (optional)	The name of the link to update.


DDEUpdateLinkDlg

Syntax

()

Description

Display the Links dialog box.


DecimalAlignmentCharacter

Syntax

(Character: string)

Description

Specify the ASCII numeric equivalent of a decimal character.

Parameters

Character: string	The decimal separator character.
 Related topics


DelayCodes

Syntax

(PagesToDelay: numeric)

Description

Postpone the effects of codes for one or more pages.

Parameters

PagesToDelay: numeric


DelayCodesDlg

Syntax

()

Description

Display the Delay Codes dialog box.


DeleteAppend

Syntax

()

Description

Delete a selection and append it to the Clipboard.


DeleteCharNext

Syntax

()

Description

Delete the character to the right of the insertion point.

 Related topics


DeleteCharPrevious

Syntax

()

Description

Delete the character to the left of the insertion point.

 Related topics


DeleteToBeginningOfWord

Syntax

()

Description

Delete the text and codes from the insertion point to the beginning of the current word. The insertion point must be in a word.

 Related topics


DeleteToEndOfLine

Syntax

()

Description

Delete the text and codes from the insertion point to the end of the current line. Does not delete hard returns or hard page breaks.


DeleteToEndOfPage

Syntax

()

Description

Delete the text and codes from the insertion point to the end of the current page. Does not delete hard page breaks.


DeleteToEndOfWord

Syntax

()

Description

Delete the text and codes from the insertion point to the end of the current word.

 Related topics


DeleteWord

Syntax

()

Description

Delete the current word or space.

 Related topics


DirectoryCreate

Syntax

(Directory: string)

Description

Create a new directory.

Parameters

Directory: string	The path and directory name.


DirectoryExists

Syntax

(Variable: variable; Directory: string)

Description

Return whether a specified directory exists.

Parameters

Variable: variable	True or False.
Directory: string


Display
boolean:=Display

Syntax

(State: enumeration)

Description

Display macro execution when a macro is played. A macro runs faster with display off. A "Macro Play" message appears on the Application Bar.

Return Value

Returns True if display is on, False if not. If the State parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

Parameters

State: enumeration	Off! On!
 Related topics


DisplayMode

Syntax

(DisplayMode: enumeration)

Description

Display the current document in Draft or Page mode. Included for DOS compatibility. DOS enumerations do not correspond exactly with WordPerfect 10 View options. Text! and Graphics! specify Draft mode, and FullPage! specifies Page mode. Recordable substitutes: ViewDraft, ViewPage, and ViewTwoPage.

Parameters

DisplayMode: enumeration	Text! Graphics! FullPage! WebPage!


DisplaySuppressedBoxes

Syntax

(State: enumeration)

Description

Lets you specify whether or not you want to display suppressed boxes.

Parameters

State: enumeration	No! Yes!
 Note

•	New command


DisplayZoom

Syntax

(Percent: numeric)

Description

Specify the current zoom setting.

Parameters

Percent: numeric	Percent: 25-400.


DocCompareAddMarkingsDlg

Syntax

()

Description

Display the Add Markings dialog box.

 Related topics


DocCompareOptions

Syntax

(Precision: enumeration; SkipChars: string; CmpHdrsFtrs: enumeration; CmpComments: enumeration; ExpandMstrDocs: enumeration; SummaryOfCmp: enumeration; ListOfChanges: enumeration; InsertionBoldAttr: enumeration; InsertionItalicAttr: enumeration; InsertionUndAttr: enumeration; InsertionDUndAttr: enumeration; InsertionRedlineAttr: enumeration; InsColorRed: numeric; InsColorGreen: numeric; InsColorBlue: numeric; EncloseInsWith: enumeration; DeletionBoldAttr: enumeration; DeletionItalicAttr: enumeration; DeletionUndAttr: enumeration; DeletionDUndAttr: enumeration; DeletionRedlineAttr: enumeration; DeletionStkoutAttr: enumeration; DelColorRed: numeric; DelColorGreen: numeric; DelColorBlue: numeric; EncloseDelWidth: enumeration; ShowDelTextAs: enumeration; DelTextChar: string; ShowMoves: enumeration; MoveColorRed: numeric; MoveColorGreen: numeric; MoveColorBlue: numeric; ReviewOpt: enumeration;)

Description

Lets you specify the options for the DocCompare command.

Parameters

Precision: enumeration (optional)	Character! Word!
SkipChars: string (optional)
CmpHdrsFtrs: enumeration (optional)	No! Yes!
CmpComments: enumeration (optional)	No! Yes!
ExpandMstrDocs: enumeration (optional)	No! Yes!
SummaryOfCmp: enumeration (optional)	None! AtBeginning! AtEnd!
ListOfChanges: enumeration (optional)	None! ShowChgOnly! ShowContext!
InsertionBoldAttr: enumeration (optional)	Off! On!
InsertionItalicAttr: enumeration (optional)	Off! On!
InsertionUndAttr enumeration (optional)	Off! On!
InsertionDUndAttr enumeration (optional)	Off! On!
InsertionRedlineAttr enumeration (optional)	Off! On!
InsColorRed: numeric (optional)
InsColorGreen: numeric (optional)
InsColorBlue: numeric (optional)
EncloseInsWith enumeration (optional)	None! Brackets! Braces! Bkslashes! Quotes! GTLT!
DeletionBoldAttr enumeration (optional)	Off! On!
DeletionUndAttr enumeration (optional)	Off! On!
DeletionDUndAttr enumeration (optional)	Off! On!
DeletionRedlineAttr enumeration (optional)	Off! On!
DeletionStkoutAttr enumeration (optional)	Off! On!
DelColorRed: numeric (optional)
DelColorGreen: numeric (optional)
DelColorBlue: numeric (optional)
EncloseDelWith enumeration (optional)	None! Brackets! Braces! Bkslashes! Quotes! GTLT!
ShowDelTextAs enumeration (optional)	FullText! AbbrevText! NoText! Character!
DelTextChar: string (optional)
ShowMoves enumeration (optional)	NotShown! AtNewLoc! AtBothLocs!
MoveColorRed: numeric (optional)
MoveColorGreen: numeric (optional)
MoveColorBlue: numeric (optional)
ReviewOpt enumeration (optional)	CompareOnly! CompareThenReview!
 Related topics


DocCompareRemoveMarkingsDlg

Syntax

()

Description

Display the Remove Markings dialog box.

 Related topics


DocCompareRemoveRedline

Syntax

(Flag: enumeration)

Description

Remove Strikeout and Redline codes and Strikeout text, or remove only Strikeout codes and text.

Parameters

Flag: enumeration	LeaveRedline! RemoveAll!
 Related topics


DocInitialFont

Syntax

(Name: string; PointSize: measurement; Family: enumeration; Attributes: enumeration; Weight: enumeration; Width: enumeration; Source: enumeration; Type: enumeration; CharacterSet: enumeration)

Description

Set the default font for the current document.

Parameters

Name: string	The font face for the document.
PointSize: measurement (optional)	The font size for the document.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


DocInitialFontDlg

Syntax

()

Description

Display the Document Initial Font dialog box.

 Related topics


DocMaximize

Syntax

()

Description

Maximize the current document window. If the document is already maximized, the macro ends or goes to the ONERROR label.

 Related topics


DocMinimize

Syntax

()

Description

Minimize the current document window. If the document is already minimized, the macro ends or goes to the ONERROR label.

 Related topics


DocMove

Syntax

()

Description

Reposition or resize the current document if the application window has been minimized.

 Related topics


DocNext

Syntax

()

Description

Move the current document to the back and the most recently opened document to the front.

 Related topics


DocPrevious

Syntax

()

Description

Activate the previous document window, if the document is still open.

 Related topics


DocRedlineMethodDlg

Syntax

()

Description

Display the Redline dialog box.


DocRestore

Syntax

()

Description

Restore the current document to the size it was before it was minimized or maximized. If the document is already restored, the macro ends or goes to the ONERROR label.

 Related topics


DocSize

Syntax

()

Description

Move or resize the current minimized document window. If the window is maximized, an error is displayed and the macro ends or goes to the ONERROR label.

 Related topics


DocSumGet

Syntax

(DocSumFieldName: enumeration)

Description

Specify the fields to include in the active document summary.

Parameters

DocSumFieldName: enumeration	You can pass only one of the following enumerations in a single call. Abstract! Account! Address! Attachments! Author! Authorization! BillTo! BlindCopy! CarbonCopy! Category! CheckedBy! Client! Comments! CreationDate! DateCompleted! Department! DescriptiveName! DescriptiveType! Destination! Disposition! Division! DocumentNumber! Editor! ForwardTo! Group! Keywords! Language! MailStop! Matter! Office! Owner! Project! Publisher! Purpose! ReceivedFrom! RecordedBy! RecordedDate! Reference! RevisionDate! RevisionNotes! RevisionNumber! Section! Security! Source! Status! Subject! TelephoneNumber! Typist! VersionDate! VersionNotes! VersionNumber!
Example

If you want to retrieve more than one enumeration, you need separate calls. For example, you can use DocSumGet(Abstract!) DocSumGet(BillTo!) DocSumGet(Category!), but WordPerfect will not recognize DocSumGet(Abstract!;BillTo!;Category!) as a valid call.


DocSummaryConfig

Syntax

({DocSumFieldName: enumeration})

Description

Specify the fields to include in the current document summary.

Parameters

DocSumFieldName: enumeration (optional)	Repeat the parameter for as many fields as need to be specified. Enclose repeating parameters in braces ({}) and separate with semi-colons. Abstract! Account! Address! Attachments! Author! Authorization! BillTo! BlindCopy! CarbonCopy! Category! CheckedBy! Client! Comments! CreationDate! DateCompleted! Department! DescriptiveName! DescriptiveType! Destination! Disposition! Division! DocumentNumber! Editor! ForwardTo! Group! Keywords! Language! MailStop! Matter! Office! Owner! Project! Publisher! Purpose! ReceivedFrom! RecordedBy! RecordedDate! Reference! RevisionDate! RevisionNotes! RevisionNumber! Section! Security! Source! Status! Subject! TelephoneNumber! Typist! VersionDate! VersionNotes! VersionNumber!
 Related topics


DocSummaryDelete

Syntax

()

Description

Delete the current document summary information.

 Related topics


DocSummaryDlg

Syntax

()

Description

Display the Document Summary dialog box.

 Related topics


DocSummaryPrint

Syntax

()

Description

Print the current document summary. The macro requires that the document has the PREFIX_EXTENDED_SUMMARY prefix ID in it.  To get the prefix ID, click File|Properties, and click OK. This will insert the proper prefix into the document.

 Related topics


DocSummarySaveAs

Syntax

(Filename: string; ExportType: enumeration; AppendReplace: enumeration)

Description

Save the current document summary with a filename.

Parameters

Filename: string	The filename under which to save the document summary.
ExportType: enumeration (optional)	AmiPro_10! AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_30! ANSIDelimitedTextWindows! ANSIGenericWordProcessor_Windows! ANSIText_Windows! ASCIIStandard! ASCIIStripped! DelimitedText! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! Excel_40! FFT! Kermit_7bit_Transfer! MicroSoftWord_40! MicroSoftWord_50! MicroSoftWord_55! MultiMate_33! MultiMate_40! MultiMateAdvantage_36! MultiMateAdvantageII_10! NavyDIF! OfficeWriter_60! OfficeWriter_61! OfficeWriter_611! OfficeWriter_62! RFT! RTF! RTFJ! WindowsWrite! WordForWindows_10! WordForWindows_11! WordForWindows_12! WordForWindows_1A! WordForWindows_20! WordForWindows_20a! WordForWindows_20b! WordForWindows_50! WordPerfect_42! WordPerfect_50! WordPerfect_51! WordPerfect_5xA! WordPerfect_60! WordPerfect_7! WordStar_33! WordStar_331! WordStar_34! WordStar_40! WordStar_50! WordStar_55! WordStar_60! WordStar2000_10! WordStar2000_20! WordStar2000_30! XyWriteIIIPlus_355! XyWriteIIIPlus_356!
AppendReplace: enumeration (optional)	Append! Replace!


DocSumSet

Syntax

({DocSumFieldName: enumeration; DocSumFieldData: string})

Description

Modify the data of the specified document-summary field. Repeat both parameters for each field of the summary. Enclose repeating parameters in braces ({}).

Parameters

DocSumFieldName: enumeration (optional)	The fields to modify. Abstract! Account! Address! Attachments! Author! Authorization! BillTo! BlindCopy! CarbonCopy! Category! CheckedBy! Client! Comments! CreationDate! DateCompleted! Department! DescriptiveName! DescriptiveType! Destination! Disposition! Division! DocumentNumber! Editor! ForwardTo! Group! Keywords! Language! MailStop! Matter! Office! Owner! Project! Publisher! Purpose! ReceivedFrom! RecordedBy! RecordedDate! Reference! RevisionNotes! RevisionNumber! Section! Security! Source! Status! Subject! TelephoneNumber! Typist! VersionDate! VersionNotes! VersionNumber!
DocSumFieldData: string (optional)	The data for a document-summary field. If CreationDate!, DateCompleted!, RecordedDate!, RevisionDate!, or VersionDate! is specified in the DocSumFieldName parameter, the date must be entered in the sequence of Year, Month, Day. For example: "1994, 9, 14." If the date format is incorrect, the specified date field is not updated.


DocumentCompare

Syntax

(Filename: string; MarkIn: enumeration)

Description

Compare two versions of a document and mark differences.

Parameters

Filename: string	The document you want to compare.
MarkIn: enumeration	NewDoc! CurrentDoc!


DocumentInfo

Syntax

(ItemType: enumeration)

Description

Returns document information such as number of characters, paragraphs, etc.

Parameters

ItemType: enumeration (optional)	You can pass only one of the following enumerations in a single call. Characters! Words! Lines! Sentences! Paragraphs! Pages! AweWordLength! AweNumOfWords! MaxNumOfWords!
Example

If you want to retrieve more than one enumeration, you need separate calls. For example, you can use DocSumGet(Abstract!) DocSumGet(BillTo!) DocSumGet(Category!), but WordPerfect will not recognize DocSumGet(Abstract!;BillTo!;Category!) as a valid call.


DotLeader

Syntax

(Character: string; SpaceCount: numeric)

Description

Specify the ASCII number of a dot leader character, and the number of spaces between each character.

Parameters

Character: string	The ASCII number of a dot leader character.
SpaceCount: numeric	The number of spaces between the visible dot leader characters.
 Related topics


DoubleSidedPrint

Syntax

(Flags: enumeration)

Description

Turn double-sided printing (Duplex) on or off, and specify a binding edge. This command inserts a code in the document at the beginning of the current page.

Parameters

Flags: enumeration	LongEdge! None! ShortEdge!
 Related topics


DoubleSmartQuote

Syntax

(State: enumeration; OpenDoubleQuote: numeric; CloseDoubleQuote: numeric)

Description

Turn Double SmartQuotes on or off and specify a quote character.

Parameters

State: enumeration (optional)	Off! On!
OpenDoubleQuote: numeric (optional)	The numeric equivalent of the quote character.
CloseDoubleQuote: numeric (optional)	The numeric equivalent of the quote character.
 Related topics


DraftZoom100

Syntax

()

Description

Display Draft view with screen text and graphics at 100%. Draft view does not display headers, footers, or other substructures.

 Related topics


DraftZoomMargin

Syntax

()

Description

Display Draft view with screen text and graphics reaching the margins. Draft view does not display headers, footers, and other substructures.

 Related topics


DropCapAdjustDlg

Syntax

()

Description

Display the Drop Cap Options dialog box.


DropCapBegin

Syntax

()

Description

Begin a drop cap. Follow with drop cap editing commands and DropCapEnd.

 Related topics


DropCapBorderFillDlg

Syntax

()

Description

Display the Drop Cap Border/Fill dialog box.

 Related topics


DropCapBorderStyle

Syntax

(BorderStyleName: any)

Description

Specify a drop cap border style. Use with DropCapBegin and DropCapEnd.

Parameters

BorderStyleName: any	Enclose custom styles in quotation marks. ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
 Related topics


DropCapCharacters

Syntax

(Number: numeric)

Description

Specify the number of characters in a drop cap. Use with DropCapBegin and DropCapEnd.

Parameters

Number: numeric	The number of characters included in a drop cap.
 Related topics


DropCapCharacterSize

Syntax

(Size: numeric)

Description

Specify the size of a drop cap character(s).

Parameters

Size: numeric	The point size of the character(s) in a drop cap.
 Related topics


DropCapContourWrap

Syntax

(State: any)

Description

Wrap text around a drop cap. Use with DropCapBegin and DropCapEnd.

Parameters

State: any	No! Yes!


DropCapControlBar

Syntax

()

Description

Display the Drop Cap feature bar.


DropCapEnd

Syntax

(State: enumeration)

Description

End a drop cap and save the changes. Precede with DropCapBegin and drop cap editing commands.

Parameters

State: enumeration	Cancel! Save!
 Related topics


DropCapDialog

Syntax

(Page: Enumeration)

Description

Change the first letter in a paragraph to a drop cap.

Parameters

Page: enumeration	Format!


DropCapStart

Syntax

()

Description

Start a drop cap definition.

 Related topics


DropCapFillStyle

Syntax

(FillStyleName: any)

Description

Specify a drop cap fill style. Use with DropCapBegin and DropCapEnd.

Parameters

FillStyleName: any	Enclose custom styles in quotation marks. Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
 Related topics


DropCapFontDlg

Syntax

()

Description

Display the Drop Cap Font dialog box.


DropCapHorizontalAdjustment

Syntax

(Adjustment: numeric)

Description

Specify the percentage of a drop cap that is located in the margin. Use with DropCapBegin and DropCapEnd.

Parameters

Adjustment: numeric	Percent.
 Related topics


DropCapIncludeDescender

Syntax

(State: any)

Description

Allow descending characters in a drop cap. Use with DropCapBegin and DropCapEnd.

Parameters

State: any	No! Yes!
 Related topics


DropCapIncludeDiacritic

Syntax

(State: enumeration)

Description

Include diacritic marks in a drop cap. Use with DropCapBegin and DropCapEnd.

Parameters

State: enumeration	No! Yes!


DropCapKerning

Syntax

(Adjustment: measurement)

Description

Specify the spacing between drop cap characters.

Parameters

Adjustment: measurement	The amount of space between drop cap characters.


DropCapNoWrap

Syntax

(State: any)

Description

Prevent text from wrapping around a drop cap. Use with DropCapBegin and DropCapEnd.

Parameters

State: any	No! Yes!


DropCapOff

Syntax

()

Description

End the drop cap of the current paragraph.


DropCapPositionOtherDlg

Syntax

()

Description

Display the Drop Cap Position dialog box.


DropCapSizeDlg

Syntax

()

Description

Display the Drop Cap Size dialog box.


DropCapVerticalAdjustment

Syntax

(Adjustment: numeric)

Description

Specify the number of blank lines between a drop cap and the text that follows it. Use with DropCapBegin and DropCapEnd.

Parameters

Adjustment: numeric	The number of blank lines between the text and the drop cap.
 Related topics


EditBoxDlg

Syntax

()

Description

Display the Edit Box dialog box.

 Related topics


EditBoxDlgClose

Syntax

()

Description

Close the Edit Box dialog box.

 Related topics


EditComment

Syntax

()

Description

Display the Comment feature bar.


EditCopy

Syntax

()

Description

Replace the Clipboard contents with the selected text or graphic.

 Related topics


EditCut

Syntax

()

Description

Replace the Clipboard contents with the selected text or graphic, and delete the selection from the current document.

 Related topics


EditPaste

Syntax

(ClipboardFormat: string; FormatId: numeric; LinkType: enumeration)

Description

Paste the Clipboard contents into the current document at the insertion point.

Parameters

ClipboardFormat: string (optional)	The registered Clipboard format. If the information you wish to paste is in a registered Clipboard format, this parameter is required and the FormatId parameter is ignored. Several different formats are supported. The options displayed in the Paste Special dialog box will depend on the contents in the Clipboard.
FormatId: numeric (optional)	The predefined Clipboard format ID number. If the information you wish to paste is in a Clipboard predefined format, this parameter is required and the ClipboardFormat parameter is ignored. Predefined Clipboard format ID numbers include: 5 = ANSI text. 6 = Old IBM PC character set. 7 = Device Independent Bitmap (DIB). 8 = Bitmap. 9 = Metafilepict.
LinkType: enumeration (optional)	DDE! OLE!
 Related topics


EditPasteSimple

Syntax

()

Description

Paste the Clipboard contents without text attributes (unless beginning and ending attribute codes are included in the pasted selection).

 Related topics


EndCenterOrAlignment

Syntax

()

Description

Insert an [END Cntr/Align] code, which turns off Center, Flush Right, and alignment tabs at the insertion point for the current line only.


EndnoteCreate

Syntax

()

Description

Open a new endnote window, in order to create an endnote. Follow with commands that insert text and codes. End with SubstructureExit.

 Related topics


EndnoteEdit

Syntax

(EndnoteNumber: string)

Description

Open a specific endnote window, in order to edit the endnote.

Parameters

EndnoteNumber: string(optional) Letters, arabic numbers, or roman numerals.

 Related topics


EndnoteEditDlg

Syntax

()

Description

Display the Edit Endnote dialog box.

 Related topics


EndnoteFootnoteConvert

Syntax

(Action: enumeration)

Description

Convert footnotes to endnotes or endnotes to footnotes in the current document.

Parameters

Action: enumeration	EndnoteToFootnote! FootnoteToEndnote!


EndnoteFootnoteNext

Syntax

()

Description

Go to the next endnote/footnote.


EndnoteFootnotePrev

Syntax

()

Description

Go to the previous endnote/footnote.


EndnoteMinimum

Syntax

(Size: measurement)

Description

Specify the amount of endnote text to keep together.

Parameters

Size: measurement	If less than 1, precede the decimal with 0. Default: 0.5".
 Related topics


EndnoteNewNumber

Syntax

(EndnoteNumber: string)

Description

Insert an [Endnote Num Set] code to begin new numbering for subsequent endnotes.

Parameters

EndnoteNumber: string	The new starting number or character.


EndnoteNumberDecrement

Syntax

()

Description

Decrease the current endnote number by one.

 Related topics


EndnoteNumberDisplay

Syntax

()

Description

Display the current endnote number.

 Related topics


EndnoteNumberIncrement

Syntax

()

Description

Increase the current endnote number by one.

 Related topics


EndnoteNumberMethod

Syntax

(NumberingMethod: enumeration; Characters: string)

Description

Specify an endnote numbering method.

Parameters

NumberingMethod: enumeration	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Characters: string (optional)	Use when the first parameter is Characters!.
 Related topics


EndnoteOptions

Syntax

(NumberingMethod: enumeration; Characters: string; BetweenSpacing: measurement; MinimumHeight: measurement)

Description

Specify endnote options beginning at the insertion point.

Parameters

NumberingMethod: enumeration (optional)	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Characters: string (optional)	Use up to five characters when the numbering method is Characters!.
BetweenSpacing: measurement (optional)	The space between endnotes.
MinimumHeight: measurement (optional)	How much of an endnote to keep together on a page.
 Related topics


EndnoteOptionsDlg

Syntax

()

Description

Display the Endnote Options dialog box.

 Related topics


EndnotePlacement

Syntax

(Restart: enumeration)

Description

Mark where to generate an endnote list, and specify whether to reset numbering for subsequent endnotes. This command applies to endnotes before the Endnote Placement code, or after the last Endnote Placement code.

Parameters

Restart: enumeration (optional)	No! Yes!
 Related topics


EndnotePlacementDlg

Syntax

()

Description

Display the Endnote Placement dialog box.

 Related topics


EndnoteSetNumberDlg

Syntax

()

Description

Display the Endnote Number dialog box.


EndnotesSpaceBetween

Syntax

(Width: measurement)

Description

Specify the distance between endnotes.

Parameters

Width: measurement
 Related topics


EndnoteToFootnoteShippingMacro

Syntax

()

Description

Play the shipping macro ENDFOOT.WCM to convert endnotes to footnotes in the current document or selected text. ENDFOOT.WCM must already be installed.

 Related topics


EndOfSentenceSpacing

Syntax

(Type: enumeration)

Description

Specify the number of spaces at the end of a sentence.

Parameters

Type: enumeration	DoubleToSingle! None! SingleToDouble!
 Related topics


EnterKey

Syntax

()

Description

Perform an Enter function.


EnvelopeAddressPositionUpdate

Syntax

()

Description

Update the envelope address positions.

 Note

•	New command


EnvelopeCreate

Syntax

(Name: string; MergeEnvelope: enumeration)

Description

Creates an envelope.

Parameters

Name: string	The name of the envelope.
MergeEnvelope: enumeration	CreateMrgEnvelope! EditMrgEnvelope!
 Note

•	New command


EnvelopeDlg

Syntax

()

Description

Display the Envelope dialog box.


EnvelopePositionsDlg

Syntax

()

Description

Modify the position of the return and mailing address.

 Note

•	New command


EnvelopeSavePaperSize

Syntax

()

Description

Save the size of the envelope paper.

 Note

•	New command


EquationBaseFontDlg

Syntax

()

Description

Display the Equation Font dialog box.


EquationCreate

Syntax

()

Description

Create an equation box and open the Equation Editor.

 Related topics


EquationPalette

Syntax

(State: enumeration)

Description

Display the Equation Palette in the Equation Editor.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


EquationPaletteToggle

Syntax

()

Description

Toggle the Equation Editor palette on and off.

 Related topics


EquationRetrieveDlg

Syntax

()

Description

Display the Retrieve Equation Text dialog box.


EquationZoomDlg

Syntax

()

Description

Display the Zoom Equation Display dialog box.


ExecScrapBook

Syntax

()

Description

Run the Scrapbook program. You can then drag images from the Scrapbook and drop them into your document.


ExitWordPerfect

Syntax

()

Description

Exits WordPerfect.


ExpandAllAbbrevShippingMacro

Syntax

()

Description

Play the shipping macro EXPNDALL.WCM to expand all abbreviations in the current document. EXPNDALL.WCM must be installed.

 Related topics


ExpandDlg

Syntax

()

Description

Display the Expand Master Document dialog box.

 Related topics


FancyPageBorder

Syntax

(Filename: string)

Description

Specify a Fancy Border for the current page. This command places a Fancy Border code in the current document at the beginning of the paragraph where the insertion point is located.

Parameters

Filename: string	The filename of the graphic you want to use as a page border.
 Related topics


FancyPageBorderInParagraph
boolean:=FancyPageBorderInParagraph

Syntax

()

Description

Return a value indicating whether the current paragraph contains a Fancy Border code. The current paragraph is the paragraph where the insertion point is located. (This command returns 0 if the current paragraph contains a Fancy Border code following the insertion point. Since the Fancy Border code is always inserted at the beginning of the current paragraph when created or edited, this condition could exist only if the code was moved manually.)

Return Value

0	Fancy Border code not in current paragraph

1	Fancy Border code in current paragraph

 Related topics


FancyPageBorderOccur
boolean:=FancyPageBorderOccur

Syntax

()

Description

Return True if Fancy Page Borders are active at the insertion point, False if not. This command will return False if there is no Fancy Border code in the document before the insertion point, even if a Fancy Border code follows the insertion point on the same page.

 Related topics


FancyPageBorderOff

Syntax

()

Description

Turn off Fancy Page Borders. This command inserts a Fancy Border End code at the insertion point. If the insertion point is located following the Fancy Border definition code and on the same page, rather than inserting a Fancy Border End code, the Fancy Border definition code is removed.

 Related topics


FigurePaletteDlg

Syntax

()

Description

Display the Image Tools palette in order to edit an image.

 Related topics


FigurePaletteDlgEnd

Syntax

()

Description

Close the Image Tools palette.

 Related topics


FigureRetrieveDlg

Syntax

()

Description

Display the Insert Image dialog box.


FileChangeAttributes

Syntax

(Filename: string; {Attributes: enumeration})

Description

Rename a file and specify a file type.

Parameters

Filename: string	The name of the file whose attributes you want to change.
Attributes: enumeration (optional)	Archive! Hidden! Normal! ReadOnly! System!


FileChangeDir

Syntax

(Directory: string)

Description

Change the Documents or Graphics Files directory.

Parameters

Directory: string	The directory to which you want to move the file.


FileCopy

Syntax

(SourceFile: string; DestinationFile: string)

Description

Copy a source file to a destination file.

Parameters

SourceFile: string	The path and filename of the original file.
DestinationFile: string	The path and filename of the copy.
 Related topics


FileDelete

Syntax

(Filename: string)

Description

Delete a specific file.

Parameters

Filename: string (optional)	The name of the file to delete.
 Related topics


FileExists

Syntax

(Variable: variable; Filename: string)

Description

Return whether a specified file exists.

Parameters

Variable: variable	True (exists) or False (not exist).
Filename: string	The name of the file.


FileInsert

Syntax

(Filename: string; AutoDetect: enumeration; InsertIntoDoc: enumeration)

Description

Retrieve a file into the current document at the insertion point.

Parameters

Filename: string (optional)	The name of the file to insert.
AutoDetect: enumeration (optional)	No! Yes!
InsertIntoDoc: enumeration (optional)	Display a prompt before a file is inserted. Default: Insert! - insert file without prompt. Insert! Prompt!
 Related topics


FileInsertDlg

Syntax

()

Description

Display the Insert File dialog box, which allows you to retrieve an existing file.

 Related topics


FileMove

Syntax

(SourceFile: string; DestinationFile: string)

Description

Rename and move a file.

Parameters

SourceFile: string (optional)	The original filename and/or location.
DestinationFile: string (optional)	The new filename and/or location.
 Related topics


FileNew

Syntax

()

Description

Create a new document based on the default template. If the maximum nine documents are open, the macro ends or goes to the ONERROR label.

 Related topics


FileOpen

Syntax

(Filename: string; Format: enumeration)

Description

Retrieve a specified file into a new document window. If the maximum nine document windows are open, the macro ends or goes to the ONERROR label.

Parameters

Filename: string
Format: enumeration(optional)	AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_20! AmiPro_30! ANSIDelimitedTextWindows! ANSIGenericWordProcessor_Windows! ANSIText_Windows! AreAHangol! Aruga_23! ASCIIStandard! ASCIIStripped! DelimitedText! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! Excel_40! FFT! Hana! HTML! Ichitaro_3x! Ichitaro_4x! Ichitaro_5x! Kermit_7bit_Transfer! Matu_4! Matu_5! Matu_6! MicroSoftWord_40! MicroSoftWord_50! MicroSoftWord_55! MultiMate_33! MultiMate_40! MultiMateAdvantage_36! MultiMateAdvantageII_10! NavyDIF! OfficeWriter_60! OfficeWriter_61! OfficeWriter_611! OfficeWriter_62! P1EXE! RFT! RTF! RTFJ! SGML! WaiSing_251! WindowsWrite! WordForWindows_10! WordForWindows_11! WordForWindows_12! WordForWindows_1A! WordForWindows_20! WordForWindows_20a! WordForWindows_20b! WordForWindows_20c! WordForWindows_50! WordForWindows_60! WordPerfect_42! WordPerfect_50! WordPerfect_51! WordPerfect_5xA! WordPerfect_60! WordPerfect_7! WordStar_33! WordStar_331! WordStar_34! WordStar_40! WordStar_50! WordStar_55! WordStar_60! WordStar2000_10! WordStar2000_20! WordStar2000_30! WPS_Chinese! XyWriteIIIPlus_355! XyWriteIIIPlus_356!
 Related topics


FileOpenDlg

Syntax

()

Description

Display the Open File dialog box.

 Related topics


FileRemoveDirectory

Syntax

(Directory: string)

Description

Remove a directory.

Parameters

Directory: string	The directory to remove.


FileSave

Syntax

(Filename: string; ExportType: enumeration; Overwrite: enumeration)

Description

Save the current file or display the Save As dialog box for a new document.

Parameters

Filename: string (optional)
ExportType: enumeration (optional)	AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_20! AmiPro_30! ANSIDelimitedTextWindows! ANSIGeneratedWordProcessor_Windows! ANSIText_Windows! AreAHangol! Aruga_23! ASCIIStandard! ASCIIStripped! DelimitedText! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! EDGAR! Excel_40! FFT! Hana! HTML! Ichitaro_3x! Ichitaro_4x! Ichitaro_5x! Kermit_7bit_Transfer! Matu_4! Matu_5! Matu_6! MicroSoftWord_40! MicroSoftWord_50! MicroSoftWord_55! MultiMate_33! MultiMate_40! MultiMateAdvantage_36! MultiMateAdvantageII_10! NavyDIF! OfficeWriter_60! OfficeWriter_61! OfficeWriter_611! OfficeWriter_62! P1EXE! RFT! RTF! RTFJ! SGML! WaiSing_251! WindowsWrite! WordForWindows_10! WordForWindows_11! WordForWindows_12! WordForWindows_1A! WordForWindows_20! WordForWindows_20a! WordForWindows_20b! WordForWindows_20c! WordForWindows_50! WordForWindows_60! WordPerfect_42! WordPerfect_50! WordPerfect_51! WordPerfect_5xA! WordPerfect_60! WordPerfect_7! WordStar_33! WordStar_331! WordStar_34! WordStar_40! WordStar_50! WordStar_55! WordStar_60! WordStar2000_10! WordStar2000_20! WordStar2000_30! WPS_Chinese! XyWriteIIIPlus_355! XyWriteIIIPlus_356!
Overwrite: enumeration (optional)	Automatically overwrite a file with the same name, or prompt the user to enter a new filename. No! Prompt! Yes!
 Related topics


FileSaveAsDlg

Syntax

()

Description

Display the Save As dialog box, which allows you to save a file.

 Related topics


FileStampShippingMacro

Syntax

()

Description

Play the shipping macro FILESTMP.WCM to display the File Stamp Options dialog box. The dialog box allows you to insert the path and filename of a document in a header or footer. FILESTMP.WCM must be installed.


FillColors

Syntax

(ForeColorName: string; ForeRed: numeric; ForeGreen: numeric; ForeBlue: numeric; ForeShade: numeric; BackColorName: string; BackRed: numeric; BackGreen: numeric; BackBlue: numeric; BackShade: numeric)

Description

Specify a fill color for boxes and tables. Precede with commands such as BoxFill, FillStyleCreate, or TableBorderEditBegin, and end with commands such as BoxUpdateDisplay and BoxEnd, FillStyleEnd, or TableBorderEditEnd.

Parameters

ForeColorName: string (optional)
ForeRed: numeric (optional)	Value: 0-255.
ForeGreen: numeric (optional)	Value: 0-255.
ForeBlue: numeric (optional)	Value: 0-255.
ForeShade: numeric (optional)	Percent: 0-100.
BackColorName: string (optional)
BackRed: numeric (optional)	Value: 0-255.
BackGreen: numeric (optional)	Value: 0-255.
BackBlue: numeric (optional)	Value: 0-255.
BackShade: numeric (optional)	Percent: 0-100.
 Related topics


FillSetGradient

Syntax

(Gradient: enumeration; Angle: numeric; XLocation: numeric; YLocation: numeric; Calculate: numeric; State: enumeration)

Description

Customize a gradient fill. Precede with FillStyleCreate or FillStyleEdit and end with FillStyleEnd.

Parameters

Gradient: enumeration	LinearGradient! RadialGradient! RectangularGradient!
Angle: numeric (optional)	The angle of the gradient.
XLocation: numeric (optional)	The percentage of horizontal offset. A 10% offset places the center of the gradient effect toward the left edge; 50% centers it horizontally.
YLocation: numeric (optional)	The percentage of vertical offset. A 10% offset places the center of the gradient effect toward the top edge; 50% centers it vertically.
Calculate: numeric (optional)	The number of steps to create a gradient. Default: 30. Both maximum (999) and minimum (1) produce a solid appearance. The optimum is approximately 120.
State: enumeration (optional)	Turn the gradient fill on or off. No! Yes!
 Related topics


FillSetWPG2

Syntax

(PatternSet: numeric; Index: enumeration)

Description

Specify a pattern set and a pattern from the set. Precede with commands such as BoxFill, FillStyleCreate, or TableBorderEditBegin and end with commands such as BoxUpdateDisplay, FillStyleEnd, or TableBorderEditEnd.

Parameters

PatternSet: numeric	Only 0 is available.
Index: enumeration	Specify a pattern: WPG2_12Gray! WPG2_25Gray! WPG2_50Gray! WPG2_Arch! WPG2_Balls! WPG2_Bricks1! WPG2_Bricks2! WPG2_Chainlink! WPG2_Checkboard1! WPG2_Checkboard2! WPG2_Crosses! WPG2_Crosshatch1! WPG2_Crosshatch2! WPG2_Crosshatch3! WPG2_Crosshatch4! WPG2_Fishscale! WPG2_Honeycomb! WPG2_Lines1! WPG2_Lines2! WPG2_Lines3! WPG2_Lines4! WPG2_Lines5! WPG2_Lines6! WPG2_Lines7! WPG2_Lines8! WPG2_Mesh! WPG2_Patio! WPG2_Plaid! WPG2_Solid! WPG2_Triangles! WPG2_Waves! WPG2_Weave!
 Related topics


FillStyleCopy

Syntax

(StyleName: any; FromLibrary: enumeration; ToLibrary: enumeration; DestName: string)

Description

Copy a fill style.

Parameters

StyleName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
FromLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
DestName: string(optional)	Rename a copied fill style.
 Related topics


FillStyleCreate

Syntax

(TemplateName: string; Library: enumeration)

Description

Create a fill style.

Parameters

TemplateName: string	The name for the template.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleDelete

Syntax

(StyleName: any; Library: enumeration)

Description

Delete a fill style.

Parameters

StyleName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleEdit

Syntax

(Style: any; Library: enumeration)

Description

Begin a FillStyleEdit-FillStyleEnd statement.

Parameters

Style: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleEnd

Syntax

(State: enumeration)

Description

Save or cancel changes to a fill style.

Parameters

State: enumeration	Cancel! Save!
 Related topics


FillStyleName

Syntax

(FillName: string)

Description

Name a user-created fill style. Precede with FillStyleEdit and end with FillStyleEnd.

Parameters

FillName: string	The name of the new fill style.
 Related topics


FillStyleRetrieve

Syntax

(Filename: string; Library: enumeration)

Description

Retrieve all fill graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
Library: enumeration	The destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences, and SharedLibrary! is used here, the command does nothing. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleSave

Syntax

(Filename: string; Library: enumeration)

Description

Save a fill style.

Parameters

Filename: string	The name for the fill style.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FindDlg

Syntax

()

Description

Display the Find and Replace Text dialog box.

 Related topics


FirstLineIndent

Syntax

(Width: measurement)

Description

Specify the distance between the left margin and the first word of indented text.

Parameters

Width: measurement	The length of the indention.
 Related topics


FloatingCellBegin

Syntax

()

Description

Move the insertion point in a floating cell to the beginning of the cell.

 Related topics


FloatingCellCreate

Syntax

()

Description

Create a floating cell.

 Related topics


FloatingCellEdit

Syntax

()

Description

Search backward for a floating cell and move the insertion point to the beginning of the first one found. If not found searching backward, the search continues from the insertion point forward.

 Related topics


FloatingCellEnd

Syntax

()

Description

Move the insertion point in a floating cell to the end of the cell.

 Related topics


FloatingCellFormula

Syntax

(Formula: string)

Description

Specify a floating-cell formula. Precede with FloatingCellCreate or FloatingCellEdit.

Parameters

Formula: string	The floating cell formula.
 Related topics


FloatingCellNumAlignCurrency

Syntax

(Align: enumeration)

Description

Align the currency symbols in a floating cell. Precede with FloatingCellCreate or FloatingCellEdit.

Parameters

Align: enumeration	No! Yes!
 Related topics


FloatingCellNumberDateFormat

Syntax

(Format: numeric)

Description

Specify a floating-cell date format.

Parameters

Format: numeric	1 March 5, 1993 2 3/5/93 3 Mar 5, 1993 4 5 March 1993 5 Friday, March 5, 1993 6 4:18 pm 7 05Mar93 8 March 5, 1993 (4:18pm) 9 1993-03-05 10 3/05 11 Mar 05 12 04:18:53 (hh:mm:ss)
 Related topics


FloatingCellNumberDecDigits

Syntax

(Number: numeric)

Description

Specify the number of digits after the decimal point in a floating cell. The insertion point must be between floating cell codes (Flt Cell).

Parameters

Number: numeric	The number of decimal places after the decimal point.
 Related topics


FloatingCellNumberFormat

Syntax

(CellNumType: enumeration)

Description

Specify a number type for floating cells.

Parameters

CellNumType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


FloatingCellNumberNegNumber

Syntax

(NegDisplay: enumeration)

Description

Specify how to display negative numbers in a floating cell.

Parameters

NegDisplay: enumeration	CRDR! Minus! Parentheses!
 Related topics


FloatingCellNumberRound

Syntax

(Round: enumeration)

Description

Round numbers for calculation in a floating cell.

Parameters

Round: enumeration	No! Yes!
 Related topics


FloatingCellNumberUseCommas

Syntax

(Commas: enumeration)

Description

Use commas in floating-cell numbers.

Parameters

Commas: enumeration	No! Yes!
 Related topics


FloatingCellNumberUseCurrency

Syntax

(Currency: enumeration)

Description

Use currency symbols in a floating cell.

Parameters

Currency: enumeration	No! Yes!
 Related topics


FloatingCellNumSelectCurrency

Syntax

(IntlCurrency: enumeration)

Description

Specify a currency symbol for floating cells.

Parameters

IntlCurrency: enumeration	Austria! Belgium! BelgiumFrench! Brazil! Canada! China! Croatia! CzechRepublic! DefaultCurrency! Denmark! Dollar! Ecuador! ElSalvador! Euro! Finland! FinlandIntl! France! FrenchCanada! Germany! Greece! Guatemala! Honduras! HongKong! Hungary! Iceland! Israel! Italy! Japan! Korea! Netherlands! Norway! NorwayIntl! Paraguay! Peseta! Peso! Poland! Portugal! Ruble! RussianRuble! Singapore! SlovakRepublic! Slovenia! SouthAfrica! Sweden! Switzerland! Taiwan! Turkey! UnitedKingdom! Venezuela!
 Related topics


FlushRight

Syntax

()

Description

Align text at the right margin.

 Related topics


FlushRightWithDotLeaders

Syntax

()

Description

Right justify a line of text with dot leaders.

 Related topics


Font

Syntax

(Name: string; Family: enumeration; Attributes: enumeration; Weight: enumeration; Width: enumeration; Source: enumeration; Type: enumeration; CharacterSet: enumeration)

Description

Specify font options.

Parameters

Name: string	The name of the font.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodon! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


FontDlg

Syntax

()

Description

Display the Font dialog box.

 Related topics


FontDnShippingMacro

Syntax

()

Description

Play the shipping macro FONTDN.WCM to reduce the font size of the selected text by two points. FONTDN.WCM must be installed.


FontDoubleUnderlineToggle

Syntax

()

Description

Toggle Double Underline at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontExtraLargeToggle

Syntax

()

Description

Toggle Extra Large at the insertion point. Recordable substitute: AttributeRelativeSizeToggle.

 Related topics


FontFineToggle

Syntax

()

Description

Toggle Fine at the insertion point. Recordable substitute: AttributeRelativeSizeToggle.

 Related topics


FontHiddenToggle

Syntax

()

Description

Toggle Hidden at the insertion point.

 Related topics


FontItalicToggle

Syntax

()

Description

Toggle Italic at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontLargeToggle

Syntax

()

Description

Toggle Large at the insertion point. Recordable substitute: AttributeRelativeSizeToggle.

 Related topics


FontOutlineToggle

Syntax

()

Description

Toggle the Outline font attribute at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontRedlineToggle

Syntax

()

Description

Toggle Redline at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontShadowToggle

Syntax

()

Description

Toggle Shadow at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontSize

Syntax

(FontSize: measurement)

Description

Specify the size of a selected font at the insertion point.

Parameters

FontSize: measurement
 Related topics


FontSmallCapsToggle

Syntax

()

Description

Toggle Small Caps at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontSmallToggle

Syntax

()

Description

Toggle Small at the insertion point. Recordable substitute: AttributeRelativeSizeToggle.

 Related topics


FontStrikeoutToggle

Syntax

()

Description

Toggle Strikeout at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontSubscriptToggle

Syntax

()

Description

Toggle Subscript at the insertion point. Recordable substitute: AttributePositionToggle.

 Related topics


FontSuperscriptToggle

Syntax

()

Description

Toggle Superscript at the insertion point. Recordable substitute: AttributePositionToggle.

 Related topics


FontUnderlineToggle

Syntax

()

Description

Toggle Underline at the insertion point. Recordable substitute: AttributeAppearanceToggle.

 Related topics


FontUpShippingMacro

Syntax

()

Description

Play the shipping macro FONTUP.WCM to increase the font size of the selected text by two points. FONTUP.WCM must be installed.


FontVeryLargeToggle

Syntax

()

Description

Toggle Very Large at the insertion point. Recordable substitute: AttributeRelativeSizeToggle.

 Related topics


FontDown

Syntax

()

Description

Reduce the font size by 1 point.

 Related topics


FontUp

Syntax

()

Description

Increase the font size by 1 point.

 Related topics


FooterA

Syntax

(Action: enumeration; Occurrence: enumeration)

Description

Create, edit, or discontinue Footer A, and specify footer position.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
 Related topics


FooterB

Syntax

(Action: enumeration; Occurrence: enumeration)

Description

Create, edit, or discontinue Footer B, and specify footer position.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
 Related topics


FooterSeparationDistance

Syntax

(Distance: measurement)

Description

Specify the distance between text and footers.

Parameters

Distance: measurement	Default: .167".
 Related topics


FootnoteContinuedMessage

Syntax

(State: enumeration)

Description

Print "(continued...)" when a footnote continues on the next page.

Parameters

State: enumeration	No! Yes!
 Related topics


FootnoteCreate

Syntax

()

Description

Open a footnote window, in order to create a footnote. Subsequent commands insert text and codes. SubstructureExit closes the window and places a reference to the footnote at the insertion point.

 Related topics


FootnoteEdit

Syntax

(FootnoteNumber: string)

Description

Open a specified footnote window in order to edit the footnote. Subsequent commands apply to the footnote window until SubstructureExit.

Parameters

FootnoteNumber: string (optional)	Footnotes can be numbered with arabic numerals, roman numerals, or letters.
 Related topics


FootnoteEditDlg

Syntax

()

Description

Display the Edit Footnote dialog box.

 Related topics


FootnoteEndnoteDlg

Syntax

()

Description

Display the Footnote/Endnote dialog box.


FootnoteMinimum

Syntax

(Width: measurement)

Description

Specify the amount of footnote text to keep together on a page.

Parameters

Width: measurement	The space available for footnotes on a page.
 Related topics


FootnoteNewNumber

Syntax

(FootnoteNumber: string)

Description

Specify a new footnote number, and increment subsequent footnotes from that number.

Parameters

FootnoteNumber: string	The starting footnote number.
 Related topics


FootnoteNewNumberDlg

Syntax

()

Description

Display the Footnote Number dialog box.

 Related topics


FootnoteNumberDecrement

Syntax

()

Description

Decrease the last footnote number by one.

 Related topics


FootnoteNumberDisplay

Syntax

()

Description

Insert the current footnote number at the insertion point. This is a 0-based index. Therefore the value of the first footnote is 0.

 Related topics


FootnoteNumberIncrement

Syntax

()

Description

Increase the last footnote number by one.

 Related topics


FootnoteNumberMethod

Syntax

(NumberingMethod: enumeration; Character: string)

Description

Specify a footnote numbering method. Recordable substitute: FootnoteOptions.

Parameters

NumberingMethod: enumeration	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Character: string (optional)	Use up to five characters when the numbering method is Characters!.
 Related topics


FootnoteOptions

Syntax

(NumberingMethod: enumeration; Characters: string; BetweenSpacing: measurement; MinimumHeight: measurement; Restart: enumeration; PrintContinued: enumeration; FootnotePosition: enumeration; Separator: enumeration)

Description

Specify the footnote options from the insertion point forward.

Parameters

NumberingMethod: enumeration (optional)	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Characters: string (optional)	Use up to five characters when the numbering method is Characters!.
BetweenSpacing: measurement (optional)	The amount of space between footnotes.
MinimumHeight: measurement (optional)	How much of a footnote to keep together on a page.
Restart: enumeration (optional)	Restart the footnote numbers on every page. Off! On!
PrintContinued: enumeration (optional)	Print "(continued)..." on the last footnote line of the first page and "...(continued)" on the first footnote line of the next page. No! Yes!
FootnotePosition: enumeration (optional)	AfterText! BottomOfPage!
Separator: enumeration (optional)	MarginToMargin! NoLine! ShortLine!
 Related topics


FootnoteOptionsDlg

Syntax

()

Description

Display the Advanced Footnote Options dialog box.

 Related topics


FootnotePosition

Syntax

(Position: enumeration)

Description

Print footnotes at the bottom of the page or just below the last line of text. Recordable substitute: FootnoteOptions.

Parameters

Position: enumeration	AfterText! BottomOfPage!
 Related topics


FootnoteRestartEachPage

Syntax

(State: enumeration)

Description

Restart the footnote numbering on each page. Recordable substitute: FootnoteOptions.

Parameters

State: enumeration	No! Yes!
 Related topics


FootnoteSeparatorLine

Syntax

(Style: any; SpaceAboveLine: measurement; SpaceBelowLine: measurement; Alignment: enumeration; Width: measurement; Position: measurement)

Description

Specify a separator line between text and footnotes.

Parameters

Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
SpaceAboveLine: measurement	The space between the separator line and the last line of text.
SpaceBelowLine: measurement	The space between the separator line and the first footnote.
Alignment: enumeration	Center! Full! Left! Right! SetPosition!
Width: measurement (optional)	The separator line width.
Position: measurement (optional)	The distance of a separator line from the left edge of the page.
 Related topics


FootnoteSpaceBetween

Syntax

(Space: measurement)

Description

Specify the amount of blank space between footnotes.

Parameters

Space: measurement	Default: .167".
 Related topics


FootnoteToEndnoteShippingMacro

Syntax

()

Description

Play the shipping macro FOOTEND.WCM, which converts footnotes to endnotes in the current document or selected text. FOOTEND.WCM must be installed.

 Related topics


ForcePage

Syntax

(EvenOddNew: enumeration)

Description

Force a page break or specify that a certain page always has an odd or even number.

Parameters

EvenOddNew: enumeration	Even! New! Odd!
 Related topics


ForcePageDlg

Syntax

()

Description

Display the Force Page dialog box.

 Related topics


FormatMarginsDlg

Syntax

()

Description

Display the Margins dialog box.


FormElementsToolbar

Syntax

(State: Enumeration)

Description

This is an obsolete command.

Parameters

State: enumeration	On! Off!


GenerateDlg

Syntax

()

Description

Display the Generate dialog box.

 Related topics


GenerateDoc

Syntax

(SaveSubDocs: enumeration; UndoAction: enumeration; Hypertext: enumeration)

Description

Generate indexes, tables of contents, lists, cross references, tables of authorities, and master documents.

Parameters

SaveSubDocs: enumeration (optional)	Save the subdocuments in a master document. Required only to generate a master document. DontSave! Save!
UndoAction: enumeration (optional)	Required only to generate a master document. NoUndo! Undo!
Hypertext: enumeration (optional)	CreateHypertext!
 Related topics


GetAcceleratorText

Syntax

(Variable: variable; Token: command name)

Description

Assign the accelerator text of a macro command to a variable. When a command is mapped to a keystroke, the accelerator text represents the keystroke.

Parameters

Variable: variable	The name of the variable.
Token: command name	The macro command token.
 Related topics


GetData

Syntax

(Variable: variable; Group: enumeration; Item: enumeration; Template: enumeration; ItemNum: any)

Description

Assign information to a variable about the state of WordPerfect or a WordPerfect document. The macro uses the variable with other commands to retrieve information or to determine whether to perform specified actions.

Parameters

Variable: variable	The name of the variable.
Group: enumeration	The group a variable belongs to. Summary! extracts data from the document summary by order of entry. SummaryTag! extracts data from the document summary by field tab number. Abbreviation! Bookmark! Font! ODMA! OutlineStyles! PaperSize! Printer! QuickWords! ReplaceString! Styles! Summary! SummaryTag! Table! TableNames!
Item: enumeration	The item type. For example, Count! returns the number of available fields in the document summary. Name!, Data!, Type!, and Tag! return information from the document summary field specified by the ItemNum parameter. Author! ContentFormat! Count! Data! DMSDefined! DMSInfo! Length! Name! Port! Tag! TitleText! Type! Width!
Template: enumeration	The location of specified items. CurrentDoc! PersonalLibrary! SharedLibrary!
ItemNum: any (optional)	The item number from which the Item parameter gets information. For example, ItemNum can specify a particular document summary field. Abstract! Account! Address! Attachments! Author! Authorization! BillTo! BlindCopy! CarbonCopy! Category! CheckedBy! Client! Comments! CreationDate! DateCompleted! Department! DescriptiveName! DescriptiveType! Destination! Disposition! Division! DocumentNumber! Editor! ForwardTo! Group! Keywords! Language! MailStop! Matter! Office! Owner! Project! Publisher! Purpose! ReceivedFrom! RecordedBy! RecordedDate! Reference! RevisionDate! RevisionNotes! RevisionNumber! Section! Security! Source! Status! Subject! TelephoneNumber! Typist! VersionDate! VersionNotes! VersionNumber!


GotoDosShippingMacro

Syntax

()

Description

Play the shipping macro GOTODOS.WCM to switch to DOS. GOTODOS.WCM must be installed.


GoToQuickmarkOnOpen
boolean:=GoToQuickmarkOnOpen

Syntax

()

Description

Return a value indicating whether Go to Quickmark on file open is selected in the Bookmark dialog box.

Return Value

True if Go to Quickmark is selected, False if not.

 Related topics


GraphicBoxStyleDlg

Syntax

()

Description

Display the Box Style dialog box.


GraphicCreateBox

Syntax

(BoxStyleName: any)

Description

Display the Insert Image dialog box.

Parameters

BoxStyleName: any (optional)	The box style to use.
 Related topics


GraphicCreateChart

Syntax

()

Description

Create a chart with Corel Presentations.


GraphicCreateTextArt

Syntax

()

Description

Start TextArt to create a TextArt image. TextArt allows you to add special effects to text.


GraphicCustomMenuDlg

Syntax

()

Description

Display the Edit Graphics Menu dialog box.


GraphicEditBox

Syntax

(BoxNumber: numeric)

Description

Display the Edit Box dialog box. If the current document contains more than one graphics box and none of them are selected, the Select Box to Edit dialog box displays. Also, if the current document does not contain a graphics box, an invalid function error is returned.

Parameters

BoxNumber: numeric (optional)	The number of the box you want to edit.
 Related topics


GraphicsBoxCaptionDlg

Syntax

()

Description

Display the Box Caption dialog box.


GraphicsBoxContentDlg

Syntax

()

Description

Display the Box Content dialog box.


GraphicsBoxFindDlg

Syntax

()

Description

Display the Select Box to Edit dialog box. The current document must contain at least two boxes.


GraphicsBoxSizeDlg

Syntax

()

Description

Display the Box Size dialog box.


GraphicsFigureEditAllDlg

Syntax

()

Description

Display the Image Settings dialog box.


GraphicsLineColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Specify the color of a graphics line.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0 to 100.
 Related topics


GraphicsLineCreate

Syntax

(LineType: enumeration)

Description

Create a graphics line.

Parameters

LineType: enumeration (optional)	HorizontalLine! VerticalLine!
 Related topics


GraphicsLineDelete

Syntax

(Line: numeric)

Description

Delete a graphics line.

Parameters

Line: numeric	The line to delete.
 Related topics


GraphicsLineEdit

Syntax

(Line: numeric)

Description

Specify a graphics line to edit.

Parameters

Line: numeric	The line to edit.
 Related topics


GraphicsLineEditNext

Syntax

(LineType: enumeration)

Description

Begin editing of the next graphics line.

Parameters

LineType: enumeration (optional)	HorizontalLine! VerticalLine!
 Related topics


GraphicsLineEditPrevious

Syntax

(LineType: enumeration)

Description

Begin editing of the previous graphics line.

Parameters

LineType: enumeration (optional)	HorizontalLine! VerticalLine!
 Related topics


GraphicsLineEnd

Syntax

(State: enumeration)

Description

Save or cancel changes made to a graphics line.

Parameters

State: enumeration	Cancel! Save!
 Related topics


GraphicsLineHorizontalPosition

Syntax

(Position: enumeration; AbsPos: measurement; LeftColNum: numeric)

Description

Position a graphics line horizontally.

Parameters

Position: enumeration	BetweenColumns! Center! FullAlign! Left! Right! Set!
AbsPos: measurement (optional)	Exact position on a page for a graphics line. Use if Position parameter is Set!.
LeftColNum: numeric (optional)	The column to the left of a graphics line. Use if the Position parameter is BetweenColumns!.
 Related topics


GraphicsLineLength

Syntax

(Length: measurement)

Description

Specify the length of graphics lines. The horizontal or vertical position of the graphics line may not be set to Full in the Create Graphics Line (or Edit Graphics Line) dialog box. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

Length: measurement	The length of the line.
 Related topics


GraphicsLineSpacing

Syntax

(TopSpace: measurement; BottomSpace: measurement)

Description

Specify the amount of white space between a graphics line and text. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

TopSpace: measurement	The space above a horizontal graphics line or to the left of a vertical graphics line between the line and text.
BottomSpace: measurement (optional)	The space below a horizontal graphics line or to the right of a vertical graphics line between the line and text. Default: amount entered for the TopSpace parameter.
 Related topics


GraphicsLineStyle

Syntax

(Style: any)

Description

Specify a graphics line style. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

Style: any	Enclose custom styles in quotation marks. ButtonBottomRight! ButtonTopLeft! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


GraphicsLineThickness

Syntax

(Thickness: any)

Description

Specify the thickness of a graphics line. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

Thickness: any	Specify the thickness of a graphics line.
 Related topics


GraphicsLineType

Syntax

(LineType: enumeration)

Description

Specify whether a graphics line is horizontal or vertical.

Parameters

LineType: enumeration	Horizontal! Vertical!
 Related topics


GraphicsLineUpdateDisplay

Syntax

(State: enumeration)

Description

Update a graphics line display after editing.

Parameters

State: enumeration	Cancel! Save!


GraphicsLineUseColor

Syntax

(State: enumeration)

Description

Select or deselect the default line-style color for a graphics line. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

State: enumeration	No! Yes!
 Related topics


GraphicsLineVerticalPosition

Syntax

(Position: enumeration; Where: measurement)

Description

Specify the vertical position of a graphics line.

Parameters

Position: enumeration	Baseline! Bottom! Center! FullAlign! Set! Top!
Where: measurement (optional)	The exact position of a graphics line if the Position parameter is Set!.
 Related topics


GraphicsStylesDlg

Syntax

()

Description

Display the Graphics Styles dialog box.


Guidelines
numeric:=Guidelines

Syntax

(ShowTableGuides: enumeration; ShowMarginGuides: enumeration; ShowColumnGuides: enumeration; ShowHeaderFooterGuides: enumeration; EnableGuidesDrag: enumeration)

Description

Show or hide guidelines and return the current state. To return the current state without changing any guideline settings, omit the parameters.

Return Value

If multiple options are on, Guidelines returns a summation of the values for each active option. To check for a specific option, use the return value for the option and the & operator. For example, the expression (4 & Guidelines) evaluates to 4 if column guidelines are on, 0 if not. To check for multiple options, add the return values of the options and use the & operator. To check for margin (2) and header/footer (8) guidelines, add the return values (2+8=10) and use the & operator. For example, the expression (10 & Guidelines) evaluates to 8 if header/footer guidelines are on, 2 if margin guidelines are on, 10 if both are on, 0 if neither are on. See Bitwise Operators.

0	All guidelines are off.

1	Table guidelines are on.

2	Margin guidelines are on.

4	Column guidelines are on.

8	Header/Footer guidelines are on.

Parameters

ShowTableGuides: enumeration (optional)	No! Yes!
ShowMarginGuides: enumeration (optional)	No! Yes!
ShowColumnGuides: enumeration (optional)	No! Yes!
ShowHeaderFooterGuides: enumeration (optional)	No! Yes!
EnableGuidesDrag: enumeration (optional)	No! Yes!
 Related topics


GuidelinesDlg

Syntax

()

Description

Display the Guidelines dialog box.

 Related topics


HardColumnBreak

Syntax

()

Description

Insert a hard column break at the insertion point and begin a new column.

 Related topics


HardPageBreak

Syntax

()

Description

Insert a hard page break at the insertion point and begin a new page.

 Related topics


HardPageBreakInsert

Syntax

()

Description

Insert a page break in columns without positioning the insertion point in the next column.

 Related topics


HardPageBreakKey

Syntax

()

Description

Insert a hard page break at the insertion point and begin a new page. Recordable substitute: HardPageBreak.


HardReturn

Syntax

()

Description

Insert a [HRt] code and begin a new line.

 Related topics


HardReturnInsert

Syntax

()

Description

Insert a [HRt] code in Outline mode.

 Related topics


HardSpace

Syntax

()

Description

Insert an [HSpace] code at the insertion point. A hard space holds two words together.


HeaderA

Syntax

(Action: enumeration; Occurrence: enumeration)

Description

Create, edit, or discontinue Header A, and specify the pages on which it will appear.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional).	The location of Header A: AllPages! EvenPages! NoPages! OddPages!
 Related topics


HeaderB

Syntax

(Action: enumeration; Occurrence: enumeration)

Description

Create, edit, or discontinue Header B, and specify the pages on which it will appear.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	The location of Header B: AllPages! EvenPages! NoPages! OddPages!
 Related topics


HeaderFooterDistanceDlg

Syntax

()

Description

Display the Distance dialog box.


HeaderFooterDlg

Syntax

()

Description

Display the Headers/Footers dialog box.


HeaderFooterNext

Syntax

()

Description

Advance to the next header/footer.


HeaderFooterPlacement

Syntax

(State: enumeration)

Description

Specify the pages on which headers and footers will appear. They can be placed on odd-numbered pages only, even-numbered pages only, or on all pages.

Parameters

State: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!


HeaderFooterPlacementDlg

Syntax

()

Description

Display the Pages dialog box.

 Related topics


HeaderFooterPrev

Syntax

()

Description

Advance to the next header/footer.


HeaderSeparationDistance

Syntax

(Distance: measurement)

Description

Specify the distance between text and headers.

Parameters

Distance: measurement	If less than 1, precede the decimal with 0.
 Related topics


HelpAskThePerfectExpert

Syntax

()

Description

Display the Ask the PerfectExpert dialog box.


HelpCoachDlg

Syntax

()

Description

Display the Ask the PerfectExpert dialog box.

 Related topics


HelpContents

Syntax

()

Description

Display the Help Topics window with the Contents tab active.


HelpFilesPath
string:=HelpFilesPath

Syntax

()

Description

Return the location of the WordPerfect Help files.


HelpHelpTopics

Syntax

()

Description

Display the Help Topics window with the last selected tab displayed.


HelpHowDoI

Syntax

()

Description

Display instructions on how to use Help.

 Related topics


HelpHowToUseHelp

Syntax

()

Description

Display instructions on how to use Help.

 Related topics


HelpKeystrokes

Syntax

()

Description

Open Help for keystrokes.

 Related topics


HelpMacroManual

Syntax

()

Description

Open the Macros Help file.

 Related topics


HelpOnlineSupportDlg

Syntax

()

Description

Display the Corel Web Site dialog box.

 Related topics


HelpSearchForHelpOn

Syntax

()

Description

Display the Help Topics window with the Index tab active.

 Related topics


HelpShowMe

Syntax

()

Description

Display the Ask the PerfectExpert dialog box.

 Related topics


HelpWhatIs

Syntax

()

Description

Activate the Windows What's This feature. (Use PAUSE to pause a macro when it encounters HelpWhatIs.)

 Related topics


HiddenText

Syntax

(State: enumeration)

Description

Turn Hidden Text on or off for selected text.

Parameters

State: enumeration	Off! On!
 Related topics


HiddenTextShowAll

Syntax

(State: enumeration)

Description

Display or hide hidden text.

Parameters

State: enumeration	Off! On!
 Related topics


HideBars

Syntax

(State: enumeration)

Description

Display the Hide Bars Information dialog box (unless user disabled) before hiding scroll bars, toolbars, etc.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!


HighlightColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Set the color and shade of the highlighter.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
Shade: numeric	Percent: 0-100.


HighlightColorDlg

Syntax

()

Description

Display the Highlight Color dialog box.


HighlightPrint

Syntax

()

Description

Toggle highlight printing and display on or off in the current document for the current session. Highlight Print/Show is active by default for all new and just-opened documents.


HighlightRemove

Syntax

()

Description

Remove highlighting from the selected text and turn off the selection. If select mode is off and the insertion point is between Highlight codes, this command removes the codes and turns off the selection. If select mode is off and the insertion point is not between Highlight codes, this command does nothing. If select mode is on and the selection contains no highlighting, the selection is turned off.


HighlightToggle

Syntax

()

Description

Toggle highlighting on or off. If text is selected, this command highlights the selected text and turns the selection off. If nothing is selected, highlight mode is turned on or off.


HLineCreate

Syntax

()

Description

Create a horizontal line. The line will extend from the left margin to the right margin.


HTMLPublish

Syntax

(Filename: String)

Description

Save the current document to HTML format.

Parameters

Filename: String	Name of the file to publish.


Hypertext

Syntax

(State: enumeration)

Description

Activate or deactivate all hyperlinks.

Parameters

State: enumeration	Active! Inactive!


HypertextCreate

Syntax

(Action: enumeration; Macro: string; Bookmark: string; Display: enumeration)

Description

Create a hyperlink to a find a bookmark, launch a Web browser and find a URL, or play a macro, and specify the appearance of the hyperlink.

Parameters

Action: enumeration	GoToBookmark! RunMacro!
Macro: string (optional)	The document filename, Web document URL (Internet address), or macro name if the Action parameter is RunMacro!.
Bookmark: string (optional)	Bookmark in the current document if the Action parameter is GoToBookmark!.
Display: enumeration (optional)	Button! HighlightedText!
 Related topics


HypertextCreateDlg

Syntax

()

Description

Display the Create Hyperlink dialog box.


HypertextDelete

Syntax

()

Description

Delete the hyperlink that contains the insertion point.

 Related topics


HypertextEdit

Syntax

(Action: enumeration; Macro: string; Bookmark: string; Appearance: enumeration)

Description

Edit a hyperlink.

Parameters

Action: enumeration	GoToBookmark! RunMacro!
Macro: string (optional)	The document filename, Web document URL (Internet address), or macro name if the Action parameter is RunMacro!.
Bookmark: string (optional)	Bookmark in the current document if the Action parameter is GoToBookmark!.
Appearance: enumeration (optional)	Button! HighlightedText!
 Related topics


HypertextEditDlg

Syntax

()

Description

Display the Edit Hyperlink dialog box.


HypertextExecute

Syntax

()

Description

Perform a hyperlink.

 Related topics


HypertextInfo
any:=HypertextInfo

Syntax

(Data: enumeration)

Description

Return the specified information pertaining to the current hyperlink. If the insertion point is not on a hyperlink, information regarding the previous hyperlink is returned. If there are no hyperlinks preceding the insertion point, information regarding the next hyperlink is returned. If there are no hyperlinks in the current document, 0 is always returned, regardless of the value of the Data parameter.

Return Value

♦	If Data = Action!:

0	The link jumps to a document.

1	The link plays a macro.

♦	If Data = Appearance!:

0	Text

1	Button

♦	If Data = Bookmark!, the name of the bookmark is returned.

♦	If Data = Name!, a document filename, macro filename, or Web document URL is returned.

♦	If the hypertext link jumps to a bookmark in the current document, a null string is returned.

Parameters

Data: enumeration	Specify the link information to return. Action! Appearance! Bookmark! Name!
 Related topics


HypertextNext

Syntax

()

Description

Advance to the next hyperlink.

 Related topics


HypertextPrevious

Syntax

()

Description

Return to the previous hyperlink.

 Related topics


HypertextReturnFrom

Syntax

()

Description

Return the insertion point from a bookmark to the bookmark's hyperlink.


HypertextStyleEdit

Syntax

()

Description

Edit the Hyperlink Style.


Hyphen

Syntax

()

Description

Insert a hyphen.


Hyphenation

Syntax

(State: enumeration)

Description

Turn Hyphenation on or off.

Parameters

State: enumeration	Off! On!
 Related topics


HyphenationIgnore

Syntax

()

Description

Cancel hyphenation of the current word.

 Related topics


HyphenationSoftReturn

Syntax

()

Description

Insert a hyphenation soft return code [Hyph SRt] at the insertion point. This code will break the word, if hyphenation is necessary, at the specified point.


HyphenationZoneLeft

Syntax

(HZone: numeric)

Description

Specify the lower limit of a hyphenation zone.

Parameters

HZone: numeric	The least amount of space allowable for hyphenation.
 Related topics


HyphenationZoneRight

Syntax

(HZone: numeric)

Description

Specify the upper limit of a hyphenation zone.

Parameters

HZone: numeric	The greatest amount of space allowable for hyphenation.
 Related topics


ImportCreateDlg

Syntax

()

Description

Display the Create Data Link dialog box.


ImportDlg

Syntax

()

Description

Display the Import Data dialog box.


ImportDoEdit

Syntax

()

Description

Modify and perform an existing link between a spreadsheet or database and the current document.

 Related topics


ImportDoImport

Syntax

()

Description

Import ASCII text, ANSI text, table data, spreadsheet data, or database data.

 Related topics


ImportDoLink

Syntax

()

Description

Create and perform a link between a spreadsheet or database and the current document.

 Related topics


ImportDoUpdate

Syntax

()

Description

Update linked data in the current document to match the data in linked spreadsheet or database files.

 Related topics


ImportEditDlg

Syntax

()

Description

Display the Edit Data Link dialog box.


ImportOptionsDlg

Syntax

()

Description

Display the Link Options dialog box.


ImportSetAsciiEncap

Syntax

(EncapsulationChar: string)

Description

Specify an ASCII encapsulation character for importing spreadsheet or database data saved as ASCII delimited text.

Parameters

EncapsulationChar: string	The ASCII encapsulation character.
 Related topics


ImportSetAsciiFieldDelimiter

Syntax

(FieldDelimiter: string)

Description

Specify the characters to mark the beginning or end of a field when importing spreadsheet or database data saved as ASCII delimited text.

Parameters

FieldDelimiter: string	The ASCII field delimiter.
 Related topics


ImportSetAsciiRecordDelimiter

Syntax

(RecordDelimiter: string)

Description

Specify the characters to mark the beginning or end of a record when importing spreadsheet or database data saved as ASCII delimited text.

Parameters

RecordDelimiter: string	The ASCII record delimiter.
 Related topics


ImportSetAsciiStrip

Syntax

(StripChars: string)

Description

Delete extra characters when importing spreadsheet or database data saved as ASCII delimited text.

Parameters

StripChars: string	Characters to delete when importing ASCII text.
 Related topics


ImportSetDataSource

Syntax

(Source: string)

Description

Specify the data source for an ODBC import.

Parameters

Source: string	The filename and location of a data file.


ImportSetDestination

Syntax

(DestinationType: enumeration)

Description

Specify a format for linked or imported spreadsheet or database data.

Parameters

DestinationType: enumeration	MergeData! TabbedText! WPTable!
 Related topics


ImportSetDictPath

Syntax

(DictionaryPath: string)

Description

Specify the Novell NetWare SQL dictionary path for imported spreadsheet or database data. Available only for Pioneer Q+E drivers.

Parameters

DictionaryPath: string	The SQL dictionary path.
 Related topics


ImportSetFields

Syntax

(FieldNames: string)

Description

Specify the database fields to import.

Parameters

FieldNames: string	Separate fields with a comma, enclosed in quotation marks.
 Related topics


ImportSetFileName

Syntax

(Filename: string)

Description

Specify a source file to link to or import from.

Parameters

Filename: string	The filename of the source file.
 Related topics


ImportSetFilePath

Syntax

(FilePath: string)

Description

Specify a NetWare SQL file path. Available only for Pioneer Q+E drivers.

Parameters

FilePath: string	The path to the SQL file.
 Related topics


ImportSetFirstRecFieldNames

Syntax

(State: enumeration)

Description

Lets you specify whether or not to set the first record as field names.

Parameters

State: enumeration	No! Yes!
 Note

•	New command


ImportSetIncludeNames

Syntax

(State: enumeration)

Description

Use the field names as headings for imported database data.

Parameters

State: enumeration	Off! On!
 Related topics


ImportSetPanel

Syntax

(PanelName: string)

Description

Specify a Corel DataPerfect panel to retrieve.

Parameters

PanelName: string	The name of the panel.
 Related topics


ImportSetPassword

Syntax

(Password: string)

Description

Specify a password to import SQL data. Available only for Pioneer Q+E drivers.

Parameters

Password: string	The password for SQL data.


ImportSetQuery

Syntax

(FieldName1: string; FieldName2: string; FieldName3: string; Condition1Field1: string; Condition1Field2: string; Condition1Field3: string; Condition2Field1: string; Condition2Field2: string; Condition2Field3: string; Condition3Field1: string; Condition3Field2: string; Condition3Field3: string; Condition4Field1: string; Condition4Field2: string; Condition4Field3: string)

Description

Specify the field conditions for a database import query. For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Parameters

FieldName1: string (optional)	The name of the first field.
FieldName2: string (optional)	The name of the second field.
FieldName3: string (optional)	The name of the third field.
Condition1Field1: string (optional)	Importing condition.
Condition1Field2: string (optional)	Importing condition.
Condition1Field3: string (optional)	Importing condition.
Condition2Field1: string (optional)	Importing condition.
Condition2Field2: string (optional)	Importing condition.
Condition2Field3: string (optional)	Importing condition.
Condition3Field1: string (optional)	Importing condition.
Condition3Field2: string (optional)	Importing condition.
Condition3Field3: string (optional)	Importing condition.
Condition4Field1: string (optional)	Importing condition.
Condition4Field2: string (optional)	Importing condition.
Condition4Field3: string (optional)	Importing condition.


ImportSetRange

Syntax

(Range: string)

Description

Specify a range of spreadsheet cells to import.

Parameters

Range: string	The range of cells.


ImportSetServer

Syntax

(ServerName: string)

Description

Specify a server for a NetWare SQL database import. Available only for Pioneer Q+E drivers.

Parameters

ServerName: string	The name of the SQL server.


ImportSetSizeToFit

Syntax

(State: enumeration)

Description

Size table columns to fit data after it is imported.

Parameters

State: enumeration	No! Yes!


ImportSetSource

Syntax

(SourceType: enumeration)

Description

Specify the format of spreadsheet or database data to import.

Parameters

SourceType: enumeration	ANSIText! ASCII! Clipper! DataPerfect! DB2! dBase! FoxPro! InFormix! NetWare! ODBC! ODBC_NO_SQL! Oracle! Paradox! Spreadsheet! SQLBase! SQLServer! Sybase! XDB!


ImportSetSQLQuery

Syntax

(SQLQuery: string)

Description

Specify the conditions for a database link or import query. For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Parameters

SQLQuery: string	The conditions for a database link or import query.


ImportSetTable

Syntax

(TableName: string)

Description

Specify a table to import.

Parameters

TableName: string	The name of the table to import.


ImportSetUserID

Syntax

(UserId: string)

Description

Specify a NetWare SQL database user identification. Available only for Pioneer Q+E drivers.

Parameters

UserId: string	The SQL user identification.
 Related topics


ImportUpdateDlg

Syntax

()

Description

Display the Update import dialog box.


Indent

Syntax

()

Description

Indent a paragraph one tab stop to the right without changing the margins.

 Related topics


IndentLeftRight

Syntax

()

Description

Indent both sides of a paragraph equally from the left and right margin.


IndexDefineDlg

Syntax

()

Description

Display the Define Index dialog box.


IndexDefinition

Syntax

(Heading: any; Subheading: any; NumMode: enumeration; PgCombine: enumeration; Concordance: string; UserFormat: string)

Description

Create and insert an index definition.

Parameters

Heading: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle! !
Subheading: any	The subheading style NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
NumMode: enumeration	The page numbering method after a heading. DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
PgCombine: enumeration	Combine sequential page numbers (for example, 51-53) or not (51, 52, 53). Combine! NoCombine!
Concordance: string (optional)	The concordance format.
UserFormat: string (optional)	The page number format. Default: document format.
 Related topics


IndexMark

Syntax

(Heading: string; Subheading: string)

Description

Mark the text to be indexed. You can specify both a heading and a subheading.

Parameters

Heading: string (optional)	The heading for the index entry.
Subheading: string (optional)	The subheading for the index entry.
 Related topics


InhibitInput
boolean:=InhibitInput

Syntax

(State: enumeration)

Description

Enable or disable keyboard and menu input during macro execution.

Return Value

Returns True if Inhibit Input is active, False if not. If the State parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


InitialCapShippingMacro

Syntax

()

Description

Play the shipping macro CAPITAL.WCM to capitalize the first letter of the current word. CAPITAL.WCM must be installed.


InitialCodesDoc

Syntax

()

Description

Begin initial codes. All codes between InitialCodesDoc and SubstructureExit are placed in initial codes.


InitialCodesStyleDlg

Syntax

()

Description

Display the Styles Editor dialog box. Recordable equivalent: Format, Document, Initial Codes Style.


InsertDefaultBullet

Syntax

()

Description

Insert another bullet or number of the last type inserted.


InsertFilename

Syntax

()

Description

Insert the filename of the current document.

 Related topics


InsertFilenameWithPath

Syntax

()

Description

Insert the path and filename of the current document.

 Related topics


InsertMergeField

Syntax

()

Description

Insert a merge field.


InsertOtherCodesDlg

Syntax

()

Description

Display the Other Codes dialog box.


InternetPublisherDlg

Syntax

()

Description

Display the Internet Publisher dialog box.

 Related topics


InvokeDialog

Syntax

(Dialog: command name)

Description

Display a specified dialog box but do not pause the macro for input.

Parameters

Dialog: command name	The dialog box to display.


IrregularCap

Syntax

(State: enumeration)

Description

Corrects two consecutive uppercase letters followed by a lowercase letter at the beginning of a word. The second uppercase letter is made lowercase.

Parameters

State: enumeration	Off! On!


IsTokenValid
boolean:=IsTokenValid

Syntax

(Variable: variable; Token: command name)

Description

Indicate whether a specified macro command can be executed given the current state of the program. For example, when the Clipboard is empty, the EditPaste command is invalid. This command is equivalent to checking whether an option grayed is in the interface. Menu items and dialog boxes are represented by the macro commands that execute them. For example, to check the Open dialog, use FileOpenDlg.

Return Value

Returns True if the token specified in the Token parameter is valid, False if not.

Parameters

Variable: variable	The value of the variable specified in this parameter is set to True if token specified in the Token parameter is available, False if not.
Token: command name	The macro command (token) specifying item or dialog to check.


Justification

Syntax

(Justification: enumeration)

Description

Align text on the right or left margins, on both margins (including or not including the last line), or center it between the margins.

Parameters

Justification: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


JustifyAll

Syntax

()

Description

Align all lines of text, including the last line of a paragraph, between the left and right margins from the current paragraph forward.

 Related topics


JustifyCenter

Syntax

()

Description

Center all lines of text from the current paragraph forward.

 Related topics


JustifyFull

Syntax

()

Description

Align text, except the last line of each paragraph, along the left and right margins from the current paragraph forward.

 Related topics


JustifyLeft

Syntax

()

Description

Align text at the left margin from the current paragraph forward.

 Related topics


JustifyRight

Syntax

()

Description

Align text at the right margin from the current paragraph forward.

 Related topics


KeepTextTogetherDlg

Syntax

()

Description

Display the Keep Text Together dialog box.

 Related topics


Kerning

Syntax

(State: enumeration)

Description

Turn Automatic Kerning on or off.

Parameters

State: enumeration	Off! On!
 Related topics


KerningSpacing

Syntax

(KerningSpacingValue: measurement)

Description

Move the character to the right of the insertion point a specified distance to the left or right. The macro function requires values in WordPerfect units, which measure 1200ths of an inch.

Parameters

KerningSpacingValue: measurement (optional)	The distance to move the character. Negative values move left, positive values move right.
 Related topics


KeyboardSelect

Syntax

(Keyboard: string; LoadedFromDefaultTemplate: enumeration)

Description

Select a keyboard, such as WPWin 6.0 Keyboard or the Equation Editor Keyboard.

Parameters

Keyboard: string (optional)	The name of the keyboard you want to use.
LoadedFromDefaultTemplate: enumeration	Yes! No!
 Related topics


KeyboardSelectDlg

Syntax

()

Description

Display the Keyboard Preferences dialog box.

 Related topics


LabelsDefine

Syntax

(Filename: string; LabelName: string; LabelFlags: enumeration; SheetWidth: measurement; SheetLength: measurement; ColumnsPerPage: numeric; RowsPerPage: numeric; LabelWidth: measurement; LabelLength: measurement; LeftOffset: measurement; TopOffset: measurement; BetweenColumns: measurement; BetweenRows: measurement; MarginLeft: measurement; MarginRight: measurement; MarginTop: measurement; MarginBottom: measurement)

Description

Create a customized labels definition.

Parameters

Filename: string	The name of the label definition file.
LabelName: string	The name of the label definition.
LabelFlags: enumeration	Laser! LaserandTractorFed! TractorFed!
SheetWidth: measurement	The width of the label sheet.
SheetLength: measurement	The length of the label sheet.
ColumnsPerPage: numeric	The number of columns of labels on the sheet.
RowsPerPage: numeric	The number of rows of labels on the sheet.
LabelWidth: measurement	The width of the individual labels.
LabelLength: measurement	The length of the individual labels.
LeftOffset: measurement	The distance from the left edge of the page to the left edge of the first label column.
TopOffset: measurement	The distance from the top edge of the page to the top edge of the first label row.
BetweenColumns: measurement	The amount of space between columns.
BetweenRows: measurement	The amount of space between rows.
MarginLeft: measurement	The left margin.
MarginRight: measurement	The right margin.
MarginTop: measurement	The top margin.
MarginBottom: measurement	The bottom margin.
 Related topics


LabelsDelete

Syntax

(Filename: string; LabelName: string)

Description

Delete a labels definition.

Parameters

Filename: string	The filename of the label definition file.
LabelName: string	The name of the label definition.


LabelsDlg

Syntax

()

Description

Display the Labels dialog box.


LabelsFileCreate

Syntax

(Filename: string)

Description

Create a labels file.

Parameters

Filename: string	The filename of the label file.
 Related topics


LabelsFileDescription

Syntax

(Filename: string; Description: string)

Description

Create a description for a labels file.

Parameters

Filename: string	The filename of the label file.
Description: string	The description of the label file.
 Related topics


LabelsFileSelect

Syntax

(Filename: string)

Description

Select a labels file.

Parameters

Filename: string	The filename of the label file.
 Related topics


LabelsOff

Syntax

()

Description

Turn off labels mode.

 Related topics


LabelsSelect

Syntax

(Filename: string; LabelName: string)

Description

Select a label definition.

Parameters

Filename: string	The filename of the label file.
LabelName: string	The name of the label definition.


Language

Syntax

(Language: string)

Description

Specify a language for a document or a selection of text.

Parameters

Language: string	Two characters that specify a language.


LanguageDlg

Syntax

()

Description

Display the Language dialog box.


LastOpenedAdd

Syntax

({Filename: string})

Description

Place a filename at the top of Last Opened on the File menu.

Parameters

Filename: string (optional)	The filename you want to place on the File menu.


LaunchOnlineService

Syntax

(ProgramPath: string; Address: string)

Description

Start an online service and specify an address.

Parameters

ProgramPath: string	The path and filename of an online service program.
Address: string	The URL to open in your browser.
 Related topics


Leading

Syntax

(Adjustment: measurement)

Description

Specify the leading adjustment.

Parameters

Adjustment: measurement	The amount of adjustment.


LineBreak

Syntax

()

Description

Insert a Ln Brk (Line Break) code at the insertion point. This command begins a new line without ending the paragraph. It was created for use in Web documents, but it also works in regular documents.


LineCreateDlg

Syntax

()

Description

Display the Create Graphics Line dialog box.

 Related topics


LineEditDlg

Syntax

()

Description

Display the Edit Graphics Line dialog box.

 Related topics


LineHeight

Syntax

(Height: any; Minimum: numeric)

Description

Specify the line height, measured from baseline to baseline in single-spaced text. Fixed line height: specify unit of measurement by preceding LineHeight with DEFAULTUNITS or by specifying a unit of measurement identifier (", c, p, w) in the Height parameter. Auto line height: measured as point size of the current font plus two points.

The macro function will ALWAYS only return 0 or 1. 0 means that your current line height is of fixed type while 1 means it is of automatic or "at least" type. There is no query macro function to return the actual line height value.

Parameters

Height: any	Select Auto! or specify a fixed line height and unit of measurement. Auto!
Minimum: numeric {optional)	The minimum height.
 Related topics


LineHeightDlg

Syntax

()

Description

Display the Line Height dialog box.

 Related topics


LineHyphenationDlg

Syntax

()

Description

Display the Line Hyphenation dialog box.


LineNumbering

Syntax

(State: enumeration; RestartAtNewPage: enumeration; CountBlankLines: enumeration; NumberColumns: enumeration; PositionRelativeToLeftEdge: enumeration; Position: measurement; FirstPrintingNumber: numeric; NumberInterval: numeric; Default: enumeration; FontFace: string; FontSize: measurement; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric; {AttributesOn: enumeration})

Description

Turn Line Numbering on or off, and set numbering attributes. When the Default parameter is DontUseDefaultValues!, you can specify font, color, Shade, and AttributesOn parameters. You can see the values of a selected color in the Define Color Printing Palette dialog box.

Parameters

State: enumeration	Off! On!
RestartAtNewPage: enumeration (optional)	DontRestartNumbersEachPage! RestartNumbersEachPage!
CountBlankLines: enumeration (optional)	CountBlankLines! DontCountBlankLines!
NumberColumns: enumeration(optional)	DontNumberAllNewspaperColumns! NumberAllNewspaperColumns!
PositionRelativeToLeftEdge: enumeration (optional)	PosNumberFromLeftEdgeOfPaper! PosNumberFromLeftMargin!
Position: measurement (optional)	Where to print line numbers.
FirstPrintingNumber: numeric (optional)	The first number that prints.
NumberInterval: numeric (optional)	The intervals between numbers.
Default: enumeration (optional)	DontUseDefaultValues! UseDefaultValues!
FontFace: string (optional)	The font face to use for numbers.
FontSize: measurement (optional)	The font size to use for numbers.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
AttributesOn: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


LineNumberingDlg

Syntax

()

Description

Display the Line Numbering dialog box.

 Related topics


LineNumberingMethod

Syntax

(NumberingMethod: enumeration)

Description

Specify a method for numbering lines.

Parameters

NumberingMethod: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


LineNumberSet

Syntax

(Number: numeric)

Description

Specify the first line number on a page.

Parameters

Number: numeric	The number to start line numbering with.
 Related topics


LineNumberShippingMacro

Syntax

()

Description

Play the shipping macro LINENUM.WCM to move the insertion point to a specified line and line position in a macro. LINENUM.WCM must be installed.


LineSegmentColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Specify the color of a line segment. Use with commands such as LineSegmentCreate and LineSegmentEnd.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100. Although Shade is optional, omitting it defaults the line color to black, regardless of the other parameter values.
 Related topics


LineSegmentCreate

Syntax

(Position: numeric)

Description

Create a custom line style of stacked lines. Use with commands such as LineStyleEdit.

Parameters

Position: numeric	First (inside) position: 1.
 Related topics


LineSegmentDelete

Syntax

(Position: numeric)

Description

Delete a single line of a stacked custom line. Use with commands such as LineStyleEdit and LineSegmentEnd.

Parameters

Position: numeric	First (inside) position: 1.
 Related topics


LineSegmentEdit

Syntax

(Position: numeric)

Description

Specify a line segment to edit. Follow with editing commands and LineSegmentEnd.

Parameters

Position: numeric	First (inside) position: 0.
 Related topics


LineSegmentEnd

Syntax

(State: enumeration)

Description

Save or cancel changes to a line segment. Precede with LineSegmentCreate or LineSegmentEdit.

Parameters

State: enumeration	Cancel! Save!
 Related topics


LineSegmentSetUser

Syntax

(OnOffs: numeric)

Description

Begin the sequence that defines a custom line pattern, and specify the number of dashes and spaces in the pattern. Follow with the number of LineSegmentSetUserData commands equal to the number of dashes and spaces specified, and by LineSegmentSetUserEnd.

Parameters

OnOffs: numeric	The number of dashes/spaces.
 Related topics


LineSegmentSetUserData

Syntax

(SegSize: measurement)

Description

Specify a dash or space length in a custom line pattern. Precede with LineSegmentSetUser and follow with LineSegmentEnd.

Parameters

SegSize: measurement	The length of a dash or space.
 Related topics


LineSegmentSetUserEnd

Syntax

()

Description

End the sequence that defines a custom line pattern.

 Related topics


LineSegmentSetWPG2

Syntax

(Style: numeric; LineStyle: enumeration)

Description

Set a line segment pattern to a predefined WPG2 line pattern.

Parameters

Style: numeric	The pattern set. The only valid entry is 0.
LineStyle: enumeration	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


LineSegmentSpacing

Syntax

(Spacing: measurement)

Description

Specify the distance between lines in a stacked custom line.

Parameters

Spacing: measurement	The distance between lines.
 Related topics


LineSegmentWavy

Syntax

(LineWavy: enumeration)

Description

Lets you set the waviness of a line segment

Parameters

LineWavy: enumeration	NoWavy! SquareWavy! PointyWavy! BothWavy!
 Note

•	New command


LineSegmentWavyWidth

Syntax

(Index: numeric)

Description

Lets you set the width of a wavy line segment

Parameters

Index: numeric	The width of a wavy line segment
 Note

•	New command


LineSegmentWidth

Syntax

(Width: measurement)

Description

Set the thickness (width) of a line segment.

Parameters

Width: measurement	The width of line segments.
 Related topics


LineSpacing

Syntax

(Spacing: numeric)

Description

Specify line spacing for the current and subsequent paragraphs. When recorded, the tenths position is used. When typed, tenths is optional.

Parameters

Spacing: numeric	Amount of space between text lines.
 Related topics


LineSpacingDlg

Syntax

()

Description

Display the Line Spacing dialog box.

 Related topics


LineStyleCopy

Syntax

(Style: any; FromLibrary: enumeration; ToLibrary: enumeration; DestName: string)

Description

Copy a graphics line style.

Parameters

Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
FromLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
DestName: string (optional)	The new line name.
 Related topics


LineStyleCreate

Syntax

(Name: string; Library: enumeration)

Description

Create a graphics line style. Use with LineStyleEdit and LineStyleEnd.

Parameters

Name: string	The name of the line style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


LineStyleDelete

Syntax

(Name: any; Library: enumeration)

Description

Delete a user-defined graphics line style. WordPerfect line styles cannot be deleted.

Parameters

Name: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


LineStyleEdit

Syntax

(Style: any; Library: enumeration)

Description

Edit a line style. Use with commands such as LineStyleCreate and LineStyleEnd.

Parameters

Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


LineStyleEnd

Syntax

(State: enumeration)

Description

Save or cancel changes to a graphics line style.

Parameters

State: enumeration	Cancel! Save!
 Related topics


LineStyleName

Syntax

(LineName: string)

Description

Rename a user-defined graphics line style. WordPerfect line styles cannot be renamed. Precede with LineStyleCreate or LineStyleEdit and end with LineStyleEnd.

Parameters

LineName: string	The new name for the line style.
 Related topics


LineStyleRetrieve

Syntax

(Filename: string; Style: enumeration)

Description

Retrieve all line graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
Style: enumeration	The destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences, and SharedLibrary! is used here, the command does nothing. CurrentDoc! PersonalLibrary! SharedLibrary!


LineStyleSave

Syntax

(FileName: string; Style: enumeration)

Description

Save a line style library.

Parameters

FileName: string	The filename for the new line style.
Style: enumeration	CurrentDoc! PersonalLibrary! SharedLibary!


ListDefineDlg

Syntax

()

Description

Display the Define List dialog box.


ListDefinition

Syntax

(ListName: string; Style: any; Numbering: enumeration; Counter: any; NumberingFormat: string)

Description

Select a list definition and specify where to generate the list. Use ListDefinitionCreate to create a definition.

Parameters

ListName: string	Name or rename a selected list definition.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Numbering: enumeration optional)	The list numbering mode. DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Counter: any (optional)	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
NumberingFormat: string (optional)	The numbering characters.
 Related topics


ListDefinitionCreate

Syntax

(ListName: string; Style: any; Numbering: enumeration; Counter: any; NumberingFormat: string)

Description

Create a list definition. Follow with commands such as ListDefinitionMode and ListDefinitionStyle.

Parameters

ListName: string	The name of the list definition.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Counter: any (optional)	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
NumberingFormat: string (optional)	The style for numbering.
 Related topics


ListDefinitionDelete

Syntax

(ListName: string)

Description

Delete a list definition.

Parameters

ListName: string	The name of the list definition.


ListDefinitionEditBox

Syntax

(Name: string; BoxName: any)

Description

Change the box type of a list definition.

Parameters

Name: string	The list definition.
BoxName: any	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!


ListDefinitionMode

Syntax

(ListName: string; Numbering: enumeration)

Description

Change the numbering mode of a list definition.

Parameters

ListName: string	The name of the list definition.
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!


ListDefinitionRename

Syntax

(OldName: string; NewName: string)

Description

Rename a list definition.

Parameters

OldName: string	The original name of the list definition.
NewName: string	The new name of the list definition.


ListDefinitionRetrieve

Syntax

(Filename: string; ListName: string)

Description

Retrieve a list definition from a document.

Parameters

Filename: string	The filename of the list definition.
ListName: string	The name of the list definition.


ListDefinitionStyle

Syntax

(ListName: string; Style: any)

Description

Edit a list definition and change the list style.

Parameters

ListName: string	The name of the list definition.
Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


ListEditPageFormat

Syntax

(ListName: string; NumberFormat: any)

Description

Edit the page-numbering format of a list definition.

Parameters

ListName: string	The name of the list definition.
NumberFormat: any	If there is nothing between the quotation marks, the list uses document style. DocFormat!
 Related topics


ListMark

Syntax

(ListName: string)

Description

Mark the selected text as an item to add to a list when a document is generated.

Parameters

ListName: string (optional)	The name of the list.


LotusNotesHandle
numeric:=LotusNotesHandle

Syntax

()

Description

Return the handle to Lotus Notes. This command is valid only when WordPerfect is invoked by Lotus Notes through OLE. Not recordable.

Return Value

A value representing the handle to Lotus Notes.


MacroCommandInserter

Syntax

(State: enumeration)

Description

Turn the WordPerfect Macro Command Inserter on or off.

Parameters

State: enumeration	Off! On!


MacroConverterShippingMacro

Syntax

()

Description

Convert a 5.2 macro to a 6.0 macro.


MacroEditControlBar

Syntax

(State: enumeration)

Description

Display the Macro Edit feature bar.

Parameters

State: enumeration (optional)	Off! On!


MacroExecuteQuick

Syntax

()

Description

Playback the current QuickMacro.


MacroFileChain

Syntax

(Filename: string)

Description

Specify a macro to play upon completion of the current macro.

Parameters

Filename: string	The filename of the next macro.
 Related topics


MacroFilePlay

Syntax

(Filename: string)

Description

Play a macro.

Parameters

Filename: string	The filename of the macro to play.


MacroMenuAdd

Syntax

(UpdateBIF: enumeration; MenuPos: numeric; Location: enumeration; Filename: string; TemplateName: string)

Description

Add a macro to the macro submenu.

Parameters

UpdateBIF: enumeration	No! Yes!
MenuPos: numeric	The menu position.
Location: enumeration	CurrentTemplate! FileOnDisk! StandardTemplate!
Filename: string (optional)	The filename of the macro.
TemplateName: string (optional)	The template containing the macro.


MacroMenuDelete

Syntax

(UpdateBIF: enumeration; {MenuPos: numeric})

Description

Delete a macro from a menu.

Parameters

UpdateBIF: enumeration	No! Yes!
MenuPos: numeric (optional)	The menu position.


MacroPause

Syntax

()

Description

Pause a macro until the user presses Enter or selects Pause on the Macro menu.


MacroStatusPrompt

Syntax

(State: enumeration; Prompt: string)

Description

Turn the macro status prompt line on or off.

Parameters

State: enumeration	Off! On!
Prompt: string (optional)	The text of the prompt.


MacroTemplatePlay

Syntax

(Location: enumeration; MacroName: string)

Description

Play a macro located on a template.

Parameters

Location: enumeration	CurrentTemplate! DefaultTemplate!
MacroName: string	The name of the macro.


MailDlg

Syntax

()

Description

Determine if a mail system is running and start it if necessary. Display the mail view and attach a copy of the active WordPerfect document; or if text was selected, paste it into the message box. If multiple mail systems are available, the highest-priority mail system is used.


MakeItFit

Syntax

(TargetPage: numeric; {Adjust: enumeration})

Description

Shrink or expand a document to fill a specified number of pages.

Parameters

TargetPage: numeric	The number of pages to fill.
Adjust: enumeration (optional)	FitBottomMargin! FitFontSize! FitLeftMargin! FitLineSpacing! FitRightMargin! FitTopMargin!


MakeItFitDlg

Syntax

()

Description

Display the Make It Fit Expert dialog box.


MarginAdjustLeft

Syntax

(AmtToAdjust: measurement)

Description

Move the left margin to the left or right, relative to the current margin setting.

Parameters

AmtToAdjust: measurement (optional)	A positive value increases the margin; a negative value decreases it.
 Related topics


MarginAdjustRight

Syntax

(AmtToAdjust: measurement)

Description

Move the right margin to the left or right, relative to the current margin setting.

Parameters

AmtToAdjust: measurement	A positive value increases the margin; a negative value decreases it.
 Related topics


MarginBottom

Syntax

(MarginWidth: measurement)

Description

Set the bottom margin.

Parameters

MarginWidth: measurement	The amount of space for the bottom margin.


MarginLeft

Syntax

(MarginWidth: measurement)

Description

Set the left margin.

Parameters

MarginWidth: measurement	The amount of space for the left margin.
 Related topics


MarginReleaseInsert

Syntax

()

Description

Insert a [Hd Back Tab] code at the insertion point. This moves the margin back one tab.


MarginRight

Syntax

(MarginWidth: measurement)

Description

Set the right margin.

Parameters

MarginWidth: measurement	The amount of space for the right margin.
 Related topics


MarginTop

Syntax

(MarginWidth: measurement)

Description

Set the top margin.

Parameters

MarginWidth: measurement	The amount of space for the top margin.


MarkCrossRef

Syntax

()

Description

Display the Cross-Reference feature bar.

 Related topics


MarkCrossRefUpdateList

Syntax

(Target: string)

Description

Add a specified target name to the Target name list.

Parameters

Target: string	The target name to add to the Target name list.
 Related topics


MarkIndex

Syntax

()

Description

Display the Index feature bar.

 Related topics


MarkIndexUpdateList

Syntax

(Heading: string; SubHeading: string)

Description

Create a reference to a specified heading and subheading in the index.

Parameters

Heading: string	The heading for the entry.
SubHeading: string	The subheading for the entry.
 Related topics


MarkList

Syntax

()

Description

Display the List feature bar.

 Related topics


MarkListUpdateList

Syntax

(ListName: string)

Description

Update the List feature bar.

Parameters

ListName: string	The name of the list.
 Related topics


MarkTableOfAuthorities

Syntax

()

Description

Display the Table of Authorities feature bar.


MarkTableOfContents

Syntax

()

Description

Display the Table of Contents feature bar.


MarkTOAUpdateList

Syntax

(ShortForm: string)

Description

Update the Table of Authorities feature bar.

Parameters

ShortForm: string	The list name in a table of authorities.


MasterDocCondense

Syntax

(Filename: string; Action: enumeration)

Description

Condense selected subdocuments and save changes.

Parameters

Filename: string (optional)	The filename of the master document.
Action: enumeration	SaveSub! SkipSub!
 Related topics


MasterDocCondenseDlg

Syntax

()

Description

Display the Condense/Save Subdocuments dialog box.

 Related topics


MasterDocExpand

Syntax

(Filename: string)

Description

Expand a subdocument. Specify a subdocument with SubDocInclude.

Parameters

Filename: string (optional)	The filename of the master document.


MasterDocSubdocDlg

Syntax

()

Description

Display the Include Subdocument dialog box.


MatchElement

Syntax

(Attribute: string; Value: string; Type: enumeration; EditAttribute: enumeration)

Description

Specify that Find and Replace finds a tag that meets certain conditions. The command applies only to searches for specific elements. Begin your search with SpecificSearchStringBegin and end it with SpecificStringEnd. Use SGMLInsertElement to specify which element name you are searching for. This command is valid only if the WordPerfect SGML program component is installed and the current document is a WordPerfect SGML document.

Parameters

Attribute: string (optional)	The font attribute the search text must have.
Value: string (optional)	The value of the search text.
Type: enumeration	End! Start!
EditAttribute: enumeration (optional)	No! Yes!
 Related topics


MatchExtendSelection

Syntax

()

Description

In a Find and Replace search, extend the selected text to include matches that are not in the original selection.


MatchFindIfInElements

Syntax

(State: enumeration; Action: enumeration; {Element: string})

Description

Specify that Find and Replace search only in the specified SGML elements. This command is valid only if the WordPerfect SGML program component is installed, and the current document is a WordPerfect SGML document.

Parameters

State: enumeration	No! Yes!
Action: enumeration (optional)	If Action is AnyOrder!, then a match will occur only within any of the specified elements. If Action is ListedOrder!, then the match will occur only within any of the specified elements when the elements are in the order of the element string. For example, if you specify to find a word that is within <TITLE> which is within <titlpage>, a match will not be made if the word is within <TITLE> which is not within <titlpage>. AnyOrder! ListedOrder!
Element: string (optional)	The SGML element to find.


MatchLimit

Syntax

(State: enumeration; LimitValue: numeric)

Description

Limit a Replace All search to a specified number of occurrences.

Parameters

State: enumeration	Limit a Find and Replace search. No! Yes!
LimitValue: numeric (optional)	The number of occurrences to replace.


MatchPositionAfter

Syntax

()

Description

Place the insertion point after matched text in a Find and Replace search.

 Related topics


MatchPositionBefore

Syntax

()

Description

Place the insertion point before matched text in a Find and Replace search.

 Related topics


MatchSelection

Syntax

()

Description

Select matched text in a Find and Replace search.


MatchSkipIfInElements

Syntax

({Element: string})

Description

Specify that Find and Replace search all of the document except within the specified SGML elements. This command is valid only if the WordPerfect SGML program component is installed and the current document is a WordPerfect SGML document.

Parameters

Element: string (optional)	The SGML elements to skip while searching.


MatchWithAttributes

Syntax

(State: enumeration; {Attribute: enumeration})

Description

Match only text with specified attributes in a Find and Replace search.

Parameters

State: enumeration	No! Yes!
Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


MatchWithFont

Syntax

(State: enumeration; Typeface: string; Family: enumeration; Attributes: enumeration; Weight: enumeration; Width: enumeration; Source: enumeration; Type: enumeration; CharacterSet: enumeration)

Description

Match only text with specified font attributes in a Find and Replace search.

Parameters

State: enumeration	No! Yes!
Typeface: string (optional)	The font face.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramon! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


MatchWithFontSize

Syntax

(State: enumeration; FontSize: measurement)

Description

Match only text with a specified font size in a Find and Replace search.

Parameters

State: enumeration	No! Yes!
FontSize: measurement (optional)	The point size of the font.
 Related topics


MenuAddFeature
boolean:=MenuAddFeature

Syntax

(Menu: string; Name: command name; Offset: numeric)

Description

Add a feature to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: command name	The name of the feature.
Offset: numeric (optional)	The position of the feature on the menu.
 Note

•	You can add a feature to a menu using the MenuAddFeature command only if the feature does not require parameters.


MenuAddMacro
boolean:=MenuAddMacro

Syntax

(Menu: string; Name: string; MacroName: string; Hint: string; Offset: numeric)

Description

Add a macro to the current WordPerfect menu.

Example

MenuAddMacro ("HelpMenu"; "MyMacro"; "C:\Macros\MyMacro.WCM"; "This is MyMacro"; 1)

Parameters

Menu: string	The name of the menu.
Name: string	The filename of the macro.
MacroName: string	The name of the macro.
Hint: string (optional)	The text of the tip for the menu item.
Offset: numeric (optional)	The position of the macro on the menu.


MenuAddProgram
boolean:=MenuAddProgram

Syntax

(Menu: string; Name: string; ProgramName: string; Hint: string; Offset: numeric)

Description

Add a program to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The name of the program.
ProgramName: string	The filename of the program's executable.
Hint: string (optional)	The text of the tip for the menu item.
Offset: numeric (optional)	The position of the program on the menu.


MenuAddScript
boolean:=MenuAddScript

Syntax

(Menu: string; Name: string; Script: string; Hint: string; Offset: numeric)

Description

Add a keyboard script to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The name of the script.
Script: string	The text of the script.
Hint: string (optional)	The text of the tip for the menu item.
Offset: numeric (optional)	The position of the script on the menu.


MenuAddSeparator
boolean:=MenuAddSeparator

Syntax

(Menu: string; Offset: numeric)

Description

Add a separator to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Offset: numeric (optional)	The position of the separator on the menu.


MenuAddSubMenu
boolean:=MenuAddSubMenu

Syntax

(Menu: string; Name: string; Hint: string; Offset: numeric)

Description

Add a submenu to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The name of the submenu.
Hint: string (optional)	The text of the tip for the submenu.
Offset: numeric (optional)	The position of the submenu on the menu.


MenuDeleteItemEx
boolean:=MenuDeleteItemEx

Syntax

(Menu: string; Name: string; Offset: numeric)

Description

Delete an item from the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string (optional)	The name of the menu item to delete.
Offset: numeric (optional)	This parameter is optional only when you are deleting a feature from a menu. If you want to delete a macro or a program, then this parameter is required.


MenuSelect

Syntax

(MenuName: string)

Description

Choose a menu.

Parameters

MenuName: string (optional)	The name of the menu bar you want to use. The name of the menu must be enclosed by angle brackets.
 Related topics


MenuSelectDlg

Syntax

()

Description

Display the Menu Bar Preferences dialog box.

 Related topics


MergeAddressBook

Syntax

(AddressBook: string)

Description

Specify an address book to associate with the current form file.

Parameters

AddressBook: string	The name of the address book to associate. If this parameter is left blank, the current association for the form file is removed whether it is associated with an address book or a data file.


MergeAddressBookSaveAs

Syntax

(OutputFile: string; AddressBook: string)

Description

Save address book records as a merge data file.

Parameters

OutputFile: string	The path and filename of the new merge data file.
AddressBook: string (optional)	The address book to save as a merge data file. If this parameter is blank, the currently selected records are used; if not, all records in the specified address book are used. Address book selections can include records from multiple address books.


MergeBlankField

Syntax

(State: enumeration)

Description

Leave or remove a blank field. If blank fields are removed, the remaining fields shift up one line.

Parameters

State: enumeration	Leave! Remove!


MergeCode

Syntax

(Codes: enumeration; String: string)

Description

Insert a merge code.

Parameters

Codes: enumeration	Assign! AssignLocal! Beep! Break! Call! CancelOff! CancelOn! Caps! CaseOf! ChainData! ChainForm! ChainMacro! Char! Codes! Comment! Continue! CtoN! Date! Default! DisplayStop! Document! Else! EmbedMacro! EndField! EndFor! EndIf! EndRecord! EndSwitch! EndWhile! Field! FieldNames! FirstCap! ForEach! ForNext! GetString! Go! If! IfBlank! IfExists! IfNotBlank! Insert! Keyboard! Label! Look! MrgCmnd! NestData! NestForm! NestMacro! Next! NextRecord! NtoC! OnCancel! OnError! PageOff! PageOn! PostNet! Print! ProcessOff! ProcessOn! Prompt! Quit! RepeatRow! Return! ReturnCancel! ReturnError! Rewrite! StatusPrompt! StepOff! StepOn! Stop! StrLen! StrPos! SubstData! SubstForm! SubStr! Switch! System! ToLower! ToUpper! Variable! Wait! While!
String: string (optional)	The field parameters.


MergeCodesDisplayEdit

Syntax

(Display: enumeration)

Description

Display or hide merge codes, or display them as markers.

Parameters

Display: enumeration	Hide! Marker! Show!
 Related topics


MergeCodesDisplayRun

Syntax

(Display: enumeration)

Description

Display or hide merge codes, or display them as markers in a merged document.

Parameters

Display: enumeration	Hide! Marker! Show!
 Related topics


MergeCodesDlg

Syntax

()

Description

Display the Insert Merge Codes dialog box.


MergeCondition

Syntax

(Condition1: string; Condition2: string; Condition3: string; Condition4: string; Condition5: string; Condition6: string; Condition7: string; Condition8: string; Condition9: string; Condition10: string; Condition11: string; Condition12: string; Condition13: string; Condition14: string; Condition15: string)

Description

Define a condition to select records from a data file.

Parameters

Condition1: string (optional)	Searching condition to find a record from a data file.
Condition2: string (optional)	Searching condition to find a record from a data file.
Condition3: string (optional)	Searching condition to find a record from a data file.
Condition4: string (optional)	Searching condition to find a record from a data file.
Condition5: string (optional)	Searching condition to find a record from a data file.
Condition6: string (optional)	Searching condition to find a record from a data file.
Condition7: string (optional)	Searching condition to find a record from a data file.
Condition8: string (optional)	Searching condition to find a record from a data file.
Condition9: string (optional)	Searching condition to find a record from a data file.
Condition10: string (optional)	Searching condition to find a record from a data file.
Condition11: string (optional)	Searching condition to find a record from a data file.
Condition12: string (optional)	Searching condition to find a record from a data file.
Condition13: string (optional)	Searching condition to find a record from a data file.
Condition14: string (optional)	Searching condition to find a record from a data file.
Condition15: string (optional)	Searching condition to find a record from a data file.


MergeDataFile

Syntax

(DataFile: string)

Description

Specify the data file to associate with a form file.

Parameters

DataFile: string (optional)	The filename of the data file.
 Related topics


MergeDlg

Syntax

()

Description

Display the Merge dialog box.


MergeEndField

Syntax

()

Description

Insert an [ENDFIELD] code at the insertion point. Recordable substitute: MergeCode.

 Related topics


MergeEndRecord

Syntax

()

Description

Insert an [ENDRECORD] code at the insertion point. Recordable substitute: MergeCode.

 Related topics


MergeEnvelope

Syntax

(State: enumeration)

Description

Create an envelope for merged records.

Parameters

State: enumeration	Off! On!


MergeEnvelopeDefinitionBegin

Syntax

()

Description

Begin a MergeEnvelopeDefinitionBegin-MergeEnvelopeDefinitionEnd statement. Contains address information.

 Related topics


MergeEnvelopeDefinitionEnd

Syntax

()

Description

End a merge envelope definition. Precede with MergeEnvelopeDefinitionBegin.

 Related topics


MergeFileAssociate

Syntax

(FormFile: string; DataFile: string)

Description

Associate form and data files. MergeDataFile creates a recordable association.

Parameters

FormFile: string	The filename of the form file to associate.
DataFile: string (optional)	The filename of the data file to associate.
 Related topics


MergeFileAssociateAddressBook

Syntax

(FormFile: string; AddressBook: string)

Description

Associate a form file with an address book data source. This command also removes a data file association from the form file, if such an association exists.

Parameters

FormFile: string	The path and filename of the form file to associate with the address book.
AddressBook: string (optional)	The name of the address book to use as a data source for the form file. If this is blank, all associations will be removed.


MergeFileAssociateODBC

Syntax

(FormFile: string; DataSource: string; TableName: string)

Description

Associate a form file with an ODBC data source and table.

Parameters

FormFile: string	The filename of the form file.
DataSource: string (optional)	The filename of the ODBC data source.
TableName: string (optional)	The name of the data table.


MergeFilesDlg

Syntax

()

Description

Display the Perform Merge dialog box.


MergeFileType

Syntax

(FileType: enumeration)

Description

Specify the file type to merge.

Parameters

FileType: enumeration	Form! None! TableData! TextData!


MergeFormDlg

Syntax

()

Description

Display the Create Merge File dialog box.


MergeMark

Syntax

(RecordNum: numeric)

Description

Mark a record to include in a merge.

Parameters

RecordNum: numeric	A record number.


MergeODBC

Syntax

(DataSource: string; TableName: string)

Description

Specify an ODBC data source and table to associate with the current form file.

Parameters

DataSource: string	The filename of the ODBC data source.
TableName: string	The name of the table in the form file.


MergePageBreak

Syntax

(State: enumeration)

Description

Separate merged documents with a page break.

Parameters

State: enumeration	Off! On!


MergePrintText

Syntax

()

Description

Print a data file without page breaks between the records.

 Related topics


MergeRepeat

Syntax

(NumberToRepeat: numeric)

Description

Specify the number of times to merge each record.

Parameters

NumberToRepeat: numeric	The number of times to repeat the merge.


MergeRun

Syntax

(FormFileType: enumeration; FormFile: string; DataFileType: enumeration; DataFile: string; OutputFileType: enumeration; OutputFile: string; AddressBook: string; EmailAddress: string; SubjectLine: string; DataSource: string; TableName: string)

Description

Merge a form file and a data file.

Parameters

FormFileType: enumeration	Clipboard! Current! FormFile!
FormFile: string (optional)	The filename of the form file.
DataFileType: enumeration	If this parameter is set to AddressBook!, the DataFile parameter is ignored. AddressBook! Clipboard! DataFile! NoData! ODBC!
DataFile: string (optional)	The filename of the data file.
OutputFileType: enumeration	ToCurrentDoc! ToEMail! ToFile! ToNewDoc! ToPrinter!
OutputFile: string (optional)	Merge the output file when OutputFileType parameter is ToFile!.
AddressBook: string (optional)	The name of the address book to use as the data source for the merge. This parameter is ignored if the DataFileType parameter is not set to AddressBook! If the Address Book parameter is set to AddressBook! and this parameter is left blank, the currently selected address book records are used as the data source for the merge.
EmailAddress: string (optional)	The e-mail address.
SubjectLine: string (optional)	The subject line.
DataSource: string (optional)	The data source.
TableName: string (optional)	The table name.


MergeSelect

Syntax

(SelectType: enumeration; Begin: numeric; End: numeric)

Description

Specify the records to merge.

Parameters

SelectType: enumeration	If the data source for the merge is an Address Book, use the All! enumeration. All! Marked! Range!
Begin: numeric (optional)	The low end of a range.
End: numeric (optional)	The high end of a range.
 Related topics


MergeTableDataDlg

Syntax

()

Description

Display the Create Data File dialog box.


MergeTextDataDlg

Syntax

()

Description

Display the Create Merge File dialog box.


MiniBrowser

Syntax

()

Description

Launches the Corel Connector.


MinusSign

Syntax

()

Description

Insert a minus sign (hyphen character) at the insertion point.


MoveModeEnd

Syntax

()

Description

End the command sequence to move text.


NewHFWOccurrence

Syntax

(Occurrence: enumeration)

Description

Specify the occurrence of headers, footers, and watermarks.

Parameters

Occurrence: enumeration	AllPages! EvenPages! NoPages! OddPages!
 Related topics


NumberingOptionDlg

Syntax

()

Description

Display the Page Numbering Options dialog box. Recordable equivalent: Format, Page, Numbering, Options.


ObjectImageArrow

Syntax

(HeadStyle: any; TailStyle: any)

Description

Lets you create an arrow object

Parameters

HeadStyle: any	The head style
TailStyle: any	The tail style
 Note

•	New command


ObjectImageCreate

Syntax

()

Description

Lets you create an image object.

 Note

•	New command


ObjectImageDropShadow

Syntax

(Location: enumeration; XSize: numeric; YSize: numeric; ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric; VerticalSize: numeric)

Description

Lets you create a drop shadow for an object image.

Parameters

Location: enumeration	NoShadow! UpperLeft! LowerLeft! LowerRight! UpperRight!
XSize: numeric
YSize: numeric
ColorName: numeric	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric	Value: 0 - 255
Green: numeric	Value: 0 - 255
Blue: numeric	Value: 0 - 255
Shade: numeric	Percent: 0 - 100
VerticalSize: numeric
 Note

•	New command


ObjectImageLineColor

Syntax

(RGBValue: numeric)

Description

Lets you change the line color of an image object.

Parameter

RGBValue: numeric	The RGB value
 Note

•	New command


ObjectImageLineStyle

Syntax

(Style: any)

Description

Lets you change the line style of an image object.

Parameters

Style: any	NoLine! SolidLine! XLDash! LDash! Dash! SDash! CloseDot! Dot! TripleDot! LDashDot! LDashDotDot! DashDashDot! DashDashDotDot! LDashDash! LDashSDashSDash! XLDashXLDashDash! XLDashXLDashSDashSDash!
 Note

•	New command


ObjectImageLineThickness

Syntax

(Thickness: any)

Description

Lets you change the line thickness of an image object.

Parameters

Thickness: any	AutoThickness!
 Note

•	New command


ObjectImagePolyline

Syntax

()

Description

Create a polyline image object.

 Note

•	New command


ObjectImageRemove

Syntax

()

Description

Lets you remove an image object.

 Note

•	New command


ObjectImageRotation

Syntax

(Degrees: numeric)

Description

Lets you rotate an image object.

Parameters

Degrees: numeric	The number of degrees you want to rotate the image object.
 Note

•	New command


OLE1InsertDlg

Syntax

()

Description

Display the Insert Object dialog box.

 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLE1LinksDlg

Syntax

()

Description

Display the Links dialog box.

 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLE1PasteDlg

Syntax

()

Description

Display the Paste Special dialog box.

 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLEAcceptLinks

Syntax

()

Description

Accept a link updated or initialized between server and client applications. Included for 6.0 compatibility only.

 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLECancelLink

Syntax

(LinkName: string)

Description

Cancel a link to an object.

Parameters

LinkName: string	The name of the link to cancel.
 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLEChangeLink

Syntax

(ObjectName: string; Filename: string)

Description

Change the file in a link.

Parameters

ObjectName: string	The name of the linked object.
Filename: string	The replacement file.
 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLEDeactivate

Syntax

()

Description

Remove an OLE object from in-place editing mode.

 Note

•	This command is not available for use on a Linux operating system.


OLEInitializeLinks

Syntax

()

Description

Reinitialize a link with its server application. Record when you create, update, change, or perform any function on a link. Included for 6.0 compatibility only.

 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLEInsertDlg

Syntax

()

Description

Display the Insert Object dialog box.

 Note

•	This command is not available for use on a Linux operating system.


OLEInsertObject

Syntax

(ObjectType: string; DisplayMode: enumeration)

Description

Specify the name of a program to insert an object into.

Parameters

ObjectType: string	The program name.
DisplayMode: enumeration (optional)	DisplayAsIcon! DisplayNormal!
 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLEInsertObjectFile

Syntax

(Filename: string; DisplayMode: enumeration; ObjectMode: enumeration)

Description

Insert an object file into the current document.

Parameters

Filename: string	The filename of the object to insert.
DisplayMode: enumeration (optional)	DisplayAsIcon! DisplayNormal!
ObjectMode: enumeration (optional)	Embedded! Linked!
 Note

•	This command is not available for use on a Linux operating system.


OLELinksDlg

Syntax

()

Description

Display the Links dialog box. You cannot use the OLELinksDlg command if an OLE object is currently selected.

 Note

•	This command is not available for use on a Linux operating system.


OLEObject

Syntax

()

Description

Open an OLE object in the current document.

 Note

•	This command is not available for use on a Linux operating system.

 Related topics


OLEPasteDlg

Syntax

()

Description

Display the Paste Special dialog box.

 Note

•	This command is not available for use on a Linux operating system.


OLESetLinkUpdate

Syntax

(ObjectName: string; UpdateType: enumeration)

Description

Specify whether a linked object is always updated or manually updated.

Parameters

ObjectName: string	The name of the object to update.
UpdateType: enumeration	UpdateAlways! UpdateManually!
 Note

•	This command is not available for use on a Linux operating system.


OLEUpdateLink

Syntax

(LinkName: string)

Description

Update a specified link.

Parameters

LinkName: string	The name of the link to update.
 Note

•	This command is not available for use on a Linux operating system.


OLEVerb

Syntax

(Verb: numeric)

Description

Perform a pre-determined action on an OLE object. The action is determined by verbs defined by the OLE server. Verb 0 is the default verb (action) and is performed and recorded by double-clicking an object. For example, the default action for a sound clip is Play. Executing OLEVerb(Verb:0) on a sound clip plays the sound clip. Verbs range from 0 to the highest number defined by an OLE server for an object. See your OLE server documentation for valid verbs.

Parameters

Verb: numeric	Specify an action. 0 is the default verb.
 Note

•	This command is not available for use on a Linux operating system.


OnlineHelpSupport

Syntax

()

Description

Gets help from the WordPerfect 10 home page.


OutlineApply

Syntax

(OutlineName: string[;SysOrUser: enumeration][; SystemStyleID: numeric]; CreateOrResume: enumeration; Prompt: enumeration[; TabEvery: numeric])

Description

Lets you apply the outline definition to a document.

Parameters

OutlineName: string	The name of the outline.
SysOrUser: enumeration (optional)	UserOutlineStyle! SystemOutlineStyle!
SystemStyleID: numeric (optional)
CreateOrResume: enumeration	ResumeOutline! CreateOutline! EmbedOutline!
Prompt: enumeration	No! Yes!
TabEvery: numeric (optional)
 Note

•	New command


OutlineBarDisplay

Syntax

(State: enumeration)

Description

Turn on the Outline mode, insert the first-level number and style code of the current definition, and display the Outline Property Bar. Use Off! to hide the Property Bar. Recordable substitute: ViewOutline or OutlineOff.

Parameters

State: enumeration	Off! On!
 Related topics


OutlineBarSetup

Syntax

(State: enumeration)

Description

Display or hide outline symbols.

Parameters

State: enumeration(optional)	Off! On!
 Related topics


OutlineBeginNew

Syntax

(Style: enumeration)

Description

Begin a new outline in a specified style.

Parameters

Style: enumeration	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


OutlineBodyText

Syntax

(State: enumeration)

Description

Display or hide outline body text.

Parameters

State: enumeration (optional)	If this parameter is not included, the command toggles to the opposite state. HideBodyText! ShowBodyText!
 Related topics


OutlineBodyTextToggle

Syntax

()

Description

Toggle the current paragraph between an outline item and body text.

 Related topics


OutlineChangeToBodyText

Syntax

()

Description

Change the current outline item to body text. Recordable substitute: OutlineBodyTextToggle.

 Related topics


OutlineDown

Syntax

()

Description

Move the insertion point to the next outline item or paragraph of body text.

 Related topics


OutlineEnd

Syntax

()

Description

Turn off Outline.

 Related topics


OutlineFamilyCopy

Syntax

()

Description

Copy the current family items to the Clipboard.

 Related topics


OutlineFamilyCut

Syntax

()

Description

Delete the current family items and adjust the numbering.

 Related topics


OutlineFamilyDemote

Syntax

()

Description

Demote the current family items to the next level and adjust the numbering.

 Related topics


OutlineFamilyDown

Syntax

()

Description

Move the insertion point to the beginning of the next outline family.

 Related topics


OutlineFamilyDragDown

Syntax

()

Description

Move the current family items below the next family and adjust the numbering. Recordable equivalent: OutlineParagraphDragDown.

 Related topics


OutlineFamilyDragUp

Syntax

()

Description

Move the current family items above the previous family and adjust the numbering. Recordable equivalent: OutlineParagraphDragUp.

 Related topics


OutlineFamilyHide

Syntax

(State: enumeration)

Description

Hide all but the current level of the outline family.

Parameters

State: enumeration	HideBodyText! ShowBodyText!
 Related topics


OutlineFamilyLeft

Syntax

()

Description

Move the insertion point to the beginning of the previous outline family.

 Related topics


OutlineFamilyMove

Syntax

()

Description

Move an outline family.

 Related topics


OutlineFamilyPromote

Syntax

()

Description

Raise the current family items one level.

 Related topics


OutlineFamilyRight

Syntax

()

Description

Move the insertion point to the next outline item, skipping body text.

 Related topics


OutlineFamilySelect

Syntax

()

Description

Select the current outline family, including body text.

 Related topics


OutlineFamilyShow

Syntax

(State: enumeration)

Description

Display or hide body text in the current outline family.

Parameters

State: enumeration	HideBodyText! ShowBodyText!
 Related topics


OutlineFamilyUp

Syntax

()

Description

Move the insertion point to the beginning of the previous outline family.

 Related topics


OutlineHideShowingBodyText

Syntax

()

Description

Hide all outline items and display the body text.

 Related topics


OutlineIconsDisplay

Syntax

(State: enumeration)

Description

Display the outline-level icons.

Parameters

State: enumeration(optional)	Off! On!
 Related topics


OutlineInsertParagraphNumber

Syntax

{Level: numeric; InsertType: enumeration)

Description

Lets you insert a paragraph number code in a document.

Parameters

Level: numeric
InsertType: enumeration	Fixed! Auto!
 Related topics


OutlineInsertParagraphNumberDlg

Syntax

()

Description

Insert a paragraph number code into the document.

 Related topics


OutlineNumberDlg

Syntax

()

Description

Display the Set Paragraph Number dialog box.

 Related topics


OutlineOff

Syntax

()

Description

Close the Outline feature bar.

 Related topics


OutlineParagraphCopy

Syntax

()

Description

Copy the current outline item to the Clipboard.

 Related topics


OutlineParagraphDelete

Syntax

()

Description

Delete the current outline item and adjust the numbering.

 Related topics


OutlineParagraphDemote

Syntax

()

Description

Demote the current outline item one level and adjust the numbering.

 Related topics


OutlineParagraphDragDown

Syntax

()

Description

Move the current outline item down one item and adjust the numbering.

 Related topics


OutlineParagraphDragUp

Syntax

()

Description

Move the current outline item up one item and adjust the numbering.

 Related topics


OutlineParagraphMove

Syntax

()

Description

Delete the current outline item and adjust the numbering.

 Related topics


OutlineParagraphNumber

Syntax

(Level: numeric)

Description

Specify an outline level. Default: current level.

Parameters

Level: numeric (optional)	Value: 1-8.
 Related topics


OutlineParagraphNumberInsert

Syntax

()

Description

Insert a paragraph number code [Para Num] in the current document at the insertion point.

 Related topics


OutlineParagraphPromote

Syntax

()

Description

Promote the current outline item one level.

 Related topics


OutlineParagraphSelect

Syntax

()

Description

Select the current outline item or paragraph of body text.

 Related topics


OutlineRight

Syntax

()

Description

Move the insertion point to the next outline item before the indent and number codes.

 Related topics


OutlineSetParagraphNumber

Syntax

(WordString: string)

Description

Set the number for an outline item.

Parameters

WordString: string	The outline paragraph setting number.
 Related topics


OutlineShow

Syntax

(Level: numeric; State: enumeration)

Description

Specify the lowest outline level to display and whether to show body text.

Parameters

Level: numeric	Value: 1-8.
State: enumeration	HideBodyText! ShowBodyText!
 Related topics


OutlineStyleCopy

Syntax

(Style: any; Source: enumeration; Destination: enumeration; NewName: string)

Description

Copy an outline style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Source: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
Destination: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
NewName: string (optional)	The name for the copied style.
 Related topics


OutlineStyleCreate

Syntax

(Style: string; Library: enumeration)

Description

Create, name, and save an outline style.

Parameters

Style: string	The name of the outline style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleDelete

Syntax

(Style: any; Library: enumeration)

Description

Delete an outline style. Predefined outline styles cannot be deleted.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleDescription

Syntax

(Description: string)

Description

Create an outline style description.

Parameters

Description: string	The description of the outline style.
 Related topics


OutlineStyleEditBegin

Syntax

(Style: any; Library: enumeration)

Description

Begin editing an outline style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleEditEnd

Syntax

(State: enumeration)

Description

Save the outline style changes.

Parameters

State: enumeration	Cancel! Save!
 Related topics


OutlineStyleLeadingZeros

Syntax

(Level: numeric; Zeros: numeric)

Description

Lets you specify the number of leading zeros for each level of an outline style.

Parameters

Level: numeric	The level
Zeros: numeric	The number of leading zeros
 Note

•	New command


OutlineStyleLevel

Syntax

(Level: numeric; Style: any)

Description

Specify an outline level and style.

Parameters

Level: numeric	Value: 1-8.
Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


OutlineStyleNumberFormat

Syntax

(Level: numeric; Format: string)

Description

Specify the numbering format for each level of a selected outline style.

Parameters

Level: numeric	Value: 1-8.
Format: string	The numbering format for each outline level. Select a system format, or type a character expression to specify the format.
 Related topics


OutlineStyleNumbersOnly

Syntax

(State: enumeration)

Description

Apply the Numbers Only format to a selected outline.

Parameters

State: enumeration	No! Yes!
 Related topics


OutlineStyleRename

Syntax

(Name: string)

Description

Rename a user-defined outline style.

Parameters

Name: string	The new name.
 Related topics


OutlineStyleRetrieve

Syntax

(Filename: string; Type: enumeration; Library: enumeration)

Description

Retrieve an outline style.

Parameters

Filename: string	The filename of the outline style.
Type: enumeration	AllStyles! SystemStyles! UserStyles!
Library: enumeration(optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleSave

Syntax

(Filename: string; Type: enumeration; Library: enumeration)

Description

Save an outline style.

Parameters

Filename: string	The filename of the outline style.
Type: enumeration	UserStyles! SystemStyles! AllStyles!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleSelect

Syntax

(Style: any)

Description

Select an outline style.

Parameters

Style: any	Use a string to specify a user-defined style. AddressStyle! BoxTextStyle! BulletsOutlnStyle! CaptionStyle! CommentStyle! CustomHTMLStyle! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! DefinitionsOutlnStyle! DocStyle! EndnoteNumberInDocumentStyle! EndnoteStyle! EquationNumberStyle! FigureNumberStyle! FooterAStyle! FooterBStyle! FootnoteNumberInDocumentStyle! FootnoteStyle! HeaderAStyle! HeaderBStyle! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! HeadingsOutlnStyle! HypertextStyle! Index1Style! Index2Style! Legal_2OutlnStyle! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! LegalOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! ListStyle! MonospacedStyle! NormalStyle! NumbersOutlnStyle! OutlineStyle! ParagraphOutlnStyle! PreformattedStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! QuotationsOutlnStyle! TableBoxNumberStyle! TextBoxNumberStyle! ToAStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! UserBoxNumberStyle! WatermarkAStyle! WatermarkBStyle!
 Related topics


OutlineStyleType

Syntax

(Bullets: enumeration; SingleLevel: enumeration)

Description

Lets you specify the outline attributes.

Parameters

Bullets: enumeration	No! Yes!
SingleLevel: enumeration	No! Yes!
 Note

•	New command


OutlineUp

Syntax

()

Description

Move the insertion point to the beginning of the previous outline paragraph, before indent and number codes.

 Related topics


OverstrikeCreate

Syntax

(OvrStrkStrg: string)

Description

Create an overstrike.

Parameters

OvrStrkStrg: string	Two or more characters.
 Related topics


OverstrikeCreateDlg

Syntax

()

Description

Display the Overstrike dialog box.

 Related topics


OverstrikeEdit

Syntax

(OvrStrkStrg: string)

Description

Replace the first overstrike to the right of the insertion point with the text in the OvrStrkStrg parameter.

Parameters

OvrStrkStrg: string	The new overstrike characters.
 Related topics


PageBorderDlg

Syntax

()

Description

Display the Page Border/Fill dialog box.

 Related topics


PageNumber

Syntax

(Page: numeric)

Description

Specify a new page number for the current page.

Parameters

Page: numeric	The new page number.
 Related topics


PageNumberDecrement

Syntax

()

Description

Decrease the current page number by one.

 Related topics


PageNumberDisplay

Syntax

()

Description

Insert the current page number at the insertion point.

 Related topics


PageNumberDisplayFormat

Syntax

()

Description

Display a formatted page number at the insertion point in the current document window.

 Related topics


PageNumberFormat

Syntax

(Format: string)

Description

Specify a page number format including text, page, total page, chapter, volume, or secondary page numbers.

Parameters

Format: string	Combine macro function codes and text to create a page number format.
 Related topics


PageNumberIncrement

Syntax

()

Description

Increase the current page number by one.

 Related topics


PageNumberingAdjustDlg

Syntax

()

Description

Display the Value/Adjust Number dialog box.


PageNumberingCountDlg

Syntax

()

Description

Display the Page Count for Total Pages dialog box. Displaying this dialog box also updates the total page count.


PageNumberingDlg

Syntax

()

Description

Display the Select Page Numbering Format dialog box.


PageNumberingInsertDlg

Syntax

()

Description

Display the Insert Number in Text dialog box.


PageNumberMethod

Syntax

(Method: enumeration)

Description

Specify a page numbering method.

Parameters

Method: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


PageNumberPosition

Syntax

(Position: enumeration; Default: enumeration; Font: string; FontSize: measurement; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric; {Attributes: enumeration})

Description

Specify the position and appearance of page numbering. Use Font, Color, Shade, and Attributes parameters only if the Default parameter is DontUseDefaultValues!.

Parameters

Position: enumeration	BottomAlternating! BottomCenter! BottomLeft! BottomRight! InsideTopAlternating! None! OutsideBottomAlternating! TopAlternating! TopCenter! TopLeft! TopRight!
Default: enumeration	DontUseDefaultValues! UseDefaultValues!
Font: string (optional)	The font face for the page number.
FontSize: measurement (optional)	The font size for the page number.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
Attributes: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


PageNumberSettingsDlg

Syntax

()

Description

Display the Numbering Value dialog box.


PageSetupDlg

Syntax

()

Description

Display the Page Setup dialog box.


PageSuppressDlg

Syntax

()

Description

Display the Suppress dialog box.

 Related topics


PageZoomFull

Syntax

()

Description

Display Page view, then zoom the current page to Full Page.

 Related topics


PaneNext

Syntax

()

Description

Move the focus to the next pane in the Equation Editor.

 Related topics


PanePrevious

Syntax

()

Description

Move the focus to the previous pane in the Equation Editor.

 Related topics


PaperSizeAdd

Syntax

(Name: string; Width: measurement; Length: measurement; WidthAdjust: measurement; LengthAdjust: measurement; Flags: enumeration; Location: enumeration; Type: enumeration; Use: enumeration; ReturnAddressHoriz: measurement; ReturnAddressVert: measurement; MailingAddressHoriz: measurement; MailingAddressVert: measurement)

Description

Create a page definition for the Page Size dialog box. Use address position parameters if the Type parameter is Envelope!.

Parameters

Name: string	Use if the Type parameter is Other!.
Width: measurement	The width of the page.
Length: measurement	The length of the page.
WidthAdjust: measurement	Move the page contents left (positive value) or right (negative value).
LengthAdjust: measurement	Move the page contents up (positive value) or down (negative value).
Flags: enumeration	FormCurrentlyLoaded! Landscape! LandscapeLoaded! LandscapePrimaryLoaded! Portrait! PortraitLoaded! PortraitPrimaryLoaded! PrimaryForm!
Location: enumeration	The printer paper feed. Continuous! Manual!
Type: enumeration	AllOthers! Bond! CardStock! ClayBased! Envelope! Glossy! Labels! Letterhead! Other! Standard! Transparency!
Use: enumeration (optional)	Europe! Japan! Latin_America! None! US!
ReturnAddressHoriz: measurement (optional)	Left and right position for the return address.
ReturnAddressVert: measurement(optional)	Top and bottom position for the return address.
MailingAddressHoriz: measurement(optional)	Left and right position for the return address.
MailingAddressVert: measurement(optional)	Top and bottom position for the return address.
 Related topics


PaperSizeDelete

Syntax

(Name: string)

Description

Delete a page definition.

Parameters

Name: string	The name of the paper definition.
 Related topics


PaperSizeDlg

Syntax

()

Description

Display the Page Size dialog box.

 Related topics


PaperSizeResave

Syntax

(OldName: string; NewName: string; Width: measurement; Length: measurement; WidthAdjustment: measurement; LengthAdjustment: measurement; Flags: enumeration; Location: enumeration; Type: enumeration; Use: enumeration; ReturnAddressHoriz: measurement; ReturnAddressVert: measurement; MailingAddressHoriz: measurement; MailingAddressVert: measurement)

Description

Edit and save a page definition from the Page Size dialog box. Use address position parameters if the Type parameter is Envelope!.

Parameters

OldName: string	The original name of the page definition.
NewName: string	The name for the edited page definition.
Width: measurement	The width of the page.
Length: measurement	The length of the page.
WidthAdjustment: measurement	Move the page contents right (positive value) or left (negative value).
LengthAdjustment: measurement	Move the page contents up (positive value) or down (negative value).
Flags: enumeration	Specify the orientation. FormCurrentlyLoaded! Landscape! LandscapeLoaded! LandscapePrimaryLoaded! Portrait! PortraitLoaded! PortraitPrimaryLoaded! PrimaryForm!
Location: enumeration	The printer paper feed. Continuous! Manual!
Type: enumeration	AllOthers! Bond! CardStock! ClayBased! Envelope! Glossy! Labels! Letterhead! Other! Standard! Transparency!
Use: enumeration	Europe! Japan! Latin_America! None! US!
ReturnAddressHoriz: measurement	The left and right position for the return address.
ReturnAddressVert: measurement	The top and bottom position for the return address.
MailingAddressHoriz: measurement	The left and right position for the mailing address.
MailingAddressVert: measurement	The top and bottom position for the mailing address.
 Related topics


PaperSizeSelect

Syntax

(Name: string; Width: measurement; Height: measurement; Type: enumeration)

Description

Specify a page size for the current document.

Parameters

Name: string	The name of a paper definition.
Width: measurement (optional)	The width of the page.
Height: measurement (optional)	The height of the page.
Type: enumeration (optional)	Bond! Cardstock! ClayBased! Envelope! Glossy! Labels! Letterhead! Other! Standard! Transparency!
 Related topics


ParagraphBorderDlg

Syntax

()

Description

Display the Paragraph Border/Fill dialog box.

 Related topics


ParagraphBreakShippingMacro

Syntax

()

Description

Play the shipping macro PARABRK.WCM to display the Paragraph Breaks dialog box, where graphical paragraph break markers can be edited and selected to insert after the next [HRt]. PARABRK.WCM must be installed.


ParagraphDown

Syntax

()

Description

Move the insertion point to the beginning of the next paragraph (after [HRt] or [HRt]). Recordable substitute: PosParagraphNext.

 Related topics


ParagraphFormatDlg

Syntax

()

Description

Display the Paragraph Format dialog box.


ParagraphHangingIndent

Syntax

()

Description

Align the first line of a paragraph with the left margin and indent the remaining lines to the next tab stop.


ParagraphNumberDefDlg

Syntax

()

Description

Display the Change Outline Level dialog box.

 Related topics


ParagraphSetNumber

Syntax

(Level: numeric; StartValue: numeric)

Description

Specify the level and starting value for paragraph numbering.

Parameters

Level: numeric	The level of paragraph numbering.
StartValue: numeric	The start value of paragraph numbering.
 Related topics


ParagraphSpacing

Syntax

(AmtSpc: numeric[; DotSpc: numeric])

Description

Lets you specify the spacing between paragraphs. The default spacing is the font point size plus two points.

Parameters

AmtSpc: numeric	Default: 1.0.
DotSpc: numeric (optional)
 Related topics


ParagraphUp

Syntax

()

Description

Move the insertion point to the beginning of the previous paragraph. Recordable substitute: PosParagraphPrevious.

 Related topics


Paste

Syntax

()

Description

Paste the Clipboard contents at the insertion point.

 Related topics


PasteLink

Syntax

(FormatName: string; FormatId: numeric; LinkType: enumeration)

Description

Insert an object from the Clipboard into the current document, thus creating a link with the server application that created the object.

Parameters

FormatName: string	The format of the linked object. Consult your server application's documentation for a valid format name.
FormatId: numeric	The identification number of the format of the linked object. Consult your server application's documentation for a valid format ID.
LinkType: enumeration	Dde! Ole!
 Related topics


PasteUnformattedText

Syntax

()

Description

Pastes the contents of the Clipboard into the document as text without formatting.


PauseCommand

Syntax

(Token: command name)

Description

Pause a macro until a specified macro command is executed. For example, Enter executes the HardReturn command. PauseCommand does not prompt the user to press a key, so it is often used with PROMPT.

Parameters

Token: command name	The command to pause.
 Related topics


PauseKey

Syntax

(Key: enumeration; Character: string)

Description

Pause a macro until a specified key or character is pressed.

Parameters

Key: enumeration	The key to resume macro execution. Default: Enter!. Any! resumes when any key is pressed, including Backspace, Delete, and Ctrl+Enter. Any! Cancel! Character! Close! Enter!
Character: string (optional)	The case-sensitive character that resumes macro execution when pressed. Use if the Key parameter is Character!.
 Related topics


PauseSet

Syntax

(Token: command name)

Description

Specify a command to replace a [HRt] that ends a PAUSE command.

Parameters

Token: command name	A command to resume a paused macro. Usually represents a keystroke.
 Related topics


PdfDlg

Syntax

()

Description

Publish the current document as a .PDF file.


PerfectExpert

Syntax

()

Description

Open the User Assistant.


PersonalInfoDlg
boolean:=PersonalInfoDlg

Syntax

()

Description

Display the Corel Address Book with the personal information record selected. If the personal information has not been previously specified, the first record in the current address book is selected.

Return Value

Returns True if the Select button was clicked to dismiss the dialog box, False if the Close button was clicked to dismiss the dialog box.

 Related topics


PersonalInfoFormatAddr
string:=PersonalInfoFormatAddr

Syntax

(Format: string)

Description

Return the personal information stored in the address book using the specified format.

Parameters

Format: string	The format specification used when returning the personal information. Use AddressBookFormatGetFormat or AddressBookFormatGetCurrent to retrieve an address format specification.
 Related topics


PersonalInfoGetField
string:=PersonalInfoGetField

Syntax

(Field: any)

Description

Return the value of a field from the current personal information stored in the address book.

Parameters

Field: any	If this parameter is a number, the command will try to return the value of the field with that code number. If this parameter is a string, the command will try to return the value of the field with that name.
 Related topics


PlayClipBoardShippingMacro

Syntax

()

Description

Play the shipping macro READCLP.WCM to speak Clipboard text. READCLP.WCM must be installed. ProVoice or Monologue text-to-speech software is required.


PlayFileShippingMacro

Syntax

()

Description

Play the shipping macro READFILE.WCM to speak a text file or play a .WAV, .AVI, or .MID file. READFILE.WCM must be installed. ProVoice or Monologue text-to-speech software is required.


PlaySelectionShippingMacro

Syntax

()

Description

Play the shipping macro READSEL.WCM to speak selected text. Not recordable. READSEL.WCM must be installed. ProVoice or Monologue text-to-speech software is required.


PleadingShippingMacro

Syntax

()

Description

Play the shipping macro PLEADING.WCM to display the Pleading Paper dialog box, in which you specify and generate pleading options. PLEADING.WCM must be installed.


PosBlockBeg

Syntax

()

Description

Move the insertion point to the beginning of the selected text, then deselect the text. Included for DOS compatibility. Windows equivalent: PosSelectTop.

 Related topics


PosBlockBottom

Syntax

()

Description

Move the insertion point to the bottom of the selected text. Included for DOS compatibility. Windows equivalent: PosSelectBottom.

 Related topics


PosBlockTop

Syntax

()

Description

Move the insertion point to the top of the selected text. Included for DOS compatibility. Windows equivalent: PosSelectTop.

 Related topics


PosCellDown

Syntax

()

Description

Move the insertion point down one row. Recordable equivalent: PosTableCellDown.

 Related topics


PosCellNext

Syntax

()

Description

Move the insertion point to the beginning of the next cell in the current table. If the insertion point is in the last cell of a table, the insertion point is moved to the beginning of that cell. Recordable equivalent: PosTableTopCellNext.

 Related topics


PosCellPrevious

Syntax

()

Description

Move the insertion point to the beginning of the previous cell in the current table. If the insertion point is in the first cell of a table, the insertion point is moved to the beginning of that cell. Recordable equivalent: PosTableCellPrevious.

 Related topics


PosCellUp

Syntax

()

Description

Move the insertion point up one cell. Recordable equivalent: PosTableCellUp.

 Related topics


PosCharacter

Syntax

(CharToMoveTo: string)

Description

Move the insertion point forward to a specified character. Maximum forward movement is 2,000 characters. Case sensitive. If the specified character is not found, this command does nothing. Not recordable.

Parameters

CharToMoveTo: string	The single search character.
 Related topics


PosCharNext

Syntax

()

Description

Move the insertion point to the next character to the right.

 Related topics


PosCharPrevious

Syntax

()

Description

Move the insertion point to the previous character.

 Related topics


PosColBottom

Syntax

()

Description

Move the insertion point to the beginning of the last line before a page break. Move to the end of the document if there is no page break. In columns, move the insertion point to the beginning of the last line of the column. In tables, move to the beginning of the last line of the last cell in the current column that contains data.

 Related topics


PosColFirst

Syntax

()

Description

Move the insertion point to the beginning of the line. In columns, move the insertion point to the beginning of the line in the first column. In tables, no effect.

 Related topics


PosColLast

Syntax

()

Description

Move the insertion point to the beginning of the current line. In columns, move the insertion point to the beginning of the current line in the last column. In tables, this command has no effect.

 Related topics


PosColNext

Syntax

()

Description

Move the insertion point to the beginning of the current line in the next column or to the current line in the current row of the next table column.

 Related topics


PosColPrevious

Syntax

()

Description

Move the insertion point to the beginning of the current line in the previous column or to the beginning of the current row and line in the previous table column.

 Related topics


PosColTop

Syntax

()

Description

In columns, move the insertion point to the beginning of the current column. In tables, move to the beginning of the current row in the previous column. If there are multiple lines in the current cell, move the insertion point to the beginning of the previous line in the current cell. In regular (non-column) text, move the insertion point to the beginning of the previous line.

 Related topics


PosDocBottom

Syntax

()

Description

Move the insertion point to the end of the document, after all codes.

 Related topics


PosDocTop

Syntax

()

Description

Move the insertion point to the beginning of the document, after any initial codes.

 Related topics


PosDocVeryTop

Syntax

()

Description

Move the insertion point to the beginning of a document, before any codes.

 Related topics


PosEndnote

Syntax

(EndnoteNumber: numeric)

Description

Moves the insertion point to an endnote.

Parameters

EndnoteNumber: numeric	The number of the endnote.
 Note

•	New command


PosFootnote

Syntax

(FootnoteNumber: numeric)

Description

Moves the insertion point to a footnote.

Parameters

FootnoteNumber: numeric	The number of the footnote.
 Note

•	New command


PosFunction

Syntax

(Function: enumeration)

Description

Move the insertion point to the right of the next occurrence of the code specified in the Function parameter.

Parameters

Function: enumeration	CancelHyphenation! HardEndOfLine! HardHyphen! HardSpace! SoftEndOfLine! Tab!
 Related topics


PosGoPrevious

Syntax

()

Description

Move the insertion point to its previous position.

 Related topics


PosGoToDlg

Syntax

()

Description

Display the Go To dialog box.

 Related topics


PosHeading

Syntax

(HeadingNumber: numeric)

Description

Move the insertion point to a heading.

Parameter

HeadingNumber: numeric	The number of the heading.
 Note

•	New command


PosIndex

Syntax

()

Description

Move the insertion point to the index.

 Note

•	New command


PosLine

Syntax

(LineNumber: numeric)

Description

Lets you specify the line number to which to move the insertion point.

Parameter

LineNumber: numeric	The line number
 Note

•	New command


PosLineBeg

Syntax

()

Description

Move the insertion point to the beginning of the current line.

 Related topics


PosLineDown

Syntax

()

Description

Move the insertion point down one line.

 Related topics


PosLineEnd

Syntax

()

Description

Move the insertion point to the end of the current line.

 Related topics


PosLineUp

Syntax

()

Description

Move the insertion point up one line.

 Related topics


PosLineVeryBeg

Syntax

()

Description

Move the insertion point to the beginning of a line, before codes.

 Related topics


PosLineVeryEnd

Syntax

()

Description

Move the insertion point to the end of the current line after codes, except [HRt] and [SRt].

 Related topics


PosNextComment

Syntax

()

Description

Move the insertion point to the next comment.

 Note

•	New command


PosNextCrossRef

Syntax

()

Description

Moves the insertion point to the next cross reference.


PosNextEndnote

Syntax

()

Description

Move the insertion point to the next endnote.

 Note

•	New command


PosNextFootnote

Syntax

()

Description

Move the insertion point to the next footnote.

 Note

•	New command


PosNextHeading

Syntax

()

Description

Move the insertion point to the next heading.

 Note

•	New command


PosNextList

Syntax

()

Description

Moves the insertion point to the next list.


PosNextTOC

Syntax

()

Description

Move the insertion point to the next table of contents.

 Note

•	New command


PosNextIndex

Syntax

()

Description

Move the insertion point to the next index.

 Note

•	New command


PosNextTOA

Syntax

()

Description

Move the insertion point to the next table of authorities.

 Note

•	New command


PosPage

Syntax

(Volume: enumeration; Chapter: enumeration; Page: enumeration; Direction: enumeration)

Description

Move the insertion point to a specified page.

Parameters

Volume: enumeration	NoneSpecified!
Chapter: enumeration	NoneSpecified!
Page: enumeration	NoneSpecified!
Direction: enumeration (optional)	Down! Up!
 Related topics


PosPageBottom

Syntax

()

Description

Move the insertion point to the beginning of the last line on the current page. On the last page of a document, move to the end of the last line.

 Related topics


PosPageNext

Syntax

()

Description

Move the insertion point to the beginning of the next page. On the last page of the document, move to the end.

 Related topics


PosPagePrevious

Syntax

()

Description

Move the insertion point to the beginning of the previous page. On the first page of the document, move to the top of the page.

 Related topics


PosPageTop

Syntax

()

Description

Move the insertion point to the beginning of the current page. In columns, move to the beginning of the current column.

 Related topics


PosParagraphNext

Syntax

()

Description

Move the insertion point to the beginning of the next paragraph. In the last paragraph of a document, move to the end.

 Related topics


PosParagraphPrevious

Syntax

()

Description

Move the insertion point to the beginning of the current paragraph. At the beginning of a paragraph, move to the beginning of the previous paragraph.

 Related topics


PosPrevFootnote

Syntax

()

Description

Move the insertion point to the previous footnote.

 Note

•	New command


PosPrevEndnote

Syntax

()

Description

Move the insertion point to the previous endnote.

 Note

•	New command


PosPrevHeading

Syntax

()

Description

Move the insertion point to the previous heading.

 Note

•	New command


PosPrevComment

Syntax

()

Description

Move the insertion point to the previous comment.

 Note

•	New command


PosPrevCrossRef

Syntax

()

Description

Moves the insertion point to the previous cross reference.


PosPrevList

Syntax

()

Description

Moves the insertion point to the previous list.


PosPrevTOC

Syntax

()

Description

Move the insertion point to the previous table of contents.

 Note

•	New command


PosPrevIndex

Syntax

()

Description

Move the insertion point to the previous index.

 Note

•	New command


PosPrevTOA

Syntax

()

Description

Move the insertion point to the previous table of authorities.

 Note

•	New command


PosScreenDown

Syntax

()

Description

Move the insertion point to the bottom of the screen, then down one screen at a time with each repetition of the command.

 Related topics


PosScreenLeft

Syntax

()

Description

Move the insertion point to the left edge of the screen, then left one screen at a time with each repetition of the command.

 Related topics


PosScreenRight

Syntax

()

Description

Move the insertion point to the right edge of the screen, then right one screen at a time with each repetition of the command.

 Related topics


PosScreenUp

Syntax

()

Description

Move the insertion point to the top of the screen, then up one screen at a time with each repetition of the command.

 Related topics


PosSelectBottom

Syntax

()

Description

Move the insertion point to the end of the selected text.

 Related topics


PosSelectTop

Syntax

()

Description

Move the insertion point to the beginning of selected text.

 Related topics


PosTableBegin

Syntax

()

Description

Move the insertion point to the first cell of a table.

 Related topics


PosTableBlockBeg

Syntax

()

Description

Deselect all selected table cells except the first cell in the selection.

 Related topics


PosTableCell

Syntax

(Cell: string)

Description

Move the insertion point to a specified cell.

Parameters

Cell: string	The cell you want to have the insertion point move to.


PosTableCellBottom

Syntax

()

Description

Move the insertion point to the beginning of the last line in a cell.

 Related topics


PosTableCellDown

Syntax

()

Description

Move the insertion point down one table row to the beginning of the first line in the cell.

 Related topics


PosTableCellNext

Syntax

()

Description

Move the insertion point to the beginning of the next cell.

 Related topics


PosTableCellPrevious

Syntax

()

Description

Move the insertion point to the beginning of the previous cell. If there are two or more lines in the current cell but only one line in the previous cell, move to the beginning of the previous cell. If there are one or more lines in both the current and previous cells, move to the beginning of the current line in the previous cell.

 Related topics


PosTableCellTop

Syntax

()

Description

Move the insertion point to the beginning of the cell.

 Related topics


PosTableCellUp

Syntax

()

Description

Move the insertion point up one table cell.

 Related topics


PosTableColBottom

Syntax

()

Description

Move the insertion point to the beginning of the last cell in the current column. If select mode is on, the selection is extended.

 Related topics


PosTableColumnBottom

Syntax

()

Description

Move the insertion point to the beginning of the last cell in the current column. If select mode is on, select mode is turned off before the insertion point moves.

 Related topics


PosTableColumnTop

Syntax

()

Description

Move the insertion point to the beginning of the table column.

 Related topics


PosTableEnd

Syntax

()

Description

Move the insertion point to the beginning of the last table cell.

 Related topics


PosTableGoPrevious

Syntax

()

Description

Return the insertion point to its previous position in a table.


PosTableRowBegin

Syntax

()

Description

Move the insertion point to the beginning of the current row.

 Related topics


PosTableRowEnd

Syntax

()

Description

Move the insertion point to the beginning of the last cell in the row.

 Related topics


PosTableScreenDown

Syntax

()

Description

Move the insertion point to the beginning of the last complete cell of the current column in the current screen, and down one screen with each repetition of the command.

 Related topics


PosTableScreenLeft

Syntax

()

Description

Move the insertion point to the beginning of the first complete cell in the row, and left one screen at a time with each repetition.

 Related topics


PosTableScreenRight

Syntax

()

Description

Move the insertion point to the beginning of the last complete table cell of the row in the current screen, and right one screen at a time with each repetition.

 Related topics


PosTableScreenUp

Syntax

()

Description

Move the insertion point to the beginning of first table cell of the screen in a table, and up one screen with each repetition.

 Related topics


PosTableTopCellNext

Syntax

()

Description

Move the insertion point to the beginning of the next cell. If the cells contain two or more lines, move to the beginning of the current line in the next cell. If the insertion point is in the last cell of a table, a new table row is created at the bottom of the table.

 Related topics


PosTableTopCellPrevious

Syntax

()

Description

Move the insertion point to the top of the previous table cell.

 Related topics


PosTOC

Syntax

()

Description

Move the insertion point to the table of contents.

 Note

•	New command


PosTOA

Syntax

()

Description

Move the insertion point to the table of authorities.

 Note

•	New command


PosWordNext

Syntax

()

Description

Move the insertion point to the beginning of the next word. Words separated by two hyphens or an em dash are treated as one word.

 Related topics


PosWordPrevious

Syntax

()

Description

Move the insertion point to the beginning of the previous word. If the insertion point is located within a word, the insertion point is moved to the beginning of the current word. Words separated by two hyphens or an em dash are treated as one word.

 Related topics


PowerBarEditDlg

Syntax

()

Description

Display the Toolbar Editor - Power Bar dialog box.

 Related topics


PowerBarOptionsDlg

Syntax

()

Description

Display the Power Bar Options dialog box.

 Related topics


PowerBarShow

Syntax

(State: enumeration)

Description

Display (On!) or hide (Off!) the Power Bar. If no parameter is specified, this command toggles the Power Bar display.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


PowerTableNumericFormat

Syntax

()

Description

Change the number format of a cell.

 Related topics


PowerTableSpeedFormat

Syntax

()

Description

Reset the table properties to the speed format defaults.

 Related topics


PrefApplicationBarEdit

Syntax

(State: enumeration)

Description

Edit the Application Bar by adding or removing items.

Parameters

State: enumeration (optional)	Off! On!


PrefBackupPath

Syntax

(BackupDir: string; UpdateQuickList: enumeration)

Description

Specify the document backup directory and whether to update the QuickList.

Parameters

BackupDir: string (optional)	The directory where backup files are stored.
UpdateQuickList: enumeration (optional)	No! Yes!


PrefBeep

Syntax

(Error: enumeration; Hyphenation: enumeration; SearchFailure: enumeration)

Description

Specify when to turn Beep on or off.

Parameters

Error: enumeration (optional)	Off! On!
Hyphenation: enumeration (optional)	Off! On!
SearchFailure: enumeration (optional)	Off! On!
 Related topics


PrefButtonBar

Syntax

()

Description

Display the Toolbar Preferences dialog box.


PrefDisplayDlg

Syntax

()

Description

Display the Display Preferences dialog box.


PrefDisplaySet

Syntax

(DefaultView: enumeration; ShowTableGridLines: enumeration; ShowComments: enumeration; ShowGraphics: enumeration; TextInSystemColors: enumeration; ShowHiddenText: enumeration; SculpturedDialogs: enumeration; VerticalScrollBar: enumeration; HorizontalScrollBar: enumeration; ShowHotSpots: enumeration; ShowShadowCursor: enumeration; ShowTabBarIcons: enumeration)

Description

Specify how to display features.

Parameters

DefaultView: enumeration (optional)	ViewDraft! ViewPage! ViewTwoPage!
ShowTableGridLines: enumeration (optional)	No! Yes!
ShowComments: enumeration (optional)	No! Yes!
ShowGraphics: enumeration (optional)	No! Yes!
TextInSystemColors: enumeration (optional)	No! Yes!
ShowHiddenText: enumeration (optional)	No! Yes!
SculpturedDialogs: enumeration (optional)	No effect in version 7. No! Yes!
VerticalScrollBar: enumeration (optional)	No! Yes!
HorizontalScrollBar: enumeration (optional)	Hide! Show!
ShowHotSpots: enumeration (optional)	Set the QuickSpot display state. No effect after version 7. No! Yes!
ShowMarginIcons: enumeration (optional)	No! Yes!
ShowRealWYSIWYG: enumeration (optional)	No! Yes!
ShowShadowCursor: enumeration (optional)	No! Yes!
ShowTabBarIcons: enumeration (optional)	No! Yes!
 Related topics


PrefDocSummary

Syntax

(SubjectSearchText: string; DefaultDescriptiveType: string; CreateOnExit: enumeration; UseDescrOnOpen: enumeration; MakeFilenameDescrOnSaveAs: enumeration)

Description

Specify subject search text and default descriptive type for a document summary, and whether to create the summary automatically when saving a document.

Parameters

SubjectSearchText: string (optional)	The text before the subject line.
DefaultDescriptiveType: string (optional)	The description of the file type.
CreateOnExit: enumeration (optional)	No! Yes!
UseDescrOnOpen: enumeration (optional)	No! Yes!
MakeFilenameDescrOnSaveAs: enumeration (optional)	No! Yes!
 Related topics


PrefDocSummaryDlg

Syntax

()

Description

Display the Document Summary Preferences dialog box.

 Related topics


PrefEnvironment

Syntax

(UserName: string; UserInitials: string; UserColorRed: numeric; UserColorGreen: numeric; UserColorBlue: numeric; ConfirmCodeDeletion: enumeration; ConfirmTableFormulaDeletion: enumeration; SetQuickMarkOnSave: enumeration; ActivateHypertext: enumeration; FormatForDefaultPrinter: enumeration; SaveWorkSpace: enumeration; AutoWordSelect: enumeration; GoToQuickMarkOnOpen: enumeration; Use51LetterStyle: enumeration)

Description

Specify environment settings.

Parameters

UserName: string (optional)	The user name.
UserInitials: string (optional)	The user ID.
UserColorRed: numeric (optional)	Value: 0-255.
UserColorGreen: numeric (optional)	Value: 0-255.
UserColorBlue: numeric (optional)	Value: 0-255.
ConfirmCodeDeletion: enumeration (optional)	No! Yes!
ConfirmTableFormulaDeletion: enumeration (optional)	No! Yes!
SetQuickMarkOnSave: enumeration (optional)	No! Yes!
ActivateHypertext: enumeration (optional)	Off! On!
FormatForDefaultPrinter: enumeration (optional)	No! Yes!
SaveWorkSpace: enumeration (optional)	Save the current WorkSpace on exit. Always! Never! PromptOnExit!
AutoWordSelect: enumeration (optional)	Off! On!
GoToQuickMarkOnOpen: enumeration (optional)	No! Yes!
Use51LetterStyle: enumeration (optional)	No! Yes!
  Related topics


PrefEnvSettingsDlg

Syntax

()

Description

Display the Environment Settings dialog box.


PrefHyphenation

Syntax

(Prompt: enumeration)

Description

Turn on Hyphenation and specify prompt conditions.

Parameters

Prompt: enumeration (optional)	Always! Never! WhenRequired!
 Related topics


PrefImportDlg

Syntax

()

Description

Display the Convert Preferences dialog box.


PrefImportOptions

Syntax

(FieldDelimiters: string; RecordDelimiters: string; StripCharacter: string; EncapsulationCharacter: string)

Description

Specify how certain characters are interpreted during document imports.

Parameters

FieldDelimiters: string (optional)	The delimiters for imported files.
RecordDelimiters: string (optional)	The record delimiters for imported files.
StripCharacter: string (optional)	The characters to strip out of imported files.
EncapsulationCharacter: string (optional)	The encapsulated character for the imported files.


PrefLanguageSet

Syntax

(LanguageCode: string)

Description

Specify a language.

Parameters

LanguageCode: string	The interface language.


PrefLiteCodes

Syntax

(Show: enumeration; Space: enumeration; HardReturn: enumeration; Tab: enumeration; Indent: enumeration; SoftHyphen: enumeration; Advance: enumeration; Center: enumeration; CenterPage: enumeration; FlushRight: enumeration)

Description

Display document symbols in new and current document windows.

Parameters

Show: enumeration (optional)	Display document symbols. No! Yes!
Space: enumeration (optional)	No! Yes!
HardReturn: enumeration (optional)	No! Yes!
Tab: enumeration (optional)	No! Yes!
Indent: enumeration (optional)	No! Yes!
SoftHyphen: enumeration (optional)	No! Yes!
Advance: enumeration (optional)	No! Yes!
Center: enumeration (optional)	No! Yes!
CenterPage: enumeration (optional)	No! Yes!
FlushRight: enumeration (optional)	No! Yes!


PrefLocationDlg

Syntax

()

Description

Display the File Preferences dialog box.


PrefLocationOfDocuments

Syntax

(Path: string; UseDefExt: enumeration; DefExt: string; UpdateQuickList: enumeration; DefFormat: string; UseExplorerStyleFileDialogs: enumeration; UseOrigFileFormat: enumeration; UseODMAIntegration: enumeration)

Description

Specify the location of document and backup files and the default file format.

Parameters

Path: string (optional)	The directory for the backup files.
UseDefExt: enumeration (optional)	Use the default extension on Open and Save. No! Yes!
DefExt: string (optional)	The default filename extension.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
DefFormat: string (optional)	The default document file format.
UseExplorerStyleFileDialogs: enumeration (optional)	No! Yes!
UseOrigFileFormat: enumeration (optional)	No! Yes!
UseODMAIntegration: enumeration (optional)	No! Yes!


PrefLocationOfGraphicsFiles

Syntax

(GraphicsDir: string; GraphicsSupplDir: string; UpdateQuickList: enumeration; GraphicsFancyBordersDir: string)

Description

Specify the location of graphics files.

Parameters

GraphicsDir: string (optional)	The directory for graphics files
GraphicsSupplDir: string (optional)	The directory for supplemental graphics..
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
GraphicsFancyBordersDir: string (optional)	The directory for fancy border files.


PrefLocationOfMacroFiles

Syntax

(MacroDir: string; MacroSupplDir: string; UpdateQuickList: enumeration)

Description

Specify the location of macro files.

Parameters

MacroDir: string (optional)	The directory for macros files.
MacroSupplDir: string (optional)	The macro supplemental directory.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!


PrefLocationOfPrinterFiles

Syntax

(PrinterDir: string; PrinterSupplDir: string; LabelFile: string; LabelsDisplay: enumeration; UpdateQuickList: enumeration)

Description

Specify the location of label files and set related options.

Parameters

PrinterDir: string (optional)	Formerly, the Printer directory was used to store WordPerfect printer driver and label files. WordPerfect printer driver files were not used in WordPerfect 8 and 7. Therefore, this directory is used for label files only.
PrinterSupplDir: string (optional)	This parameter is obsolete.
LabelFile: string (optional)	The label filename, including the full path.
LabelsDisplay: enumeration (optional)	DisplayBoth! DisplayLaser! DisplayTractorFed!
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
 Related topics


PrefLocationOfSpreadsheetFiles

Syntax

(SpreadsheetDir: string; SpreadsheetSupplDir: string; DatabaseDir: string; DatabaseSupplDir: string; UpdateQuickList: enumeration)

Description

Specify the location of spreadsheet and database files.

Parameters

SpreadsheetDir: string (optional)	The directory for spreadsheet files.
SpreadsheetSupplDir: string (optional)	The supplemental spreadsheet directory.
DatabaseDir: string (optional)	The directory for database files.
DatabaseSupplDir: string (optional)	The supplemental database directory.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!


PrefLocationOfTemplates

Syntax

(TemplateDir: string; TemplateSupplPath: string; File: string; SupplFile: string; DefExt: string; UpdateQuickList: enumeration; UpdateDefaultTemplate: enumeration)

Description

Specify the location of template files.

Parameters

TemplateDir: string (optional)	The directory for template files.
TemplateSupplPath: string (optional)	The supplemental directory.
File: string (optional)	The templates filename.
SupplFile: string (optional)	The supplemental filename.
DefExt: string (optional)	The default filename extension.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
UpdateDefaultTemplate: enumeration (optional)	No! Yes!


PrefMenu

Syntax

(DisplayShortcuts: enumeration; DisplayLastOpened: enumeration; DisplayHelpPrompts: enumeration)

Description

Display QuickTips, shortcut keys next to menu items, and the most recently opened documents at the bottom of the File menu.

Parameters

DisplayShortcuts: enumeration (optional)	No! Yes!
DisplayLastOpened: enumeration (optional)	No! Yes!
DisplayHelpPrompts: enumeration (optional)	No! Yes!
 Related topics


PrefMergeCodes

Syntax

(Show: enumeration)

Description

Change how merge codes appear in the document.

Parameters

Show: enumeration	Hide! Show! ShowAsBars! ShowAsMarkers!


PrefMergeExtensions

Syntax

(UseDefaultFormExt: enumeration; FormFileExt: string; UseDefaultDataExt: enumeration; DataFileExt: string)

Description

Specify merge form and data file extension options.

Parameters

UseDefaultFormExt: enumeration (optional)	No! Yes!
FormFileExt: string (optional)	The extension for form files.
UseDefaultDataExt: enumeration (optional)	No! Yes!
DataFileExt: string (optional)	The extension for data files.
 Related topics


PrefMetafileOptions

Syntax

(State: enumeration)

Description

Specify what format to use for imported graphics files.

Parameters

State: enumeration	Convert to WordPerfect (.WPG) format, retain both formats, or retain Metafile (.WMF) format. ConvertToWPG! RetainWindowsAndWPG! RetainWindowsFormat!


PrefPowerBar

Syntax

(Font: string; Size: numeric; Style: enumeration; ShowQuickTips: enumeration)

Description

Specify how the Power Bar looks.

Parameters

Font: string (optional)	The font face.
Size: numeric (optional)	The font size.
Style: enumeration (optional)	A button style. Picture! PictureAndText! Text!
ShowQuickTips: enumeration (optional)	No! Yes!


PrefPowerBarEdit

Syntax

(Action: enumeration)

Description

Open and close the Power Bar Preferences dialog box.

Parameters

Action: enumeration (optional)	Enter! Exit!


PrefPrintEnvironment

Syntax

(FormatForDefaultPrinter: enumeration)

Description

Turn on or off Reformat documents for the WordPerfect default printer on open.

Parameters

FormatForDefaultPrinter: enumeration	No! Yes!
 Related topics


PrefPrintRedline

Syntax

(Method: enumeration; Character: string)

Description

Specify the default method and character of redlined text for new documents. Follow this command with PrefSave to save the setting for future WordPerfect sessions. Use RedlineMethod and RedlineCharacter to change the redline method and/or character of the current document.

Parameters

Method: enumeration (optional)	Accept the printer setting, or specify a column of characters down the right, left, or alternating sides of redlined text. Alternating! Left! PrinterDependent! Right!
Character: string (optional)	The character to display down the side of redlined text. Omit if Method parameter is PrinterDependent!.
 Related topics


PrefPrintSizeRatio

Syntax

(Fine: numeric; Small: numeric; Large: numeric; VeryLarge: numeric; ExtraLarge: numeric; SuperSubscript: numeric)

Description

Specify the size for each font attribute as a percent of the selected font size.

Parameters

Fine: numeric (optional)	Value: 1-100.
Small: numeric (optional)	Value: 1-100.
Large: numeric (optional)	Value: 1-100.
VeryLarge: numeric (optional)	Value: 1-100.
ExtraLarge: numeric (optional)	Value: 1-100.
SuperSubscript: numeric (optional)	Value: 1-100.
 Related topics


PrefRevealCodes

Syntax

(FontFace: string; FontSize: numeric; WindowSize: numeric; ShowOnNew: enumeration; ShowSpacesAsBullets: enumeration; WrapAtWindow: enumeration; ShowInDetail: enumeration; Sculptured: enumeration; ForeColorRed: numeric; ForeColorGreen: numeric; ForeColorBlue: numeric; BackColorRed: numeric; BackColorGreen: numeric; BackColorBlue: numeric; ShowHelpPrompts: enumeration; UseSystemColors: enumeration)

Description

Specify Reveal Code settings.

Parameters

FontFace: string (optional)	The font face for reveal codes.
FontSize: numeric (optional)	The font size for reveal codes.
WindowSize: numeric (optional)	A percent of the screen.
ShowOnNew: enumeration (optional)	Display the codes in current and new documents. No! Yes!
ShowSpacesAsBullets: enumeration (optional)	No! Yes!
WrapAtWindow: enumeration (optional)	Wrap the lines at the window edge. No! Yes!
ShowInDetail: enumeration (optional)	No! Yes!
Sculptured: enumeration (optional)	No! Yes!
ForeColorRed: numeric (optional)	Value: 0-255.
ForeColorGreen: numeric (optional)	Value: 0-255.
ForeColorBlue: numeric (optional)	Value: 0-255.
BackColorRed: numeric (optional)	Value: 0-255.
BackColorGreen: numeric (optional)	Value: 0-255.
BackColorBlue: numeric (optional)	Value: 0-255.
ShowHelpPrompts: enumeration (optional)	No! Yes!
UseSystemColors: enumeration (optional)	No! Yes!
 Related topics


PrefRevealCodesDlg

Syntax

()

Description

Display the Display Preferences dialog box with Reveal Codes selected.

 Related topics


PrefRuler

Syntax

(RulerOnNew: enumeration; TabsToGrid: enumeration; ShowRulerGuides: enumeration; SculpturedRuler: enumeration)

Description

Specify how the Ruler looks.

Parameters

RulerOnNew: enumeration (optional)	No! Yes!
TabsToGrid: enumeration (optional)	Tabs "snap" to invisible grid lines every 1/16th of an inch or 1/5th of a centimeter. No! Yes!
ShowRulerGuides: enumeration (optional)	Display a Ruler Bar guide when tab stops move. No! Yes!
SculpturedRuler: enumeration (optional)	No! Yes!
 Related topics


PrefSave

Syntax

()

Description

Save preference command changes as defaults for future sessions.

 Related topics


PrefStatusBar

Syntax

({Box: enumeration; Position: numeric; Width: numeric})

Description

Specify default Application Bar items, their position, and their width. Precede and follow with PrefStatusBarEdit.

Parameters

Box: enumeration (optional)	Specify an item to display or hide on the Application Bar. Repeat Box, Position, and Width parameters for each item. Enclose repeated parameters in braces ({}) separated by semicolons. AlignChar! CapsLockState! CombinedAbsPosition! CombinedPosition! Date! Font! GeneralStatus! InsertMode! Keyboard! Line! NumLockState! Outline! Page! Position! Printer! ScrollLockState! Select! Time! Time12! Time24! Zoom!
Position: numeric (optional)	The position of the Application Bar.
Width: numeric (optional)	The width of the Application Bar.


PrefStatusBarEdit

Syntax

(State: enumeration)

Description

Edit the default Application Bar. Precede with PrefStatusBar. Default: toggle.

Parameters

State: enumeration (optional)	Off! On!


PrefStatusBarOptions

Syntax

(FontFace: string; FontSize: numeric; Bold: enumeration; BoxStyle: enumeration; EvenSpaced: enumeration)

Description

Specify the size and font of the Application Bar text.

Parameters

FontFace: string (optional)	The font face for the Application Bar.
FontSize: numeric (optional)	The font size for the Application Bar.
Bold: enumeration (optional)	Bold status bar font. No! Yes!
BoxStyle: enumeration (optional)	Flat! Inset! Raised!
EvenSpaced: enumeration (optional)	Space items evenly. No! Yes!
 Related topics


PrefStatusBarOptionsDlg

Syntax

()

Description

Display the Application Bar Options dialog box.

 Related topics


PrefTaskBar

Syntax

({Box: enumeration; TextOrIcon: numeric; Width: numeric})

Description

Specify the items for the Application Bar, and their position and width.

Parameters

Box: enumeration (optional)	AlignChar! CapsLockState! CombinedAbsPosition! CombinedPosition! CurrentTag! Date! Font! GeneralStatus! InsertMode! Keyboard! LGCName! NumLockState! Printer! ScrollLockState! Select! Time! Zoom!
TextOrIcon: numeric (optional)	The display type of the items on the Application Bar.
Width: numeric (optional)	The width of the items on the Application Bar.


PrefTOA

Syntax

(Underlining: enumeration; Runs: enumeration)

Description

Specify a table of authorities format.

Parameters

Underlining: enumeration (optional)	Allow underlining in the full form. Allowed! NotAllowed!
Runs: enumeration (optional)	Allowed! NotAllowed!


PrefUnitsOfMeasure

Syntax

(DisplayUnits: enumeration; StatusBarUnits: enumeration)

Description

Specify the unit-of-measure settings.

Parameters

DisplayUnits: enumeration (optional)	Centimeters! InchesI! InchesQuote! Millimeter! Point! Wpu!
StatusBarUnits: enumeration (optional)	The unit of measure for the Application Bar and Ruler. Centimeters! InchesI! InchesQuote! Millimeter! Point! Wpu!


PrefZoom

Syntax

(Type: enumeration; Percent: numeric)

Description

Specify the document window view.

Parameters

Type: enumeration	FixedPercent! FullPage! MarginWidth! PageWidth!
Percent: numeric (optional)	Normal: 100.
 Related topics


Print

Syntax

(Action: enumeration)

Description

Print according to specified options. If no print-time commands are used prior to this command, the document will be printed according to the current default settings. If the Action parameter is left blank, the document will be printed using the current print action.

Parameters

Action: enumeration (optional)	AdvancedMultiplePages! CurrentPage! DocumentOnDisk! DocumentSummary! FullDocument! MultiplePages! SelectedText! Print selected text. If nothing is selected, the command does nothing. If a partial line of text is selected, the entire line prints. RevealCodes!
DOCUMENTATION WARNING:

The option in Print should be "MultiplePages!" instead of "AdvancedMultiplePages!" . The "Advanced" thing is really used to set range of pages, like:

 PrintRangeFrom (Page: 2)

 PrintRangeTo (Page: 3)

 Print (AdvancedMultiplePages!)

 Related topics


PrintAction
numeric:=PrintAction

Syntax

(Action: enumeration)

Description

Specify a print action and return the current print action.

Return Value

If the Action parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

1	FullDocument!

2	CurrentPage!

3	MultiplePages!

4	AdvancedMultiplePages!

5	SelectedText!

6	DocumentSummary!

7	DocumentOnDisk!

Parameters

Action: enumeration (optional)	AdvancedMultiplePages! CurrentPage! DocumentOnDisk! DocumentSummary! FullDocument! MultiplePages! SelectedText! RevealCodes!
 Related topics


PrintAdvancedRangeData

Syntax

(Pages: string; SecondaryPages: string; Chapters: string; Volumes: string)

Description

Specify the pages to print. Follow this command with Print(AdvancedMultiplePages!).

The following rules apply to all PrintAdvancedRangeData parameter specifications:

♦	To specify all Pages, Secondary Pages, Chapters, or Volumes use ("all").

♦	Use the same numbering method as the document uses. For example, if the current Page number method is (A,B,C,...) and you want to print the first three pages, use ("A-C") in the Pages parameter, not ("1-3").

♦	If you do not wish to specify a range or value for a parameter, use a null string ("").

Parameters

Pages: string	The pages to print.
SecondaryPages: string	The secondary pages to print.
Chapters: string	The chapters to print.
Volumes: string	The volumes to print.
 Related topics


PrintBooklet
numeric:=PrintBooklet

Syntax

(State: enumeration)

Description

Turn booklet printing on or off.

Return Value

If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

0	Booklet printing is off.

1	Booklet printing is on.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintCopies
numeric:=PrintCopies

Syntax

(NumberOfCopies: numeric)

Description

Specify the number of copies to print.

Return Value

Returns the number of copies to print. If the NumberOfCopies parameter is omitted, its current value is returned. If the NumberOfCopies parameter is included, the current value is returned, then the new value is set.

Parameters

NumberOfCopies: numeric	The number of copies of each page to print.
 Related topics


PrintDestination
any:=PrintDestination

Syntax

(Destination: any)

Description

Specify to print to a printer, file, or printer port.

Return Value

Returns the filename string, printer name string, 0 (if DriverPort! was selected), or 1 (if PromptForFilename! was selected). If the Destination parameter is omitted, its current value is returned. If the Destination parameter is included, the current value is returned, then the new value is set.

Parameters

Destination: any (optional)	Use a string specifying a path and filename to print to a file. Use a string specifying the name of a printer to print to a specific printer. Use PromptForFilename! to prompt the user for a filename to print to. Use DriverPort! to print to the current printer port. DriverPort! PromptForFilename!
 Related topics


PrintDlg

Syntax

()

Description

Display the Print dialog box.

 Related topics


PrintEnvelope

Syntax

()

Description

Print the current envelope.

 Related topics


PrintRevealCode

Syntax

()

Description

Prints Reveal Codes.

Parameters

Action: enumeration	FullDocument! CurrentPage! MultiplePages! SelectedText!


PrinterCommand

Syntax

(Flag: enumeration; Command: string)

Description

Insert a [Ptr Cmnd] code at the insertion point.

Parameters

Flag: enumeration	Specify whether the Command parameter contains a printer command or filename. Command! File!
Command: string	The printer command or name of a file that contains one or more printer commands.
 Related topics


PrinterCommandDlg

Syntax

()

Description

Display the Printer Command dialog box.

 Related topics


PrinterPause

Syntax

()

Description

Insert a [Pause Ptr] code at the insertion point to pause the current print job.

 Related topics


PrinterSelectByName
string:=PrinterSelectByName

Syntax

(PrinterName: any)

Description

Specify a printer to print to.

Return Value

Returns the printer name string, or 0, if Default! was selected. If the PrinterName parameter is omitted, its current value is returned. If the PrinterName parameter is included, the current value is returned, then the new value is set.

Parameters

PrinterName: any (optional)	The name of the printer to print to. For a list of valid names for the current computer, see the Name drop-down list in the Printer dialog tab of the Print dialog box. This list will probably vary from one computer to another. Default!
 Related topics


PrinterSelectDlg

Syntax

()

Description

Display the Print to dialog box with the Printer tab selected.

 Related topics


PrintGraphically
boolean:=PrintGraphically

Syntax

(State: enumeration)

Description

Turn the Print graphically option on or off.

Return Value

Returns True if the Print graphically option is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintGraphics
boolean:=PrintGraphics

Syntax

(State: enumeration)

Description

Turn graphics printing on or off.

Return Value

Returns True if graphics printing is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintHistoryDlg

Syntax

()

Description

Display the Print Status and History dialog box.

 Related topics


PrintImageBinding
numeric:=PrintImageBinding

Syntax

(Edge: enumeration)

Description

Specify the binding edge. Use this command with PrintImageOffset and PrintTwoSided. This is a print-time option and does not insert a code in the document.

Return Value

If the Edge parameter is omitted, its current value is returned. If the Edge parameter is included, the current value is returned, then the new value is set.

0	Left edge

1	Right edge

2	Top edge

3	Bottom edge

4	Inside edge

5	Outside edge

Parameters

Edge: enumeration (optional)	BottomEdge! InsideEdge! LeftEdge! OutsideEdge! RightEdge! TopEdge!
 Related topics


PrintImageOffset
measurement:=PrintImageOffset

Syntax

(Offset: measurement)

Description

Specify the binding edge offset. Use this command with PrintImageBinding. This is a print-time option and does not insert a code in the document.

Return Value

Returns the current printing offset value in WordPerfect Units (1/1200 in). If the Offset parameter is omitted, its current value is returned. If the Offset parameter is included, the current value is returned, then the new value is set.

Parameters

Offset: measurement (optional)	The distance to shift a page image. WordPerfect Units (1/1200 in) are assumed unless the DefaultUnits command precedes this command, or the units of the parameter are specified. To specify units for this parameter, include a unit indicator following the value. For example, PrintImageOffset(Offset: 1") specifies the value 1 as inches.
 Related topics


PrintInColor
boolean:=PrintInColor

Syntax

(State: enumeration)

Description

Turn color printing on or off. This is a print-time option and does not insert a code in the document. PrintInColor takes effect only when the current printer is capable of color printing, regardless of the value returned.

Return Value

Returns True if Print in color is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintInReverseOrder
boolean:=PrintInReverseOrder

Syntax

(State: enumeration)

Description

Turn reverse order printing on or off. This is a print-time option and does not insert a code in the document.

Return Value

Returns True if reverse order printing is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintRangeFrom
numeric:=PrintRangeFrom

Syntax

(Page: numeric)

Description

Specify the first page in the print range. This is a print-time option and does not insert a code in the document. Use this command with PrintRangeTo and Print(Action: MultiplePages!).

Return Value

Returns the first page in the current print range. If the Page parameter is omitted, its current value is returned. If the Page parameter is included, the current value is returned, then the new value is set.

Parameters

Page: numeric (optional)	The first page to print.
 Related topics


PrintRangeTo
numeric:=PrintRangeTo

Syntax

(Page: numeric)

Description

Specify the last page in the print range. This is a print-time option and does not insert a code in the document. Use this command with PrintRangeFrom and Print(Action: MultiplePages!).

Return Value

Returns the last page in the current print range. If the Page parameter is omitted, its current value is returned. If the Page parameter is included, the current value is returned, then the new value is set.

Parameters

Page: numeric (optional)	If this parameter equals zero, print to the end of the document.
 Related topics


PrintResolution
numeric:=PrintResolution

Syntax

(Quality: enumeration)

Description

Specify the print resolution (quality).

Return Value

If the Quality parameter is omitted, its current value is returned. If the Quality parameter is included, the current value is returned, then the new value is set.

1	Low

2	Medium

3	High

Parameters

Quality: enumeration (optional)	The print quality. Some printers allow more levels of print quality. To specify print quality on those printers, use 0-10. Refer to the specific printer documentation for print quality levels. High! Low! Medium!
 Related topics


PrintResolutionDpiX
numeric:=PrintResolutionDpiX

Syntax

(DPI: numeric)

Description

Specify the horizontal dots per inch (DPI) for a print job. The direction is relative to the printer, not the page. Always use this command together with PrintResolutionDPIY. PrintResolutionDPIX and PrintResolutionDPIY will always override the PrintResolution command unless the value specified in the DPI parameter is not valid for the printer used. See your printer documentation for valid DPI values.

Return Value

Returns the horizontal dots per inch. If the DPI parameter is omitted, its current value is returned. If the DPI parameter is included, the current value is returned, then the new value is set.

Parameters

DPI: numeric (optional)	The horizontal print resolution.
 Related topics


PrintResolutionDpiY
numeric:=PrintResolutionDpiY

Syntax

(DPI: numeric)

Description

Specify the vertical dots per inch (DPI) for a print job. The direction is relative to the printer, not the page. Always use this command together with PrintResolutionDPIX. PrintResolutionDPIX and PrintResolutionDPIY will always override the PrintResolution command unless the value specified in the DPI parameter is not valid for the printer used. See your printer documentation for valid DPI values.

Return Value

Returns the vertical dots per inch. If the DPI parameter is omitted, its current value is returned. If the DPI parameter is included, the current value is returned, then the new value is set.

Parameters

DPI: numeric (optional)	The vertical print resolution.
 Related topics


PrintSettings

Syntax

(Action: enumeration; SettingName: any)

Description

Add, delete, update, and use printer named settings. Use other print option commands to set current options. Then use this command to save those options as a named setting.

Parameters

Action: enumeration	Add! Delete! Update! Use!
SettingName: any (optional)	The name of the driver Named Setting. To apply the action specified in the Action parameter to the default setting, use Default!. Default! DriverSettings!
 Related topics


PrintSortOrder
numeric:=PrintSortOrder

Syntax

(Order: enumeration)

Description

Specify how to sort the pages of multiple-copy print jobs.

Return Value

Returns the current sorting for multiple-copy print jobs. If the Order parameter is omitted, its current value is returned. If the Order parameter is included, the current value is returned, then the new value is set.

Parameters

Order: enumeration (optional)	Collate! Group!
 Related topics


PrintSourceFileName
string:=PrintSourceFileName

Syntax

(Filename: string)

Description

Specify a document on disk to print.

Return Value

Returns the current filename to print from. If the PrinterName parameter is omitted, its current value is returned. If the PrinterName parameter is included, the current value is returned, then the new value is set.

Parameters

Filename: string (optional)	The filename of the document you want to print.
 Related topics


PrintSuppressedBoxes

Syntax

([State: enumeration])

Description

Lets you specify whether or not to print boxes.

Parameter

State: enumeration (optional)	No! Yes!
 Note

•	New command


PrintTo

Syntax

(Filename: string; PrinterName: string; PrinterDevice: string; PrinterPort: string)

Description

Print a specified file on disk to a specified printer.

Parameters

Filename: string	The path and filename of the file to print.
PrinterName: string	The name of the printer to print to. For a list of valid names for the current computer, see the Name drop-down list in the Printer dialog tab of the Print dialog box. This list will probably vary from one computer to another.
PrinterDevice: string	Not used.
PrinterPort: string	Not used.
 Related topics


PrintTwoSided
numeric:=PrintTwoSided

Syntax

(Option: enumeration)

Description

Turn two-sided printing on or off and specify options. Use PrintTwoSided with PrintUseTwoSidedDocCodes(State: False!) to ensure predictable results. This is a print-time option and does not insert a code in the document.

Return Value

If the Option parameter is omitted, its current value is returned. If the Option parameter is included, the current value is returned, then the new value is set.

0	None

1	Use Long edge for binding

3	Use Short edge for binding

4	Odd pages only

5	Even pages only

Parameters

Option: enumeration (optional)	EvenOnly! LongEdge! None! OddOnly! ShortEdge!
 Related topics


PrintTwoSidedDocCodesDlg

Syntax

()

Description

Display the Two-Sided Document Settings dialog box.

 Related topics


PrintUseTwoSidedDocCodes
boolean:=PrintUseTwoSidedDocCodes

Syntax

(State: enumeration)

Description

Turn Use two-sided document settings on or off.

Return Value

Returns True if Use two-sided document settings is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintWithDocumentSummary
boolean:=PrintWithDocumentSummary

Syntax

(State: enumeration)

Description

Turn document summary printing on or off.

Return Value

Returns True if document summary printing is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


ProofReadAsYouGoOff

Syntax

()

Description

Turn off Spell-As-You-Go and Grammar-As-You-Go.

 Related topics


ProofReadGrammar

Syntax

()

Description

Mark and correct grammar errors as you type.

 Related topics


PublishToBaristaDlg

Syntax

(FileName: string)

Description

Display the Publish to Barista dialog box and specify a filename.

Parameters

FileName: string	The filename of the document to print to Barista.


PublishToEnvoyDlg

Syntax

()

Description

Publish the current document to the Envoy viewer and display it in Envoy.


PublishToFaxDlg

Syntax

([FileName: string])

Description

Fax a document.

Parameter

FileName: string (optional)	The name of the file you want to fax.
 Note

•	New command


PublishToTrellix

Syntax

(Filename: String; PublishToHTMLViaTrellix: Enumeration; Appearance: Enumeration; ImportMethod: Enumeration; BreakByStyleOrFontOption: Any)

Description

This is an obsolete command.

Parameter

Filename: string	Name of the file to publish.
PublishToHTMLViaTrellix: enumeration	No! Yes!
Appearance: enumeration	PreserveExactAppearance! ApplyMatchingTrellixStyles!
ImportMethod: enumeration	SingleTrellixPage! BreakByPages! BreakByStyle! BreakByFontSize!
BreakByStyleOrFontOption: any
 Related topics


PublishToTrellixDlg

Syntax

()

Description

This is an obsolete command.

 Related topics


QuattroPro

Syntax

()

Description

Insert a Corel Quattro Pro OLE object file in the current document.

 Related topics


QuickCorrect

Syntax

(State: enumeration)

Description

Specify whether QuickCorrect will replace words as you type.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectAddItem

Syntax

(Item: string; Replacement: string; Type: enumeration)

Description

Add a QuickCorrect entry.

Parameters

Item: string	The word or typo you want to have QuickCorrect automatically replace.
Replacement: string	The word or phrase you want to use as a replacement.
Type: enumeration	QCException! QuickCorrect! QuickLink!
 Related topics


QuickCorrectAutoCreateException

Syntax

(State: enumeration)

Description

Turn the QuickCorrect Create Auto Exception List on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectCapsFixQry
boolean:=QuickCorrectCapsFixQry

Syntax

()

Description

Return True if the QuickCorrect CapsFix option is on, False if not.

 Related topics


QuickCorrectCapsFixSet

Syntax

(State: enumeration)

Description

Turn the QuickCorrect CapsFix option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectDeleteItem

Syntax

(Item: string)

Description

Delete a QuickCorrect entry.

Parameters

Item: string	The entry to delete.
 Related topics


QuickCorrectDlg

Syntax

()

Description

Display the QuickCorrect dialog box.

 Related topics


QuickCorrectOtherWords

Syntax

(State: enumeration)

Description

Turn Correct other mis-typed words when possible on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickBulletsQry
boolean:=QuickCorrectQuickBulletsQry

Syntax

()

Description

Return True if the QuickCorrect QuickBullets option is on, False if not.

 Related topics


QuickCorrectQuickBulletsSet

Syntax

(State: enumeration)

Description

Turn the QuickCorrect QuickBullets option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickIndentQry
boolean:=QuickCorrectQuickIndentQry

Syntax

()

Description

Return True if the QuickCorrect QuickIndent option is on, False if not.

 Related topics


QuickCorrectQuickIndentSet

Syntax

(State: enumeration)

Description

Turn the QuickCorrect QuickIndent option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickLinesQry
boolean:=QuickCorrectQuickLinesQry

Syntax

()

Description

Return True if the QuickCorrect QuickLines option is on, False if not.

 Related topics


QuickCorrectQuickLinesSet

Syntax

(State: enumeration)

Description

Turn the QuickCorrect QuickLines option on or off. QuickLines replace character lines with graphics lines.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickOrdinalsQry
boolean:=QuickCorrectQuickOrdinalsQry

Syntax

()

Description

Return True if the QuickCorrect QuickOrdinals option is on, False if not. QuickOrdinals superscripts ordinal text.

 Related topics


QuickCorrectQuickOrdinalsSet

Syntax

(State: enumeration)

Description

Turn the QuickCorrect QuickOrdinals option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickSymbolsSet

Syntax

(State: enumeration)

Description

Turn the QuickSymbols option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectReplaceWord

Syntax

(String: string)

Description

Replace the current word in the document with specified text. The Insertion point must be in the word to be replaced. The specified text must correspond to a QuickCorrect entry.

Parameters

String: string	The replacement text.
 Related topics


QuickFontEx

Syntax

(FontFace: string; FontSize: measurement; Red: numeric; Green: numeric; Blue: numeric; FontType: enumeration; {Attributes: enumeration})

Description

Insert a QuickFont into the document.

Parameters

FontFace: string	The font face.
FontSize: measurement	The font size.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
FontType: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
Attributes: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


QuickFormat

Syntax

(Format: enumeration)

Description

Format text based on selected fonts and attributes, or paragraph styles, or both.

Parameters

Format: enumeration	Attributes! CharacterStyle! Graphics! Off! Styles! StylesAndAttributes! TableCells! TableStruct!
 Related topics


QuickFormatDiscontinue

Description

(AllParagraphs: enumeration)

Turn off the QuickFormat link for all paragraphs with the associated heading.

Parameters

AllParagraphs: enumeration	False! True!
 Related topics


QuickFormatDlg

Syntax

()

Description

Display the QuickFormat dialog box.

  Note

•	This command is not available on the Linux operating system.

 Related topics


QuickFormatToggle

Syntax

()

Description

Display the QuickFormat dialog box.

 Related topics


QuickLink

Syntax

(State: enumeration)

Description

Turn QuickLink on or off.

Parameters

State: enumeration	Off! On!


QuickmarkFind

Syntax

()

Description

Move the insertion point to the first character after a QuickMark.

 Related topics


QuickmarkSet

Syntax

()

Description

Place a unique bookmark, or QuickMark, in a document at the insertion point. If Set QuickMark in Document on Save is on, the QuickMark moves to the insertion point when the document is saved.

 Related topics


QuickSpotsShow
boolean:=QuickSpotsShow

Syntax

(State: enumeration)

Description

Turn QuickSpots on or off for the current session and return the current state. To return the current state without changing the setting, omit the parameter. This command does not change display preferences for QuickSpots. QuickSpots appear only in version 7.

Return Value

Returns True if QuickSpots are on, False if not.

Parameters

State: enumeration	Off! On!
 Related topics


QuickWords

Syntax

(State: enumeration)

Description

Turn Expand QuickWords when you type them on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickWordsDlg

Syntax

()

Description

Display the QuickCorrect dialog box with the QuickWords tab displayed.

 Related topics


Redisplay

Syntax

()

Description

Rewrite the screen contents without moving the insertion point.


RedlineCharacter

Syntax

(Character: string)

Description

Specify a character to redline text.

Parameters

Character: string	The character for redlining.
 Related topics


RedlineMethod

Syntax

(RedlineMethod: enumeration)

Description

Specify a redline method.

Parameters

RedlineMethod: enumeration	Alternating! LeftMargin! PrinterDependent! RightMargin!
 Related topics


Redo

Syntax

(Number: numeric)

Description

Reverse the last Undo made to the document or reverse the specified Undo.

Parameters

Number: numeric (optional)	The number of redo levels.
 Related topics


RepeatDlg

Syntax

()

Description

Display the Repeat dialog box.

 Related topics


RepeatSet

Syntax

(Value: numeric)

Description

Specify the Repeat default number.

Parameters

Value: numeric	The number of times to repeat the current operation.
 Related topics


RepeatValue

Syntax

(Value: numeric)

Description

Specify the number of times to repeat an action.

Parameters

Value: numeric (optional)	The number of times to repeat the current operation.
 Related topics


ReplaceAll

Syntax

(SearchMode: enumeration)

Description

Replace all occurrences of a matched word, code, or phrase. Precede with commands such as SearchString, ReplaceString, and SearchNext.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


ReplaceBackward

Syntax

(SearchMode: enumeration)

Description

Replace specified text or codes from the current insertion point to the beginning of the document. Precede with other commands such as SearchString and ReplaceString.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


ReplaceConfirm

Syntax

(State: enumeration)

Description

Specify whether Find and Replace Text prompts the user to confirm replacement in WordPerfect for DOS. Included for DOS compatibility. No effect in WordPerfect for Windows. Use ReplaceAll or ReplaceCurrent.

Parameters

State: enumeration	Prompt for confirmation before replacing text. No! Yes!
 Related topics


ReplaceCurrent

Syntax

()

Description

Replace a matched word, code, or phrase. Precede with commands such as SearchString and SearchNext.

 Related topics


ReplaceDlg

Syntax

()

Description

Display the Find and Replace Text dialog box.

 Related topics


ReplaceForward

Syntax

(SearchMode: enumeration)

Description

Replace the specified text or codes from the insertion point to the end of the document. Precede with other commands such as SearchString or ReplaceString.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


ReplaceString

Syntax

(RplcStrg: string)

Description

Specify the search text or codes.

Parameters

RplcStrg: string	The text or codes to search for.
 Related topics


ReplaceWithAttributes

Syntax

(State: enumeration; Attribute: enumeration)

Description

Specify the font attributes and/or relative font size for the replacement text.

Parameters

State: enumeration	No! Yes!
Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


ReplaceWithCase

Syntax

(State: enumeration)

Description

Specify the case(s) of the replacement text.

Parameters

State: enumeration	No! Yes!


ReplaceWithFont

Syntax

(State: enumeration; Name: string; Family: enumeration; Attributes: enumeration; Weight: enumeration; Width: enumeration; Source: enumeration; Type: enumeration; CharacterSet: enumeration)

Description

Specify the font and font style of the replacement text.

Parameters

State: enumeration	No! Yes!
Name: string (optional)	The font name.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


ReplaceWithFontSize

Syntax

(State: enumeration; FontSize: measurement)

Description

Specify the font size of the replacement text.

Parameters

State: enumeration	No! Yes!
FontSize: measurement (optional)	The font size of the replacement text.
 Related topics


ReselectLastBlock

Syntax

()

Description

Select the last selected text. Recordable substitute: ReselectLastSelection.


ReselectLastSelection

Syntax

()

Description

Select the last selected text.


ResetKeyboardMenu

Syntax

()

Description

Reset the keyboard and menus to the WordPerfect default settings.


RevealCodes

Syntax

(State: enumeration)

Description

Turn Reveal Codes on or off.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!


ReverseShippingMacro

Syntax

()

Description

Play the shipping macro REVERSE.WCM to reverse the foreground and background colors in selected text and cells. REVERSE.WCM must be installed.


ReviewDocAnnotationAccept

Syntax

()

Description

Incorporate the selected annotation into the current document and select the next annotation. If an annotation is not currently selected, the next annotation is selected. If there are no annotations following the insertion point, a not found condition is returned. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationAcceptAll

Syntax

()

Description

Incorporate all annotations into the current document. If the current document contains no annotations, a not found condition is returned. Substructures like Headers and Footers are treated independently. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationFirst

Syntax

()

Description

Select the first annotation in the current document. If the current document contains no annotations, a not found condition is returned. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationNext

Syntax

()

Description

Select the next annotation in the current document. If there are no annotations following the insertion point, a not found condition is returned. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationPrev

Syntax

()

Description

Select the previous annotation in the current document. If there are no annotations before the insertion point, a not found condition is returned. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationReject

Syntax

()

Description

Delete the selected annotation and select the next annotation. If an annotation is not currently selected, the next annotation is selected. If there are no annotations following the insertion point, a not found condition is returned. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationRejectAll

Syntax

()

Description

Delete all annotations in the current document. If the current document contains no annotations, a not found condition is returned. Substructures like Headers and Footers are treated independently. Use this command in Review Document Author mode. If Review Document Author mode is not active, this command fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAuthorDlg

Syntax

()

Description

Display the Review Document Author Mode dialog box and activate Author mode.

 Related topics


ReviewDocDisplayModeToggle

Syntax

()

Description

Turn annotation display on or off.


ReviewDocDlg

Syntax

()

Description

Display the Review Document dialog box.


ReviewDocManualModeToggle

Syntax

(Mode: enumeration)

Description

Enter or exit the Review Document Author or Reviewer annotation modes. When entering Author mode, this command activates the Author mode and selects the first annotation.

Parameters

Mode: enumeration (optional)	Specify the annotation mode. Author! Off! Reviewer!
 Related topics


ReviewDocMarginMarksToggle

Syntax

()

Description

Turn the annotation margin marks on or off.

On!

Off!


ReviewDocReviewerDlg

Syntax

()

Description

Display the Review Document Reviewer mode dialog box and activate Reviewer mode.

 Related topics


ReviewDocSetCurrentUserColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric)

Description

Set the annotation color for the current reviewer.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


ReviewRoutingDlg

Syntax

()

Description

Opens the Routing slip dialog box, which allows you to create, edit, view, or delete a routing slip.


RotateShapeDlg

Syntax

()

Description

Rotate a shape object.


RulerBarShow

Syntax

(State: enumeration)

Description

Display (On!) or hide (Off!) the Ruler and save the setting as the new default.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!


SaveAll

Syntax

()

Description

Save all unsaved documents.

 Related topics


SaveAllShippingMacro

Syntax

()

Description

Play the shipping macro SAVEALL.WCM to display a list of open documents to select for saving. SAVEALL.WCM must be installed.


SaveToDriveAMacro

Syntax

()

Description

Play the shipping macro SAVETOA.WCM to save the current document and make a copy of it on drive A. SAVETOA.WCM must be installed.


SaveUndoInformation

Syntax

(State: enumeration)

Description

Save Undo and Redo information with the current document. Saving Undo/Redo information increases the document size.

Parameters

State: enumeration	No! Yes!
 Related topics


ScrollScreenLeft

Syntax

()

Description

Scroll to the left side of the document window.

 Related topics


ScrollScreenRight

Syntax

()

Description

Scroll to the right side of the document window.

 Related topics


SearchCaseSensitive

Syntax

(State: enumeration)

Description

Make Find case sensitive.

Parameters

State: enumeration	No! Yes!
 Related topics


SearchFindWholeWordsOnly

Syntax

(State: enumeration)

Description

Specify whether Find matches only a whole word (Yes!) or also matches partial words (No!).

Parameters

State: enumeration	No! Yes!


SearchInSelection

Syntax

(State: enumeration)

Description

Restrict the search to the selected text.

Parameters

State: enumeration	No! Yes!


SearchNext

Syntax

(SearchMode: enumeration)

Description

Search forward to find the next occurrence of the last search performed.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


SearchNextCurrentWord

Syntax

(SearchMode: enumeration)

Description

Find the next occurrence of the current selection or word.

Parameters

SearchMode: enumeration (optional)	Extended! Regular!


SearchPrevious

Syntax

(SearchMode: enumeration)

Description

Search backward to find the previous occurrence of the last search.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


SearchPreviousCurrentWord

Syntax

(SearchMode: enumeration)

Description

Find the previous occurrence of the current selection or word.

Parameters

SearchMode: enumeration (optional)	Extended! Regular!


SearchString

Syntax

(StrgToLookFor: string)

Description

Specify a search string. Follow with SearchNext or SearchPrevious.

Parameters

StrgToLookFor: string	The text and/or codes to search for.
 Related topics


SearchWordForms

Syntax

(State: enumeration)

Description

Find and/or replace word forms.

Parameters

State: enumeration	No! Yes!


SearchWrap

Syntax

(State: enumeration)

Description

Specify whether Find searches from the beginning of a document after it reaches the end of a document.

Parameters

State: enumeration	No! Yes!


SecondaryPageNumber

Syntax

(Page: numeric)

Description

Specify a secondary page number and insert the code into a document. The code is inserted at the beginning of the page where the insertion point is located.

Parameters

Page: numeric	The page number to insert.
 Related topics


SecondaryPageNumberDecrement

Syntax

()

Description

Decrease the current secondary page number by one.


SecondaryPageNumberDisplay

Syntax

()

Description

Insert a code at the insertion point that displays the current secondary page number. The number is updated as the document is modified.


SecondaryPageNumberIncrement

Syntax

()

Description

Increase the current secondary page number by one.


SecondaryPageNumberMethod

Syntax

(NumberingMethod: enumeration)

Description

Specify a numbering method for secondary page numbers.

Parameters

NumberingMethod: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


SelectAll

Syntax

()

Description

Select all text and graphics in the current document.

 Related topics


SelectCell

Syntax

()

Description

Select the current cell. Not valid for floating cells.

 Related topics


SelectCellDown

Syntax

()

Description

Select from the insertion point down one row. In the bottom row, it does not select text or codes below a table.

 Related topics


SelectCellDownArrow

Syntax

()

Description

Select the current cell and one cell down. In the bottom row, it selects the current cell down to the line below the table. Not valid for floating cells.

 Related topics


SelectCellLeft

Syntax

()

Description

Select the current cell (cell containing the insertion point) and extend the selection to the previous cell. If the current cell is the first cell in the first row (A1), select the current cell. If the current cell is in the first column (column A) and not in the first row, select the current cell, extend the selection up one row, then continue to extend the selection to the rightmost column. The resulting selection includes the current row and the previous row with the insertion point in the last column of the previous row.

 Related topics


SelectCellRight

Syntax

()

Description

Select the current cell and the next cell to the right. In the farthest-right cell, select the entire current row and the row below.

 Related topics


SelectCellUp

Syntax

()

Description

Select the current cell and one cell above. In the top row of a table, do not select text or codes above the table.

 Related topics


SelectCellUpArrow

Syntax

()

Description

Select the current cell and one cell above. In the top row of a table, select from the insertion point to the line above the table.

 Related topics


SelectCharNext

Syntax

()

Description

Select the text or code one character position to the right of the insertion point.

 Related topics


SelectCharPrevious

Syntax

()

Description

Select the text or code one character position to the left of the insertion point.

 Related topics


SelectColumnBottom

Syntax

()

Description

Select the text and codes from the insertion point to the bottom of the current column.

 Related topics


SelectColumnNext

Syntax

()

Description

Select the text and codes from the insertion point to the right one column. In the farthest-right column, select the text and codes from the insertion point to the beginning of the current line.

 Related topics


SelectColumnPrevious

Syntax

()

Description

Select the text and codes from the insertion point to the top of the current column, and from the bottom up to and including the corresponding line in the column to the left. In the farthest-left column, select the text and codes from the insertion point to the beginning of the current line.

 Related topics


SelectColumnTop

Syntax

()

Description

Select the text and codes from the insertion point to the top of the current column.

 Related topics


SelectDelete

Syntax

()

Description

Delete the selected text.

 Related topics


SelectDocBottom

Syntax

()

Description

Select the text and codes from the insertion point to the end of the document.

 Related topics


SelectDocTop

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the document.

 Related topics


SelectDocVeryTop

Syntax

()

Description

Select the text and codes from the insertion point to the very beginning of the document, before all codes.

 Related topics


SelectedReplaceString

Syntax

(RplcString: string; State: enumeration)

Description

Replace a search string with specified text.

Parameters

RplcString: string	The replacement text.
State: enumeration (optional)	UseAlways!
 Related topics


SelectLineBegin

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the current line.

 Related topics


SelectLineDown

Syntax

()

Description

Select the text and codes from the insertion point down one line.

 Related topics


SelectLineEnd

Syntax

()

Description

Select the text and codes from the insertion point to the end of the current line.

 Related topics


SelectLineUp

Syntax

()

Description

Select the text and codes from the insertion point backward to the corresponding position on the line above.

 Related topics


SelectLineVeryBegin

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the current line, before any codes.

 Related topics


SelectLineVeryEnd

Syntax

()

Description

Select the text and codes from the insertion point to the end of the current line, after all text and codes.

 Related topics


SelectMode

Syntax

(State: enumeration)

Description

Turn Select on or off. Default: toggle. Use the Arrow keys to extend a selection.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


SelectOff

Syntax

()

Description

Turn off Select.

 Related topics


SelectOn

Syntax

(SelectMode: enumeration)

Description

Turn on Select and specify the mode.

Parameters

SelectMode: enumeration	CharMode! CharNoCellMode! DocMode! PageMode! ParagraphMode! RectangleMode! SentenceMode! TabularColumnsMode! WordMode!
 Related topics


SelectOnEmptyDoc

Syntax

(SelectMode: enumeration)

Description

Activate Select and specify a Select mode in an empty document.

Parameters

SelectMode: enumeration	CharMode! CharNoCellMode! DocMode! PageMode! ParagraphMode! RectangleMode! SentenceMode! TabularColumnsMode! WordMode!
 Related topics


SelectPage

Syntax

()

Description

Select all the text on the current page.

 Related topics


SelectPageNext

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the next page. On the last page, select text and codes from the insertion point to the end of the document.

 Related topics


SelectPagePrevious

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the previous page. On the first page, select the text and codes from the insertion point to the beginning of the document.

 Related topics


SelectParagraph

Syntax

()

Description

Select the current paragraph and the subsequent codes until the text resumes.

 Related topics


SelectParagraphNext

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the next paragraph. In the last paragraph, select the text and codes from the insertion point to the end.

 Related topics


SelectParagraphPrevious

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the current paragraph. At the beginning of a paragraph, select the text and codes from the insertion point to the beginning of the preceding paragraph.

 Related topics


SelectRectangle

Syntax

()

Description

Select a rectangle. SelectMode must be on (press F8) to record. Use the positioning keys to extend the selection.

 Related topics


SelectSave

Syntax

(Filename: string)

Description

Save the selected text as a new file.

Parameters

Filename: string	The filename for the selected text.
 Related topics


SelectScreenDown

Syntax

()

Description

Select the text and codes from the insertion point to the bottom of the screen. If the insertion point is already at the bottom of the screen, select the text and codes from the insertion point to the bottom of the next screen.

 Related topics


SelectScreenLeft

Syntax

()

Description

Select the current line from the insertion point to the left side of the screen. If the insertion point is already at the left side, select the current line from the insertion point to the left side of the next screen, or to the left margin of a document. Not recordable.

 Related topics


SelectScreenRight

Syntax

()

Description

Select the current line from the insertion point to the right side of the screen. If the insertion point is already at the right side, select the current line from the insertion point to the right side of the next screen, or to the right margin of a document. Not recordable.

 Related topics


SelectScreenUp

Syntax

()

Description

Select the text and codes from the insertion point to the top of the screen. If the insertion point is already at the top of the screen, select the text and codes from the insertion point to the top of the next screen.

 Related topics


SelectSentence

Syntax

()

Description

Select the current sentence.

 Related topics


SelectSentenceNext

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the next sentence.

 Related topics


SelectSentencePrevious

Syntax

()

Description

Select the text and codes from the insertion point to the end of the previous sentence.

 Related topics


SelectTable

Syntax

()

Description

Select all cells in the current table. If the insertion point is not in a table, the macro ends or goes to the ONERROR label.

 Related topics


SelectTableColumn

Syntax

()

Description

Select all cells in the current column of a table.

 Related topics


SelectTableColumnExtendLeft

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the current row.

 Related topics


SelectTableColumnExtendRight

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the last column.

 Related topics


SelectTableRow

Syntax

()

Description

Select all cells in the current row.

 Related topics


SelectTabularColumn

Syntax

()

Description

Select one or more tabular columns. SelectMode must be on to record (press F8). Use the positioning keys to extend the selection.

 Related topics


SelectToggle

Syntax

()

Description

Toggle Select mode.

 Related topics


SelectWord

Syntax

()

Description

Select the current word.

 Related topics


SelectWordNext

Syntax

()

Description

Select the text and codes from the insertion point to the beginning of the next word.

 Related topics


SelectWordPrevious

Syntax

()

Description

Select the text and codes from the insertion point to the end of the previous word.

 Related topics


SetDocumentMapping

Syntax

(MapName: string; Location: enumeration; Filename: string)

Description

Specify a character map for one-byte characters, as opposed to extended characters, when additional character maps are installed.

Parameters

MapName: string	The name of the character map.
Location: enumeration	MapExternal! MapInternal!
Filename: string (optional)	The filename of the character map.


SetLineSpacing1

Syntax

()

Description

Set single line spacing.

 Related topics


SetLineSpacing1_5

Syntax

()

Description

Set 1.5 line spacing.

 Related topics


SetLineSpacing2

Syntax

()

Description

Set double line spacing.

 Related topics


SetSelEx

Syntax

(Start: numeric; End: numeric)

Description

Lets you set up a selection. This product command enables the user to set the size of the selection in characters.

Parameters

Start: numeric	The start of the selection
End: numeric	The end of the selection.
 Note

•	New command


SettingsDlg

Syntax

()

Description

Display the Settings dialog box.


SetUndoLevels

Syntax

(Levels: numeric)

Description

Specify the number of Undo/Redo items to maintain in the document.

Parameters

Levels: numeric	Value: 0-300.
 Related topics


SGMLAddToAttrList

Syntax

(Name: string; Value: string)

Description

Append a value to an existing attribute value. The attribute named must be present in the previous start tag. The value in the previous start tag is appended with a space followed by the value. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute.
Value: string	The value to append to the attribute.
 Related topics


SGMLBoxAddToAttrList

Syntax

(Element: string; Name: string; Value: string)

Description

Append a value to an existing graphics box element attribute value. The element and attribute name must be present in the selected graphics box. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute.
Value: string	The value to append to the attribute.
 Related topics


SGMLBoxAttribute

Syntax

(Element: string; Name: string; Value: string)

Description

Set the attribute value of a graphics box element. The element must be present in the selected graphics box. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute.
Value: string	The value to set.
 Related topics


SGMLBoxDeleteAttribute

Syntax

(Element: string; Name: string)

Description

Delete a graphics box element attribute. The element and named attribute must be present in the selected graphics box. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute.
 Related topics


SGMLBoxDeleteMarkup

Syntax

(Type: enumeration)

Description

Delete an element of the selected graphics box. This command is valid only if the Corel WordPerfet SGML program component is installed.

Parameters

Type: enumeration	Box! Caption! Content!
 Related topics


SGMLBoxElementDlg

Syntax

()

Description

Select SGML elements for the selected graphics box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLBoxMarkup

Syntax

(Type: enumeration; Name: string)

Description

Set the element for a graphics box. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Type: enumeration	Box! Caption! Content!
Name: string	The name of the element.
 Related topics


SGMLCDATASection

Syntax

()

Description

Insert an XML CDATA section.

 Note

•	New command


SGMLCharRef

Syntax

(Character: string[; Type: enumeration])

Description

Insert a character reference. The character needs to be mapped as an 8-bit ASCII character in the document type. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Character: string	The character to use.
Type: enumeration (optional)	Decimal! Hexadecimal!


SGMLContentModelDlg

Syntax

(Element: string)

Description

Display the Element Content dialog box, which allows you to view an element's content model. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string (optional)	The name of the element.


SGMLCreateDocType

Syntax

(DocTypeName: string; LogicFile: string; LayoutFile: string; AliasFile: string; OptFile1: string; OptFile2: string; OptFile3: string; OptFile4: string; OptFile5: string; OptFile6: string; OptFile7: string; OptFile8: string; OptFile9: string; OptFile10: string)

Description

Create a document-type entry. You must include at least a document-type name and a logic filename. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeName: string	The name for the document type.
LogicFile: string	The filename of the logic file.
LayoutFile: string (optional)	The filename of the layout file.
AliasFile: string (optional)	The filename of the alias file.
OptFile1: string (optional)	The filename of an optional file.
OptFile2: string (optional)	The filename of an optional file.
OptFile3: string (optional)	The filename of an optional file.
OptFile4: string (optional)	The filename of an optional file.
OptFile5: string (optional)	The filename of an optional file.
OptFile6: string (optional)	The filename of an optional file.
OptFile7: string (optional)	The filename of an optional file.
OptFile8: string (optional)	The filename of an optional file.
OptFile9: string (optional)	The filename of an optional file.
OptFile10: string (optional)	The filename of an optional file.


SGMLDeleteAttribute

Syntax

(Name: string)

Description

Delete an attribute. The attribute must be present in the previous start tag. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute to delete.
 Related topics


SGMLDeleteDocType

Syntax

(DocTypeName: string)

Description

Delete a document-type entry. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeName: string	The name of the document type to delete.


SGMLDocTypeDlg

Syntax

()

Description

Display the Document Types dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLEditAttributeDlg

Syntax

(Name: string)

Description

Display the Edit Attribute dialog box. This command differs from SGMLEditAttributesDlg in that it allows you to edit a specific attribute of an element. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute to edit.
 Related topics


SGMLEditAttributesDlg

Syntax

()

Description

Display the Edit Attributes dialog box. This command differs from SGMLEditAttributeDlg in that it allows you to edit all the attributes of an element. This command is valid only if the WordPerfect SGML program component is installed.

 Related topics


SGMLEditBoxAttributeDlg

Syntax

(Element: string; Name: string)

Description

Display the Edit Attribute dialog box. This command differs from SGMLEditBoxAttributesDlg in that it allows you to edit a specific attribute of an element of the selected graphics box. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute to edit.
 Related topics


SGMLEditBoxAttributesDlg

Syntax

(Element: string)

Description

Edit the attributes of a box element.

Parameters

Element: string	The name of the element to edit.


SGMLEditLayout

Syntax

([Name: string][; CreateGenericLayout: enumeration])

Description

Lets you edit Layout from XML Project Template.

Parameters

Name: string (optional)	The name of the layout
CreateGenericLayout: enumeration (optional)	No! Yes!
 Note

•	New command


SGMLElementDlg

Syntax

()

Description

Lets you insert an XML element.

 Note

•	New command


SGMLElementEditDlg

Syntax

()

Description

Lets you edit an XML element.

 Note

•	New command


SGMLElementList

Syntax

SGMLElementList()

Description

Lets you display valid elements in an XML document.


SGMLElementsDlg

Syntax

()

Description

Display the SGML Elements dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLEndElement

Syntax

()

Description

Lets you end the current XML element.

 Note

•	New command


SGMLEntityRef

Syntax

(Name: string)

Description

Insert an entity reference. For text references, entity references must be declared in the document type. For file references, entity references must be user declared or declared in the document type. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the entity.
 Related topics


SGMLExportImport

Syntax

(Name: string; DocType: string)

Description

Lets you export or import XML files.

Parameters

Name: string	The name of the XML file.
DocType: string (optional)


SGMLFileRefDataType

Syntax

(FileRefName: string; DataType: enumeration)

Description

Specify the data type of a file reference. Can be used only with user-declared file references. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The filename of the reference file.
DataType: enumeration	CDATA! NDATA! None! SDATA! SUBDOC!


SGMLFileRefDelAttribute

Syntax

(FileRefName: string; Name: string)

Description

Delete a file reference notation attribute. Can be used only if a user-declared file reference exists for the specified FileRefName. An attribute of the specified Name must already exist for the file reference. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The filename of the reference file.
Name: string	The file reference notation attribute to delete.


SGMLFileRefDelete

Syntax

(Name: string)

Description

Delete a file reference declaration and all entity references that use the file reference declaration. Only user-declared file references can be deleted. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The file reference declaration to delete.


SGMLFileRefDlg

Syntax

()

Description

Display the File References dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLFileRefFilePath

Syntax

(FileRefName: string; FilePath: string)

Description

Specify the file path of a file reference. Can be used only with user-declared file references. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The filename of the reference file.
FilePath: string	The path of the reference file.


SGMLFileRefNew

Syntax

(Name: string; PublicID: string; FilePath: string; DataType: enumeration; NotationName: string)

Description

Create a file reference declaration. A file reference of the Name cannot already exist. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the reference file.
PublicID: string	The ID of the reference file.
FilePath: string (optional)	The path of the reference file.
DataType: enumeration (optional)	CDATA! NDATA! None! SDATA! SUBDOC!
NotationName: string (optional)	The name of the reference file notation.


SGMLFileRefNewAttribute

Syntax

(FileRefName: string; Name: string; Value: string)

Description

Create a file reference notation attribute. Can be used only if a user-declared file reference exists for the specified FileRefName. An attribute of the specified Name cannot already exist for the file reference. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The name of the reference file.
Name: string	The name of the file reference notation.
Value: string	The value of the file reference notation.


SGMLFileRefNotation

Syntax

(FileRefName: string; Notation: string)

Description

Specify the notation for a file reference. Can be used only with user-declared file references. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The name of the reference file.
Notation: string	The file reference notation.


SGMLFileRefPubID

Syntax

(FileRefName: string; PublicID: string)

Description

Specify the public identifier for a file reference. Can be used only with user-declared file references. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The name of the reference file.
PublicID: string	The ID of the file reference.


SGMLFileRefRename

Syntax

(OldName: string; NewName: string)

Description

Change the name of a file reference. Can be used only with user-declared file references. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

OldName: string	The original name of the file reference.
NewName: string	The new name of the file reference.


SGMLFindElementEnd

Syntax

()

Description

Position the insertion point after the current element's end tag. If the element is defined by the layout file to be a WordPerfect type (for example, a header, footer, or image), and the element's end is located at the end of the WordPerfect type, the type is also exited. This command is valid only if the WordPerfect SGML program component is installed.


SGMLFindElementStart

Syntax

(CursorPos: enumeration)

Description

Position the insertion point at the beginning of the current element. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

CursorPos: enumeration (optional)	After! Before!


SGMLFindNextTable

Syntax

()

Description

Position the insertion point in the next table. Can be used only with a document type that allows table tagging. This command is valid only if the WordPerfect SGML program component is installed.


SGMLFindStartTag

Syntax

(Name: string; Direction: enumeration; AttributeEditFind: enumeration)

Description

Find the start of an element. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string (optional)	The name of the element.
Direction: enumeration (optional)	Either! Searches backward first, then forward for the start tag. Next! Previous!
AttributeEditFind: enumeration (optional)	No! Yes! Limits the find to start tags with attributes present, or start tags with attributes declared in the document type.


SGMLGetAttributeData

Syntax

(Variable: variable; Item: enumeration; Type: enumeration; Element: enumeration; ItemNum: numeric)

Description

Assign information to a variable about the attributes of the current element. The macro uses the variable with other commands to retrieve information, or to determine whether to perform specified actions. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Variable: variable	The name of the variable.
Item: enumeration	Count! Returns a count of all the attributes of a given type. DefaultValue! Returns the default value for the attribute specified in the document type. The string returned can be CONREF, CURRENT, IMPLIED, REQUIRED, or a string up to 1000 characters. ErrorType! Returns one of the following values, representing the type of error for the attribute:  0 No error  1 Unknown attribute  2 Invalid character in NAME attribute  3 Invalid character in NMTOKEN attribute  4 Invalid character in NUMBER attribute  5 Invalid character in NUTOKEN attribute  6 An attribute value exceeds NAMELEN  7 Only one value is allowed  8 Attribute length exceeds LITLEN  9 No mapping for an attribute extended character  10 Attribute has no value assigned  11 Entity open (&...) in the attribute is not validated  12 Char Ref (&#...) in the attribute is not validated  13 An attribute value is not in the declared list  14 Attribute is not the declared FIXED value  15 Attribute is not a declared entity  16 Attribute is not a data or SUBDOC entity  17 More than one attribute has the same name Name! Returns the name of the attribute specified by ItemNum. Status! Returns one of the following values, representing the statue of the attribute:  0 Does not have a value currently specified  1 Has a value  2 Has a value but is in error Type! Returns one of the following values:  0 Unknown  1 FIXED  2 The declared type was a list  3 CDATA  4 ENTITIES  5 ENTITY  6 ID  7 IDREF  8 IDREFS  9 NAME  10 NAMES  11 NMTOKEN  12 NMTOKENS  13 NOTATION  14 NUMBER  15 NUMBERS  16 NUTOKEN  17 NUTOKENS Value! Returns the value of an attribute specified in the tag. (Value! always returns an error if the attribute has not been given a value.)
Type: enumeration	Specify the type of attribute a variable belongs to. All! Returns information about all attributes available in the open or previous element, relative to the insertion point. InTag! Returns information about the attributes that have been given a value in the open or previous element, relative to the insertion point. Invalid! Returns information about the attributes that have been given an invalid value in the open or previous element, relative to the insertion point. NotInTag! Returns information about the attributes that have not been given a value in the open or previous element, relative to the insertion point.
Element: enumeration	Specify which element to act on. Previous elements are used for empty elements. Open! Previous!
ItemNum: numeric (optional)	Specify the number of the item from which the Item parameter extracts information.


SGMLGetElementData

Syntax

(Variable: variable; Item: enumeration; Type: enumeration; ItemNum: numeric)

Description

Assign information to a variable about the elements available in a WordPerfect document. The macro uses the variable with other commands to retrieve information or to determine whether to perform specified actions. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Variable: variable	The name of the variable.
Item: enumeration	Count! Returns a count of all the elements of a given type. LSIType! Returns one of the following values:  0 Watermark B  1 Endnote  2 Header A  3 Header B  4 Footer A  5 Footer B  6 Footnote  7 Image Box  8 Watermark A  9 Table  10 Text Box  11 Equation Box  12 Normal (unspecified) Name! Returns the name of the element specified by ItemNum.
Type: enumeration	All! Returns information about all elements available in the document. Open! Returns information about all elements that are open at the insertion point. Previous! Valid! Returns information about elements that are valid to insert at the insertion point (with the exception of inclusions).
ItemNum: numeric (optional)	Specify the number of the item from which the Item parameter extracts information.


SGMLGetFileRefData

Syntax

(Variable: variable; Item: enumeration; Type: enumeration; ItemNum: numeric)

Description

Assign information to a variable about the external file references available in a WordPerfect document. The macro uses the variable with other commands to retrieve information or to determine whether to perform specified actions. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Variable: variable	The name of the variable.
Item: enumeration	Count! Returns a count of all the file references of a given type. DataType! Returns one of the following values:  0 None  1 CDATA  2 NDATA  3 SDATA  4 SUBDOC FilePath! Returns the file path of the file reference. Name! Returns the name of the file reference. Notation! Returns the notation type of the file reference. PublicID! Returns the public identifier of the file reference.
Type: enumeration	DTD! Returns information about all file references declared in the document type. User! Returns information about all file references the user has defined in the document.
ItemNum: numeric (optional)	Specify the number of the item from which the Item parameter extracts information.


SGMLIDIDREFListDlg

Syntax

()

Description

Display the list of ID and IDREF attributes. This command is valid only if the WordPerfect SGML program component is installed.


SGMLIgnore

Syntax

()

Description

Insert SGML IGNORE codes. If you insert IGNORE codes around selected text that includes start and end tags, other SGML IGNORE codes, or subdocument marker codes, be sure the selection includes both the beginning and end tag or code. This command is valid only if the WordPerfect SGML program component is installed.


SGMLInsertElement

Syntax

(Name: string[; Options: enumeration][; Attribute: string][; Value: string])

Description

Insert an element. If you insert an element around selected text that includes start and end tags, SGML IGNORE codes, or subdocument marker codes, be sure the selection includes both the beginning and end tag or code. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the element.
Options: enumeration (optional)	None! Spawn! Empty!
Attribute: string (optional)	The attribute of the element.
Value: string (optional)	The value of the element.


SGMLLoadDocType

Syntax

(DocTypeName: string)

Description

Select a document type for the current document. The document-type includes at least a document type name and logic file (.LGC), but may also include a layout file (.LSI), and an alias file (.LNM). This command is valid only if the WordPerfect program component is installed.

Parameters

DocTypeName: string	The document type.


SGMLLogicErrorDlg

Syntax

()

Description

Display the Logic Errors dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLMarkedSecParamEntity

Syntax

(Name: string[; Keyword: enumeration])

Description

Lets you create or replace a marked section parameter entity declaration.

Parameters

Name: string	The name of the marked section parameter entity declaration.
Keyword: enumeration (optional)	None! CDATA! RCDATA! IGNORE! INCLUDE! TEMP!
 Note

•	New command


SGMLMarkedSection

Syntax

([Keyword: enumeration][; Name: string])

Description

Insert a marked section.

Parameters

Keyword: enumeration	None! CDATA! RCDATA! IGNORE! INCLUDE! TEMP!
Name: string (optional)


SGMLMarkedSectionDlg

Syntax

()

Description

Lets you insert a marked section.

 Note

•	New command


SGMLMrkSecPEDelete

Syntax

(Name: string)

Description

Lets you delete a marked section parameter entity declaration.

Parameter

Name: string	The marked section parameter entity declaration
 Note

•	New command


SGMLMrkSecPERename

Syntax

(Name: string; Value: string)

Description

Lets you create an attribute.

Parameters

Name: string	The name
Value: string	The value
 Note

•	New command


SGMLNewAttribute

Syntax

(Name: string; Value: string)

Description

Create an attribute value. The name of the attribute must be different from any attribute in the previous start tag. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute.
Value: string	The value of the attribute.
 Related topics


SGMLOpenFileDlg

Syntax

()

Description

Display the Open SGML File dialog box. This command is valid only if the WordPerfect SGML program component is installed.

 Related topics


SGMLOpenFileOptions

Syntax

(WhiteSpaceConvert: enumeration; OmitTags: enumeration; DocTypeName: string)

Description

Specify the document type and options for retrieving an SGML document. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

WhiteSpaceConvert: enumeration (optional)	This parameter is obsolete, but it has been left in the program for compatibility with previous versions of WordPerfect. No! Yes!
OmitTags: enumeration	No! Yes!
DocTypeName: string	The document type.
 Related topics


SGMLPrefDlg

Syntax

()

Description

Display the SGML Preferences dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLPreferences

Syntax

([DocTypeDir: string][; Show: enumeration][; RevealCode: enumeration][; Red: numeric][; Green: numeric][; Blue: numeric][; FontSize: measurement][; HTMLImport: enumeration][; ImportPrompt: enumeration][; OmitTagsImport: enumeration][; DefaultSaveAsXML: enumeration][; TemplateFolder: string][; ProjBaseTemplate: string][; GraphicsFolder: string][; CatalogFile: string])

Description

Specify a default directory for the document-type files and the display preferences for tags in the document and in Reveal Codes. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeDir: string (optional)	The directory for the document type files.
Show: enumeration (optional)	Hide! Show! ShowAsMarkers!
RevealCode: enumeration (optional)	ShowLayout! ShowAttributes!
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
FontSize: measurement (optional)	The size of the font.
HTMLImport: enumeration (optional)	No! Yes!
ImportPrompt: enumeration (optional)	No! Yes!
OmitTagsImport: enumeration (optional)	No! Yes!
DefaultSaveAsXML: enumeration (optional)	No! Yes!
TemplateFolder: string (optional)	The template folder.
ProjBaseTemplate: string (optional)
GraphicsFolder: string (optional)	The graphics folder.


SGMLProcessingInstruction

Syntax

([Name: string])

Description

Lets you insert an XML processing instruction.

Parameter

Name: string (optional)	The name of the instruction
 Note

•	New command


SGMLProcessingInstructionDlg

Syntax

()

Description

Lets you insert an XML processing instruction.

 Note

•	New command


SGMLProcessTarget

Syntax

(Name: string[; PublicID: string][; FilePath: string])

Description

Lets you create a process target declaration.

Parameters

Name: string	The name of the target
PublicID: string (optional)	The ID
FilePath: string (optional)	The file path
 Note

•	New command


SGMLProcessTargetDelete

Syntax

(Name: string)

Description

Lets you delete a process target.

Parameter

Name: string	The name of the target
 Note

•	New command


SGMLProcessTargetFilePath

Syntax

(TargetName: string; FilePath: string)

Description

Lets you set the file path of a process target.

Parameters

TargetName: string	The name of the target
FilePath: string	The file path
 Note

•	New command


SGMLProcessTargetPubID

Syntax

(TargetName: string; FilePath: string)

Description

Lets you change the public ID of a process target

Parameters

TargetName: string	The name of the target
FilePath: string	The file path
 Note

•	New command


SGMLProcessTargetRename

Syntax

(OldName: string; NewName: string)

Description

Lets you change the name of a process target.

Parameters

OldName: string	The old name
NewName: string	The new name
 Note

•	New command


SGMLRenameElement

Syntax

(Name: string)

Description

Rename the element previous to the insertion point. Does not change the element attributes. This command is valid only if the WordPerfect SGML program component is installed. Not recordable.

Parameters

Name: string	The new name for the element.


SGMLReplaceAttribute

Syntax

(Name: string; Value: string)

Description

Replace the current attribute value. The attribute must be present in the previous start tag. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute.
Value: string	The value of the attribute.
 Related topics


SGMLRootElement

Syntax

(Element: string)

Description

Change the root element of the current document type. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the root element.


SGMLRootElementDlg

Syntax

()

Description

Display the Select Root Element dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLSaveAsOptions

Syntax

(DocTypeDeclaration: enumeration; SGMLDeclaration: enumeration; ConvertSRT: enumeration)

Description

Set options for saving a document in SGML format. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeDeclaration: enumeration	Include the Document Type Declaration in the saved SGML document. Default: Yes! No! Yes!
SGMLDeclaration: enumeration (optional)	Include the SGML declaration at the beginning of the file. Default: No! No! Yes!
ConvertSRT: enumeration (optional)	Convert soft returns in the document to hard returns in the saved SGML document. This command is obsolete in version 8; it has been left in the program for backwards compatibility. No! Yes!


SGMLSelectElement

Syntax

()

Description

Select the open element at the insertion point. This command is valid only if the WordPerfect SGML program component is installed.


SGMLSelectLayout

Syntax

(LayoutFile: string)

Description

Change the layout of the SGML elements. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

LayoutFile: string (optional)	The filename of the layout file.
 Related topics


SGMLSelectLayoutDlg

Syntax

()

Description

Display the Select Layouts dialog box. This command is valid only if the WordPerfect SGML program component is installed.

 Related topics


SGMLSetColors

Syntax

(ColorID: Enumeration; Red: Numeric; Green: Numeric; Blue: Numeric)

Description

Set XML colors.

Parameters

Red: numeric
Blue: numeric
Green: numeric
ColorID: enumeration	ELEMBKG! ELEMTXT! PIBKG! PITXT! MSBKG! MSTXT! WPBKG! WPTXT! ERBKG! ERTXT!


SGMLSetValidation

Syntax

({Options: enumeration})

Description

Specify the types of errors to find during validation. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

Options: enumeration (optional)	CharMap! Entity! EntityDecl! IdIdref! Logic! TextSeq!


SGMLSplitElement

Syntax

()

Description

Split the current SGML element into two separate elements of the same type. The attribute values will be duplicated for each element created. This command is valid only if the WordPerfect SGML program component is installed.


SGMLTagAllTables

Syntax

()

Description

Tag all tables in a document. Can be used only with a document type that allows table tagging. This command is valid only if the WordPerfect SGML program component is installed.


SGMLTagBox

Syntax

()

Description

Tag the selected box based on the mappings specified in the layout (.LSI) file. This command is valid only if the WordPerfect SGML program component is installed.


SGMLTagCurrentTable

Syntax

()

Description

Tag the current table. Your document type must use one of the table methods supported by the SGML edition of WordPerfect. For more information about the supported table methods, see Tag Tables in the main Help file. Any elements that are not part of the basic table structure (see below) must start and end within a single table cell. Any elements that are part of the basic table structure must start within the table.

Basic Table Structure:

For CALS: colspec, entry, row, spanspec, table, tbody, tgroup, thead, and title.

For AAP: ctbf, ctbl, ctby, ctc, cte, cth, cthd, cthr, ctr, ctsb1, ctsb2, ctsb3, ctsb4, and ctsh.

For HTML: table, tr, td, th.

For WP6: table, cell, colinf, and row.

For WP6MIN: table, cell, and row.

For WP: wpcell, wprow, and wptable.

This command is valid only if the WordPerfect SGML program component is installed.


SGMLTagTablesDlg

Syntax

()

Description

Display the Tag Tables dialog box. This command is valid only if the WordPerfect SGML program component is installed.


SGMLTextRefDlg

Syntax

()

Description

Display the Text References dialog box. This command is valid only if the WordPerfect SGML program component is installed. Not recordable.


SGMLUnloadDocType

Syntax

()

Description

Deselect a document type for the current document. The document type includes at least a document type name and logic file (.LGC), but may also include a layout file (.LSI) and an alias file (.LNM). This command is valid only if the WordPerfect SGML program component is installed.


SGMLValidate

Syntax

()

Description

Find the next validation error. This command is valid only if the WordPerfect SGML program component is installed.


SGMLValidationDlg

Syntax

()

Description

Display the Validation dialog box. This command is valid only if the WordPerfect SGML program component is installed.


ShadowCursorOptions

Syntax

(State: enumeration; Snap: enumeration; Shape: enumeration; ColorRed: numeric; ColorGreen: numeric; ColorBlue: numeric)

Description

Set the shape, type, and color of the shadow cursor.

Parameters

State: enumeration (optional)	Text! TextAndWhiteSpace! WhiteSpace!
Snap: enumeration (optional)	Indents! Margins! Spaces! Tabs!
Shape: enumeration (optional)	Arrows! BottomArrow! BrokenCaret! Caret! DottedCaret! IBeam!
ColorRed: numeric (optional)	Value 0 - 250.
ColorGreen: numeric (optional)	Value 0 - 250.
ColorBlue: numeric (optional)	Value 0 - 250.


ShadowCursorShow
boolean:=ShadowCursorShow

Syntax

(State: enumeration)

Description

Turn the shadow cursor on or off. Omitting the parameter toggles the state. This command also changes the display preferences for the shadow cursor.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


ShiftTabKey

Syntax

()

Description

Insert a [Hd Back Tab] code at the insertion point. If the insertion point is in a table, it will go to the previous table cell. If the insertion point is in an outline, it will go to the previous outline level.


ShowBoxes

Syntax

(State: enumeration)

Description

Display graphics boxes.

Parameters

State: enumeration	Off! On!
 Related topics


ShowGraphics

Syntax

()

Description

Toggle Graphics.


ShowHiddenText

Syntax

()

Description

Toggle Hidden Text.


ShowMarginIcons

Syntax

([State: enumeration])

Description

Lets you toggle whether the visibility of margin icons is off or on.

Parameter

State: enumeration (optional)	Off! On!
 Note

•	New command


ShowSGMLTree

Syntax

(State: enumeration)

Description

Display or hide the SGML Tree. The tree will be displayed only if an SGML document is being edited. Switching to a non-SGML document does not close the tree. As soon as all SGML documents are closed, the tree will be hidden. This command is valid only if the WordPerfect SGML program component is installed.

Parameters

State: enumeration (optional)	Off! On!


ShowSymbols

Syntax

()

Description

Toggle display of document symbols for codes such as [HRt], [Indent], and [Tab].


SignatureDlg

Syntax

()

Description

View information about the document's signature.


SigningDlg

Syntax

()

Description

Specify the certificate to be used when digitally signing the document.


SingleSmartQuote

Syntax

(State: enumeration; OpenSingleQuote: numeric; CloseSingleQuote: numeric)

Description

Turn Single SmartQuotes on or off and specify a quote character.

Parameters

State: enumeration (optional)	Off! On!
OpenSingleQuote: numeric (optional)	The numeric equivalent of the quote character.
CloseSingleQuote: numeric (optional)	The numeric equivalent of the quote character.
 Related topics


SingleSpaceInSentence

Syntax

(State: enumeration)

Description

Change double spaces in a sentence to single spaces.

Parameters

State: enumeration	Off! On!


SoftHyphen

Syntax

()

Description

Insert a soft hyphen at the insertion point. If the word needs to be hyphenated, it will break at the soft hyphen.


SoftSpace

Syntax

()

Description

Insert a space at the insertion point.

 Related topics


Sort

Syntax

(InFile: string; OutFile: string; State: enumeration)

Description

Specify a file to sort and a file to which the changes are written.

Parameters

InFile: string (optional)	Default: current document.
OutFile: string (optional)	Default: current document.
State: enumeration (optional)	NoUndo! Undo!
 Related topics


SortAction

Syntax

(SortAction: enumeration)

Description

Sort a file or selected records.

Parameters

SortAction: enumeration	SelectOnly! Sort!
 Related topics


SortCaseOrder

Syntax

(Case: enumeration)

Description

Specify the case priority in a sort.

Parameters

Case: enumeration	LowercaseFirst! UppercaseFirst!
 Related topics


SortDlg

Syntax

()

Description

Display the Sort (Source and Destination) dialog box.


SortKeys

Syntax

({Field: numeric; Line: numeric; Word: numeric; SortType: enumeration; SortOrder: enumeration})

Description

Specify the sort key options.

Parameters

Field: numeric (optional)	The field to sort by.
Line: numeric (optional)	The line to sort within a specified field. This parameter is always 1 if the sort type is Line.
Word: numeric (optional)	The word to sort within a specified line and field.
SortType: enumeration (optional)	Alphanumeric! Numeric!
SortOrder: enumeration (optional)	Specify an ascending (a-z and 0-9) or descending (z-a and 9-0) sort. Ascending! Descending!
 Related topics


SortSelectString

Syntax

(SelectString: string)

Description

Insert a character string into the Select Records text box of the Sort dialog box.

Parameters

SelectString: string	Character string to insert.
 Related topics


SortType

Syntax

(SortType: enumeration)

Description

Specify a source file format. ParagraphSort! sorts files leaving paragraphs intact. ColumnSort! sorts parallel columns. TableSort! sorts tables (rows = lines, cells = fields). MergeSort! sorts data files.

Parameters

SortType: enumeration	ColumnSort! LineSort! MergeSort! ParagraphSort! TableSort!
 Related topics


SortUndo

Syntax

(State: enumeration)

Description

Enable or disable Undo in Sort.

Parameters

State: enumeration	NoUndo! Undo!
 Related topics


SoundClipAddInstance

Syntax

(Description: string)

Description

Add another reference to a sound clip already in the document.

Parameters

Description: string	The sound clip name.


SoundClipCreate

Syntax

(Description: string; Filename: string; SoundFileType: enumeration; ClipType: enumeration; LeftVolume: numeric; RightVolume: numeric)

Description

Insert a sound clip from a file into the Sound Clips in the Document dialog box.

Parameters

Description: string	The description for the sound file.
Filename: string	The filename of the sound file.
SoundFileType: enumeration	InDoc! OnDisk!
ClipType: enumeration	DigitalAudio! MIDI!
LeftVolume: numeric	Amount of left-speaker volume.
RightVolume: numeric	Amount of right-speaker volume.


SoundClipDelete

Syntax

(Description: string)

Description

Delete a sound clip.

Parameters

Description: string	The description of the sound file.


SoundClipDlg

Syntax

()

Description

Display the Sound Clips dialog box.


SoundClipPlayNext

Syntax

(Description: string; StartPos: numeric; EndPos: numeric)

Description

Play the next sound clip in the document.

Parameters

Description: string (optional)	The description of the sound clip.
StartPos: numeric (optional)	The sound clip starting point in seconds.
EndPos: numeric (optional)	The sound clip ending point in seconds.


SoundClipSetAttributes

Syntax

(Description: string; Type: enumeration; LeftVolume: numeric; RightVolume: numeric)

Description

Specify sound clip attributes.

Parameters

Description: string	The description of the sound file.
Type: enumeration	DigitalAudio! MIDI!
LeftVolume: numeric (optional)	The amount of left-speaker volume.
RightVolume: numeric (optional)	The amount of right-speaker volume.


SoundClipSetDescription

Syntax

(OldDescription: string; NewDescription: string)

Description

Assign a new description to a sound clip.

Parameters

OldDescription: string	The original description of the sound file.
NewDescription: string	The new description for the sound file.


SoundClipSetFilename

Syntax

(Description: string; Filename: string; Location: enumeration)

Description

Change a sound clip to point to a different sound file on disk.

Parameters

Description: string	The description of the sound file.
Filename: string	The filename of the sound file.
Location: enumeration	InDoc! OnDisk!


SpecificDeleteStringBegin

Syntax

()

Description

Delete specific codes. Follow with a command that specifies the specific code to delete, then SpecificStringEnd. Use with commands such as ReplaceBackward and ReplaceForward.

 Related topics


SpecificReplaceStringBegin

Syntax

()

Description

Specify a specific code replacement. Follow with a command corresponding to a specific replacement code. Use with commands such as ReplaceBackward, ReplaceForward, SpecificSearchStringBegin, and SpecificStringEnd.

 Related topics


SpecificSearchStringBegin

Syntax

()

Description

Find a specific code. Follow with the macro command corresponding to the specific code to be found. Use with SpecificStringEnd.

 Related topics


SpecificStringEnd

Syntax

()

Description

End a specific code search. Precede with SpecificSearchStringBegin, SpecificReplaceStringBegin, or SpecificDeleteStringBegin, and a command which specifies the specific code to search.

 Related topics


SpellAsYouGo
boolean:=SpellAsYouGo

Syntax

(State: enumeration)

Description

Turn or toggle Spell-As-You-Go on or off, and return the original state. If the macro toolbar is active in the current document, this command causes a run-time error.

Return Value

Returns True if Spell-As-You-Go is on, False if not. If the State parameter is omitted, its current value is returned, then the value is toggled. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	Omitting this parameter toggles Spell-As-You-Go on or off. Off! On!
 Related topics


SpreadsheetShowLinkCode

Syntax

(State: enumeration)

Description

Display or hide spreadsheet link codes.

Parameters

State: enumeration	No! Yes!
 Related topics


SpreadsheetUpdateOnRetrieve

Syntax

(State: enumeration)

Description

Turn the Update on retrieve option on or off for spreadsheet/database links.

Parameters

State: enumeration	No! Yes!
 Related topics


StatusBarShow

Syntax

(State: enumeration)

Description

Display or hide the Application Bar.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!
 Related topics


StyleCodes

Syntax

(State: enumeration; Library: enumeration)

Description

Edit style codes. Use with commands such as StyleEditBegin, StyleEditEnd, and SubstructureExit.

Parameters

State: enumeration (optional)	Include codes that take effect when the style is off. WithOffCodes! WithoutOffCodes!
Library: enumeration (optional)	The styles codes location. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleCopy

Syntax

(Style: any; FromLibrary: enumeration; ToLibrary: enumeration; NewName: string)

Description

Copy a style between the current document, the personal library, and the shared library.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0]; FootnoteNumberInDocumentStyle![16=00000010x]; EndnoteNumberInDocumentStyle![17=00000011x]; FigureNumberStyle![18=00000012x]; TableBoxNumberStyle![19=00000013x]; TextBoxNumberStyle![20=00000014x]; UserBoxNumberStyle![21=00000015x]; EquationNumberStyle![22=00000016x]; HypertextStyle![23=00000017x]; ToC1Style![24=00000018x]; ToC2Style![25=00000019x]; ToC3Style![26=0000001ax]; ToC4Style![27=0000001bx]; ToC5Style![28=0000001cx]; Index1Style![29=0000001dx]; Index2Style![30=0000001ex]; ListStyle![31=0000001fx]; ToAStyle![32=00000020x]; DocStyle![33=00000021x]; BoxTextStyle![34=00000022x]; CaptionStyle![35=00000023x]; FootnoteStyle![36=00000024x]; EndnoteStyle![37=00000025x]; CommentStyle![38=00000026x]; HeaderAStyle![39=00000027x]; HeaderBStyle![40=00000028x]; FooterAStyle![41=00000029x]; FooterBStyle![42=0000002ax]; WatermarkAStyle![43=0000002bx]; WatermarkBStyle![44=0000002cx]; ParagraphOutlnStyle![45=0000002dx]; OutlineStyle![46=0000002ex]; LegalOutlnStyle![47=0000002fx]; BulletsOutlnStyle![48=00000030x]; HeadingsOutlnStyle![49=00000031x]; Legal_2OutlnStyle![50=00000032x]; NumbersOutlnStyle![51=00000033x]; Level1Style![52=00000034x]; Level2Style![53=00000035x]; Level3Style![54=00000036x]; Level4Style![55=00000037x]; Level5Style![56=00000038x]; Level6Style![57=00000039x]; Level7Style![58=0000003ax]; Level8Style![59=0000003bx]; Legal1Style![60=0000003cx]; Legal2Style![61=0000003dx]; Legal3Style![62=0000003ex]; Legal4Style![63=0000003fx]; Legal5Style![64=00000040x]; Legal6Style![65=00000041x]; Legal7Style![66=00000042x]; Legal8Style![67=00000043x]; Heading1Style![68=00000044x]; Heading2Style![69=00000045x]; Heading3Style![70=00000046x]; Heading4Style![71=00000047x]; Heading5Style![72=00000048x]; Heading6Style![73=00000049x]; Heading7Style![74=0000004ax]; Heading8Style![75=0000004bx]; MonospacedStyle![76=0000004cx]; CustomHTMLStyle![77=0000004dx]; PreformattedStyle![78=0000004ex]; AddressStyle![79=0000004fx]; QuotationsOutlnStyle![80=00000050x]; DefinitionsOutlnStyle![81=00000051x]; Quotation1Style![82=00000052x]; Quotation2Style![83=00000053x]; Quotation3Style![84=00000054x]; Quotation4Style![85=00000055x]; Quotation5Style![86=00000056x]; Quotation6Style![87=00000057x]; Quotation7Style![88=00000058x]; Quotation8Style![89=00000059x]; Definition1Style![90=0000005ax]; Definition2Style![91=0000005bx]; Definition3Style![92=0000005cx]; Definition4Style![93=0000005dx]; Definition5Style![94=0000005ex]; Definition6Style![95=0000005fx]; Definition7Style![96=00000060x]; Definition8Style![97=00000061x]; Level9Style![111=0000006fx]; Legal9Style![112=00000070x]; Heading9Style![113=00000071x]; Quotation9Style![114=00000072x]; Definition9Style![115=00000073x]
FromLibrary: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
NewName: string (optional)	The new style name.
 Related topics


StyleCreate

Syntax

(Name: string; Type: enumeration; CreateFlag: enumeration; Library: enumeration)

Description

Create a style.

Parameters

Name: string	The name of the style.
Type: enumeration	AutoCharacterStyle! AutoParagraphStyle! CharacterStyle! NewBulletStyle! OpenStyle! ParagraphStyle!
CreateFlag: enumeration (optional)	The pattern to base a style on. CreateBulletStyle! CreateFromCurrent! CreateFromCurrentHS! CreateNumberStyle! CreateOutlineStyle!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleDelete

Syntax

(Style: any; Codes: enumeration; Library: enumeration)

Description

Delete a style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Codes: enumeration	Delete or leave style codes. IncludingCodes! LeavingCodes!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleDescription

Syntax

(Description: string)

Description

Change a style description. Use with commands such as StyleEditBegin and StyleEditEnd.

Parameters

Description: string	The description of the style.
 Related topics


StyleEditBegin

Syntax

(Style: any; Library: enumeration)

Description

Begin editing a style. End with StyleEditEnd. Use with StyleCodes.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleEditEnd

Syntax

(State: enumeration)

Description

Save or cancel style changes. Use with StyleEditBegin and StyleCodes.

Parameters

State: enumeration	Cancel! Save!
 Related topics


StyleEnterKeySetting

Syntax

(Action: enumeration)

Description

Specify the effect of pressing Enter when a style is on. Use with commands such as StyleEditBegin and StyleEditEnd.

Parameters

Action: enumeration	HardReturn! StyleOff! StyleOffOn!
 Related topics


StyleLinkTo

Syntax

(Style: any)

Description

Specify a style to turn on when Enter is pressed. Use with commands such as StyleEditBegin and StyleEditEnd.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


StyleOff

Syntax

(Style: any)

Description

Turn off a style. Begin with StyleOn.

Parameters

Style: any (optional)	Use a string to specify a user-defined style. NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


StyleOn

Syntax

(Style: any; Action: enumeration)

Description

Turn on a style. Recordable replacement: StyleSystemOn.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Action: enumeration (optional)	SkipEmptyParagraphs!
 Related topics


StylePersonalLibrary

Syntax

(Filename: string)

Description

Specify a DOS Personal Library style file for the current document. Included for DOS compatibility. Use StyleSave or StyleCopy to place a style in a style file.

Parameters

Filename: string	The filename of the Personal Library file.


StyleRename

Syntax

(Name: string)

Description

Rename a style. Use with commands such StyleEditBegin and StyleEditEnd.

Parameters

Name: string	The new name.
 Related topics


StyleRetrieve

Syntax

(File: string; Styles: enumeration; Library: enumeration)

Description

Retrieve the styles in a style file.

Parameters

File: string	The filename of the style to retrieve.
Styles: enumeration	AllStyles! SystemStyles! UserStyles!
Library: enumeration (optional)	The destination library. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleSave

Syntax

(Filename: string; StyleType: enumeration; Library: enumeration)

Description

Save styles from a library to a style file.

Parameters

Filename: string	The filename of the style.
StyleType: enumeration	AllStyles! SystemStyles! UserStyles!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleSharedLibrary

Syntax

(Filename: string)

Description

Specify a DOS shared library style file for the current document. Included for DOS compatibility. StyleSave or StyleCopy places a style in a style file.

Parameters

Filename: string	The filename of the shared library style file.


StylesListDlg

Syntax

()

Description

Display the Style List dialog box.


StyleSystemOn

Syntax

(Style: any; Action: enumeration)

Description

Turn on a WordPerfect or user-defined style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
Action: enumeration (optional)	SkipEmptyParagraphs!


StyleType

Syntax

(Type: enumeration)

Description

Specify a style type. Use with commands such as StyleEditBegin and StyleEditEnd.

Parameters

Type: enumeration	AutoCharacterStyle! AutoParagraphStyle! CharacterStyle! NewBulletStyle! OpenStyle! ParagraphStyle!
 Related topics


StyleUpdate

Syntax

()

Description

Update all styles in the current document.


SubdividePage

Syntax

(Columns: numeric; Rows: numeric)

Description

Divide a physical page into logical pages.

Parameters

Columns: numeric	The number of logical-page columns on a physical page
Rows: numeric	The number of logical-page rows on a physical page.


SubdividePageDlg

Syntax

()

Description

Display the Divide Page tab of the Page Setup dialog box.


SubdividePageOff

Syntax

()

Description

Turn off Subdivide Page.

 Related topics


SubdocInclude

Syntax

(DocumentName: string)

Description

Insert a document into the current document as a subdocument.

Parameters

DocumentName: string	The file to insert.


SubstructureExit

Syntax

(Action: enumeration)

Description

Close the current substructure and optionally open an existing substructure of the same type.

Parameters

Action: enumeration (optional)	Next! Previous!


Suppress

Syntax

({Item: enumeration})

Description

Turn off the specified page formatting items for the current page.

Parameters

Item: enumeration	FooterA! FooterB! HeaderA! HeaderB! PageNumberBottomCenter! PageNumbering! WatermarkA! WatermarkB!


SwitchDoc

Syntax

(DocNum: numeric)

Description

Specify a document to switch to.

Parameters

DocNum: numeric	The number of the open document to display.


Tab

Syntax

()

Description

Insert a tab.

 Related topics


TabAdd

Syntax

(Position: measurement; Type: enumeration; SpaceBetweenTabs: measurement)

Description

Add one or more tab sets to the current tab setting. If the parameter SpaceBetweenTabs is included, all tabs following an added tab reset to the new type and spacing.

Parameters

Position: measurement	The tab position relative to left edge of the page.
Type: enumeration	TabCenter! TabCenterDot! TabDecimal! TabDecimalDot! TabLeft! TabLeftDot! TabRight! TabRightDot!
SpaceBetweenTabs: measurement (optional)	The amount of space between tab settings.
 Related topics


TabBarIconShow
boolean:=TabBarIconShow

Syntax

(State: enumeration)

Description

Turn Tab Bar Icons on or off for the current session and return the current state. This command does not change display preferences for Tab Bar Icons.

Return Value

Returns True if Tab Bar Icons are on, False if not. The current state is returned before the new state specified in the State parameter is set.

Parameters

State: enumeration	Off! On!
 Related topics


TabCenter

Syntax

(Type: enumeration)

Description

Insert a Hard Centered Tab code.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabCenterDot

Syntax

()

Description

Insert a Hard Centered Tab code with a dot leader. Recordable substitute: TabCenter.


TabClearAll

Syntax

()

Description

Clear all tab settings.


TabDecimal

Syntax

(Type: enumeration)

Description

Insert a hard decimal-aligned tab.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabDecimalDot

Syntax

()

Description

Insert a Hard Decimal Tab code with a dot leader. Recordable substitute: TabDecimal.


TabDelete

Syntax

(Position: measurement)

Description

Delete one tab setting without affecting any other tab settings.

Parameters

Position: measurement
 Related topics


TabForced

Syntax

()

Description

Insert a forced tab. Forced tabs cannot be replaced by the QuickIndent feature. Recordable substitute: TabInsert.

 Related topics


TabInsert

Syntax

()

Description

Insert a tab into the document.

 Related topics


TabKey

Syntax

()

Description

Perform the functions of Tab: insert a tab, go to the next table cell, or go to the next outline level, depending on the location of the insertion point.

 Related topics


TableAdjustBegin

Syntax

()

Description

Begin table adjustments from the Ruler. Follow with commands such as TableAdjustColumnWidth and TableAdjustPosition, and end with TableAdjustEnd.

 Related topics


TableAdjustColumnWidth

Syntax

(Column: numeric; Width: measurement)

Description

Specify a column width in WordPerfect units when adjusting columns from the Ruler. Use with TableAdjustBegin and TableAdjustEnd.

Parameters

Column: numeric	The leftmost column is 0.
Width: measurement
 Related topics


TableAdjustEnd

Syntax

()

Description

End table adjustments from the Ruler. Precede with TableAdjustBegin and commands such as TableAdjustColumnWidth and TableAdjustPosition.

 Related topics


TableAdjustPosition

Syntax

(Position: measurement)

Description

Specify the number of WordPerfect units from the left margin to the left edge of a table when adjusting table position from the Ruler.

Parameters

Position: measurement	The distance from the left margin to the left edge of the table.
 Related topics


TableAlternateFillSet

Syntax

(State: enumeration; Span: numeric; AlternateSpan: numeric)

Description

Specify the type of alternating table fill and the cell range to which the fill is applied.

Parameters

State: enumeration	CheckerBoard! Column! Off! Row!
Span: numeric (optional)	The cells to automatically fill.
AlternateSpan: numeric (optional)	The cells to automatically fill.
 Related topics


TableAppendRow

Syntax

()

Description

Insert a new row below the current row.

 Related topics


TableApplyStyle

Syntax

(Style: any; ResetAttributes: enumeration; ShowIn60: enumeration)

Description

Apply a table style using Table SpeedFormat.

Parameters

Style: any	NoTableStyle! TableStyle1! TableStyle10! TableStyle11! TableStyle12! TableStyle13! TableStyle14! TableStyle15! TableStyle16! TableStyle17! TableStyle18! TableStyle19! TableStyle2! TableStyle20! TableStyle21! TableStyle22! TableStyle23! TableStyle24! TableStyle25! TableStyle26! TableStyle27! TableStyle28! TableStyle29! TableStyle3! TableStyle30! TableStyle31! TableStyle32! TableStyle33! TableStyle34! TableStyle35! TableStyle36! TableStyle37! TableStyle38! TableStyle39! TableStyle4! TableStyle40! TableStyle5! TableStyle6! TableStyle7! TableStyle8! TableStyle9!
ResetAttributes: enumeration (optional)	Clear the current table settings. No! Yes!
ShowIn60: enumeration (optional)	Apply a style on a cell-by-cell basis. No! Yes!


TableAttributeOff

Syntax

({Attribute: enumeration})

Description

Turn off the specified font attributes and relative font size attributes in a table.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableAttributeOn

Syntax

({Attribute: enumeration})

Description

Turn on the specified character attributes in a table.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableAutoCalc

Syntax

(State: enumeration)

Description

Specify automatic calculation for tables.

Parameters

State: enumeration	AutoDoc! AutoTbl! Off!
 Related topics


TableAutoFill

Syntax

()

Description

Use TableDataFill to increment values across a row or down a column.


TableBlockOff

Syntax

()

Description

Turn off Select in a table.


TableBlockOn

Syntax

()

Description

Turn on Select in a table.


TableBorder

Syntax

(Style: any)

Description

Specify a table border type. Use with commands such as TableBorderEditBegin and TableBorderEditEnd.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
 Related topics


TableBorderEditBegin

Syntax

()

Description

Begin table border editing. Follow with editing commands and TableBorderEditEnd.

 Related topics


TableBorderEditEnd

Syntax

(State: enumeration)

Description

Save table border editing changes. Precede with TableBorderEditBegin and editing commands.

Parameters

State: enumeration	Cancel! Save!
 Related topics


TableCalculate

Syntax

()

Description

Calculate the formula values in the current table or selected cells.

 Related topics


TableCalculateAll

Syntax

()

Description

Calculate the formula values for all tables and floating cells in the current document.

 Related topics


TableCalculateDlg

Syntax

()

Description

Display the Calculate dialog box.

 Related topics


TableCellAttributeOff

Syntax

({Attribute: enumeration})

Description

Turn off the specified font appearance, position, and relative size attributes in the selected cells.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableCellAttributeOn

Syntax

({Attribute: enumeration})

Description

Apply the specified font appearance, position, and relative size attributes of the selected cells.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableCellCopy

Syntax

(CopyType: enumeration; Count: numeric)

Description

Copy the content of the specified cell(s) to the Clipboard, and paste it in the cell(s) specified by the CopyType parameter.

Parameters

CopyType: enumeration	Cell! Down! Right!
Count: numeric (optional)	The number of cells to paste the copied cell into. Use when the CopyType parameter is Down! or Right!.
 Related topics


TableCellDiagonalLine

Syntax

(Diagonal: enumeration)

Description

Add diagonal lines to a table cell.

Parameters

Diagonal: enumeration	BotLeftToTopRight! None! TopLeftToBotRight! TwoDiagonals!


TableCellDiagonalLineQry
numeric:=TableCellDiagonalLineQry

Syntax

()

Description

Return the diagonal lines options to active in the current table selection.

Return Value

0	None

1	Bottom Left to Top Right

2	Top Left to Bottom Right

3	Two Diagonals

 Related topics


TableCellFillColors

Syntax

(ForeColorName: string; ForeColorRed: numeric; ForeColorGreen: numeric; ForeColorBlue: numeric; ForeColorShade: numeric; BackColorName: string; BackColorRed: numeric; BackColorGreen: numeric; BackColorBlue: numeric; BackColorShade: numeric)

Description

Specify the foreground and background colors for the current cell or selected cells.

Parameters

ForeColorName: string (optional)	The name of the foreground color.
ForeColorRed: numeric (optional)	Value: 0-255.
ForeColorGreen: numeric (optional)	Value: 0-255.
ForeColorBlue: numeric (optional)	Value: 0-255.
ForeColorShade: numeric (optional)	Percent: 0-100.
BackColorName: string (optional)	The name of the background color.
BackColorRed: numeric (optional)	Value: 0-255.
BackColorGreen: numeric (optional)	Value: 0-255.
BackColorBlue: numeric (optional)	Value: 0-255.
BackColorShade: numeric (optional)	Percent: 0-100.
 Related topics


TableCellFillStyle

Syntax

(FillPattern: any)

Description

Specify a shading style for the current cell or selected cells.

Parameters

FillPattern: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
 Related topics


TableCellIgnoreCalculation

Syntax

(State: enumeration)

Description

Specify one or more selected cells to ignore when calculating formulas.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellJustification

Syntax

(Mode: enumeration)

Description

Justify the current cell or selected cells.

Parameters

Mode: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


TableCellLine

Syntax

(Position: enumeration; Style: any)

Description

Change the specified lines around a cell or selected cells, or between selected cells.

Parameters

Position: enumeration	Bottom! Inside! Left! Outside! Right! Top!
Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


TableCellLineColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Specify the line color of the current cell or selected cells.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


TableCellLock

Syntax

(State: enumeration)

Description

Lock the current cell or selected cells.

Parameters

State: enumeration	No! Yes!


TableCellLockToggle

Syntax

()

Description

Lock or unlock the current cell or selected cells.


TableCellNumberAlignCurrency

Syntax

(State: enumeration)

Description

Align the currency symbols in the current cell or selected cells.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellNumberDateFormat

Syntax

(DateFormatNumber: numeric)

Description

Specify a date format for one or more selected cells.

Parameters

DateFormatNumber: numeric	1 July 5, 1959 2 7/5/59 3 Jul 5, 1959 4 5 July 1959 5 Sunday, July 5, 1959 6 12:00 pm 7 05Jul59 8 July 5, 1959 (12:00pm) 9 1959-07-05 10 7/5 11 Jul 5 12 12:00:00
 Related topics


TableCellNumberDecimalDigits

Syntax

(NumDigits: numeric)

Description

Specify how many digits appear after the decimal. Use when the FormatType parameter of TableCellNumberFormat is Fixed2!.

Parameters

NumDigits: numeric	The number of digits appearing after the decimal.
 Related topics


TableCellNumberFormat

Syntax

(FormatType: enumeration)

Description

Specify a number format for the current cell or selected cells.

Parameters

FormatType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


TableCellNumberNegativeNumber

Syntax

(NegDisplayType: enumeration)

Description

Specify how to display negative numbers in the current cell or selected cells.

Parameters

NegDisplayType: enumeration	CRDR! Minus! Parentheses!


TableCellNumberRound

Syntax

(State: enumeration)

Description

Convert round numbers entered as decimals to integers. Use when the FormatType parameter of TableCellNumberFormat is Integer!.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellNumberSelectCurrency

Syntax

(IntlCurrency: enumeration)

Description

Specify an international currency type for the current cell or selected cells.

Parameters

IntlCurrency: enumeration	DefaultCurrency! Dollar! Peso! FrenchCanada! Canada! Brazil! Denmark! Peseta! Croatia! CzechRepublic! SlovakRepublic! Finland! FinlandIntl! France! Germany! Greece! Hungary! Iceland! Italy! Japan! Netherlands! Norway! NorwayIntl! Ruble! RussianRuble! SouthAfrica! Sweden! Turkey! UnitedKingdom! Switzerland! Austria! Belgium! Ecuador! ElSalvador! Guatemala! Honduras! Paraguay! Venezuela! Poland! Slovenia! Israel! Korea! China! Taiwan! HongKong! Singapore! Portugal! BelgiumFrench! Euro!
 Related topics


TableCellNumberUseCommas

Syntax

(State: enumeration)

Description

Display commas in numbers with more than three digits to the left of the decimal.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellNumberUseCurrency

Syntax

(IntlCurrency: enumeration)

Description

Display a currency symbol with numbers.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellRotateContents

Syntax

(Angle: enumeration)

Description

Rotate the contents of the selected table cell(s).

Parameters

Angle: enumeration	Degrees180! Degrees270! Degrees90! None!


TableCellUseColumnAttribute

Syntax

(State: enumeration)

Description

Apply a specified column attribute to the current cell or selected cells.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellUseColumnJust

Syntax

(State: enumeration)

Description

Turn column justification on or off in the current cell.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellUseColumnNumberType

Syntax

(State: enumeration)

Description

Turn the current column number type on or off in the current cell or selected cells.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellUseLineColor

Syntax

()

Description

Turn on table line color for the current cell or selected cells.

 Related topics


TableCellVerticalAlignment

Syntax

(Alignment: enumeration)

Description

Align the current cell or selected cells vertically.

Parameters

Alignment: enumeration	Bottom! Center! Top!
 Related topics


TableCellsJoin

Syntax

()

Description

Join the selected table cells to form one cell. Recordable substitute: TableJoinCells.


TableColumnAttributeOff

Syntax

({Attribute: enumeration})

Description

Turn off the specified character attributes in a table column. Not recordable.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableColumnAttributeOn

Syntax

({Attribute: enumeration})

Description

Turn on the specified character attributes in a table column. Not recordable.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableColumnDecimalAlignDigits

Syntax

(Digits: numeric)

Description

Specify the number of digits to display between the decimal point and the right edge of cells with decimal align justification in the current column.

Parameters

Digits: numeric	The number of digits to display between the decimal point and right edge of the cell.
 Related topics


TableColumnDecimalAlignDist

Syntax

(Distance: measurement)

Description

Specify the distance between the decimal and the right edge of cells with decimal align justification in the current column.

Parameters

Distance: measurement	The distance between the decimal and the right edge of the cell.
 Related topics


TableColumnFixedWidth

Syntax

(State: enumeration)

Description

Specify a fixed column width.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnJustification

Syntax

(Mode: enumeration)

Description

Specify column justification.

Parameters

Mode: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


TableColumnMarginLeft

Syntax

(Margin: measurement)

Description

Specify the distance between the left edge of a column and the text in the column.

Parameters

Margin: measurement	The amount of space for the left margin.
 Related topics


TableColumnMarginRight

Syntax

(Margin: measurement)

Description

Specify the distance between the right edge of a column and the text in the column.

Parameters

Margin: measurement	The amount of space for the right margin.
 Related topics


TableColumnNumberAlignCurrency

Syntax

(State: enumeration)

Description

Align the currency symbols in a column.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnNumberDateFormat

Syntax

(DateFmtNum: numeric)

Description

Specify a date format for the current column.

Parameters

DateFmtNum: numeric	1 July 5, 1959 2 7/5/59 3 Jul 5, 1959 4 5 July 1959 5 Sunday, July 5, 1959 6 12:00 pm 7 5Jul59 8 July 5, 1959 (12:00pm) 9 1959-07-05 10 7/5 11 Jul 5 12 15:02:02
 Related topics


TableColumnNumberDecimalDigits

Syntax

(NumDigits: numeric)

Description

Specify the number of digits after the decimal when TableColumnNumberFormat is Fixed2!. Precede with TableColumnNumberFormat.

Parameters

NumDigits: numeric	The number of digits after the decimal.
 Related topics


TableColumnNumberFormat

Syntax

(FormatType: enumeration)

Description

Specify a number format for the current column.

Parameters

FormatType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


TableColumnNumberNegNumber

Syntax

(NegDisplayType: enumeration)

Description

Specify how to display negative numbers in the current column.

Parameters

NegDisplayType: enumeration	CRDR! Minus! Parentheses!


TableColumnNumberRound

Syntax

(State: enumeration)

Description

Round numbers entered as decimals to integers in the current column when TableColumnNumberFormat is set to Integer!.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnNumberSelCurrency

Syntax

(IntlCurrency: enumeration)

Description

Specify a currency type for the current column.

Parameters

IntlCurrency: enumeration	DefaultCurrency! Dollar! Peso! FrenchCanada! Canada! Brazil! Denmark! Peseta! Croatia! CzechRepublic! SlovakRepublic! Finland! FinlandIntl! France! Germany! Greece! Hungary! Iceland! Italy! Japan! Netherlands! Norway! NorwayIntl! Ruble! RussianRuble! SouthAfrica! Sweden! Turkey! UnitedKingdom! Switzerland! Austria! Belgium! Ecuador! ElSalvador! Guatemala! Honduras! Paraguay! Venezuela! Poland! Slovenia! Israel! Korea! China! Taiwan! HongKong! Singapore! Portugal! BelgiumFrench! Euro!
 Related topics


TableColumnNumberUseCommas

Syntax

(State: enumeration)

Description

Display commas in numbers with three or more digits to the left of the decimal.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnNumberUseCurrency

Syntax

(State: enumeration)

Description

Display a currency symbol with numbers.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnsFixedWidth

Syntax

(State: enumeration)

Description

Turn on the fixed-width option for all columns in the current table.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnSize2Fit

Syntax

()

Description

Adjust the table-column width to the width of a selected cell or to fit data.


TableColumnWidth

Syntax

(ColumnWidth: measurement)

Description

Specify the width of the current column.

Parameters

ColumnWidth: measurement	The width of the column.
 Related topics


TableColumnWidthEqualize

Syntax

()

Description

Make the widths of all the selected columns equal. This command sums the widths of the selected columns, finds the average, and applies it to each of the selected columns.

 Related topics


TableColumnWidthGrow

Syntax

()

Description

Increase the width of a table column.


TableColumnWidthShrink

Syntax

()

Description

Decrease the width of a table column.


TableConvertDlg

Syntax

()

Description

Display the Convert Table dialog box. If no text is selected, the macro ends or goes to the ONERROR label.


TableConvertFrom

Syntax

(Type: enumeration)

Description

Convert the selected text in tabular or parallel columns to a table.

Parameters

Type: enumeration	TabularColumns! ParallelColumns! MergeDataFile!
 Related topics


TableCopy

Syntax

(Copy: enumeration)

Description

Copy the contents of the selected cells to the current column or the current row using (Block!). TableMoveModeEnd inserts selected cells into the table. To record, first select two or more cells.

Parameters

Copy: enumeration	Block! Column! Row!
 Related topics


TableCopyFormula

Syntax

(CellIDCntToCell: enumeration; Where: any)

Description

Copy a formula from the current cell to another cell.

Parameters

CellIDCntToCell: enumeration	Cell! Down! Right!
Where: any (optional)	The cell address if CellIDCntToCell is Cell! or Right!


TableCreate

Syntax

(Columns: numeric; Rows: numeric)

Description

Create a table.

Parameters

Columns: numeric	The number of columns in the new table.
Rows: numeric	The number of rows in the new table.
 Related topics


TableCreateDlg

Syntax

()

Description

Display the Create Table dialog box.

 Related topics


TableCreateNewDlg

Syntax

()

Description

Display the Create Table dialog box. Recordable equivalent: TableCreateDlg

 Related topics


TableDataFill

Syntax

()

Description

Fill a cell with a formula or data. Select at least two cells. The first must contain data or a formula. At least one other selected cell must be empty.


TableDecimalAlignmentDigits

Syntax

(Number: numeric)

Description

Specify the number of digits between the decimal point and the right edge of cells.

Parameters

Number: numeric (optional)	The number of digits between the decimal and the right edge of the cell.
 Related topics


TableDecimalAlignmentDistance

Syntax

(Position: measurement)

Description

Specify the distance between the decimal and the right edge of cells.

Parameters

Position: measurement (optional)	The space between the decimal and the right edge of the cell.
 Related topics


TableDefaultLine

Syntax

(Style: any)

Description

Specify the default line style of a table.

Parameters

Style: any	Enclose user-defined graphics line styles in quotation marks. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


TableDefaultLineColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric; Shade: numeric)

Description

Specify the default line color for a table.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


TableDeleteBlock

Syntax

()

Description

Delete the contents of selected cells.

 Related topics


TableDeleteCellFormula

Syntax

()

Description

Delete the formulas in the current cell.


TableDeleteColumn

Syntax

(Number: numeric)

Description

Delete table columns.

Parameters

Number: numeric	The number of columns to delete, beginning with the current column and moving left. Default: current column or selected columns.
 Related topics


TableDeleteDlg

Syntax

()

Description

Display the Delete dialog box.

 Related topics


TableDeleteRow

Syntax

(Number: numeric)

Description

Delete table rows.

Parameters

Number: numeric (optional)	The number of rows to delete, beginning with the current row and moving down.
 Related topics


TableDeleteTable

Syntax

(DelWhat: enumeration)

Description

Delete a table and/or its contents, or convert the table data to tabbed text or merge fields.

Parameters

DelWhat: enumeration	ConvertOnly! Deletes table contents only. ConvertToMerge! Converts cells of each row to ENDFIELD codes. ConvertToMergeNames! Converts first row cells to FIELDNAMES, and cells in remaining rows to ENDFIELD codes. ConvertToTabs! Deletes table structure and converts contents to tabbed text. EntireTable!


TableDeleteTableDlg

Syntax

()

Description

Display the Delete Table dialog box.


TableDisableCellLocks

Syntax

(State: enumeration)

Description

Turn off cell locks.

Parameters

State: enumeration	No! Yes!


TableDragToCreate

Syntax

(State: enumeration)

Description

Turn the Drag to Create Tables option on or off.

Parameters

State: enumeration (optional)	Off! On!


TableEdit

Syntax

()

Description

Begin a table-editing command sequence. If not in a table, the macro searches backward for a table to edit. If no table is found, it searches forward.

 Related topics


TableExpertDlg

Syntax

()

Description

Display the Table SpeedFormat dialog box.


TableFill

Syntax

(Pattern: any)

Description

Specify a table fill pattern. Precede with TableBorderEditBegin and follow TableBorderEditEnd.

Parameters

Pattern: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
 Related topics


TableFormatDlg

Syntax

()

Description

Display the Properties for Table Format tab.


TableFormatJustification

Syntax

(Justification: enumeration)

Description

Specify table justification.

Parameters

Justification: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


TableFormatWidths

Syntax

(Width: measurement)

Description

Set table column width.

Parameters

Width: measurement	The width for columns in the table.


TableFormula

Syntax

(Formula: string)

Description

Specify a formula for the current cell.

Parameters

Formula: string	The formula for the current cell.
 Related topics


TableFormulaCBar

Syntax

()

Description

Display the Table Formula feature bar, which helps you view and edit formulas in a table.


TabLeft

Syntax

(Type: enumeration)

Description

Insert a Hard Left Tab with or without a dot leader.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabLeftDot

Syntax

()

Description

Insert a Hard Left Tab code with a dot leader. Recordable substitute: TabLeft.


TableGridLinesToggle

Syntax

()

Description

Display or hide table grid lines.


TableGuides

Syntax

(State: enumeration)

Description

Turn Table Guides on or off.

Parameters

State: enumeration	Off! On!
 Related topics


TableHardColumnBreak

Syntax

()

Description

Insert a column break and continue the table in the next column. Cannot be in the first row. In the last column, the table continues on the next page.

 Related topics


TableHardRow

Syntax

()

Description

Insert a page break and continue the table on the next page.

 Related topics


TableHeader

Syntax

(State: enumeration)

Description

Specify the current row as a header row.

Parameters

State: enumeration	No! Yes!


TableInsertAutoRow

Syntax

(State: enumeration)

Description

Turn Auto Row Insert on or off.

Parameters

State: enumeration	No! Yes!


TableInsertColumn

Syntax

(Number: numeric; InsertPos: enumeration; PreserveWidths: enumeration)

Description

Insert table columns before or after the insertion point.

Parameters

Number: numeric	The number of columns to insert.
InsertPos: enumeration	After! Before!
PreserveWidths: enumeration (optional)	No! Yes!
 Related topics


TableInsertDlg

Syntax

()

Description

Display the Insert Columns/Rows dialog box.

 Related topics


TableInsertOneRow

Syntax

()

Description

Insert a new row above the current row.


TableInsertRow

Syntax

(NumberOfRows: numeric; InsertPosition: enumeration)

Description

Insert rows before or after the insertion point.

Parameters

NumberOfRows: numeric	The number of rows to insert.
InsertPosition: enumeration	After! Before!
 Related topics


TableJoin

Syntax

()

Description

Join the current and following tables. The tables must have the same number of columns.

 Related topics


TableJoinCells

Syntax

()

Description

Join the selected table cells.


TableJoinCellTool

Syntax

()

Description

Turn on or off the join cells tools.


TableLineFillDlg

Syntax

()

Description

Display the Table Lines/Fill dialog box. The insertion point must be in a table.


TableMarginLeft

Syntax

(Margin: measurement)

Description

Specify the distance from the left edge of all cells in a table to the cell text.

Parameters

Margin: measurement	The left margin in a cell.
 Related topics


TableMarginRight

Syntax

(Margin: measurement)

Description

Specify the distance from the right edge of all cells in a table to the cell text.

Parameters

Margin: measurement	The right margin in a cell.
 Related topics


TableMove

Syntax

(Move: enumeration)

Description

Move the contents of the current cell, selected cells, current column, or current row. At least two cells must be selected. Follow with TableMoveModeEnd to insert contents.

Parameters

Move: enumeration	Block! Cell! Column! Row!
 Related topics


TableMoveCopyDlg

Syntax

()

Description

Display the Copy Formula dialog box.

 Related topics


TableMoveModeCancel

Syntax

()

Description

Cancel TableMove or TableCopy.


TableMoveModeEnd

Syntax

()

Description

Paste the contents moved or copied with TableMove or TableCopy into a table at the insertion point.


TableNameAdd

Syntax

(RefType: enumeration; Name: string)

Description

Name a cell, block of cells, row, column, or table.

Parameters

RefType: enumeration	Block! Cell! CellsDown! CellsRight! Column! FloatingCell! Row! Table!
Name: string (optional)	The name for the table cells.
 Related topics


TableNameChange

Syntax

(OldName: string; NewName: string; NewRef: string)

Description

Rename an existing table.

Parameters

OldName: string	The original name.
NewName: string (optional)	The new name.
NewRef: string (optional)	The new reference cells.


TableNameCreateDlg

Syntax

()

Description

Display the Create Name dialog box.


TableNameDelete

Syntax

(TableName: string)

Description

Delete a table name.

Parameters

TableName: string	The table name to delete.
 Related topics


TableNameListDlg

Syntax

()

Description

Display the Table Names in Current Document dialog box.

 Related topics


TableNumberAlignCurrency

Syntax

(State: enumeration)

Description

Align the currency symbols in a table.

Parameters

State: enumeration	No! Yes!
 Related topics


TableNumberDateFormat

Syntax

(DateFmtNum: numeric)

Description

Specify a date format for the current table.

Parameters

DateFmtNum: numeric	1 July 5, 1959 2 7/5/59 3 Jul 5, 1959 4 5 July 1959 5 Sunday, July 5, 1959 6 12:00 pm 7 05Jul59 8 July 5, 1959 (12:00pm)
 Related topics


TableNumberDecimalDigits

Syntax

(NumDigits: numeric)

Description

Specify the number of digits after the decimal.

Parameters

NumDigits: numeric	The number of digits to display after the decimal.
 Related topics


TableNumberFormat

Syntax

(FormatType: enumeration)

Description

Specify a numbering type for the current table.

Parameters

FormatType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


TableNumberNegativeNumber

Syntax

(NegDisplay: enumeration)

Description

Specify the display of negative numbers in the current table.

Parameters

NegDisplay: enumeration	CRDR! Minus! Parentheses!


TableNumberRound

Syntax

(State: enumeration)

Description

Round decimal numbers to integers when the FormatType parameter of TableNumberFormat is Integer!.

Parameters

State: enumeration	No! Yes!
 Related topics


TableNumberSelectCurrency

Syntax

(IntlCurrency: enumeration)

Description

Specify a currency type for the current table.

Parameters

IntlCurrency: enumeration	DefaultCurrency! Dollar! Peso! FrenchCanada! Canada! Brazil! Denmark! Peseta! Croatia! CzechRepublic! SlovakRepublic! Finland! FinlandIntl! France! Germany! Greece! Hungary! Iceland! Italy! Japan! Netherlands! Norway! NorwayIntl! Ruble! RussianRuble! SouthAfrica! Sweden! Turkey! UnitedKingdom! Switzerland! Austria! Belgium! Ecuador! ElSalvador! Guatemala! Honduras! Paraguay! Venezuela! Poland! Slovenia! Israel! Korea! China! Taiwan! HongKong! Singapore! Portugal! BelgiumFrench! Euro!
 Related topics


TableNumberTypeDlg

Syntax

()

Description

Display the Properties for Table Numeric Format tab.


TableNumberUseCommas

Syntax

(State: enumeration)

Description

Display commas in numbers with more than three digits to the left of the decimal.

Parameters

State: enumeration	No! Yes!
 Related topics


TableNumberUseCurrency

Syntax

(State: enumeration)

Description

Display a currency symbol with numbers.

Parameters

State: enumeration	No! Yes!
 Related topics


TablePointMode

Syntax

(State: enumeration)

Description

Toggle Formula Edit in a table.

Parameters

State: enumeration	Off! On!


TablePosition

Syntax

(PositionVal: enumeration; SetAbsPos: measurement)

Description

Specify table position.

Parameters

PositionVal: enumeration	AlignAbsolute! AlignCenter! AlignFull! AlignLeft! AlignRight!
SetAbsPos: measurement (optional)	The absolute position from the left edge of the paper when PositionVal is AlignAbsolute!.


TablePosNextTable

Syntax

()

Description

Move the insertion point to the beginning of the next table.

 Related topics


TablePosPreviousTable

Syntax

()

Description

Move the insertion point to the beginning of the previous table.

 Related topics


TableQuickSum

Syntax

()

Description

Calculate the sum of cells above the current cell in the current column. Or, if the cell immediately above the current cell is blank, calculates the sum of cells left of the current cell in the current row. Cells above or to the left of a blank cell are not included in the calculation.


TableReformatAll

Syntax

()

Description

Reformat all tables in the current document. Used particularly to reformat floating cell numbers and currency symbols if the language is changed.


TableRetrieve

Syntax

(Reference: enumeration)

Description

Retrieve the last item moved or copied in a table.

Parameters

Reference: enumeration	Block! Cell! Column! Row!
 Related topics


TableRotateCell

Syntax

()

Description

Rotate the contents of the current cell by 90 degrees.


TableRowCanSpanPages

Syntax

(State: enumeration)

Description

Allow a table row to span two or more pages.

Parameters

State: enumeration	No! Yes!


TableRowColIndicators

Syntax

()

Description

Turn row and column indicators on or off.


TableRowHeight

Syntax

(RowHeight: enumeration; Amount: measurement)

Description

Specify whether row height is automatic or fixed, and if fixed, specify the height.

Parameters

RowHeight: enumeration	Auto! Fixed!
Amount: measurement (optional)	The row height when the Type parameter is Fixed!.
 Related topics


TableRowMarginBottom

Syntax

(Margin: measurement)

Description

Specify the distance between the last line of text and the bottom of the cell.

Parameters

Margin: measurement	The bottom margin in a cell.
 Related topics


TableRowMarginTop

Syntax

(Margin: measurement)

Description

Specify the distance between the top of a cell and the first line of text in the cell.

Parameters

Margin: measurement	The top margin in a cell.
 Related topics


TableRowNumberOfLines

Syntax

(RowLines: enumeration)

Description

Specify single or multiple lines in the cells of a row.

Parameters

RowLines: enumeration	Multiple! Single!


TableSecondFill

Syntax

(FillStyle: any)

Description

Specify an alternating fill style for a table.

Parameters

FillStyle: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
 Related topics


TableSecondFillColors

Syntax

(ForeColorName: string; ForeRed: numeric; ForeGreen: numeric; ForeBlue: numeric; ForeShade: numeric; BackColorName: string; BackRed: numeric; BackGreen: numeric; BackBlue: numeric; BackShade: numeric)

Description

Specify the color of a table alternating fill. Use TableBorderEditBegin before this command and follow with TableBorderEditEnd.

Parameters

ForeColorName: string (optional)	The name of the foreground color.
ForeRed: numeric (optional)	Value: 0-225.
ForeGreen: numeric (optional)	Value: 0-225.
ForeBlue: numeric (optional)	Value: 0-225.
ForeShade: numeric (optional)	Percent: 0-100.
BackColorName: string (optional)	The name of the background color.
BackRed: numeric (optional)	Value: 0-225.
BackGreen: numeric (optional)	Value: 0-225.
BackBlue: numeric (optional)	Value: 0-225.
BackShade: numeric (optional)	Percent: 0-100.
 Related topics


TableSelectOff

Syntax

()

Description

Turn off Select.


TableSelectOn

Syntax

(SelectionMode: enumeration)

Description

Select a row, column, cell, or table.

Parameters

SelectionMode: enumeration	Cell! Column! Row! Table!


TableSize

Syntax

(Rows: numeric; Columns: numeric)

Description

Change the number of rows or columns in an existing table. Rows are added or deleted from the bottom of the existing table. Columns are added or deleted from the right of the existing table.

Parameters

Rows: numeric (optional)	The number of rows in the resulting table.
Columns: numeric (optional)	The number of columns in the resulting table.
 Related topics


TableSkewColumn

Syntax

(Column: enumeration; SkewValue: numeric)

Description

Lets you specify a skew value for the first or last column of the current table.

Parameter

Column: enumeration	FirstColumn! LastColumn!
SkewValue: numeric	The skew value
 Note

•	New command


TableSkewColumnText

Syntax

(State: enumeration)

Description

Lets you specify whether you want to skew or to unskew the text in a skewed table column.

Parameter

State: enumeration	No! Yes!
 Note

•	New command


TableSkewJoinCorners

Syntax

(State: enumeration)

Description

Lets you specify whether or not you want to join the corners in a skewed table. The TableSkewJoinCorners command adjusts the row height or the column width.

Parameter

State: enumeration	No! Yes!
 Note

•	New command


TableSkewRow

Syntax

(SkewValue: numeric)

Description

Lets you specify a skew value for the top row of the current table.

Parameter

SkewValue: numeric	The skew value
 Note

•	New command


TableSkewRowText

Syntax

(State: enumeration)

Description

Lets you specify whether to skew or to unskew the text in a skewed table row.

Parameters

State: enumeration	No! Yes!
 Note

•	New command


TableSortTable

Syntax

({SortType: enumeration; SortOrder: enumeration})

Description

Sort a table by the contents of a selected cell.

Parameters

SortType: enumeration (optional)	Alphanumeric! Numeric!
SortOrder: enumeration (optional)	Ascending! Descending!


TableSplit

Syntax

()

Description

Split a table into two tables. A table cannot be split on the first row. The second table begins with the current row.

 Related topics


TableSplitCellsDlg

Syntax

()

Description

Display the Split Cell dialog box.


TableSplitColumn

Syntax

(ColumnCount: numeric; ColumnPos: measurement)

Description

Split the current cell into two columns.

Parameters

ColumnCount: numeric	The number of columns to create.
ColumnPos: measurement (optional)	The width of the new columns.
 Related topics


TableSplitColumnTool

Syntax

(State: enumeration)

Description

Turn the split column tool on or off.

Parameters

State: enumeration (optional)	Off! On!


TableSplitColumnsAndRowsTool

Syntax

(State: Enumeration)

Description

Split a cell intro rows and columns.

Parameters

State: enumeration	On! Off!


TableSplitRow

Syntax

(RowCount: numeric; RowPos: numeric)

Description

Split the current cell into multiple rows.

Parameters

RowCount: numeric	The number of rows to create.
RowPos: numeric (optional)	The position of the new rows.
 Related topics


TableSplitRowCol

Syntax

(RowCount: Numeric; ColumnCount: Numeric; ColumnPos: Numeric Measurement; RowPos: Numeric)

Description

Split a cell into rows and columns.

Parameters

RowCount: numeric	Number of rows to create.
ColumnPos: numeric measurement	Position of new columns.
RowPos: numeric	Position of new rows.
ColumnCount: numeric	Number of columns to create.


TableSplitRowTool

Syntax

(State: enumeration)

Description

Turn the split row tool on or off.

Parameters

State: enumeration (optional)	Off! On!


TableSquareSkewedRow

Syntax

(Column: enumeration; State: enumeration)

Description

Lets you square the first or last column of a skewed table row.

Parameters

Column: enumeration	FirstColumn! LastColumn!
State: enumeration	No! Yes!
 Note

•	New command


TableStyleCreate

Syntax

(Style: string; Library: enumeration)

Description

Create a table style.

Parameters

Style: string	The name of the style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleDelete

Syntax

(Style: string; Library: enumeration)

Description

Delete a table style.

Parameters

Style: string	The name of the style to delete.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleEdit

Syntax

(Style: any; Library: enumeration)

Description

Edit a table style. Use with TableStyleName and TableStyleReplace.

Parameters

Style: any	NoTableStyle! TableStyle1! TableStyle10! TableStyle11! TableStyle12! TableStyle13! TableStyle14! TableStyle15! TableStyle16! TableStyle17! TableStyle18! TableStyle19! TableStyle2! TableStyle20! TableStyle21! TableStyle22! TableStyle23! TableStyle24! TableStyle25! TableStyle26! TableStyle27! TableStyle28! TableStyle29! TableStyle3! TableStyle30! TableStyle31! TableStyle32! TableStyle33! TableStyle34! TableStyle35! TableStyle36! TableStyle37! TableStyle38! TableStyle39! TableStyle4! TableStyle40! TableStyle5! TableStyle6! TableStyle7! TableStyle8! TableStyle9!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleEnd

Syntax

(State: enumeration)

Description

Save or cancel table style settings.

Parameters

State: enumeration	Cancel! Save!


TableStyleName

Syntax

(Style: string)

Description

Specify the name of a new table style. Use with TableStyleEdit.

Parameters

Style: string	The name for the table style.
 Related topics


TableStyleReplace

Syntax

(Style: string; Library: enumeration)

Description

Specify a user-defined table style to replace the current table style. Use with TableStyleEdit.

Parameters

Style: string	The name of the table style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleRetrieve

Syntax

(Filename: string; Library: enumeration)

Description

Retrieve a table style from the specified style library.

Parameters

Filename: string	The filename of the style library file.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


TableStyleSave

Syntax

(Filename: string; Library: enumeration)

Description

Save a table style to the specified style library.

Parameters

Filename: string	The filename for the style library file.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


TableTextBoxCreate

Syntax

(Columns: numeric; Rows: numeric)

Description

Create a table in a text box.

Parameters

Columns: numeric	The number of columns.
Rows: numeric	The number of rows.


TableTextToFormula

Syntax

()

Description

Convert the contents of the current cell to a formula. Not recordable.

 Related topics


TableToolsDlg

Syntax

()

Description

Display the Tools dialog box for editing a table. If the insertion point is not in a table when this command is executed, nothing happens.


TableUndelete

Syntax

()

Description

Insert the last deleted item. Available only in table editing mode.

 Related topics


TableUpdateAssociatedCharts

Syntax

(State: enumeration)

Description

Turn the Update associated charts option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


TableUseDefaultLinesColor

Syntax

()

Description

Specify the Line Style line color as the default line color for a table.

 Related topics


TabRight

Syntax

(Type: enumeration)

Description

Insert a right-aligned tab (with or without a dot leader) at the insertion point.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabRightDot

Syntax

()

Description

Insert a Hard Right Tab code with a dot leader. Recordable substitute: TabRight.


TabSet

Syntax

(Origin: enumeration; {Position: measurement; TabType: enumeration})

Description

Specify tab settings.

Parameters

Origin: enumeration	Set tabs relative to the left edge of the paper (absolute) or the left margin setting (relative). Absolute! Relative!
Position: measurement (optional)	The position of the tabs.
TabType: enumeration (optional)	TabCenter! TabCenterDot! TabDecimal! TabDecimalDot! TabLeft! TabLeftDot! TabRight! TabRightDot!
 Related topics


TabSetDlg

Syntax

()

Description

Display the Tab Set dialog box.

 Related topics


TeamLinkEnable

Syntax

(State: enumeration)

Description

Turn TeamLinks electronic mail service on or off. A TeamLinks Integration module must be installed.

Parameters

State: enumeration	Off! On!


TemplateCopyObject

Syntax

(CopyFrom: string; ObjectType: enumeration; ObjectName: string)

Description

Copy a template object, such as a style or a macro, from one template to another.

Parameters

CopyFrom: string	The template to copy the object from.
ObjectType: enumeration	Abbreviation! ButtonBar! Keyboard! Macro! Menu! QuickWords!
ObjectName: string	The name of the object to copy.


TemplateCopyObjectDlg

Syntax

()

Description

Display the Copy/Remove Template Objects dialog box.


TemplateCreate

Syntax

(Filename: string; BasedOn: string)

Description

Create a new template based on an existing template and open the new template in edit mode.

Parameters

Filename: string	The filename of the new template. If a path is not included in this parameter, the new template file is created in the default template folder.
BasedOn: string (optional)	The filename of the existing template to base the new template on. If a path is not included in this parameter, the command looks for the existing template in the default template folder.


TemplateDescriptionDlg

Syntax

()

Description

Display the Template Description dialog box.


TemplateDlg

Syntax

()

Description

Display the Select New Document dialog box. When you use this command, the macro continues processing while the dialog box is displayed. Displaying the dialog box does not pause the macro.


TemplateEdit

Syntax

(Filename: string)

Description

Edit a template.

Parameters

Filename: string	The full path and filename of the template file.


TemplateFill

Syntax

()

Description

Display a dialog box for entering template data. This dialog box varies depending on the fields required for the current template. If the personal information is not specified, this command first prompts the user to specify the personal information regardless of what data the current template requires. If the current template does not require data beyond the personal information, and the personal information has been set, this command updates the personal information in the document without displaying the dialog. If the current document is not based on an automated template, and the personal information has been set, this command does nothing.


TemplateGetAssociation
string:=TemplateGetAssociation

Syntax

(FeatureTrigger: enumeration; Object: enumeration)

Description

Return the name of the specified object that is associated in the current template with the specified feature or trigger. If the specified association does not exist in the current template, nothing is returned.

Parameters

FeatureTrigger: enumeration	BoxSelected! Comment! Endnote! EquationEditor! Footers! Footnote! Headers! Main! Outline! PostClose! PostDocument! PostNew! PostOpen! PostPrint! PostStartup! PostTables! PreClose! PreDocument! PreNew! PreOpen! PrePrint! PreTables! SGML! Tables! Watermark!
Object: enumeration	ButtonBar! Keyboard! Macro! Menu!
 Related topics


TemplateMacroEditControlBar

Syntax

(State: enumeration)

Description

Display the Template Macro Edit feature bar.

Parameters

State: enumeration (optional)	Off! On!


TemplateSelect

Syntax

(Filename: string)

Description

Select a document template. This product command applies the selected command to the active document, rather than creating a new document based on that template, as File | New from template does

Parameters

Filename: string	The filename of the document template.


TemplateSetAssociation

Syntax

(FeatureTrigger: enumeration; Object: enumeration; ObjectName: string)

Description

Assign menus, keyboards, and toolbars to selected WordPerfect features or triggers in the current template.

Parameters

FeatureTrigger: enumeration	BoxSelected! Comment! Endnote! EquationEditor! Footers! Footnote! Headers! Main! Outline! PostClose! PostDocument! PostNew! PostOpen! PostPrint! PostStartup! PostTables! PreClose! PreDocument! PreNew! PreOpen! PrePrint! PreTables! SGML! Tables! Watermark!
Object: enumeration	ButtonBar! Keyboard! Macro! Menu!
ObjectName: string	The name of the object.
 Related topics


TextBorderCreate

Syntax

(Style: any; FillName: any; BorderFunction: enumeration)

Description

Create a border for the current paragraph, column, or page. Use with TextBorderEnd.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
FillName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
BorderFunction: enumeration	ColumnBorder! PageBorder! ParagraphBorder!
 Related topics


TextBorderEdit

Syntax

(BorderType: enumeration)

Description

Begin editing changes to the current border.

Parameters

BorderType: enumeration	Column! Page! Paragraph!
 Related topics


TextBorderEnd

Syntax

(State: enumeration)

Description

End text border creation or editing, and save or cancel changes.

Parameters

State: enumeration	Cancel! Save!
 Related topics


TextBorderFillStyle

Syntax

(Fillname: any)

Description

Specify a fill style for the current border.

Parameters

Fillname: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!
 Related topics


TextBorderStyle

Syntax

(Style: any)

Description

Specify the current border style.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!
 Related topics


TextBoxCreate

Syntax

()

Description

Create a text box and display the Text Box feature bar.

 Related topics


TextColor

Syntax

(ColorName: string; Red: numeric; Green: numeric; Blue: numeric)

Description

Specify a text color.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


TextShade

Syntax

(ShadingValue: numeric)

Description

Specify the intensity of a text color.

Parameters

ShadingValue: numeric	Percent. Full intensity: 100%.
 Related topics


ThirdPartyCreate

Syntax

(Id: numeric; Data: raw binary data)

Description

Insert a third-party function into a document.

Parameters

Id: numeric	The ID for the third party function.
Data: raw binary data	The data for the third party function.


ThirdPartyDelete

Syntax

(Id: numeric; From: enumeration; Direction: enumeration)

Description

Delete a third-party function from a document.

Parameters

Id: numeric	The ID for the third party function.
From: enumeration	BegOfFile! CurrentPos!
Direction: enumeration	Backward! Forward!


ThirdPartyFind
numeric:=ThirdPartyFind

Syntax

(From: enumeration; Direction: enumeration)

Description

Find the third-party id of the next or previous third party.

Parameters

From: enumeration	BegOfFile! CurrentPos!
Direction: enumeration	Backward! Forward!


ThirdPartyFindByID
raw binary data:=ThirdPartyFindByID

Syntax

(Id: numeric; From: enumeration; Direction: enumeration)

Description

Get the data from a third-party function.

Parameters

Id: numeric	The ID for the third party function.
From: enumeration	BegOfFile! CurrentPos!
Direction: enumeration	Backward! Forward!


ThousandsSeparator

Syntax

(Character: string)

Description

Specify a character to separate each three digits. Use when the FormatType parameter of TableCellNumberFormat, TableColumnNumberFormat, or TableNumberFormat is Comma!; or use with TableCellNumberUseCommas, TableColumnNumberUseCommas, or TableNumberUseCommas.

Parameters

Character: string	The character to use as a thousands separator.
 Related topics


TOACreateFullFormDlg

Syntax

()

Description

Display the Create Full Form dialog box. This command refers to the Table of Authorities.


TOADefineDlg

Syntax

()

Description

Display the Define Table of Authorities dialog box.


TOADefinition

Syntax

(SectionName: string; Style: any; Numbering: enumeration; Underline: enumeration; PageCombine: enumeration; NumberingFormat: string)

Description

Specify a section, define format options, and insert a table of authorities definition in the document.

Parameters

SectionName: string	The name of the section.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Underline: enumeration (optional)	NoToAUnderline! ToAUnderline!
PageCombine: enumeration (optional)	Combine sequential page numbers. Combine! NoCombine!
NumberingFormat: string (optional)	The numbering format for the table.
 Related topics


TOADefinitionCombine

Syntax

(SectionName: string; Combine: enumeration)

Description

Combine sequential page numbers in a table of authorities section.

Parameters

SectionName: string	The name of the section.
Combine: enumeration (optional)	Combine! NoCombine!


TOADefinitionCreate

Syntax

(SectionName: string; Style: any; Numbering: enumeration; Underline: enumeration; PageCombine: enumeration; NumberingFormat: string)

Description

Create a table of authorities definition.

Parameters

SectionName: string	The name of the section.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Underline: enumeration (optional)	Allow underlining. NoToAUnderline! ToAUnderline!
PageCombine: enumeration (optional)	Combine sequential page numbers. Combine! NoCombine!
NumberingFormat: string (optional)	The numbering format for the section.
 Related topics


TOADefinitionDelete

Syntax

(SectionName: string)

Description

Delete a table of authorities section definition.

Parameters

SectionName: string	The name of the section definition to delete.
 Related topics


TOADefinitionMode

Syntax

(SectionName: string; Numbering: enumeration)

Description

Specify a page numbering mode in a section. This command refers to the Table of Authorities.

Parameters

SectionName: string	The name of the section definition.
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefFollowsParenthesis! DefLeaders! DefNone!
 Related topics


TOADefinitionRename

Syntax

(OldSection: string; NewSection: string)

Description

Rename a section. This command refers to the Table of Authorities.

Parameters

OldSection: string	The original name of the section.
NewSection: string	The new name of the section.
 Related topics


TOADefinitionRetrieve

Syntax

(Filename: string; SectionName: string)

Description

Retrieve a section from another document into the current document. This command refers to the Table of Authorities.

Parameters

Filename: string	The filename of the section file.
SectionName: string	The name of the section to retrieve.
 Related topics


TOADefinitionStyle

Syntax

(SectionName: string; Style: any)

Description

Specify a table of authorities section style.

Parameters

SectionName: string	The name of the section.
Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle
 Related topics


TOADefinitionUnderline

Syntax

(Section: string; Action: enumeration)

Description

Turn Underlining on or off in a table of authorities section.

Parameters

Section: string	The name of the section.
Action: enumeration (optional)	NoToAUnderline! ToAUnderline!


TOAEditFullForm

Syntax

(ShortForm: string)

Description

Begin editing changes to a full form. SubstructureExit ends editing and saves changes. This command refers to the Table of Authorities.

Parameters

ShortForm: string	The name of the form.
 Related topics


TOAEditFullFormCBar

Syntax

()

Description

Display the Table of Authorities Full Form feature bar.

 Related topics


TOAEditFullFormDlg

Syntax

()

Description

Display the Edit Full Form dialog box. This command refers to the Table of Authorities.

 Related topics


TOAEditPageFormat

Syntax

(Listname: string; NumberFormat: any)

Description

Specify the text for page numbering in a table of authorities.

Parameters

Listname: string	The name of the list.
NumberFormat: any	Use a string to specify a custom format. DocFormat!
 Related topics


TOAEditSection

Syntax

(OldName: string; NewName: string)

Description

Rename a section name in the full form of a table of authorities.

Parameters

OldName: string	The original name of the form.
NewName: string	The new name of the form.


TOAEditShortForm

Syntax

(OldName: string; NewName: string)

Description

Rename a short form name in the full form of a table of authorities.

Parameters

OldName: string	The original name of the form.
NewName: string	The new name of the form.
 Related topics


TOAMark

Syntax

(SectionName: string; ShortForm: string)

Description

Mark the selected text as a table of authorities reference.

Parameters

SectionName: string (optional)	The name of the section.
ShortForm: string (optional)	The name of the form.
 Related topics


TOAMarkShortForm

Syntax

(ShortForm: string)

Description

Mark the current short form citation at the insertion point. This command refers to the Table of Authorities.

Parameters

ShortForm: string	The name of the form.
 Related topics


TOCDefine

Syntax

(WrapLastLevel: enumeration; NumberingFormat: string; {Style: any; Numbering: enumeration})

Description

Define a table of contents and insert the definition.

Parameters

WrapLastLevel: enumeration (optional)	Wrap the last level. No! Yes!
NumberingFormat: string (optional)	The page numbering format.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle
Numbering: enumeration (optional)	The page numbering mode for references. DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
 Related topics


TOCDefineDlg

Syntax

()

Description

Display the Define Table of Contents dialog box.

 Related topics


TOCMark

Syntax

(Level: numeric)

Description

Mark the selected text for the table of contents.

Parameters

Level: numeric
 Related topics


ToggleMergeView

Syntax

()

Description

Toggle between the merge form and data view.


ToolbarCount
numeric:=ToolbarCount

Syntax

()

Description

Return the number of active toolbars.


ToolbarName
string:=ToolbarName

Syntax

(Toolbar: numeric)

Description

Return the name of an active toolbar.

Parameters

Toolbar: numeric	The name of the active toolbar.


TotalPages
numeric:=TotalPages

Syntax

()

Description

Return the total number of pages in the current document. Not recordable. If something was added to the middle of a document that increased the total number of pages, TotalPages may not return the current value. Several techniques can be used to make sure this value is current. Moving to the end of the document is one of them.

If you do not use any of the optional parameters available, any existing code will be removed from the document in question.

The following is an example of moving to the end of the document before using TotalPages:

QuickmarkSet ()

PosDocBottom ()

QuickMarkFind ()

BookmarkDelete (Name: "QuickMark")

vPages := TotalPages ()

 Related topics


TotalPagesDisplay

Syntax

()

Description

Insert a code in the text to display the total number of pages.


TotalPagesMethod

Syntax

(Method: enumeration)

Description

Specify the page-numbering method for the total number of pages.

Parameters

Method: enumeration (optional)	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Note

•	If you do not specify an enumeration, any page numbering in your document in the Page (Page #) of (Tot Pages#) format is removed.

 Related topics


TotalPagesMethodQry
numeric:=TotalPagesMethodQry

Syntax

()

Description

Return the current page-numbering method for the total number of pages.

Return Value

0	Numbers

1	Lowercase letters

2	Uppercase letters

3	Lowercase Roman numerals

4	Uppercase Roman numerals


TransitionAdvisor

Syntax

()

Description

Open the Upgrade Expert, which helps you move to WordPerfect 8 from another word processor.


TwainAcquire

Syntax

()

Description

Scan an image into WordPerfect. This token is valid only if the optional TWAIN support files were installed using the Custom install option, and a TWAIN-compatible scanning device is installed.


TwainSelectSourceDlg

Syntax

()

Description

Display the Select Image Source dialog box. This token is valid only if the optional TWAIN support files were installed using the Custom install option, and a TWAIN-compatible scanning device is installed.


Type

Syntax

({Text: string})

Description

Insert text at the insertion point.

Parameters

Text: string (optional)	The text to type.
 Related topics


TypeChar

Syntax

(CharacterSet: numeric; Offset: numeric)

Description

Insert a character from the WordPerfect character sets. Not recordable.

Parameters

CharacterSet: numeric	The character to insert.
Offset: numeric	A WordPerfect character.
 Related topics


Typeover

Syntax

(State: enumeration)

Description

Turn Typeover on or off.

Parameters

State: enumeration	Off! On!
 Related topics


TypeoverKey

Syntax

()

Description

Toggle Typeover. Recordable substitute: Typeover.

 Related topics


TypesetManualKerningDlg

Syntax

()

Description

Display the Manual Kerning dialog box, which allows you to increase or decrease the space between two characters.

 Related topics


Undelete

Syntax

(Which: numeric)

Description

Restore the specified deletion at the insertion point. The first, second, or third most recent deletions can be restored.

Parameters

Which: numeric	The level to restore (1-3).
 Related topics


UndeleteDlg

Syntax

()

Description

Display the Undelete dialog box, which will allow you to restore one of the last three deletions.


UnderlineColor

Syntax

([ColorName: string][; Red: numeric][; Green: numeric][; Blue: numeric][; Shade: numeric])

Description

Lets you specify the underline color.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0 - 255
Green: numeric (optional)	Value: 0 - 255
Blue: numeric (optional)	Value: 0 - 255
Shade: numeric (optional)	Percent: 0 - 100
 Note

•	New command


UnderlineSpaces

Syntax

(State: enumeration)

Description

Underline spaces.

Parameter

State: enumeration	No! Yes!
 Related topics


UnderlineStyle

Syntax

(Style: enumeration)

Description

Lets you specify the underline style.

Parameter

Style: enumeration	Solid! Dotted! Dashed! DashDot! DashDotDot! Wave! Thick!
 Note

•	New command


UnderlineTabs

Syntax

(State: enumeration)

Description

Underline tabs.

Parameters

State: enumeration	No! Yes!
 Related topics


Undo

Syntax

(Number: numeric)

Description

Restore the last or the specified document change. Choosing Undo a second time restores the last undo.

Parameters

Number: numeric (optional)	Allow for multi-level undos.
 Related topics


UndoRedoDlg

Syntax

()

Description

Display the Undo/Redo History dialog box, which allows you to cancel or restore recent changes to a document.


UseRegQuotesWithNumbers

Syntax

(State: enumeration)

Description

Turn Use Regular Quotes with Numbers on or off.

Parameters

State: enumeration	Off! On!
 Related topics


UserFunction

Syntax

(Action: string; {Data: any})

Description

Execute a third-party execution command.

Parameters

Action: string	The action a third-party program performs. Form: <signature>:<action>. The four-character <signature> identifies a third-party application. The <action> specifies a third-party command.


VariableCodes

Syntax

(State: enumeration; EditType: Numeric)

Description

Edit variable codes.

Parameters

EditType: numeric
State: enumeration	WithoutOffCodes! WithOffCodes!


VariableCreate

Syntax

(Name: string; CreateFlag: Enumeration)

Description

Create a variable.

Parameters

CreateFlag: enumeration	CreateFromCurrentVar! CreateFromScratch!
Name: string	Name of the new variable.


VariableEditBegin

Syntax

()

Description

Begin editing a variable.


VariableEditEnd

Syntax

(State: Enumeration)

Description

Save or cancel variable changes.

Parameters

State: enumeration	Save! Cancel!


VariableDelete

Syntax

(VarName: String; Codes: Enumeration; Library: Enumeration)

Description

Delete a specified variable.

Parameters

VarName: String
Codes: enumeration	IncludingCodes! LeavingCodes!
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!


VariableListDlg

Syntax

()

Description

Insert a variable into the document.


VariableRename

Syntax

(Name: String)

Description

Rename a variable.

Parameters

Name: string	New name of variable.


VariableRetrieve

Syntax

(File: String; Library: Enumeration)

Description

Retrieve variables from a style file.

Parameters

Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
File: string	Name of style file.


VariableSave

Syntax

(Filename: String; Library: Enumeration)

Description

Save variables from a library to a style file.

Parameters

Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
File: string	Name of style file.


VariableView

Syntax

()

Description

Allows the user to display or hide the variable visual cue.


ViewDraft

Syntax

()

Description

Display a document without substructures such as headers, footers, and footnotes.

 Related topics


ViewOutline

Syntax

()

Description

Display the Outline feature bar and insert the first-level heading.


ViewPage

Syntax

()

Description

Display a document with substructures such as headers, footers, and footnotes.

 Related topics


ViewToggle

Syntax

()

Description

Toggle the view between HTML and Page.


ViewToolbarsDlg

Syntax

()

Description

Display the Toolbars dialog box.

 Related topics


ViewTwoPage

Syntax

()

Description

Display two document pages.

 Related topics


VLineCreate

Syntax

()

Description

Create a vertical line at the insertion point between the top and bottom margin.


VolumeNumber

Syntax

(Volume: numeric)

Description

Specify the active volume number.

Parameters

Volume: numeric	The number for the current volume.
 Related topics


VolumeNumberDecrement

Syntax

()

Description

Decrease the active volume number by one.


VolumeNumberDisplay

Syntax

()

Description

Insert the active volume number at the insertion point.


VolumeNumberIncrement

Syntax

()

Description

Increase the active volume number by one.


VolumeNumberMethod

Syntax

(NumberingMethod: enumeration)

Description

Specify a numbering type to display volume numbers.

Parameters

NumberingMethod: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


WatermarkA

Syntax

(Action: enumeration; Occurrence: enumeration; State: enumeration)

Description

Create, edit, or turn off Watermark A on the specified pages.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
State: enumeration (optional)	NoOverlay! Overlay!
 Related topics


WatermarkB

Syntax

(Action: enumeration; Occurrence: enumeration; State: enumeration)

Description

Create, edit, or turn off Watermark B on the specified pages.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
State: enumeration (optional)	NoOverlay! Overlay!
 Related topics


WatermarkDlg

Syntax

()

Description

Display the Watermark dialog box in order to create a watermark.


WatermarkNext

Syntax

()

Description

Go to the next watermark.


WatermarkPlacementDlg

Syntax

()

Description

Display the Pages dialog box to specify the pages on which your watermark will appear.


WatermarkPrev

Syntax

()

Description

Go to the previous watermark.


WatermarkShadingDlg

Syntax

()

Description

Display the Watermark Shading dialog box.


WatermarkShippingMacro

Syntax

()

Description

Play the shipping macro WATERMRK.WCM to display the Watermark Options dialog box, where you can select Watermark A or B, and graphics or text. If Graphics is selected, the Graphics Watermarks dialog box is displayed with a list of watermarks to preview or insert. If Text is selected, the Watermark Creation Macro dialog box is displayed when you enter watermark text to insert. WATERMARK.WCM must be installed.


WebActiveLinkColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric)

Description

Set the active hypertext-link color of the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebActiveLinkColorBlue
numeric:=WebActiveLinkColorBlue

Syntax

()

Description

Return the blue value of the active hypertext-link color for the active Web document. If the active document is not a Web document, the blue value of the default active hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebActiveLinkColorGreen
numeric:=WebActiveLinkColorGreen

Syntax

()

Description

Return the green value of the active hypertext-link color for the active Web document. If the current document is not a Web document, the green value of the default active hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebActiveLinkColorRed
numeric:=WebActiveLinkColorRed

Syntax

()

Description

Return the red value of the active hypertext-link color for the active Web document. If the current document is not a Web document, the red value of the default active hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebBackgroundColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric)

Description

Set the background color of the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebBackgroundColorBlue
numeric:=WebBackgroundColorBlue

Syntax

()

Description

Return the blue value of the background color for the active Web document. If the active document is not a Web document, the blue value of the default background color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebBackgroundColorGreen
numeric:=WebBackgroundColorGreen

Syntax

()

Description

Return the green value of the background color for the active Web document. If the active document is not a Web document, the green value of the default background color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebBackgroundColorRed
numeric:=WebBackgroundColorRed

Syntax

()

Description

Return the red value of the background color for the active Web document. If the active document is not a Web document, the red value of the default background color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebBackgroundImage

Syntax

(Filename: string)

Description

Specify a background image for the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Filename: string	The filename of the image you want to use as a page background.
 Related topics


WebBaseURL

Syntax

(URL: string)

Description

Specify the base URL for the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

URL: string	The URL to use as the base for the current Web document.
 Related topics


WebBoxHTMLProperties

Syntax

(Properties: string)

Description

Specify the HTML properties of the active box. Precede with BoxCreate or BoxEdit and end with BoxEnd.

Parameters

Properties: string	The properties of the current box.
 Related topics


WebBoxHTMLPropertiesDlg

Syntax

()

Description

Display the Box HTML Properties dialog box. Valid only when a graphics box is selected.

 Related topics


WebColorDlg

Syntax

()

Description

Display the HTML Document Properties (Text/Background color) dialog box.


WebColumnDefineDlg

Syntax

()

Description

Specify the number and size of columns.


WebCustomHTMLToggle

Syntax

()

Description

Turn Web Custom HTML on or off.


WebFormsFormPropertiesDlg

Syntax

()

Description

Display the Properties dialog for a form.


WebFormsHiddenDlg

Syntax

()

Description

Display the Properties dialog for a hidden field.


WebFormsListPropertiesDlg

Syntax

()

Description

Display the Properties dialog for a selection list.


WebFormsProperties

Syntax

()

Description

Edit the properties of the form or form field.


WebFormsRadioPropertiesDlg

Syntax

()

Description

Display the Properties dialog for a radio button or check box.


WebFormsTextAreaPropertiesDlg

Syntax

()

Description

Display the Properties dialog for a multi-line text field.


WebFormsTextPropertiesDlg

Syntax

()

Description

Display the Properties dialog for a text or password field.


WebInsertCheckBox

Syntax

()

Description

Insert a check box into the form.


WebInsertForm

Syntax

()

Description

Create a new Web form.


WebInsertHiddenField

Syntax

()

Description

Insert a hidden field into the form.


WebInsertPassword

Syntax

()

Description

Insert a password field into the form.


WebInsertRadioButton

Syntax

()

Description

Insert a radio button into the form.


WebInsertResetButton

Syntax

()

Description

Insert a reset button into the form.


WebInsertSelectList

Syntax

()

Description

Insert a selection list into the form.


WebInsertSubmitButton

Syntax

()

Description

Insert a submit button into the form.


WebInsertSubmitImage

Syntax

()

Description

Insert a submit image into the form.


WebInsertTextArea

Syntax

()

Description

Insert a text area into the form.


WebInsertTextLine

Syntax

()

Description

Insert a text line into the form.


WebJavaCreateApplet

Syntax

()

Description

Create a Java applet.


WebJavaModifyApplet

Syntax

()

Description

Modify a Java applet.


WebJavaRunApplets

Syntax

()

Description

View the Java applets that are running.


WebLaunchWebBrowser

Syntax

(Location: string)

Description

Call the Web browser and go to the specified location.

Parameters

Location: string (optional)	The location (URL address) to go to. This is sometimes called an Internet address, Web address, or Web site. If no address is specified, the Corel Corporation URL is used.
 Related topics


WebLinkColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric)

Description

Specify the hypertext-link color of the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebLinkColorBlue
numeric:=WebLinkColorBlue

Syntax

()

Description

Return the blue value of the hypertext-link color for the active Web document. If the current document is not a Web document, the blue value of the default hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebLinkColorGreen
numeric:=WebLinkColorGreen

Syntax

()

Description

Return the green value of the hypertext-link color for the active Web document. If the current document is not a Web document, the green value of the default hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebLinkColorRed
numeric:=WebLinkColorRed

Syntax

()

Description

Return the red value of the hypertext-link color for the active Web document. If the current document is not a Web document, the red value of the default hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebMetaTags

Syntax

(Meta: string)

Description

Specify Meta tags for the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Meta: string
 Related topics


WebMonoToggle

Syntax

()

Description

Turn Web Monospaced on or off.


WebNewDlg

Syntax

()

Description

Display the Select New Web Document dialog box.

 Related topics


WebPublish

Syntax

(Filename: string)

Description

Save the current document in HTML format (.HTM).

Parameters

Filename: string	The path and filename of the HTML document.
 Related topics


WebPublishDlg

Syntax

()

Description

Display the Publish to Web dialog box.

 Related topics


WebTableProperties

Syntax

([TableBordWidth: numeric][; CellBordWidth: numeric][; CellMarginWidth: numeric][; TableWidthType: enumeration][; TableWidth: numeric][; TableHeightType: enumeration][; TableHeight: numeric][; TablePosition: enumeration])

Description

Lets you edit the properties of a table in HTML

Parameters

TableBordWidth: numeric (optional)	The width of the border of the table
CellBordWidth: numeric (optional)	The width of the border of the cell
CellMarginWidth: numeric (optional)	The width of the margin of the cell
TableWidthType: enumeration (optional)	NotSet! WPUs! Pixels! Percent!
TableWidth: numeric (optional)	The width of the table
TableHeightType: enumeration (optional)	NotSet! WPUs! Pixels! Percent!
TableHeight: numeric (optional)	The height of the table
TablePosition: enumeration (optional)	Top! Center! Bottom!
 Note

•	New command


WebTextColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric)

Description

Set the regular-text color of the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebTextColorBlue
numeric:=WebTextColorBlue

Syntax

()

Description

Return the blue value of the text color for the active Web document. If the current document is not a Web document, the blue value of the default text color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebTextColorGreen
numeric:=WebTextColorGreen

Syntax

()

Description

Return the green value of the text color for the active Web document. If the current document is not a Web document, the green value of the default text color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebTextColorRed
numeric:=WebTextColorRed

Syntax

()

Description

Return the red value of the text color for the active Web document. If the current document is not a Web document, the red value of the default text color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebTitle

Syntax

(Title: any)

Description

Specify the title for the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Title: any	Auto!
 Related topics


WebTitleDlg

Syntax

()

Description

Display the Title dialog box for Web documents. This command is valid only when WordPerfect is in Web Editor mode.

 Related topics


WebViewAsHTML

Syntax

()

Description

View the active document using HTML.


WebViewInWebBrowser

Syntax

()

Description

Convert the current document to HTML format and view it in a Web browser. This command is valid only if you have a Web browser installed.

 Related topics


WebVisitedLinkColor

Syntax

(Red: numeric; Green: numeric; Blue: numeric)

Description

Specify the visited hypertext-link color of the active Web document. This command is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.


WebVisitedLinkColorBlue
numeric:=WebVisitedLinkColorBlue

Syntax

()

Description

Return the blue value of the visited hypertext-link color for the active Web document. If the current document is not a Web document, the blue value of the default visited hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebVisitedLinkColorGreen
numeric:=WebVisitedLinkColorGreen

Syntax

()

Description

Return the green value of the visited hypertext-link color for the active Web document. If the current document is not a Web document, the green value of the default visited hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebVisitedLinkColorRed
numeric:=WebVisitedLinkColorRed

Syntax

()

Description

Return the red value of the visited hypertext-link color for the active Web document. If the current document is not a Web document, the red value of the default visited hypertext-link color for Web documents is returned.

Return Value

Value: 0-255.

 Related topics


WebWallpaper

Syntax

()

Description

Lets you specify the document colors and the wallpaper image.

 Note

•	New command


WidowOrphan

Syntax

(State: enumeration)

Description

Turn Widow/Orphan on or off.

Parameters

State: enumeration	Off! On!
 Related topics


WindowCascade

Syntax

()

Description

Overlap document windows to display the title bar of each window.


WindowTile

Syntax

()

Description

Arrange all open document windows top to bottom without overlapping them.


WindowTileVertical

Syntax

()

Description

Arrange all open document windows side by side without overlapping them.

 Related topics


WordCountDlg

Syntax

()

Description

Display document information, such as word and page count, and words per sentence.


WordHelpTopics

Syntax

()

Description

Display a list of Word Help topics.


WordLetterspaceDlg

Syntax

()

Description

Display the Word/Letter Spacing dialog box.


WordLetterSpacing

Syntax

(CharacterWidth: enumeration; SpaceWidth: enumeration)

Description

Specify the display spacing between words and letters. Normal: recommended by font manufacturer. Optimal: recommended by WordPerfect.

Parameters

CharacterWidth: enumeration	The spacing between words. Use a number to specify a percent of the Optimal! default. Maximum! Normal! Optimal!
SpaceWidth: enumeration	The spacing between letters. Use a number to specify a percent of the Optimal! default. Maximum! Normal! Optimal!
 Related topics


WordSpacingJustificationLimits

Syntax

(Compression: numeric; Expansion: numeric)

Description

Adjust the spacing between words when Full justification is on. When a word-spacing limit is reached, character spacing begins.

Parameters

Compression: numeric	The minimum percent.
Expansion: numeric	The maximum percent.
 Related topics


WP51CursorMovement

Syntax

(State: enumeration)

Description

Turn WordPerfect 5.1 for DOS cursor movement on or off. When WordPerfect 5.1 cursor movement is on, the insertion point moves through codes as if Reveal Codes were on, regardless of the state of Reveal Codes.

Parameters

State: enumeration	Off! On!


WPActivate

Syntax

()

Description

Activate WordPerfect. Use with DDE links to another application.


WPCharactersDlg

Syntax

()

Description

Display the WordPerfect Characters dialog box.


WPDictionary

Syntax

()

Description

Look up words in the dictionary.


WPDraw

Syntax

()

Description

Open WordPerfect Draw.

 Related topics


WPGrammatik

Syntax

()

Description

Open Grammatik. This product allows you to check grammar and spelling in a document.

 Related topics


WPSpeller

Syntax

()

Description

Display the Spell Checker dialog box.

 Related topics


WPThesaurus

Syntax

()

Description

Display the Thesaurus dialog box. The Thesaurus allows you to get synonyms, antonymns, definitions, and usages examples for words.


WritingToolsDisable

Syntax

()

Description

Toggle grammar and spell checking on or off at the insertion point or for the selected text. This command inserts a [Writing Tools: Disabled] or [Writing Tools: Enabled] code at the insertion point, depending on the current state.

 Related topics


XMLPublish

Syntax

()

Description

Saves the current document to XML format.

Parameters

Filename: string	Specifies the XML output filename (including the full path).


XMLPublishDlg

Syntax

()

Description

Launches the Publish to XML dialog.


XMLPublishSetGIFOptions

Syntax

()

Description

Allows users to specify the value of certain options related to graphics when the graphic format is a GIF.

Parameters

Transparency: enumeration (required)	No! (0) Yes! (1)
Interlaced: enumeration (required)	No! (0) Yes! (1)
ColorName: string
Red: numeric
Green: numeric
Blue: numeric


XMLPublishSetGraphicFormat

Syntax

()

Description

Allows users to specify which graphic format is to be used for publishing graphics to XML.

Parameters

GraphicFormat: enumeration	GIF! (0) JPEG! (1)


XMLPublishSetJPEGOptions

Syntax

()

Description

Allows users to specify the value of certain options related to graphics when the graphic format is JPEG.

Parameters

Quality: numeric


ZoomDlg

Syntax

()

Description

Display the Zoom dialog box, which allows you to change the magnification of the active window.

 Related topics


ZoomIn

Syntax

()

Description

Lets you increase the magnification of the active window.


ZoomOut

Syntax

()

Description

Lets you decrease the magnification of the active window.


ZoomToFullPage

Syntax

()

Description

Display a full page on screen.

 Related topics


ZoomToMarginWidth

Syntax

()

Description

Display a document at the current margin width.

 Related topics


ZoomToPageWidth

Syntax

()

Description

Display everything contained between the left and right edges of the current page.


Default Topic
WordPerfect Macros Help

Click the Help Topics button to return to the list of topics.


WordPerfect Product Commands
WordPerfect Macro Commands List

PerfectScript Macro Commands List

A

AbbreviationCreate

AbbreviationDelete

AbbreviationDlg

AbbreviationExpand

AbbreviationsShippingMacro

AboutDlg

AddressBookDlg

AddressBookFormatAdd

AddressBookFormatDelete

AddressBookFormatGetCurrent

AddressBookFormatGetCount

AddressBookFormatGetName

AddressBookFormatGetFormat

AddressBookGetCount

AddressBookGetFieldCount

AddressBookGetFieldNumber

AddressBookGetFieldName

AddressBookGetName

AddressBookInsertAddr

AddressBookRecordAddField

AddressBookRecordCreate

AddressBookRecordEnd

AddressBookSelectionFormatAddr

AddressBookSelectionGetField

AddressMergeShippingMacro

Advance

AdvanceDlg

AllFontsShippingMacro

Append

AppendToFile

ApplicationBarShow

ApplyHeading1

ApplyHeading2

ApplyHeading3

ApplyHeading4

ApplyHeading5

AppMaximize

AppMinimize

AppMove

AppRestore

AppSize

AppTaskList

AssociateDlg

AttributeAppearanceOn

AttributeAppearanceToggle

AttributeAppearanceOff

AttributeNormal

AttributePosition

AttributePositionToggle

AttributeRelativeSize

AttributeRelativeSizeToggle

AttributeSizeRatios

AutoCodePlacement

AutoScrollOn

AutoWordSelect

B

BackTab

Backup

BackupMinutes

BackupOriginalDoc

BarcodeDlg

BarcodePOSTNET

BaselinePlacement

Binding

BindingOptionsDlg

BlockProtect

BlockProtectToggle

BoldKey

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename

BorderBottomLine

BorderColor

BorderCornerRadius

BorderDropShadow

BorderInsideSpacing

BorderLeftLine

BorderOutsideSpacing

BorderRightLine

BorderSeparatorLine

BorderSetSpacing

BorderStyleCopy

BorderStyleCreate

BorderStyleDelete

BorderStyleEdit

BorderStyleEnd

BorderStyleName

BorderStyleRetrieve

BorderStyleSave

BorderTopLine

BorderUseBorderColor

BoxAddText

BoxAlignDistrDlgProc

BoxAttachTo

BoxBackwardOne

BoxBorder

BoxBorderDlg

BoxCaptionEdit

BoxCaptionEditEnd

BoxCaptionFormatting

BoxCaptionInitialStyle

BoxCaptionNumberStyle

BoxCaptionPosition

BoxCaptionRotation

BoxChangeLineHeight

BoxChangeStyle

BoxContentEdit

BoxContentPosition

BoxContentPreserveAspectRatio

BoxContentType

BoxCounter

BoxCreate

BoxDelete

BoxEdit

BoxEditByCounter

BoxEditNext

BoxEditPrevious

BoxEnd

BoxEquationColor

BoxEquationDefaultFont

BoxEquationFilename

BoxEquationFont

BoxEquationFontSize

BoxEquationRedisplay

BoxEquationSaveAsGraphic

BoxFill

BoxForwardOne

BoxHeight

BoxHorizontalAlignment

BoxHorizontalPosition

BoxImageBlackWhiteThreshold

BoxImageBrightness

BoxImageContrast

BoxImageDitherMethod

BoxImageFill

BoxImageFlipX

BoxImageFlipY

BoxImageHalfToneOptions

BoxImageInvertColors

BoxImageMonochrome

BoxImageMove

BoxImageRetrieve

BoxImageRotate

BoxImageSave

BoxImageScaling

BoxImageShowBackground

BoxInitialStyleDlg

BoxOLEEditObject

BoxOverlap

BoxPosDlg

BoxResetBorder

BoxResetCaption

BoxResetContent

BoxResetContentRender

BoxResetCounter

BoxResetFill

BoxResetPosition

BoxResetTextFlow

BoxSaveLookAsStyle

BoxSizeNotLimited

BoxStaysOnPage

BoxStyleCopy

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleEnd

BoxStyleName

BoxStyleRetrieve

BoxStyleSave

BoxSuppress

BoxTextAngle

BoxTextDefaultStyle

BoxTextEdit

BoxTextEditEnd

BoxTextFilename

BoxTextFlow

BoxTextFlowContour

BoxTextFlowSquare

BoxToBack

BoxToFront

BoxUpdateDisplay

BoxVerticalAlignment

BoxVerticalPosition

BoxWidth

BoxWrapDlg

BrowseNext

BrowsePrevious

BulletDlg

BulletSetCounter

ButtonBarAddItem

ButtonBarCreateDlg

ButtonBarDeleteItem

ButtonBarEditDlg

ButtonBarOptionsDlg

ButtonBarScrollbarToggle

ButtonBarSelect

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle

ButtonBarShow

ButtonBarShowToggle

C

CapBeginSentence

CaseToggle

Center

CenterCurrentPage

CenterPageDlg

CenterPages

ChangeWatermarkGraphicShade

ChangeWatermarkTextShade

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod

Char

CharMappingDlg

CheckBoxShippingMacro

CleanUpSpaces

ClearDoc

ClearUndoLevels

ClipboardAppendTo

ClipboardRetrieve

ClipboardSaveTo

ClipboardShippingMacro

Close

CloseAllShippingMacro

CloseNoSave

CodePage

CodePageDlg

ColorAdd

ColorDelete

ColorModify

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteDlg

ColorPaletteRename

ColorPaletteSelect

ColumnBorderDlg

ColumnDefineDlg

ColumnsDefinition

ColumnsOff

ColumnsOn

CommentConvert

CommentCreate

CommentEdit

CommentInformation

CommentInsertTime

CommentInsertUserInitials

CommentInsertUserName

CommentsDisplaySetup

ConditionalEndOfPage

ConvertCaseInitialCaps

ConvertCaseLowercase

ConvertCaseUppercase

Copy

CopyAndPaste

CorelVersionArchiveCurrentDlg

CorelVersionRetrieveDocumentDlg

CorelVersionRetrieveCurrentDlg

CounterCreate

CounterDecrement

CounterDelete

CounterDisplay

CounterDlg

CounterEditLevel

CounterEditLevelMethod

CounterEditLevelName

CounterEditMethod

CounterEditName

CounterIncrement

CounterSetMethod

CounterSetValue

CreateBoxToggle

CreateMapFile

CreateRegionLink

CrossRefMarkReference

CrossRefMarkTarget

CtrlBreak

CustomBoxDlg

Cut

CutAndPaste

D

DateCode

DateFormat

DateFormatDlg

DateText

DDEChangeUpdateMode

DDECreateLink

DDECreateLinkDlg

DDEDeleteLink

DDEDeleteLinkDlg

DDEEditLink

DDEEditLinkDlg

DDEPasteLink

DDEUpdateLink

DDEUpdateLinkDlg

DecimalAlignmentCharacter

DelayCodes

DelayCodesDlg

DeleteAppend

DeleteCharNext

DeleteCharPrevious

DeleteToBeginningOfWord

DeleteToEndOfLine

DeleteToEndOfPage

DeleteToEndOfWord

DeleteWord

DirectoryCreate

DirectoryExists

Display

DisplayMode

DisplaySuppressedBoxes

DisplayZoom

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg

DocCompareRemoveRedline

DocInitialFont

DocInitialFontDlg

DocMapDlg

DocMapRefresh

DocMaximize

DocMinimize

DocMove

DocNext

DocPrevious

DocRedlineMethodDlg

DocRestore

DocSize

DocSummaryConfig

DocSummaryDelete

DocSummaryDlg

DocSummaryPrint

DocSummarySaveAs

DocSumGet

DocSumSet

DocumentCompare

Document Info

DotLeader

DoubleSidedPrint

DoubleSmartQuote

DraftZoom100

DraftZoomMargin

DropCapAdjustDlg

DropCapBegin

DropCapBorderFillDlg

DropCapBorderStyle

DropCapCharacters

DropCapCharacterSize

DropCapContourWrap

DropCapControlBar

DropCapDialog

DropCapEnd

DropCapFillStyle

DropCapFontDlg

DropCapHorizontalAdjustment

DropCapIncludeDescender

DropCapIncludeDiacritic

DropCapKerning

DropCapNoWrap

DropCapOff

DropCapPositionOtherDlg

DropCapSizeDlg

DropCapStart

DropCapVerticalAdjustment

E

EditBoxDlg

EditBoxDlgClose

EditComment

EditCopy

EditCut

EditPaste

EditPasteSimple

EndCenterOrAlignment

EndnoteCreate

EndnoteEdit

EndnoteEditDlg

EndnoteFootnoteConvert

EndnoteFootnoteNext

EndnoteFootnotePrev

EndnoteMinimum

EndnoteNewNumber

EndnoteNumberDecrement

EndnoteNumberDisplay

EndnoteNumberIncrement

EndnoteNumberMethod

EndnoteOptions

EndnoteOptionsDlg

EndnotePlacement

EndnotePlacementDlg

EndnoteSetNumberDlg

EndnotesSpaceBetween

EndnoteToFootnoteShippingMacro

EndOfSentenceSpacing

EnterKey

EnvelopeAddressPositionUpdate

EnvelopeCreate

EnvelopeDlg

EnvelopePositionsDlg

EnvelopeSavePaperSize

EquationBaseFontDlg

EquationCreate

EquationPalette

EquationPaletteToggle

EquationRetrieveDlg

EquationZoomDlg

ExitWordPerfect

ExpandAllAbbrevShippingMacro

ExpandDlg

F

FancyPageBorder

FancyPageBorderInParagraph

FancyPageBorderOccur

FancyPageBorderOff

FigurePaletteDlg

FigurePaletteDlgEnd

FigureRetrieveDlg

FileChangeAttributes

FileChangeDir

FileCopy

FileDelete

FileExists

FileInsert

FileInsertDlg

FileMove

FileNew

FileOpen

FileOpenDlg

FileRemoveDirectory

FileSave

FileSaveAsDlg

FileStampShippingMacro

FillColors

FillSetGradient

FillSetWPG2

FillStyleCopy

FillStyleCreate

FillStyleDelete

FillStyleEdit

FillStyleEnd

FillStyleName

FillStyleRetrieve

FillStyleSave

FindDlg

FirstLineIndent

FloatingCellBegin

FloatingCellCreate

FloatingCellEdit

FloatingCellEnd

FloatingCellFormula

FloatingCellNumAlignCurrency

FloatingCellNumberDateFormat

FloatingCellNumberDecDigits

FloatingCellNumberFormat

FloatingCellNumberNegNumber

FloatingCellNumberRound

FloatingCellNumberUseCurrency

FloatingCellNumberUseCommas

FloatingCellNumSelectCurrency

FlushRight

FlushRightWithDotLeaders

Font

FontDlg

FontDnShippingMacro

FontDown

FontDoubleUnderlineToggle

FontExtraLargeToggle

FontFineToggle

FontHiddenToggle

FontItalicToggle

FontLargeToggle

FontOutlineToggle

FontRedlineToggle

FontShadowToggle

FontSize

FontSmallCapsToggle

FontSmallToggle

FontStrikeoutToggle

FontSubscriptToggle

FontSuperscriptToggle

FontUnderlineToggle

FontUp

FontUpShippingMacro

FontVeryLargeToggle

FooterA

FooterB

FooterSeparationDistance

FootnoteContinuedMessage

FootnoteCreate

FootnoteEdit

FootnoteEditDlg

FootnoteMinimum

FootnoteNewNumber

FootnoteNewNumberDlg

FootnoteNumberDecrement

FootnoteNumberDisplay

FootnoteNumberIncrement

FootnoteNumberMethod

FootnoteOptions

FootnoteOptionsDlg

FootnotePosition

FootnoteRestartEachPage

FootnoteSeparatorLine

FootnoteSpaceBetween

FootnoteToEndnoteShippingMacro

ForcePage

ForcePageDlg

FormatMarginsDlg

FormElementsToolbar

G

GenerateDlg

GenerateDoc

GetAcceleratorText

GetData

GotoDosShippingMacro

GoToQuickmarkOnOpen

GraphicBoxStyleDlg

GraphicCreateBox

GraphicCreateChart

GraphicCreateTextArt

GraphicCustomMenuDlg

GraphicEditBox

GraphicsBoxCaptionDlg

GraphicsBoxContentDlg

GraphicsBoxFindDlg

GraphicsBoxSizeDlg

GraphicsFigureEditAllDlg

GraphicsLineColor

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEdit

GraphicsLineEditNext

GraphicsLineEditPrevious

GraphicsLineEnd

GraphicsLineHorizontalPosition

GraphicsLineLength

GraphicsLineSpacing

GraphicsLineStyle

GraphicsLineThickness

GraphicsLineType

GraphicsLineUpdateDisplay

GraphicsLineUseColor

GraphicsLineVerticalPosition

GraphicsStylesDlg

Guidelines

GuidelinesDlg

H

HardColumnBreak

HardPageBreak

HardPageBreakInsert

HardPageBreakKey

HardReturn

HardReturnInsert

HardSpace

HeaderA

HeaderB

HeaderFooterDistanceDlg

HeaderFooterDlg

HeaderFooterNext

HeaderFooterPlacementDlg

HeaderFooterPlacement

HeaderFooterPrev

HeaderSeparationDistance

HelpAskThePerfectExpert

HelpCoachDlg

HelpContents

HelpFilesPath

HelpHelpTopics

HelpHowDoI

HelpHowToUseHelp

HelpKeystrokes

HelpMacroManual

HelpOnlineSupportDlg

HelpSearchForHelpOn

HelpShowMe

HelpWhatIs

HiddenText

HiddenTextShowAll

HideBars

HighlightColor

HighlightColorDlg

HighlightPrint

HighlightRemove

HighlightToggle

HLineCreate

HTMLPublish

Hypertext

HypertextCreate

HypertextCreateDlg

HypertextDelete

HypertextEdit

HypertextEditDlg

HypertextExecute

HypertextInfo

HypertextNext

HypertextPrevious

HypertextReturnFrom

HypertextStyleEdit

Hyphen

Hyphenation

HyphenationIgnore

HyphenationSoftReturn

HyphenationZoneLeft

HyphenationZoneRight

I

ImportCreateDlg

ImportDlg

ImportDoEdit

ImportDoImport

ImportDoLink

ImportDoUpdate

ImportEditDlg

ImportOptionsDlg

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip

ImportSetDataSource

ImportSetDestination

ImportSetDictPath

ImportSetFields

ImportSetFileName

ImportSetFilePath

ImportSetFirstRecFieldNames

ImportSetIncludeNames

ImportSetPanel

ImportSetPassword

ImportSetQuery

ImportSetRange

ImportSetServer

ImportSetSizeToFit

ImportSetSource

ImportSetSQLQuery

ImportSetTable

ImportSetUserID

ImportUpdateDlg

Indent

IndentLeftRight

IndexDefineDlg

IndexDefinition

IndexMark

InhibitInput

InitialCapShippingMacro

InitialCodesDoc

InitialCodesStyleDlg

InsertDefaultBullet

InsertFilename

InsertFilenameWithPath

InsertMergeField

InsertOtherCodesDlg

InternetPublisherDlg

InvokeDialog

IrregularCap

IsTokenValid

J

Justification

JustifyAll

JustifyCenter

JustifyFull

JustifyLeft

JustifyRight

K

KeepTextTogetherDlg

Kerning

KerningSpacing

KeyboardSelect

KeyboardSelectDlg

L

LabelsDefine

LabelsDelete

LabelsDlg

LabelsFileCreate

LabelsFileDescription

LabelsFileSelect

LabelsOff

LabelsSelect

Language

LanguageDlg

LastOpenedAdd

LaunchOnlineService

Leading

LineBreak

LineCreateDlg

LineEditDlg

LineHeight

LineHeightDlg

LineHyphenationDlg

LineNumbering

LineNumberingDlg

LineNumberingMethod

LineNumberSet

LineNumberShippingMacro

LineSegmentColor

LineSegmentCreate

LineSegmentDelete

LineSegmentEdit

LineSegmentEnd

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetUserEnd

LineSegmentSetWPG2

LineSegmentSpacing

LineSegmentWavy

LineSegmentWavyWidth

LineSegmentWidth

LineSpacing

LineSpacingDlg

LineStyleCopy

LineStyleCreate

LineStyleDelete

LineStyleEdit

LineStyleEnd

LineStyleName

LineStyleRetrieve

LineStyleSave

ListDefineDlg

ListDefinition

ListDefinitionCreate

ListDefinitionDelete

ListDefinitionEditBox

ListDefinitionMode

ListDefinitionRename

ListDefinitionRetrieve

ListDefinitionStyle

ListEditPageFormat

ListMark

LotusNotesHandle

M

MacroCommandInserter

MacroConverterShippingMacro

MacroEditControlBar

MacroExecuteQuick

MacroFileChain

MacroFilePlay

MacroMenuAdd

MacroMenuDelete

MacroPause

MacroStatusPrompt

MacroTemplatePlay

MailDlg

MakeItFit

MakeItFitDlg

MarginAdjustLeft

MarginAdjustRight

MarginBottom

MarginLeft

MarginReleaseInsert

MarginRight

MarginTop

MarkCrossRef

MarkCrossRefUpdateList

MarkIndex

MarkIndexUpdateList

MarkList

MarkListUpdateList

MarkTableOfAuthorities

MarkTableOfContents

MarkTOAUpdateList

MasterDocCondense

MasterDocCondenseDlg

MasterDocExpand

MasterDocSubdocDlg

MatchElement

MatchExtendSelection

MatchFindIfInElements

MatchLimit

MatchPositionAfter

MatchPositionBefore

MatchSelection

MatchSkipIfInElements

MatchWithAttributes

MatchWithFont

MatchWithFontSize

MenuAddFeature

MenuAddMacro

MenuAddProgram

MenuAddScript

MenuAddSeparator

MenuAddSubMenu

MenuDeleteItemEx

MenuSelect

MenuSelectDlg

MergeAddressBook

MergeAddressBookSaveAs

MergeBlankField

MergeCode

MergeCodesDisplayEdit

MergeCodesDisplayRun

MergeCodesDlg

MergeCondition

MergeDataFile

MergeDlg

MergeEndField

MergeEndRecord

MergeEnvelope

MergeEnvelopeDefinitionBegin

MergeEnvelopeDefinitionEnd

MergeFileAssociate

MergeFileAssociateAddressBook

MergeFileAssociateODBC

MergeFilesDlg

MergeFileType

MergeFormDlg

MergeMark

MergeODBC

MergePageBreak

MergePrintText

MergeRepeat

MergeRun

MergeSelect

MergeTableDataDlg

MergeTextDataDlg

MiniBrowser

MinusSign

MoveModeEnd

N

NewHFWOccurrence

NumberingOptionDlg

O

ObjectImageArrow

ObjectImageCreate

ObjectImageDropShadow

ObjectImageLineColor

ObjectImageLineStyle

ObjectImageLineThickness

ObjectImagePolyline

ObjectImageRemove

ObjectImageRotation

OLE1InsertDlg

OLE1LinksDlg

OLE1PasteDlg

OLEAcceptLinks

OLECancelLink

OLEChangeLink

OLEDeactivate

OLEInitializeLinks

OLEInsertDlg

OLEInsertObject

OLEInsertObjectFile

OLELinksDlg

OLEObject

OLEPasteDlg

OLESetLinkUpdate

OLEUpdateLink

OLEVerb

OnlineHelpSupport

OutlineApply

OutlineBarDisplay

OutlineBarSetup

OutlineBeginNew

OutlineBodyText

OutlineBodyTextToggle

OutlineChangeToBodyText

OutlineEnd

OutlineFamilyCopy

OutlineFamilyCut

OutlineFamilyDemote

OutlineFamilyDown

OutlineFamilyDragDown

OutlineFamilyDragUp

OutlineFamilyHide

OutlineFamilyLeft

OutlineFamilyMove

OutlineFamilyPromote

OutlineFamilyRight

OutlineFamilySelect

OutlineFamilyShow

OutlineFamilyUp

OutlineHideShowingBodyText

OutlineIconsDisplay

OutlineInsertParagraphNumber

OutlineInsertParagraphNumberDlg

OutlineNumberDlg

OutlineOff

OutlineParagraphCopy

OutlineParagraphDelete

OutlineParagraphDemote

OutlineParagraphDragDown

OutlineParagraphDragUp

OutlineParagraphMove

OutlineParagraphNumberInsert

OutlineParagraphNumber

OutlineParagraphPromote

OutlineParagraphSelect

OutlineRight

OutlineSetParagraphNumber

OutlineShow

OutlineStyleCopy

OutlineStyleCreate

OutlineStyleDelete

OutlineStyleDescription

OutlineStyleEditBegin

OutlineStyleEditEnd

OutlineStyleLeadingZeros

OutlineStyleLevel

OutlineStyleNumberFormat

OutlineStyleNumbersOnly

OutlineStyleRename

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect

OutlineStyleType

OutlineUp

OverstrikeCreate

OverstrikeCreateDlg

OverstrikeEdit

P

PageBorderDlg

PageNumber

PageNumberDecrement

PageNumberDisplay

PageNumberDisplayFormat

PageNumberFormat

PageNumberIncrement

PageNumberingAdjustDlg

PageNumberingCountDlg

PageNumberingDlg

PageNumberingInsertDlg

PageNumberMethod

PageNumberPosition

PageNumberSettingsDlg

PageSetupDlg

PageSuppressDlg

PageZoomFull

PaneNext

PanePrevious

PaperSizeAdd

PaperSizeDelete

PaperSizeDlg

PaperSizeResave

PaperSizeSelect

ParagraphBorderDlg

ParagraphBreakShippingMacro

ParagraphDown

ParagraphFormatDlg

ParagraphHangingIndent

ParagraphNumberDefDlg

ParagraphSetNumber

ParagraphSpacing

ParagraphUp

Paste

PasteLink

PasteUnformattedText

PauseCommand

PauseKey

PauseSet

PdfDlg

PersonalInfoDlg

PersonalInfoFormatAddr

PersonalInfoGetField

PlayClipBoardShippingMacro

PlayFileShippingMacro

PlaySelectionShippingMacro

PleadingShippingMacro

PosBlockBeg

PosBlockBottom

PosBlockTop

PosCellDown

PosCellNext

PosCellPrevious

PosCellUp

PosCharacter

PosCharNext

PosCharPrevious

PosColBottom

PosColFirst

PosColLast

PosColNext

PosColPrevious

PosColTop

PosDocBottom

PosDocTop

PosDocVeryTop

PosEndnote

PosFootnote

PosFunction

PosGoPrevious

PosGoToDlg

PosHeading

PosIndex

PosLine

PosLineBeg

PosLineDown

PosLineEnd

PosLineUp

PosLineVeryBeg

PosLineVeryEnd

PosNextComment

PosNextCrossRef

PosNextEndnote

PosNextFootnote

PosNextHeading

PosNextList

PosNextIndex

PosNextTOA

PosNextTOC

PosPage

PosPageBottom

PosPageNext

PosPagePrevious

PosPageTop

PosParagraphNext

PosParagraphPrevious

PosPrevComment

PosPrevCrossRef

PosPrevEndnote

PosPrevFootnote

PosPrevHeading

PosPrevIndex

PosPrevList

PosPrevTOA

PosPrevTOC

PosScreenDown

PosScreenLeft

PosScreenRight

PosScreenUp

PosSelectBottom

PosSelectTop

PosTableBegin

PosTableBlockBeg

PosTableCell

PosTableCellBottom

PosTableCellDown

PosTableCellNext

PosTableCellPrevious

PosTableCellTop

PosTableCellUp

PosTableColBottom

PosTableColumnBottom

PosTableColumnTop

PosTableEnd

PosTableGoPrevious

PosTableRowBegin

PosTableRowEnd

PosTableScreenDown

PosTableScreenLeft

PosTableScreenRight

PosTableScreenUp

PosTableTopCellNext

PosTableTopCellPrevious

PosTOA

PosTOC

PosWordNext

PosWordPrevious

PowerBarEditDlg

PowerBarOptionsDlg

PowerBarShow

PowerTableNumericFormat

PowerTableSpeedFormat

PrefApplicationBarEdit

PrefBackupPath

PrefBeep

PrefButtonBar

PrefDisplayDlg

PrefDisplaySet

PrefDocSummary

PrefDocSummaryDlg

PrefEnvironment

PrefEnvSettingsDlg

PrefHyphenation

PrefImportDlg

PrefImportOptions

PrefLanguageSet

PrefLiteCodes

PrefLocationDlg

PrefLocationOfDocuments

PrefLocationOfGraphicsFiles

PrefLocationOfMacroFiles

PrefLocationOfPrinterFiles

PrefLocationOfSpreadsheetFiles

PrefLocationOfTemplates

PrefMenu

PrefMergeCodes

PrefMergeExtensions

PrefMetafileOptions

PrefPowerBar

PrefPowerBarEdit

PrefPrintEnvironment

PrefPrintRedline

PrefPrintSizeRatio

PrefRevealCodes

PrefRevealCodesDlg

PrefRuler

PrefSave

PrefStatusBar

PrefStatusBarEdit

PrefStatusBarOptions

PrefStatusBarOptionsDlg

PrefTaskBar

PrefTOA

PrefUnitsOfMeasure

PrefZoom

Print

PrintAction

PrintAdvancedRangeData

PrintBooklet

PrintCopies

PrintDestination

PrintDlg

PrintEnvelope

PrintRevealCode

PrinterCommand

PrinterCommandDlg

PrinterPause

PrinterSelectByName

PrinterSelectDlg

PrintGraphically

PrintGraphics

PrintHistoryDlg

PrintImageBinding

PrintImageOffset

PrintInColor

PrintInReverseOrder

PrintRangeFrom

PrintRangeTo

PrintResolution

PrintResolutionDpiX

PrintResolutionDpiY

PrintSettings

PrintSortOrder

PrintSourceFileName

PrintSuppressedBoxes

PrintTo

PrintTwoSided

PrintTwoSidedDocCodesDlg

PrintUseTwoSidedDocCodes

PrintWithDocumentSummary

ProofReadAsYouGoOff

ProofReadGrammar

PublishToBaristaDlg

PublishToEnvoyDlg

PublishToFaxDlg

Q

QuattroPro

QuickCorrect

QuickCorrectAddItem

QuickCorrectAutoCreateException

QuickCorrectCapsFixQry

QuickCorrectCapsFixSet

QuickCorrectDeleteItem

QuickCorrectDlg

QuickCorrectQuickBulletsQry

QuickCorrectQuickBulletsSet

QuickCorrectQuickIndentQry

QuickCorrectQuickIndentSet

QuickCorrectQuickLinesQry

QuickCorrectQuickLinesSet

QuickCorrectQuickOrdinalsQry

QuickCorrectQuickOrdinalsSet

QuickCorrectQuickSymbolsSet

QuickCorrectReplaceWord

QuickFontEx

QuickFormat

QuickFormatDiscontinue

QuickFormatDlg

QuickFormatToggle

QuickLink

QuickmarkFind

QuickmarkSet

QuickSpotsShow

QuickSwap

QuickWords

QuickWordsDlg

R

Redisplay

RedlineCharacter

RedlineMethod

Redo

RepeatDlg

RepeatSet

RepeatValue

ReplaceAll

ReplaceBackward

ReplaceConfirm

ReplaceCurrent

ReplaceDlg

ReplaceForward

ReplaceString

ReplaceWithAttributes

ReplaceWithCase

ReplaceWithFont

ReplaceWithFontSize

ReselectLastBlock

ReselectLastSelection

ResetKeyboardMenu

RevealCodes

ReverseShippingMacro

ReviewDocAnnotationFirst

ReviewDocAnnotationAcceptAll

ReviewDocAnnotationPrev

ReviewDocAnnotationReject

ReviewDocAnnotationRejectAll

ReviewDocAnnotationNext

ReviewDocAnnotationAccept

ReviewDocAuthorDlg

ReviewDocDisplayModeToggle

ReviewDocDlg

ReviewDocManualModeToggle

ReviewDocMarginMarksToggle

ReviewDocReviewerDlg

ReviewDocSetCurrentUserColor

ReviewRoutingDlg

RotateShapeDlg

RulerBarShow

S

SaveAll

SaveAllShippingMacro

SaveToDriveAMacro

SaveUndoInformation

ScrollScreenLeft

ScrollScreenRight

SearchCaseSensitive

SearchFindWholeWordsOnly

SearchInSelection

SearchNext

SearchNextCurrentWord

SearchPrevious

SearchPreviousCurrentWord

SearchString

SearchWordForms

SearchWrap

SecondaryPageNumber

SecondaryPageNumberDecrement

SecondaryPageNumberDisplay

SecondaryPageNumberIncrement

SecondaryPageNumberMethod

SelectAll

SelectCell

SelectCellDown

SelectCellDownArrow

SelectCellLeft

SelectCellRight

SelectCellUp

SelectCellUpArrow

SelectCharNext

SelectCharPrevious

SelectColumnBottom

SelectColumnNext

SelectColumnPrevious

SelectColumnTop

SelectDelete

SelectDocBottom

SelectDocTop

SelectDocVeryTop

SelectedReplaceString

SelectLineBegin

SelectLineDown

SelectLineEnd

SelectLineUp

SelectLineVeryBegin

SelectLineVeryEnd

SelectMode

SelectOff

SelectOn

SelectOnEmptyDoc

SelectPage

SelectPageNext

SelectPagePrevious

SelectParagraph

SelectParagraphNext

SelectParagraphPrevious

SelectRectangle

SelectSave

SelectScreenDown

SelectScreenLeft

SelectScreenRight

SelectScreenUp

SelectSentence

SelectSentenceNext

SelectSentencePrevious

SelectTable

SelectTableColumn

SelectTableColumnExtendLeft

SelectTableColumnExtendRight

SelectTableRow

SelectTabularColumn

SelectToggle

SelectWord

SelectWordNext

SelectWordPrevious

SetDocumentMapping

SetSelEx

SetLineSpacing1

SetLineSpacing1_5

SetLineSpacing2

SettingsDlg

SetUndoLevels

SGMLAddToAttrList

SGMLBoxAddToAttrList

SGMLBoxAttribute

SGMLBoxDeleteAttribute

SGMLBoxDeleteMarkup

SGMLBoxElementDlg

SGMLBoxMarkup

SGMLCDATASection

SGMLCharRef

SGMLContentModelDlg

SGMLCreateDocType

SGMLDeleteAttribute

SGMLDeleteDocType

SGMLDocTypeDlg

SGMLEditAttributeDlg

SGMLEditAttributesDlg

SGMLEditBoxAttributeDlg

SGMLEditLayout

SGMLElementDlg

SGMLElementEditDlg

SGMLElementsDlg

SGMLElementList

SGMLEndElement

SGMLEntityRef

SGMLExportImport

SGMLFileRefDataType

SGMLFileRefDelAttribute

SGMLFileRefDelete

SGMLFileRefDlg

SGMLFileRefFilePath

SGMLFileRefNew

SGMLFileRefNewAttribute

SGMLFileRefNotation

SGMLFileRefPubID

SGMLFileRefRename

SGMLFindElementEnd

SGMLFindElementStart

SGMLFindNextTable

SGMLFindStartTag

SGMLGetAttributeData

SGMLGetElementData

SGMLGetFileRefData

SGMLIDIDREFListDlg

SGMLIgnore

SGMLInsertElement

SGMLLoadDocType

SGMLLogicErrorDlg

SGMLMarkedSecParamEntity

SGMLMarkedSection

SGMLMarkedSectionDlg

SGMLMrkSecPEDelete

SGMLMrkSecPERename

SGMLNewAttribute

SGMLOpenFileDlg

SGMLOpenFileOptions

SGMLPrefDlg

SGMLPreferences

SGMLProcessingInstruction

SGMLProcessingInstructionDlg

SGMLProcessTarget

SGMLProcessTargetDelete

SGMLProcessTargetFilePath

SGMLProcessTargetPubID

SGMLProcessTargetRename

SGMLRenameElement

SGMLReplaceAttribute

SGMLRootElement

SGMLRootElementDlg

SGMLSaveAsOptions

SGMLSelectElement

SGMLSelectLayout

SGMLSelectLayoutDlg

SGMLSetColors

SGMLSetValidation

SGMLSplitElement

SGMLTagAllTables

SGMLTagBox

SGMLTagCurrentTable

SGMLTagTablesDlg

SGMLTextRefDlg

SGMLUnloadDocType

SGMLValidate

SGMLValidationDlg

ShadowCursorOptions

ShadowCursorShow

ShiftTabKey

ShowBoxes

ShowGraphics

ShowHiddenText

ShowMarginIcons

ShowSGMLTree

ShowSymbols

SignatureDlg

SigningDlg

SingleSmartQuote

SingleSpaceInSentence

SoftHyphen

SoftSpace

Sort

SortAction

SortCaseOrder

SortDlg

SortKeys

SortSelectString

SortType

SortUndo

SoundClipAddInstance

SoundClipCreate

SoundClipDelete

SoundClipDlg

SoundClipPlayNext

SoundClipSetAttributes

SoundClipSetDescription

SoundClipSetFilename

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificSearchStringBegin

SpecificStringEnd

SpellAsYouGo

SpreadsheetShowLinkCode

SpreadsheetUpdateOnRetrieve

StatusBarShow

StyleCodes

StyleCopy

StyleCreate

StyleDelete

StyleDescription

StyleEditBegin

StyleEditEnd

StyleEnterKeySetting

StyleLinkTo

StyleOff

StyleOn

StylePersonalLibrary

StyleRename

StyleRetrieve

StyleSave

StyleSharedLibrary

StylesListDlg

StyleSystemOn

StyleType

StyleUpdate

SubdividePage

SubdividePageDlg

SubdividePageOff

SubdocInclude

SubstructureExit

Suppress

SwitchDoc

T

Tab

TabAdd

TabBarIconShow

TabCenter

TabCenterDot

TabClearAll

TabDecimal

TabDecimalDot

TabDelete

TabForced

TabInsert

TabKey

TableAdjustBegin

TableAdjustColumnWidth

TableAdjustEnd

TableAdjustPosition

TableAlternateFillSet

TableAppendRow

TableApplyStyle

TableAttributeOff

TableAttributeOn

TableAutoCalc

TableAutoFill

TableBlockOff

TableBlockOn

TableBorder

TableBorderEditBegin

TableBorderEditEnd

TableCalculate

TableCalculateAll

TableCalculateDlg

TableCellAttributeOff

TableCellAttributeOn

TableCellCopy

TableCellDiagonalLine

TableCellDiagonalLineQry

TableCellFillColors

TableCellFillStyle

TableCellIgnoreCalculation

TableCellJustification

TableCellLine

TableCellLineColor

TableCellLock

TableCellLockToggle

TableCellNumberAlignCurrency

TableCellNumberDateFormat

TableCellNumberDecimalDigits

TableCellNumberFormat

TableCellNumberNegativeNumber

TableCellNumberRound

TableCellNumberSelectCurrency

TableCellNumberUseCommas

TableCellNumberUseCurrency

TableCellRotateContents

TableCellsJoin

TableCellUseColumnAttribute

TableCellUseColumnJust

TableCellUseColumnNumberType

TableCellUseLineColor

TableCellVerticalAlignment

TableColumnAttributeOff

TableColumnAttributeOn

TableColumnDecimalAlignDigits

TableColumnDecimalAlignDist

TableColumnFixedWidth

TableColumnJustification

TableColumnMarginLeft

TableColumnMarginRight

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberFormat

TableColumnNumberNegNumber

TableColumnNumberRound

TableColumnNumberSelCurrency

TableColumnNumberUseCommas

TableColumnNumberUseCurrency

TableColumnsFixedWidth

TableColumnSize2Fit

TableColumnWidth

TableColumnWidthEqualize

TableColumnWidthGrow

TableColumnWidthShrink

TableConvertDlg

TableConvertFrom

TableCopy

TableCopyFormula

TableCreate

TableCreateDlg

TableCreateNewDlg

TableDataFill

TableDecimalAlignmentDigits

TableDecimalAlignmentDistance

TableDefaultLine

TableDefaultLineColor

TableDeleteBlock

TableDeleteCellFormula

TableDeleteColumn

TableDeleteDlg

TableDeleteRow

TableDeleteTable

TableDeleteTableDlg

TableDisableCellLocks

TableDragToCreate

TableEdit

TableExpertDlg

TableFill

TableFormatDlg

TableFormatJustification

TableFormatWidths

TableFormula

TableFormulaCBar

TabLeft

TabLeftDot

TableGridLinesToggle

TableGuides

TableHardColumnBreak

TableHardRow

TableHeader

TableInsertAutoRow

TableInsertColumn

TableInsertDlg

TableInsertOneRow

TableInsertRow

TableJoin

TableJoinCells

TableJoinCellTool

TableLineFillDlg

TableMarginLeft

TableMarginRight

TableMove

TableMoveCopyDlg

TableMoveModeCancel

TableMoveModeEnd

TableNameAdd

TableNameChange

TableNameCreateDlg

TableNameDelete

TableNameListDlg

TableNumberAlignCurrency

TableNumberDateFormat

TableNumberDecimalDigits

TableNumberFormat

TableNumberNegativeNumber

TableNumberRound

TableNumberSelectCurrency

TableNumberTypeDlg

TableNumberUseCommas

TableNumberUseCurrency

TablePointMode

TablePosition

TablePosNextTable

TablePosPreviousTable

TableQuickSum

TableReformatAll

TableRetrieve

TableRotateCell

TableRowCanSpanPages

TableRowColIndicators

TableRowHeight

TableRowMarginBottom

TableRowMarginTop

TableRowNumberOfLines

TableSecondFill

TableSecondFillColors

TableSelectOff

TableSelectOn

TableSize

TableSkewColumn

TableSkewColumnText

TableSkewJoinCorners

TableSkewRow

TableSkewRowText

TableSortTable

TableSplit

TableSplitCellsDlg

TableSplitColumn

TableSplitColumnTool

TableSplitColumnsAndRowsTool

TableSplitRow

TableSplitRowCol

TableSplitRowTool

TableSquareSkewedRow

TableStyleCreate

TableStyleDelete

TableStyleEdit

TableStyleEnd

TableStyleName

TableStyleReplace

TableStyleRetrieve

TableStyleSave

TableTextBoxCreate

TableTextToFormula

TableToolsDlg

TableUndelete

TableUpdateAssociatedCharts

TableUseDefaultLinesColor

TabRight

TabRightDot

TabSet

TabSetDlg

TeamLinkEnable

TemplateCopyObject

TemplateCopyObjectDlg

TemplateCreate

TemplateDescriptionDlg

TemplateDlg

TemplateEdit

TemplateFill

TemplateGetAssociation

TemplateMacroEditControlBar

TemplateSelect

TemplateSetAssociation

TextBorderCreate

TextBorderEdit

TextBorderEnd

TextBorderFillStyle

TextBorderStyle

TextBoxCreate

TextColor

TextShade

ThirdPartyCreate

ThirdPartyDelete

ThirdPartyFind

ThirdPartyFindByID

ThousandsSeparator

TOACreateFullFormDlg

TOADefineDlg

TOADefinition

TOADefinitionCombine

TOADefinitionCreate

TOADefinitionDelete

TOADefinitionMode

TOADefinitionRename

TOADefinitionRetrieve

TOADefinitionStyle

TOADefinitionUnderline

TOAEditFullForm

TOAEditFullFormCBar

TOAEditFullFormDlg

TOAEditPageFormat

TOAEditSection

TOAEditShortForm

TOAMark

TOAMarkShortForm

TOCDefine

TOCDefineDlg

TOCMark

ToggleMergeView

ToolbarCount

ToolbarName

TotalPages

TotalPagesDisplay

TotalPagesMethod

TotalPagesMethodQry

TransitionAdvisor

TwainAcquire

TwainSelectSourceDlg

Type

TypeChar

Typeover

TypeoverKey

TypesetManualKerningDlg

U

Undelete

UndeleteDlg

UnderlineColor

UnderlineSpaces

UnderlineStyle

UnderlineTabs

Undo

UndoRedoDlg

UserAssistant

UseRegQuotesWithNumbers

UserFunction

V

VariableCodes

VariableCreate

VariableDelete

VariableEditBegin

VariableEditEnd

VariableListDlg

VariableRename

VariableRetrieve

VariableSave

VariableView

ViewOutline

ViewPage

ViewToggle

ViewToolbarsDlg

ViewTwoPage

VLineCreate

VolumeNumber

VolumeNumberDecrement

VolumeNumberDisplay

VolumeNumberIncrement

VolumeNumberMethod

W

WatermarkA

WatermarkB

WatermarkDlg

WatermarkNext

WatermarkPlacementDlg

WatermarkPrev

WatermarkShadingDlg

WatermarkShippingMacro

WebActiveLinkColor

WebActiveLinkColorBlue

WebActiveLinkColorGreen

WebActiveLinkColorRed

WebBackgroundColor

WebBackgroundColorBlue

WebBackgroundColorGreen

WebBackgroundColorRed

WebBackgroundImage

WebBaseURL

WebBoxHTMLProperties

WebBoxHTMLPropertiesDlg

WebColumnDefineDlg

WebCustomHTMLToggle

WebFormsFormPropertiesDlg

WebFormsHiddenDlg

WebFormsListPropertiesDlg

WebFormsProperties

WebFormsRadioPropertiesDlg

WebFormsTextAreaPropertiesDlg

WebFormsTextPropertiesDlg

WebInsertCheckBox

WebInsertForm

WebInsertHiddenField

WebInsertPassword

WebInsertRadioButton

WebInsertResetButton

WebInsertSelectList

WebInsertSubmitButton

WebInsertSubmitImage

WebInsertTextArea

WebInsertTextLine

WebJavaCreateApplet

WebJavaModifyApplet

WebJavaRunApplets

WebLaunchWebBrowser

WebLinkColor

WebLinkColorBlue

WebLinkColorGreen

WebLinkColorRed

WebMetaTags

WebMonoToggle

WebNewDlg

WebPublish

WebPublishDlg

WebTableProperties

WebTextColor

WebTextColorBlue

WebTextColorGreen

WebTextColorRed

WebTitle

WebTitleDlg

WebViewAsHTML

WebViewInWebBrowser

WebVisitedLinkColor

WebVisitedLinkColorBlue

WebVisitedLinkColorGreen

WebVisitedLinkColorRed

WebWallpaper

WidowOrphan

WindowCascade

WindowTile

WindowTileVertical

WordCountDlg

WordHelpTopics

WordLetterspaceDlg

WordLetterSpacing

WordSpacingJustificationLimits

WP51CursorMovement

WPActivate

WPCharactersDlg

WPDictionary

WPDraw

WPGrammatik

WPSpeller

WPThesaurus

WritingToolsDisable

X

XMLPublish

XMLPublishDlg

XMLPublishSetGIFOptions

XMLPublishSetGraphicFormat

XMLPublishSetJPEGOptions

Y

No commands

Z

ZoomDlg

ZoomToFullPage

ZoomToMarginWidth

ZoomToPageWidth


WordPerfect System Variables

A

?ActivateHypertext

?AddressBookSelection

?Align

?AutoUpdate

?AutoWordSelect

B

?BaselineMode

?BetweenTableCodes

?Binding

?BlockActive

?BookmarkList

?Border

?BorderBottomLine

?BorderColorBlue

?BorderColorGreen

?BorderColorRed

?BorderColorShading

?BorderCornerRadius

?BorderInsideSpacingTop

?BorderInsideSpacingBottom

?BorderLeftLine

?BorderRightLine

?BorderSeparatorLine

?BorderSetSpacing

?BorderTopLine

?BorderUseBorderColor

?BoxAttachTo

?BoxCaptionDefaultInitialStyle

?BoxCaptionDefaultNumberStyle

?BoxCaptionFormatting

?BoxCaptionPositionBorder

?BoxCaptionPositionAlignment

?BoxCaptionPositionOffset

?BoxCaptionPositionSide

?BoxCaptionRotation

?BoxChangeLineHeight

?BoxContentFilename

?BoxContentHorizontalPosition

?BoxContentInternal

?BoxContentPreserveAspectRatio

?BoxContentType

?BoxContentVerticalPosition

?BoxCount

?BoxCounter

?BoxEquationColorBlue

?BoxEquationColorGreen

?BoxEquationColorRed

?BoxEquationColorShading

?BoxEquationFont

?BoxEquationFontSize

?BoxHeight

?BoxHorizontalAlignment

?BoxHorizontalAlignTo

?BoxHorizontalOffset

?BoxImageBlackWhiteThreshold

?BoxImageBrightness

?BoxImageContrast

?BoxImageDitherMethod

?BoxImageDitherSource

?BoxImageFill

?BoxImageFlipX

?BoxImageFlipY

?BoxImageHalftoneAngle1

?BoxImageHalftoneAngle2

?BoxImageHalftoneAngle3

?BoxImageHalftoneAngle0

?BoxImageHalftoneScreenLPI

?BoxImageInvertColors

?BoxImageMonochrome

?BoxImagePageBackground

?BoxImageRotation

?BoxImageScalingX

?BoxImageScalingY

?BoxImageTranslationY

?BoxImageTranslationX

?BoxLeftColumn

?BoxNumber

?BoxOverlap

?BoxRightColumn

?BoxSizeIsNotLimited

?BoxStaysOnPage

?BoxStyleName

?BoxSuppressed

?BoxTextAngle

?BoxTextDefaultStyle

?BoxVerticalAlignment

?BoxVerticalAlignTo

?BoxVerticalOffset

?BoxWidth

?BoxWrapping

?BoxWrappingType

?ButtonBarActive

C

?CapBeginSentence

?Cell

?CellAlignment

?CellBold

?CellDoubleUnderline

?CellExtraLarge

?CellFill

?CellFine

?CellFormula

?CellIgnoreWhenCalculating

?CellItalics

?CellJustification

?CellLarge

?CellLocked

?CellNormal

?CellOutline

?CellRedline

?CellShadow

?CellSmall

?CellSmallCaps

?CellSpecificAttribute

?CellSpecificJustification

?CellStrikeout

?CellSubscript

?CellSuperscript

?CellUnderline

?CellVeryLarge

?CellWidth

?CenterCurrentPage

?CenterPages

?ChapterNumber

?ChapterNumberMethod

?CharSpaceWidth

?CleanUpSpaces

?Column

?ColumnBorder

?ColumnDefine

?ColumnWidth

?ConfirmCodesDelete

?ConfirmFormulaDelete

?CurrentKeyboard

?CurrentLabel

?CurrentMenu

?CurrentPaperName

?CurrentParagraphLevel

?CurrentPrinterPort

?CurrentStyle

?CurrentSubdoc

?CurrentTableName

?CurrentTemplate

?CurrentWord

D

?DateDay

?DateMonth

?DateWeekday

?DateYear

?DecimalAlignmentCharacter

?DefaultDocumentExtension

?DefaultTemplateExtension

?DefaultView

?DisplayMode

?DocBlank

?DocChanged

?DocModified

?DocNeedsGenerating

?DocNumber

?DocReadOnly

?DocumentFont

?DocumentInformation

?DOSName

?DOSPath

?DotLeader

?DoubleSmartQuote

?DropCapBorderStyle

?DropCapCharacters

?DropCapCharacterSize

?DropCapContourWrap

?DropCapFillStyle

?DropCapHorizontalAdjustment

?DropCapIncludeDescender

?DropCapIncludeDiacritic

?DropCapInParagraph

?DropCapKerning

?DropCapNoWrap

?DropCapState

?DropCapUseColor

?DropCapVerticalAdjustment

E

?EditScreen

?Endnote

?EndOfSentenceSpacing

F

?FeatureBar

?Fill

?FillGradientSteps

?FillGradientType

?FillType

?FillWPG2Pattern

?FirstLineIndent

?FirstPrintLineNum

?Font

?FontBold

?FontDoubleUnderline

?FontExtraLarge

?FontFine

?FontItalics

?FontLarge

?FontOutline

?FontRedline

?FontShadow

?FontSize

?FontSmall

?FontSmallCaps

?FontStrikeout

?FontSubscript

?FontSuperscript

?FontUnderline

?FontVeryLarge

?FooterAInParagraph

?FooterAOccur

?FooterBInParagraph

?FooterBOccur

?FooterSeparator

?Footnote

?FootnoteContinued

?FootnotePosition

?FootnoteRestartsPage

?FootnoteSpace

?FormatForDefaultPrinter

G

?GetSelEndEx

?GetSelSizeEx

?GetSelStartEx

?GetSelTextAllEx

?GetSelTextEx

?GraphicSelected

?GraphicsLineBottomSpacing

?GraphicsLineColorBlue

?GraphicsLineColorGreen

?GraphicsLineColorRed

?GraphicsLineColorShading

?GraphicsLineCount

?GraphicsLineHorizontalAlign

?GraphicsLineHorizontalPosition

?GraphicsLineHorizontalColumn

?GraphicsLineLength

?GraphicsLineNum

?GraphicsLineStyle

?GraphicsLineThickness

?GraphicsLineTopSpacing

?GraphicsLineType

?GraphicsLineUseColor

?GraphicsLineVerticalPosition

?GraphicsLineVerticalAlign

H

?HeaderAInParagraph

?HeaderAOccur

?HeaderBInParagraph

?HeaderBOccur

?HeaderSeparator

?HiddenTextActive

?HypertextLast

?HypertextType

I

?Indent

?IndexDefinition

?Initials

?InOutline

?InTable

?InterimVersion

?IrregularCap

J

?Justification

K

?Kerning

?KeyCapsLock

L

?LabelsToDisplay

?Language

?LeftChar

?LeftCode

?LeftHyphZone

?Line

?LineHeight

?LineNumber

?LineNumbering

?LineNumberingInterval

?LineNumberMethod

?LineNumCountBlankLines

?LineNumNewspaperCols

?LineNumPosition

?LineSegmentBlue

?LineSegmentCount

?LineSegmentGreen

?LineSegmentRed

?LineSegmentSetUserData

?LineSegmentShading

?LineSegmentSpacing

?LineSegmentWavy

?LineSegmentWavyWidth

?LineSegmentWidth

?LineSegmentWPG2Pattern

?LineSpacing

?ListDefinition

M

?MacroExecute

?MacroPlaying

?MacroRecord

?MajorVersion

?MergeDone

?MinorVersion

N

?Name

?Network

?NotFound

?NumberOpenDocuments

O

?ODMAName

?ODMAPath

?Overstrike

P

?Page

?PageBorder

?PageNumberFormat

?PageNumberingOn

?PageNumberingValue

?PageNumberMethod

?PageNumberPosition

?PageSuppress

?PaperLength

?PaperSizeType

?PaperWidth

?ParagraphBorder

?ParagraphNumber

?ParagraphNumberMethod

?Path

?PathBackup

?PathCurrent

?PathDatabase

?PathDatabaseSupplemental

?PathDocument

?PathGraphics

?PathGraphicsSupplemental

?PathLabels

?PathMacros

?PathMacrosSupplemental

?PathPrinters

?PathProgram

?PathShared

?PathSpreadsheet

?PathSpreadsheetSupplemental

?PathTemplate

?PathTemplateSupplemental

?PauseKey

?Position

?PowerBarActive

Q

?QuickCorrect

R

?Random

?RedlineCharacter

?RedlineMethod

?RevealCodesActive

?RightChar

?RightCode

?RightHyphZone

?Row

?RowHeader

?RowHeight

?RulerBarActive

S

?SaveDocumentSummaryOnExit

?SaveWorkspace

?SecondaryPageNumberMethod

?SecondaryPageNumber

?SelectedText

?SelectedTextSize

?SetQuickmarkOnSave

?SGMLActive

?SGMLAttributePrompt

?SGMLChaining

?SGMLCurrentLGC

?SGMLCurrentLSI

?SGMLCurrentRootElement

?SGMLDataTypeAllowed

?SGMLDisplayCodes

?SGMLDisplayInclusions

?SGMLLGCPath

?ShowBoxes

?SingleSmartQuote

?SingleSpaceInSentence

?SortGetAction

?SortGetCase

?SortGetUndo

?SpaceExpansion

?SpacingBelowPar

?StartingLineNumber

?StatusBarActive

?Substructure

T

?TableAlternateFill

?TableDefaultLine

?TableGuides

?TableInTable

?TableLastCell

?TableSecondFillStyle

?TableSkewedColumn

?TableSkewedColumnAngle

?TableSkewedColumnText

?TableSkewedJoinedCorners

?TableSkewedRowAngle

?TableSkewedRowText

?TableSkewedSquareRow

?TableStyle

?TabSettings

?TemplateFile

?TemplateFileSupplemental

?TemplateFillCanceled

?TextColorBlue

?TextColorGreen

?TextColorRed

?TextColumnNumber

?TextColumns

?TextShade

?TimeHour

?TimeHundredth

?TimeMinute

?TimeSecond

?TOADefinition

?TOAShortFormMarks

?TOAShortForms

?TOCDefinition

?TypeoverActive

U

?UnderlineColorBlue

?UnderlineColorGreen

?UnderlineColorRed

?UnderlineColorShading

?UndeleteBuffers

?UnderlineStyle

?UnderlineSpaces

?UnderlineTabs

?UnprintableBottomMargin

?UnprintableLeftMargin

?UnprintableRightMargin

?UnprintableTopMargin

?UpdateQuickList

?UseDefaultDocExt

?UserColorBlue

?UserColorGreen

?UserColorRed

?UserInitials

?UserName

V

?VolumeNumber

?VolumeNumberMethod

W

?WatermarkAInParagraph

?WatermarkAOccur

?WatermarkBInParagraph

?WatermarkBOccur

?WatermarkGraphicShade

?WebBackgroundImage

?WebBaseURL

?WebBoxHTMLProperties

?WebMetaTags

?WebTitle

?WidowOrphan

?WritingToolsDisabledState

X

No commands

Y

No commands

Z

?Zoom